# Breaking Changes

## V17

### Angular 19

Timing in effects hat sich geändert → prüfen!

### Änderungen durch package updates

#### `ngx-scrollbar` 18

(`app.module.ts`)
Der Provider `NG_SCROLLBAR_OPTIONS` muss mit dem funktionalen Provider `provideScrollbarOptions` ersetzt werden.

Beispiel vorher:
`{ provide: NG_SCROLLBAR_OPTIONS, useValue: { visibility: 'hover' } }`

Beispiel nachher:
`provideScrollbarOptions({ visibility: 'hover' })`

#### `quill`

Typing Problem => Neuere `parchment` Version installieren

#### `ngrx-store-localstorage`

Date conversion deaktivieren (`restoreDate: false`)

### eslint

eslint erfordert jetzt standardmäßig standalone Components. Um das zu deaktivieren, muss die `.eslintrc` angepasst werden:
- `"@angular-eslint/prefer-standalone": "off"`

### Die Signatur der Button Components hat sich geändert

Projektspezifische Button Components, die von einer Shared Button Component erben, müssen angepasst werden:
- Constructor Parameter sind entfallen.
- Inputs sind jetzt Signals (können also nicht von außen gesetzt werden).

### Entfernt weil deprecated

`DatasourceComponent.focusPreviouseRow` entfernt
- stattdessen `focusPreviousRow`

`DatasourceComponent.refreshBlocked` entfernt
- zum Setzen stattdessen `addRefreshBlocker()` / `removeRefreshBlocker()` benutzen
- zum Abfragen stattdessen `refreshIsBlocked` benutzen

`SharedConfigService.localStoragePrefix` entfernt
- stattdessen `SharedConfigService.storagePrefix`

`SwtDateIntervalComponent.getSelectedInterval` entfernt
- stattdessen `currentInterval` benutzen

`GenericEditDialogBaseComponent.dirty` entfernt
- zum Setzen stattdessen `setDirty()` / `resetDirty()` benutzen
- zum Abfragen stattdessen `isDirty()` benutzen (Signal)

## V16.2

- swt-dropdown-container
  - swt-dropdown-container müssen in selbstgeschriebenen dialogen einen container angeben
  - closeWhenClickOutside muss manuell eingeschaltet werden
  - swt-dropdown-container im Zusammenhang mit "swt-date-picker" "(onShow)="swtDatePicker.refresh()"" sollte nicht auf swt-dropdown-container aufgerufen werden,
    sonst öffnet sich der dropdown-container nicht

## V16
- `ng update @sowatech/shared@16` für automatisches Update der Dependencies
    - deinstalliert xlsx-Package
    - installiert exceljs, wenn xlsx vorhanden war

## V15

- Update auf Angular 17
- Grid `focusedRowDetailOpenedId` zu `detailId` umbenannt
- Die FilterGroupComponent der Datasource wurde gelöscht
- `ng update @sowatech/shared@15` für automatisches Angular Update, Update der Dependencies und Umbenennung `detailId`

## V14

Kein breaking Change

## V13
- Update auf Angular 16
- Update der peerDependencies
- BrowserSupport entfernt
- in angular.json müssen folgende Pfade unter styles eingetragen werden, sollten die zugehörigen Packages installiert sein:
    - "node_modules/quill/dist/quill.snow.css",
    - "node_modules/quill/dist/quill.bubble.css",
    - "node_modules/@ng-select/ng-select/themes/default.theme.css"
- ngx-perfect-scrollbar wurde durch ngx-scrollbar ersetzt
    - package austauschen
    - global style hinzufügen:
      ng-scrollbar {
        .ng-scroll-content {
            vertical-align: middle;
        }
        --scrollbar-size: 6px !important;
        --scrollbar-hover-size: 11px !important;
    }
    - im app.module unter providers hinzufügen:
        {
            provide: NG_SCROLLBAR_OPTIONS,
            useValue: {
               visibility: 'hover',
               autoHeightDisabled: false,
               track: 'all',
            }
        }

## V12

UserPropertiesStorageService nicht mehr async

## V 11
- global-keyboard-shortcuts:
    - Version des ng-keyboard-shortcuts Packages auf 13.0.8 Anpassen
    - Bei Angabe eines Combo-Shortcuts (z.B. Ctrl + X) müssen alle Tasten gleichzeitig gedrückt werden (vorher war eine verzögerung möglich)
    - Es können jetzt zusätzlich mehrere Shortcuts als string[] in die Shortcut-Direktive hinzugefügt werden. In der Anzeige im Tooltip wird immer der erste Key benutzt.

## V 10
- swt-wizard: Buttons werden jetzt disabled, d.h. das eine Validierung eines Wizard-Steps bei Klick auf einen disabled Button nicht mehr möglich ist, siehe: https://enoso.atlassian.net/browse/SHANG-76
- Die Session muss jetzt im AppModule in den Providers angegeben werden: `{ provide: SharedSession, useExisting: Session }`
- Shared Exportiert keine Session mehr, es sollte stattdessen die Projektspezifische Session verwendet werden


## V8
Wegen Importänderungen in tsconfig.
compilerOptions um ```"allowSyntheticDefaultImports": true``` ergänzen

## V6

grid.pageSize entfernt. DataSource.setPageSize stattdessen nutzen.

Es können auch nicht mehr mehrere external refreshes einer Datasource gleichzeitig laufen.

## V5

SharedModule.forRoot() ausführen (am Besten in AppModule imports).

## V4

@angular/localize installieren
