import { ElementRef, OnChanges, OnInit } from '@angular/core';
import { ChartData, ChartDataSet, ChartOptions } from 'chart.js';
import * as i0 from "@angular/core";
export declare class ChartJsComponent implements OnInit, OnChanges {
    constructor();
    type: 'bar' | 'line' | 'radar' | 'pie' | 'polarArea' | 'doughnut' | 'horizontalBar' | 'bubble' | string;
    data: ChartData;
    options: ChartOptions;
    width: number;
    height: number;
    set setChartCanvas(chartCanvasRef: ElementRef);
    chartCanvas: HTMLCanvasElement;
    private chart;
    ngOnInit(): void;
    ngOnChanges(): void;
    refresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartJsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartJsComponent, "chartjs", never, { "type": { "alias": "type"; "required": false; }; "data": { "alias": "data"; "required": false; }; "options": { "alias": "options"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class ChartJsBarComponent implements OnInit, OnChanges {
    constructor();
    chartjs: ChartJsComponent;
    options: ChartOptions;
    set values(values: number[]);
    set labels(values: string[]);
    set label(value: string);
    set colors(values: string[]);
    set borderColors(values: string[]);
    set title(value: string);
    set datasets(datasets: Array<ChartDataSet>);
    set datalabels(datalabels: any);
    ngOnInit(): void;
    ngOnChanges(): void;
    private data;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartJsBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartJsBarComponent, "chartjs-bar", never, { "options": { "alias": "options"; "required": false; }; "values": { "alias": "values"; "required": false; }; "labels": { "alias": "labels"; "required": false; }; "label": { "alias": "label"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "borderColors": { "alias": "borderColors"; "required": false; }; "title": { "alias": "title"; "required": false; }; "datasets": { "alias": "datasets"; "required": false; }; "datalabels": { "alias": "datalabels"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class ChartJsBarDatasetsComponent implements OnInit, OnChanges {
    constructor();
    chartjs: ChartJsComponent;
    options: ChartOptions;
    set colors(values: string[]);
    set borderColors(values: string[]);
    set title(value: string);
    set datasets(datasetsObject: ObjectForDataSetChart);
    set datalabels(datalabels: any);
    ngOnInit(): void;
    ngOnChanges(): void;
    private data;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartJsBarDatasetsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartJsBarDatasetsComponent, "chartjs-bar-datasets", never, { "options": { "alias": "options"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "borderColors": { "alias": "borderColors"; "required": false; }; "title": { "alias": "title"; "required": false; }; "datasets": { "alias": "datasetsObject"; "required": false; }; "datalabels": { "alias": "datalabels"; "required": false; }; }, {}, never, never, false, never>;
}
export interface ObjectForDataSetChart {
    chartLabels: Array<string>;
    ListOfDataSetObjects: Array<DataSetObject>;
}
export interface DataSetObject {
    label: string;
    data: Array<number>;
}
export declare class ChartJsPieComponent implements OnInit, OnChanges {
    constructor();
    chartjs: ChartJsComponent;
    options: ChartOptions;
    set values(values: number[]);
    set labels(values: string[]);
    set colors(values: string[]);
    set borderColors(values: string[]);
    set title(value: string);
    size: number;
    ngOnInit(): void;
    ngOnChanges(): void;
    set datalabels(datalabels: any);
    private data;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartJsPieComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartJsPieComponent, "chartjs-pie", never, { "options": { "alias": "options"; "required": false; }; "values": { "alias": "values"; "required": false; }; "labels": { "alias": "labels"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "borderColors": { "alias": "borderColors"; "required": false; }; "title": { "alias": "title"; "required": false; }; "size": { "alias": "size"; "required": false; }; "datalabels": { "alias": "datalabels"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class ChartJsLineComponent implements OnInit, OnChanges {
    constructor();
    chartjs: ChartJsComponent;
    options: ChartOptions;
    set datasets(values: ChartDataSet[]);
    set labels(values: string[]);
    set colors(values: string[]);
    set borderColors(values: string[]);
    set title(value: string);
    ngOnInit(): void;
    ngOnChanges(): void;
    set datalabels(datalabels: any);
    private data;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartJsLineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartJsLineComponent, "chartjs-line", never, { "options": { "alias": "options"; "required": false; }; "datasets": { "alias": "datasets"; "required": false; }; "labels": { "alias": "labels"; "required": false; }; "colors": { "alias": "colors"; "required": false; }; "borderColors": { "alias": "borderColors"; "required": false; }; "title": { "alias": "title"; "required": false; }; "datalabels": { "alias": "datalabels"; "required": false; }; }, {}, never, never, false, never>;
}
