import { FilterOperator } from '@sowatech/shared/ds-datasource';
import { DialogField, IDialogConfiguration } from '@sowatech/shared/swt-generic';
export type FilterValue = unknown;
export type FilterValues = Record<string, FilterValue>;
export interface IFilterConfiguration<DTO> extends IDialogConfiguration<DTO> {
    fieldsOrCategoriesOfFields: FilterDialogField<DTO>[];
}
export declare class FilterDialogField<DTO> extends DialogField<DTO> {
    getLabelText?: (value: FilterValue, fieldname: string) => string;
    getLabelTitle?: (item: FilterValue, fieldname: string) => string;
    getLabelClass?: (item: FilterValue, fieldname: string) => string;
    getLabelIconClass?: (item: FilterValue, fieldname: string) => string;
    /**
     * Eingetragener FilterOperator für das FilterItem
     * @default FilterOperator.IsEqual
     */
    filterOperator?: FilterOperator;
}
