import { Observable } from 'rxjs';
import { CsvCreateObjectConfig, CsvConfig, csvString, CsvResult } from './csv.service.types';
import * as i0 from "@angular/core";
export declare class CsvService {
    private _locale;
    constructor(_locale: string);
    unparse(data: Array<Object>, config?: UnparseConfig): csvString;
    unparse(data: Array<Array<any>>, config?: UnparseConfig): csvString;
    unparse(data: UnparseObject, config?: UnparseConfig): csvString;
    private cleanseObjectsForUnparse;
    downloadCsv(data: csvString, fileName: string): void;
    /**
     * @deprecated parseCsv ist veraltet. Verwende stattdessen CsvMappingService aus shared package
     */
    parseCsv(csvString: string, config?: CsvConfig): Observable<CsvResult>;
    parseCsv(file: File, config?: CsvConfig): Observable<CsvResult>;
    getCsvAsObjects<T>(conf: CsvCreateObjectConfig, csvResult: CsvResult): Array<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CsvService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CsvService>;
}
interface UnparseConfig {
    quotes: boolean;
    delimiter: string;
    newline: string;
}
interface UnparseObject {
    fields: Array<any>;
    data: string | Array<any>;
}
export {};
