export declare class CsvCreateObjectConfig {
    constructor();
    configFields: CsvCreateObjectField[];
    nullValue: string;
    copy(config: CsvCreateObjectConfig): void;
}
export declare class CsvCreateObjectField {
    fieldname: string;
    type: 'string' | 'boolean' | 'number' | 'Date' | 'DateTime' | 'string[]';
    stringArraySeparator?: string;
    dateFormat?: string;
}
export interface ParseMeta {
    delimiter: string;
    linebreak: string;
    aborted: boolean;
    fields: Array<string>;
    truncated: boolean;
}
export interface ParseError {
    type: string;
    code: string;
    message: string;
    row: number;
}
export interface ParseResult {
    data: Array<any>;
    errors: Array<ParseError>;
    meta: ParseMeta;
}
export interface CsvConfig {
    delimiter?: string;
    newline?: string;
    header?: boolean;
    dynamicTyping?: boolean;
    preview?: number;
    encoding?: string;
    worker?: boolean;
    comments?: boolean;
    download?: boolean;
    skipEmptyLines?: boolean;
    fastMode?: boolean;
}
export interface CsvResult {
    data: Array<any>;
    errors: Array<ParseError>;
    meta: ParseMeta;
}
export type csvString = string;
