import { AfterViewInit, ElementRef } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { ModalDirective } from 'ngx-bootstrap/modal';
import * as i0 from "@angular/core";
export declare class DialogInitDirective implements AfterViewInit {
    private logger;
    private readonly destroyRef;
    dialog: ModalDirective;
    private nativeElement;
    /**
     * Selector für das Element, das beim Öffnen des Dialogs fokussiert werden soll.
     * Wird beim Schließen des Dialogs zurückgesetzt.
     * Ist nötig, da beim Aufruf der Fokus-Methode eventuell das Element noch nicht existiert.
     */
    private focusedSelector;
    constructor(el: ElementRef, logger: LoggerService);
    ngAfterViewInit(): void;
    focus(fieldname: string): void;
    onDialogShown(): void;
    private onDialogHidden;
    private focusFirstElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogInitDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DialogInitDirective, "[dialog-init]", never, { "dialog": { "alias": "dialog-init"; "required": false; }; }, {}, never, never, false, never>;
}
