import { AfterViewInit, ElementRef, EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { SharedConfigService } from '@sowatech/shared/shared-config';
import { ModalDirective } from 'ngx-bootstrap/modal';
import { Subscription } from 'rxjs';
import { DialogResult, MessageBoxService, MessageButtons, MessageType } from './message-box.service';
import * as i0 from "@angular/core";
export declare class MessageBoxComponent implements OnInit, AfterViewInit, OnDestroy {
    private messageBoxService;
    protected timeStamp: import("@angular/core").WritableSignal<Date>;
    constructor(messageBoxService: MessageBoxService, sharedConfig: SharedConfigService);
    handleKeyboardEvent(event: KeyboardEvent): void;
    ngOnInit(): void;
    closeModalFix(): void;
    subscriptions: Array<Subscription>;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    text: string;
    title: string;
    iconClass: string;
    private messageButtons;
    protected messageType: MessageType;
    disableAnimation: boolean;
    cancel: EventEmitter<any>;
    submitWithOk: EventEmitter<any>;
    dialog: ModalDirective;
    btnOk: ElementRef<HTMLButtonElement>;
    private resolve;
    private reject;
    show(text: string, title?: string, messageType?: MessageType, messageButtons?: MessageButtons): Promise<DialogResult>;
    showConfirm(text: string, title?: string): Promise<void>;
    showClose(text: string, title?: string, messageType?: MessageType): Promise<void>;
    private hideDialog;
    closeDialog(): void;
    btnClicked(btn: HTMLButtonElement): void;
    btnVisible(btn: HTMLButtonElement): boolean;
    protected readonly MessageType: typeof MessageType;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MessageBoxComponent, "message-box", never, {}, { "cancel": "cancel"; "submitWithOk": "submitWithOk"; }, never, never, false, never>;
}
