import { LoggerService } from '@sowatech/shared/logger';
import { MessageBoxComponent } from './message-box.component';
import * as i0 from "@angular/core";
export declare class MessageBoxService {
    private logger;
    constructor(logger: LoggerService);
    private registeredComponent;
    registerComponent(messageBoxComponent: MessageBoxComponent): void;
    showDialog(text: string, title?: string, messageType?: MessageType, messageButtons?: MessageButtons): Promise<DialogResult>;
    confirmDialog(text: string, title?: string): Promise<void>;
    infoDialog(text: string, title?: string): Promise<void>;
    errorDialog(text: string, title?: string): Promise<void>;
    closeDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MessageBoxService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MessageBoxService>;
}
export declare enum MessageButtons {
    OK_CANCEL = 0,
    YES_NO = 1,
    YES_NO_CANCEL = 2,
    CLOSE = 3
}
export declare enum MessageType {
    PLAIN = 0,
    ERROR = 1,
    INFORMATION = 2,
    WARNING = 3,
    QUESTION = 4
}
export declare enum DialogResult {
    OK = 0,
    CANCEL = 1,
    YES = 2,
    NO = 3,
    CLOSE = 4
}
