import { DatasourceComponent } from './ds-datasource.component';
import { AggregateFunctionDefinition, AggregateFunctionFieldConfig, AggregateFunctionOperator, AggregateItem, RefreshResult } from './ds-dtos.model';
import * as i0 from "@angular/core";
/**
 * Helfer für AggregateFunctions.
 * Hier muss über die `init` Methode die datasource gesetzt werden
 * und es muss die `getVisibleColumns` methode von außen gesetzt werden
 */
export declare class AggregateFunctionsService<ListItem> {
    private readonly subscriptions;
    readonly values: Partial<Record<keyof ListItem, AggregateFunctionValue[]>>;
    private listDatasource;
    getConfigs?: () => AggregateFunctionFieldConfig<ListItem>[];
    init(listDatasource: DatasourceComponent<ListItem>): void;
    recalc({ refreshIfNotVisible }?: {
        refreshIfNotVisible?: boolean;
    }): void;
    cleanUp(): void;
    getAggregateItems(): AggregateItem<ListItem>[];
    getAggregateItemsForSelectedData(): AggregateItem<ListItem>[];
    setByRefreshResult(result: RefreshResult<ListItem>): void;
    getValue(fieldName: keyof ListItem, operator: AggregateFunctionOperator): number | undefined;
    private getConfigsForSelectedData;
    private tryRecalcWithExternalRefresh;
    private recalcWithExternalRefresh;
    private recalcClientSide;
    private resetValues;
    private getColumnResult;
    private getAggregateValuesOfColumn;
    private getValuesOfSelectedItems;
    private getTypedValue;
    private columnHasAggregateFunctions;
    static ɵfac: i0.ɵɵFactoryDeclaration<AggregateFunctionsService<any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AggregateFunctionsService<any>>;
}
export declare const aggregateFunctionImplementations: Record<AggregateFunctionOperator, AggregateFunctionDefinition>;
type AggregateFunctionValue = {
    operator: AggregateFunctionOperator;
    value: number | undefined;
};
export {};
