import { DatePipe } from '@angular/common';
import { SelectItem } from '@sowatech/shared/@types';
import { DsDatasourceDefaultConfig, IDatasourceDefaultCSVConfig } from '@sowatech/shared/shared-config';
import * as i0 from "@angular/core";
export declare class DatasourceCSVService {
    private datePipe;
    private configService;
    private readonly locale;
    constructor(datePipe: DatePipe, configService: DsDatasourceDefaultConfig, locale: string);
    generateAndDownloadCSV<Model>(csvData: Model[], filename: string, config?: CSVConfig): void;
    private generateCSV;
    private createCSV;
    private removeNewline;
    private removeSeparator;
    private buildHeaderRow;
    private buildRow;
    private getContent;
    private isSelectItemArray;
    private createCell;
    private applyQuotes;
    private formatCSVField;
    private applyConfig;
    private readonly utf8BOM;
    private executeDownload;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatasourceCSVService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DatasourceCSVService>;
}
export interface CSVConfig extends IDatasourceDefaultCSVConfig {
    columns?: Array<CSVColumn>;
}
export interface CSVColumn<Model = any> {
    fieldname: Extract<keyof Model, string>;
    text?: string;
    digitsInfo?: digitsInfo;
    dateformat?: DateFormat;
    type?: string;
    lookups?: Array<SelectItem> | Array<string>;
    trueValueText?: string;
    falseValueText?: string;
}
export type digitsInfo = `${number}.${number}-${number}`;
export type DateFormat = string;
