import * as i0 from '@angular/core';
import { ViewChild, Input, Component, NgModule } from '@angular/core';
import { Chart } from 'chart.js';
export { ChartConfiguration, ChartData, ChartDataSet, Color, Image } from 'chart.js';
import * as datalabels from 'chartjs-plugin-datalabels';
import { CommonModule } from '@angular/common';

class ChartJsComponent {
    constructor() {
        this.type = 'bar';
        this.width = 400;
        this.height = 400;
    }
    set setChartCanvas(chartCanvasRef) {
        this.chartCanvas = chartCanvasRef.nativeElement;
    }
    ngOnInit() {
    }
    ngOnChanges() {
        this.refresh();
    }
    refresh() {
        if (this.data) {
            if (this.chart)
                this.chart.update();
            else {
                this.chart = new Chart(this.chartCanvas, {
                    type: this.type,
                    data: this.data,
                    options: this.options,
                    plugins: [datalabels]
                });
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ChartJsComponent, isStandalone: false, selector: "chartjs", inputs: { type: "type", data: "data", options: "options", width: "width", height: "height" }, viewQueries: [{ propertyName: "setChartCanvas", first: true, predicate: ["chartCanvas"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: '<div><canvas #chartCanvas width="width" height="height"></canvas></div>', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'chartjs',
                    template: '<div><canvas #chartCanvas width="width" height="height"></canvas></div>',
                    standalone: false
                }]
        }], ctorParameters: () => [], propDecorators: { type: [{
                type: Input
            }], data: [{
                type: Input
            }], options: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], setChartCanvas: [{
                type: ViewChild,
                args: ['chartCanvas', { static: true }]
            }] } });
class ChartJsBarComponent {
    constructor() {
        this.data = {
            labels: ['12', '19', '3', '5', '2', '3'],
            datasets: new Array()
        };
        this.data.datasets.push({
            label: 'Values',
            data: [12, 19, 3, 5, 2, 3],
            backgroundColor: ChartJsHelper.getDefaultBackgroundColor(),
            borderColor: ChartJsHelper.getDefaultBorderColor(),
            borderWidth: 0,
            datalabels: { display: false }
        });
        this.options = ChartJsHelper.getDefaultOptionsForBarChart();
    }
    set values(values) {
        this.data.datasets[0].data = values;
    }
    set labels(values) {
        this.data.labels = values;
    }
    set label(value) {
        this.data.datasets[0].label = value;
    }
    set colors(values) {
        this.data.datasets[0].backgroundColor = values;
    }
    set borderColors(values) {
        this.data.datasets[0].borderColor = values;
    }
    set title(value) {
        this.options.title.text = value;
    }
    set datasets(datasets) {
        this.data.datasets = datasets;
        for (let i = 0; i < this.data.datasets.length; i++) {
            const currentDataset = this.data.datasets[i];
            currentDataset.backgroundColor = ChartJsHelper.getDefaultBackgroundColor()[i];
            currentDataset.borderColor = ChartJsHelper.getDefaultBorderColor()[i];
        }
    }
    //Einstellungen des Plugins
    // https://chartjs-plugin-datalabels.netlify.com/options.html#style-options
    set datalabels(datalabels) {
        this.data.datasets[0].datalabels = datalabels;
    }
    ngOnInit() {
        this.chartjs.data = this.data;
        this.chartjs.options = this.options;
    }
    ngOnChanges() {
        this.chartjs.refresh(); //das sollte eigtl nicht nötig sein.
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ChartJsBarComponent, isStandalone: false, selector: "chartjs-bar", inputs: { options: "options", values: "values", labels: "labels", label: "label", colors: "colors", borderColors: "borderColors", title: "title", datasets: "datasets", datalabels: "datalabels" }, viewQueries: [{ propertyName: "chartjs", first: true, predicate: ["chartjs"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: '<chartjs #chartjs type="bar"></chartjs>', isInline: true, dependencies: [{ kind: "component", type: ChartJsComponent, selector: "chartjs", inputs: ["type", "data", "options", "width", "height"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsBarComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'chartjs-bar',
                    template: '<chartjs #chartjs type="bar"></chartjs>',
                    standalone: false
                }]
        }], ctorParameters: () => [], propDecorators: { chartjs: [{
                type: ViewChild,
                args: ['chartjs', { static: true }]
            }], options: [{
                type: Input
            }], values: [{
                type: Input
            }], labels: [{
                type: Input
            }], label: [{
                type: Input
            }], colors: [{
                type: Input
            }], borderColors: [{
                type: Input
            }], title: [{
                type: Input
            }], datasets: [{
                type: Input
            }], datalabels: [{
                type: Input
            }] } });
class ChartJsBarDatasetsComponent {
    constructor() {
        this.data = {
            labels: ['12', '19', '3', '5', '2', '3'],
            datasets: new Array()
        };
        this.data.datasets.push({
            label: 'Values',
            data: [12, 19, 3, 5, 2, 3],
            backgroundColor: ChartJsHelper.getDefaultBackgroundColor(),
            borderColor: ChartJsHelper.getDefaultBorderColor(),
            borderWidth: 0,
            datalabels: { display: false }
        });
        this.options = ChartJsHelper.getDefaultOptionsForBarChart();
    }
    set colors(values) {
        this.data.datasets[0].backgroundColor = values;
    }
    set borderColors(values) {
        this.data.datasets[0].borderColor = values;
    }
    set title(value) {
        this.options.title.text = value;
    }
    set datasets(datasetsObject) {
        this.data.labels = datasetsObject.chartLabels;
        this.data.datasets = datasetsObject.ListOfDataSetObjects;
        for (let i = 0; i < this.data.datasets.length; i++) {
            const currentDataset = this.data.datasets[i];
            currentDataset.backgroundColor = ChartJsHelper.getDefaultBackgroundColor()[i];
            currentDataset.borderColor = ChartJsHelper.getDefaultBorderColor()[i];
        }
    }
    //Einstellungen des Plugins
    // https://chartjs-plugin-datalabels.netlify.com/options.html#style-options
    set datalabels(datalabels) {
        this.data.datasets[0].datalabels = datalabels;
    }
    ngOnInit() {
        this.chartjs.data = this.data;
        this.chartjs.options = this.options;
    }
    ngOnChanges() {
        this.chartjs.refresh(); //das sollte eigtl nicht nötig sein.
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsBarDatasetsComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ChartJsBarDatasetsComponent, isStandalone: false, selector: "chartjs-bar-datasets", inputs: { options: "options", colors: "colors", borderColors: "borderColors", title: "title", datasets: ["datasetsObject", "datasets"], datalabels: "datalabels" }, viewQueries: [{ propertyName: "chartjs", first: true, predicate: ["chartjs"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: '<chartjs #chartjs type="bar"></chartjs>', isInline: true, dependencies: [{ kind: "component", type: ChartJsComponent, selector: "chartjs", inputs: ["type", "data", "options", "width", "height"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsBarDatasetsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'chartjs-bar-datasets',
                    template: '<chartjs #chartjs type="bar"></chartjs>',
                    standalone: false
                }]
        }], ctorParameters: () => [], propDecorators: { chartjs: [{
                type: ViewChild,
                args: ['chartjs', { static: true }]
            }], options: [{
                type: Input
            }], colors: [{
                type: Input
            }], borderColors: [{
                type: Input
            }], title: [{
                type: Input
            }], datasets: [{
                type: Input,
                args: ['datasetsObject']
            }], datalabels: [{
                type: Input
            }] } });
class ChartJsPieComponent {
    constructor() {
        this.size = 400;
        this.data = {
            labels: ['12', '19', '3', '5', '2', '3'],
            datasets: new Array(),
        };
        this.data.datasets.push({
            label: 'Values',
            data: [12, 19, 3, 5, 2, 3],
            backgroundColor: ChartJsHelper.getDefaultBackgroundColor(),
            borderColor: ChartJsHelper.getDefaultBorderColor(),
            borderWidth: 0,
            datalabels: { display: false }
        });
        this.options = ChartJsHelper.getDefaultOptionsForPieChart();
    }
    set values(values) {
        this.data.datasets[0].data = values;
    }
    set labels(values) {
        this.data.labels = values;
    }
    set colors(values) {
        this.data.datasets[0].backgroundColor = values;
    }
    set borderColors(values) {
        this.data.datasets[0].borderColor = values;
    }
    set title(value) {
        this.options.title.text = value;
    }
    ngOnInit() {
        this.chartjs.data = this.data;
        this.chartjs.options = this.options;
        this.chartjs.width = this.size;
        this.chartjs.height = this.size;
    }
    ngOnChanges() {
        this.chartjs.refresh(); //das sollte eigtl nicht nötig sein.
    }
    //Einstellungen des Plugins
    // https://chartjs-plugin-datalabels.netlify.com/options.html#style-options
    set datalabels(datalabels) {
        this.data.datasets[0].datalabels = datalabels;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsPieComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ChartJsPieComponent, isStandalone: false, selector: "chartjs-pie", inputs: { options: "options", values: "values", labels: "labels", colors: "colors", borderColors: "borderColors", title: "title", size: "size", datalabels: "datalabels" }, viewQueries: [{ propertyName: "chartjs", first: true, predicate: ["chartjs"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: '<chartjs #chartjs type="pie"></chartjs>', isInline: true, dependencies: [{ kind: "component", type: ChartJsComponent, selector: "chartjs", inputs: ["type", "data", "options", "width", "height"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsPieComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'chartjs-pie',
                    template: '<chartjs #chartjs type="pie"></chartjs>',
                    standalone: false
                }]
        }], ctorParameters: () => [], propDecorators: { chartjs: [{
                type: ViewChild,
                args: ['chartjs', { static: true }]
            }], options: [{
                type: Input
            }], values: [{
                type: Input
            }], labels: [{
                type: Input
            }], colors: [{
                type: Input
            }], borderColors: [{
                type: Input
            }], title: [{
                type: Input
            }], size: [{
                type: Input
            }], datalabels: [{
                type: Input
            }] } });
class ChartJsLineComponent {
    constructor() {
        this.data = {
            labels: ['January', 'February', 'March', 'April', 'May', 'June', 'July'],
            datasets: new Array(),
        };
        this.data.datasets.push({
            label: 'My First dataset',
            fill: false,
            lineTension: 0.1,
            backgroundColor: 'rgba(75,192,192,0.4)',
            borderColor: 'rgba(75,192,192,1)',
            borderCapStyle: 'butt',
            borderDash: [],
            borderDashOffset: 0.0,
            borderJoinStyle: 'miter',
            pointBorderColor: 'rgba(75,192,192,1)',
            pointBackgroundColor: '#fff',
            pointBorderWidth: 1,
            pointHoverRadius: 5,
            pointHoverBackgroundColor: 'rgba(75,192,192,1)',
            pointHoverBorderColor: 'rgba(220,220,220,1)',
            pointHoverBorderWidth: 2,
            pointRadius: 1,
            pointHitRadius: 10,
            spanGaps: false,
            data: [65, 59, 80, 81, 56, 55, 40],
            datalabels: { display: false }
        });
        this.options = ChartJsHelper.getDefaultOptionsForLineChart();
    }
    set datasets(values) {
        this.data.datasets = values;
    }
    set labels(values) {
        this.data.labels = values;
    }
    set colors(values) {
        this.data.datasets[0].backgroundColor = values;
    }
    set borderColors(values) {
        this.data.datasets[0].borderColor = values;
    }
    set title(value) {
        this.options.title.text = value;
    }
    ngOnInit() {
        this.chartjs.data = this.data;
        this.chartjs.options = this.options;
    }
    ngOnChanges() {
        this.chartjs.refresh(); //das sollte eigtl nicht nötig sein.
    }
    //Einstellungen des Plugins
    // https://chartjs-plugin-datalabels.netlify.com/options.html#style-options
    set datalabels(datalabels) {
        this.data.datasets[0].datalabels = datalabels;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsLineComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ChartJsLineComponent, isStandalone: false, selector: "chartjs-line", inputs: { options: "options", datasets: "datasets", labels: "labels", colors: "colors", borderColors: "borderColors", title: "title", datalabels: "datalabels" }, viewQueries: [{ propertyName: "chartjs", first: true, predicate: ["chartjs"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: '<chartjs #chartjs type="line"></chartjs>', isInline: true, dependencies: [{ kind: "component", type: ChartJsComponent, selector: "chartjs", inputs: ["type", "data", "options", "width", "height"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsLineComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'chartjs-line',
                    template: '<chartjs #chartjs type="line"></chartjs>',
                    standalone: false
                }]
        }], ctorParameters: () => [], propDecorators: { chartjs: [{
                type: ViewChild,
                args: ['chartjs', { static: true }]
            }], options: [{
                type: Input
            }], datasets: [{
                type: Input
            }], labels: [{
                type: Input
            }], colors: [{
                type: Input
            }], borderColors: [{
                type: Input
            }], title: [{
                type: Input
            }], datalabels: [{
                type: Input
            }] } });
class ChartJsHelper {
    static getDefaultBackgroundColor() {
        return [
            'rgba(28, 131, 198, 0.6)',
            'rgba(35, 200, 200, 0.6)',
            'rgba(26, 179, 149, 0.6)',
            'rgba(103, 106, 108, 0.6)',
            //            'rgba(209, 218, 222, 0.6)', nochmal anschauen, welches grau wir nehmen
            'rgba(0, 120, 96, 0.6)',
            'rgba(5, 80, 129, 0.6)'
        ];
    }
    static getDefaultBorderColor() {
        return [
            'rgba(28, 131, 198, 1)',
            'rgba(35, 200, 200, 1)',
            'rgba(26, 179, 149, 1)',
            'rgba(103, 106, 108, 1)',
            //    'rgba(209, 218, 222, 1)',
            'rgba(0, 120, 96, 1)',
            'rgba(5, 80, 129, 1)'
        ];
    }
    static getDefaultOptionsForPieChart() {
        const options = {
            title: { text: 'Pie-Chart', display: true },
            responsive: true
        };
        return options;
    }
    static getDefaultOptionsForLineChart() {
        const options = {
            title: { text: 'Line-Chart', display: true },
            responsive: true
        };
        return options;
    }
    static getDefaultOptionsForBarChart() {
        const options = {
            scales: {
                yAxes: [{
                        ticks: {
                            beginAtZero: true
                        }
                    }]
            },
            title: { text: 'Bar-Chart', display: true },
            responsive: true
        };
        return options;
    }
}

class ChartJsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: ChartJsModule, declarations: [ChartJsComponent,
            ChartJsBarComponent,
            ChartJsBarDatasetsComponent,
            ChartJsPieComponent,
            ChartJsLineComponent], imports: [CommonModule], exports: [ChartJsComponent,
            ChartJsBarComponent,
            ChartJsBarDatasetsComponent,
            ChartJsPieComponent,
            ChartJsLineComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ChartJsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        ChartJsComponent,
                        ChartJsBarComponent,
                        ChartJsBarDatasetsComponent,
                        ChartJsPieComponent,
                        ChartJsLineComponent
                    ],
                    exports: [
                        ChartJsComponent,
                        ChartJsBarComponent,
                        ChartJsBarDatasetsComponent,
                        ChartJsPieComponent,
                        ChartJsLineComponent
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ChartJsBarComponent, ChartJsBarDatasetsComponent, ChartJsComponent, ChartJsLineComponent, ChartJsModule, ChartJsPieComponent };
//# sourceMappingURL=sowatech-shared-chartjs.mjs.map
