import * as i0 from '@angular/core';
import { ViewChild, Input, Component, NgModule } from '@angular/core';
import { Gauge } from 'gaugeJS';
import { CommonModule } from '@angular/common';

class GaugeJSComponent {
    constructor() {
        this._animationSpeed = 32;
    }
    //https://bernii.github.io/gauge.js/
    //#region  options
    set options(value) {
        this._options = value;
        if (this.gauge)
            this.gauge.setOptions(value);
    }
    get options() {
        return this._options;
    }
    //#endregion
    //#region  value
    set value(value) {
        this._value = value;
        if (this.gauge)
            this.gauge.set(value);
    }
    get value() {
        return this._value;
    }
    //#endregion
    //#region  maxValue
    set maxValue(value) {
        this._maxValue = value;
        if (this.gauge)
            this.gauge.maxValue = value;
    }
    get maxValue() {
        return this._maxValue;
    }
    //#endregion
    //#region  minValue
    set minValue(value) {
        this._minValue = value;
        if (this.gauge)
            this.gauge.setMinValue(value);
    }
    get minValue() {
        return this._minValue;
    }
    //#endregion
    //#region  animationSpeed
    set animationSpeed(value) {
        this._animationSpeed = value;
        if (this.gauge)
            this.gauge.animationSpeed = value;
    }
    get animationSpeed() {
        return this._animationSpeed;
    }
    set setGaugeCanvas(gaugeCanvasRef) {
        this.gaugeCanvas = gaugeCanvasRef.nativeElement;
    }
    ngOnInit() {
    }
    ngOnChanges() {
        this.refresh();
    }
    refresh() {
        if (this.value) {
            if (this.gauge)
                this.gauge.update();
            else {
                this.gauge = new Gauge(this.gaugeCanvas);
                if (this.options)
                    this.gauge.setOptions(this.options);
                if (this.maxValue)
                    this.gauge.maxValue = this.maxValue; // set max gauge value
                if (this.minValue)
                    this.gauge.setMinValue(this.minValue); // Prefer setter over gauge.minValue = 0
                if (this.animationSpeed)
                    this.gauge.animationSpeed = this.animationSpeed; // set animation speed (32 is default value)
                if (this.value)
                    this.gauge.set(this.value); // set actual value
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GaugeJSComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: GaugeJSComponent, isStandalone: false, selector: "gaugejs", inputs: { options: "options", value: "value", maxValue: "maxValue", minValue: "minValue", animationSpeed: "animationSpeed", width: "width", height: "height" }, viewQueries: [{ propertyName: "setGaugeCanvas", first: true, predicate: ["gaugeCanvas"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: '<canvas #gaugeCanvas [style.width.px]="width" [style.height.px]="height"></canvas>', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GaugeJSComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'gaugejs',
                    template: '<canvas #gaugeCanvas [style.width.px]="width" [style.height.px]="height"></canvas>',
                    standalone: false
                }]
        }], ctorParameters: () => [], propDecorators: { options: [{
                type: Input
            }], value: [{
                type: Input
            }], maxValue: [{
                type: Input
            }], minValue: [{
                type: Input
            }], animationSpeed: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], setGaugeCanvas: [{
                type: ViewChild,
                args: ['gaugeCanvas', { static: true }]
            }] } });

class GaugeJSModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GaugeJSModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: GaugeJSModule, declarations: [GaugeJSComponent], imports: [CommonModule], exports: [GaugeJSComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GaugeJSModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GaugeJSModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        GaugeJSComponent
                    ],
                    exports: [
                        GaugeJSComponent
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { GaugeJSComponent, GaugeJSModule };
//# sourceMappingURL=sowatech-shared-gaugeJS.mjs.map
