import * as i0 from '@angular/core';
import { inject, ElementRef, input, signal, contentChild, computed, Directive, Component, contentChildren, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@sowatech/shared/template';
import { SwitchTemplateModule } from '@sowatech/shared/template';
import { LoggerService } from '@sowatech/shared/logger';
import { LayoutTitleDefaultConfig, HeaderType } from '@sowatech/shared/shared-config';
import * as i1$1 from 'ngx-bootstrap/popover';
import { PopoverModule } from 'ngx-bootstrap/popover';

class Content {
    constructor() {
        this.element = inject(ElementRef);
        this.mutationObserver = new MutationObserver(() => this.text.set(this.element.nativeElement.innerText.trim()));
        this.tooltip = input('');
        this.infoText = input();
        this.infoIcon = input();
        this.text = signal('');
        this.template = contentChild('content');
        this.link = computed(() => this.linkProvider.getLink(this.text()));
        this.context = computed(() => ({ tooltip: this.tooltip(), infoText: this.infoText(), infoIcon: this.infoIcon(), text: this.text(), link: this.link(), template: this.template() }));
        this.hasContent = computed(() => {
            const hasTextContent = this.text() !== '';
            const hasTemplateContent = !!this.template();
            return hasTextContent || hasTemplateContent;
        });
        this.linkProvider = new DefaultLinkProvider();
    }
    ngAfterViewInit() {
        this.text.set(this.element.nativeElement.innerText.trim());
        this.mutationObserver.observe(this.element.nativeElement, { subtree: true, characterData: true, childList: true });
    }
    ngOnDestroy() {
        this.mutationObserver.disconnect();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: Content, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.2.0", version: "19.2.13", type: Content, isStandalone: true, inputs: { tooltip: { classPropertyName: "tooltip", publicName: "tooltip", isSignal: true, isRequired: false, transformFunction: null }, infoText: { classPropertyName: "infoText", publicName: "infoText", isSignal: true, isRequired: false, transformFunction: null }, infoIcon: { classPropertyName: "infoIcon", publicName: "infoIcon", isSignal: true, isRequired: false, transformFunction: null } }, queries: [{ propertyName: "template", first: true, predicate: ["content"], descendants: true, isSignal: true }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: Content, decorators: [{
            type: Directive
        }] });
class LayoutGroupTitleComponent extends Content {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupTitleComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupTitleComponent, isStandalone: false, selector: "ly-group-title", usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupTitleComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-group-title',
                    template: '<ng-content></ng-content>',
                    standalone: false
                }]
        }] });
class LayoutGroupSectionTitleComponent extends Content {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupSectionTitleComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupSectionTitleComponent, isStandalone: false, selector: "ly-group-section-title", usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupSectionTitleComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-group-section-title',
                    template: '<ng-content></ng-content>',
                    standalone: false
                }]
        }] });
class LayoutGroupLabelComponent extends Content {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupLabelComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupLabelComponent, isStandalone: false, selector: "ly-group-label", usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupLabelComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-group-label',
                    template: '<ng-content></ng-content>',
                    standalone: false
                }]
        }] });
class LayoutGroupValueComponent extends Content {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupValueComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupValueComponent, isStandalone: false, selector: "ly-group-value", usesInheritance: true, ngImport: i0, template: '<ng-content></ng-content>', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupValueComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-group-value',
                    template: '<ng-content></ng-content>',
                    standalone: false
                }]
        }] });
class DefaultLinkProvider {
    getLink() {
        return null;
    }
}

class RowBase {
    constructor() {
        this.labelTooltips = computed(() => this.labels().map(l => l.tooltip()).join('\n'));
        this.valueTooltips = computed(() => this.values().map(l => l.tooltip()).join('\n'));
        this.buttonContext = computed(() => ({ buttonGroups: this.buttonGroups() }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RowBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: RowBase, isStandalone: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RowBase, decorators: [{
            type: Directive
        }] });

class LayoutGroupSectionComponent {
    constructor() {
        this.rows = contentChildren(RowBase);
        this.title = contentChild(LayoutGroupSectionTitleComponent);
        this.buttonGroups = contentChildren('buttons');
        this.heading = input();
        this.hasTitleElements = computed(() => {
            const hasTitle = !!this.title();
            const hadHeading = !!this.heading();
            const hasButtons = this.buttonGroups().length > 0;
            return hasTitle || hadHeading || hasButtons;
        });
        this.buttonContext = computed(() => ({ buttonGroups: this.buttonGroups() }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupSectionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "19.2.13", type: LayoutGroupSectionComponent, isStandalone: false, selector: "ly-group-section", inputs: { heading: { classPropertyName: "heading", publicName: "heading", isSignal: true, isRequired: false, transformFunction: null } }, queries: [{ propertyName: "rows", predicate: RowBase, isSignal: true }, { propertyName: "title", first: true, predicate: LayoutGroupSectionTitleComponent, descendants: true, isSignal: true }, { propertyName: "buttonGroups", predicate: ["buttons"], isSignal: true }], ngImport: i0, template: '', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupSectionComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-group-section',
                    template: '',
                    standalone: false
                }]
        }] });

class LayoutGroupItemComponent extends RowBase {
    constructor() {
        super(...arguments);
        this.labels = contentChildren(LayoutGroupLabelComponent);
        this.values = contentChildren(LayoutGroupValueComponent);
        this.buttonGroups = contentChildren('buttons');
        this.showValuesInSameRow = signal(false);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupItemComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "19.2.13", type: LayoutGroupItemComponent, isStandalone: false, selector: "ly-group-item", providers: [{ provide: RowBase, useExisting: LayoutGroupItemComponent }], queries: [{ propertyName: "labels", predicate: LayoutGroupLabelComponent, isSignal: true }, { propertyName: "values", predicate: LayoutGroupValueComponent, isSignal: true }, { propertyName: "buttonGroups", predicate: ["buttons"], isSignal: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupItemComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-group-item',
                    template: '',
                    providers: [{ provide: RowBase, useExisting: LayoutGroupItemComponent }],
                    standalone: false
                }]
        }] });

class LayoutGroupRowComponent extends RowBase {
    constructor() {
        super(...arguments);
        this.internalItems = contentChildren(LayoutGroupItemComponent);
        this.labels = computed(() => this.internalItems().flatMap(item => item.labels().map(label => label)));
        this.values = computed(() => this.internalItems().flatMap(item => item.values().map(value => value)));
        this.buttonGroups = computed(() => this.internalItems().flatMap(item => item.buttonGroups().map(button => button)));
        this.showValuesInSameRow = signal(true);
        this.labelSeperator = input(', ');
        this.valueSeperator = input(', ');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupRowComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "19.2.13", type: LayoutGroupRowComponent, isStandalone: false, selector: "ly-group-row", inputs: { labelSeperator: { classPropertyName: "labelSeperator", publicName: "labelSeperator", isSignal: true, isRequired: false, transformFunction: null }, valueSeperator: { classPropertyName: "valueSeperator", publicName: "valueSeperator", isSignal: true, isRequired: false, transformFunction: null } }, providers: [{ provide: RowBase, useExisting: LayoutGroupRowComponent }], queries: [{ propertyName: "internalItems", predicate: LayoutGroupItemComponent, isSignal: true }], usesInheritance: true, ngImport: i0, template: '', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupRowComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-group-row',
                    template: '',
                    providers: [{ provide: RowBase, useExisting: LayoutGroupRowComponent }],
                    standalone: false
                }]
        }] });

class LayoutTitleComponent {
    constructor() {
        this.config = inject(LayoutTitleDefaultConfig);
        this.logger = inject(LoggerService);
        this.HeaderType = HeaderType;
    }
    set context(value) {
        const header = this.config.contexts[value];
        if (header !== undefined && header !== null)
            this.header = header;
        else
            this.logger.error('LayoutTitleComponent.context: Unknown context ' + value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutTitleComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LayoutTitleComponent, isStandalone: false, selector: "ly-title", inputs: { customClass: "customClass", context: "context" }, ngImport: i0, template: "<ng-container [ngSwitch]=\"header\">\r\n    <h1 *ngSwitchCase=\"HeaderType.h1\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h1>\r\n    <h2 *ngSwitchCase=\"HeaderType.h2\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h2>\r\n    <h3 *ngSwitchCase=\"HeaderType.h3\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h3>\r\n    <h4 *ngSwitchCase=\"HeaderType.h4\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h4>\r\n    <h5 *ngSwitchCase=\"HeaderType.h5\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h5>\r\n    <h6 *ngSwitchCase=\"HeaderType.h6\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h6>\r\n</ng-container>\r\n\r\n<ng-template #content><ng-content></ng-content></ng-template>\r\n", dependencies: [{ kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutTitleComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ly-title', standalone: false, template: "<ng-container [ngSwitch]=\"header\">\r\n    <h1 *ngSwitchCase=\"HeaderType.h1\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h1>\r\n    <h2 *ngSwitchCase=\"HeaderType.h2\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h2>\r\n    <h3 *ngSwitchCase=\"HeaderType.h3\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h3>\r\n    <h4 *ngSwitchCase=\"HeaderType.h4\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h4>\r\n    <h5 *ngSwitchCase=\"HeaderType.h5\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h5>\r\n    <h6 *ngSwitchCase=\"HeaderType.h6\" [class]=\"customClass\"><ng-container *ngTemplateOutlet=\"content\"></ng-container></h6>\r\n</ng-container>\r\n\r\n<ng-template #content><ng-content></ng-content></ng-template>\r\n" }]
        }], propDecorators: { customClass: [{
                type: Input
            }], context: [{
                type: Input,
                args: [{ required: true }]
            }] } });

class LayoutInfoTextComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutInfoTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LayoutInfoTextComponent, isStandalone: false, selector: "ly-info-text", ngImport: i0, template: '<small><ng-content></ng-content></small>', isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutInfoTextComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ly-info-text',
                    template: '<small><ng-content></ng-content></small>',
                    standalone: false
                }]
        }] });

class LayoutInfoIconComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutInfoIconComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LayoutInfoIconComponent, isStandalone: false, selector: "ly-info-icon", ngImport: i0, template: "<ng-template #popTemplate>\r\n    <ng-content></ng-content>\r\n</ng-template>\r\n\r\n<i class=\" info-icon fa fa-info-circle text-info\" [popover]=\"popTemplate\" [outsideClick]=\"true\" container=\"body\"\r\n   containerClass=\"text-info-popover\"></i>\r\n", styles: [".info-icon{cursor:pointer;font-size:16px}::ng-deep .text-info-popover{position:absolute;word-break:break-word;margin:5px}::ng-deep .text-info-popover .popover-arrow{margin-left:0!important;position:absolute}\n"], dependencies: [{ kind: "directive", type: i1$1.PopoverDirective, selector: "[popover]", inputs: ["adaptivePosition", "boundariesElement", "popover", "popoverContext", "popoverTitle", "placement", "outsideClick", "triggers", "container", "containerClass", "isOpen", "delay"], outputs: ["onShown", "onHidden"], exportAs: ["bs-popover"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutInfoIconComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ly-info-icon', standalone: false, template: "<ng-template #popTemplate>\r\n    <ng-content></ng-content>\r\n</ng-template>\r\n\r\n<i class=\" info-icon fa fa-info-circle text-info\" [popover]=\"popTemplate\" [outsideClick]=\"true\" container=\"body\"\r\n   containerClass=\"text-info-popover\"></i>\r\n", styles: [".info-icon{cursor:pointer;font-size:16px}::ng-deep .text-info-popover{position:absolute;word-break:break-word;margin:5px}::ng-deep .text-info-popover .popover-arrow{margin-left:0!important;position:absolute}\n"] }]
        }] });

class LayoutGroupComponent {
    constructor() {
        this.title = contentChild(LayoutGroupTitleComponent);
        this.buttonGroups = contentChildren('buttons');
        this.rows = contentChildren(RowBase);
        this.sections = contentChildren(LayoutGroupSectionComponent);
        this.orientation = input('horizontal');
        this.hasTitleElements = computed(() => {
            const hasTitle = !!this.title();
            const hasButtons = this.buttonGroups().length > 0;
            return hasTitle || hasButtons;
        });
        this.buttonContext = computed(() => ({ buttonGroups: this.buttonGroups() }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.13", type: LayoutGroupComponent, isStandalone: false, selector: "ly-group", inputs: { orientation: { classPropertyName: "orientation", publicName: "orientation", isSignal: true, isRequired: false, transformFunction: null } }, queries: [{ propertyName: "title", first: true, predicate: LayoutGroupTitleComponent, descendants: true, isSignal: true }, { propertyName: "buttonGroups", predicate: ["buttons"], isSignal: true }, { propertyName: "rows", predicate: RowBase, isSignal: true }, { propertyName: "sections", predicate: LayoutGroupSectionComponent, isSignal: true }], ngImport: i0, template: "<ly-title *ngIf=\"hasTitleElements()\" context=\"layout-group\">\r\n    @if (title()) {\r\n        <ng-container [ngTemplateOutlet]=\"contentTemplate\" [ngTemplateOutletContext]=\"title().context()\"></ng-container>\r\n    }\r\n    <ng-container [ngTemplateOutlet]=\"buttonTemplate\" [ngTemplateOutletContext]=\"buttonContext()\"></ng-container>\r\n</ly-title>\r\n\r\n<dl *ngIf=\"sections.length === 0\" [ngClass]=\"{ 'dl-horizontal': orientation() === 'horizontal' }\"\r\n    [sneat-class]=\"orientation() === 'horizontal' ? 'sneat-dl-horizontal' : ''\">\r\n    <ng-container *ngFor=\"let row of rows()\" [ngTemplateOutlet]=\"rowTemplate\"\r\n                  [ngTemplateOutletContext]=\"{ row }\"></ng-container>\r\n</dl>\r\n\r\n<ng-container *ngFor=\"let section of sections()\">\r\n    <ly-title *ngIf=\"section.hasTitleElements()\" context=\"layout-group-section\">\r\n        <ng-container *ngIf=\"section.heading\">{{ section.heading() }}</ng-container>\r\n        @if (section.title()) {\r\n            <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                          [ngTemplateOutletContext]=\"section.title().context()\"></ng-container>\r\n        }\r\n        <ng-container [ngTemplateOutlet]=\"buttonTemplate\"\r\n                      [ngTemplateOutletContext]=\"section.buttonContext()\"></ng-container>\r\n    </ly-title>\r\n    <dl [ngClass]=\"{ 'dl-horizontal': orientation() === 'horizontal' }\"\r\n        [sneat-class]=\"orientation() === 'horizontal' ? 'sneat-dl-horizontal' : ''\">\r\n        <ng-container *ngFor=\"let row of section.rows()\" [ngTemplateOutlet]=\"rowTemplate\"\r\n                      [ngTemplateOutletContext]=\"{ row }\"></ng-container>\r\n    </dl>\r\n</ng-container>\r\n\r\n<ng-template #rowTemplate let-row=\"row\">\r\n    <dt [title]=\"row.labelTooltips()\">\r\n        <ng-container *ngFor=\"let label of row.labels(); let first = first\">\r\n            <ng-container *ngIf=\"!first && label.hasContent()\">{{ row.labelSeperator() }}</ng-container>\r\n            <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                          [ngTemplateOutletContext]=\"label.context()\"></ng-container>\r\n        </ng-container>\r\n    </dt>\r\n\r\n    <ng-container *ngIf=\"row.showValuesInSameRow()\">\r\n        <dd [title]=\"row.valueTooltips()\">\r\n            <ng-container [ngTemplateOutlet]=\"buttonTemplate\"\r\n                          [ngTemplateOutletContext]=\"row.buttonContext()\"></ng-container>\r\n\r\n            <ng-container *ngFor=\"let value of row.values(); let first = first\">\r\n                <ng-container *ngIf=\"!first && value.hasContent()\">{{ row.valueSeperator() }}</ng-container>\r\n                <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                              [ngTemplateOutletContext]=\"value.context()\"></ng-container>\r\n            </ng-container>\r\n        </dd>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"!row.showValuesInSameRow()\">\r\n        <ng-container *ngFor=\"let value of row.values(); let first = first\">\r\n            <dd [title]=\"value.tooltip()\">\r\n                <ng-container *ngIf=\"first\">\r\n                    <ng-container [ngTemplateOutlet]=\"buttonTemplate\"\r\n                                  [ngTemplateOutletContext]=\"row.buttonContext()\"></ng-container>\r\n                </ng-container>\r\n\r\n                <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                              [ngTemplateOutletContext]=\"value.context()\"></ng-container>\r\n            </dd>\r\n        </ng-container>\r\n    </ng-container>\r\n</ng-template>\r\n\r\n<ng-template #contentTemplate let-text=\"text\" let-template=\"template\" let-link=\"link\" let-infoText=\"infoText\"\r\n             let-infoIcon=\"infoIcon\">\r\n    @if (template) {\r\n        <ng-container *ngTemplateOutlet=\"template\"></ng-container>\r\n    } @else {\r\n        <ng-container *ngIf=\"!link\">{{ text }}</ng-container>\r\n        <ng-container *ngIf=\"link\">\r\n            <a [href]=\"link\">{{ text }}</a>\r\n        </ng-container>\r\n    }\r\n\r\n    @if (infoText) {\r\n        <p>\r\n            <ly-info-text>{{ infoText }}</ly-info-text>\r\n        </p>\r\n    }\r\n\r\n    @if (infoIcon) {\r\n        <ly-info-icon>{{ infoIcon }}</ly-info-icon>\r\n    }\r\n</ng-template>\r\n\r\n<ng-template #buttonTemplate let-buttonGroups=\"buttonGroups\">\r\n    <div *ngIf=\"buttonGroups?.length > 0\" class=\"button-container\">\r\n        <ng-container *ngFor=\"let buttonGroup of buttonGroups\">\r\n            <ng-container *ngTemplateOutlet=\"buttonGroup\"></ng-container>\r\n        </ng-container>\r\n    </div>\r\n</ng-template>\r\n", styles: [".button-container{float:right}dl{overflow-wrap:break-word}ly-info-icon{margin-left:5px}:host ::ng-deep ly-title[context=layout-group-section] h5{margin-top:25px}@media (min-width: 768px){.sneat-dl-horizontal.dl-horizontal dt{float:left;width:160px;clear:left;text-align:right;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.sneat-dl-horizontal.dl-horizontal dd{margin-left:180px}}.sneat-dl-horizontal.dl-horizontal dd:before,.sneat-dl-horizontal.dl-horizontal dd:after{display:table;content:\" \"}.sneat-dl-horizontal.dl-horizontal dd:after{clear:both}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.SneatCssClassDirective, selector: "[sneat-class]", inputs: ["sneat-class"] }, { kind: "component", type: LayoutTitleComponent, selector: "ly-title", inputs: ["customClass", "context"] }, { kind: "component", type: LayoutInfoTextComponent, selector: "ly-info-text" }, { kind: "component", type: LayoutInfoIconComponent, selector: "ly-info-icon" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ly-group', standalone: false, template: "<ly-title *ngIf=\"hasTitleElements()\" context=\"layout-group\">\r\n    @if (title()) {\r\n        <ng-container [ngTemplateOutlet]=\"contentTemplate\" [ngTemplateOutletContext]=\"title().context()\"></ng-container>\r\n    }\r\n    <ng-container [ngTemplateOutlet]=\"buttonTemplate\" [ngTemplateOutletContext]=\"buttonContext()\"></ng-container>\r\n</ly-title>\r\n\r\n<dl *ngIf=\"sections.length === 0\" [ngClass]=\"{ 'dl-horizontal': orientation() === 'horizontal' }\"\r\n    [sneat-class]=\"orientation() === 'horizontal' ? 'sneat-dl-horizontal' : ''\">\r\n    <ng-container *ngFor=\"let row of rows()\" [ngTemplateOutlet]=\"rowTemplate\"\r\n                  [ngTemplateOutletContext]=\"{ row }\"></ng-container>\r\n</dl>\r\n\r\n<ng-container *ngFor=\"let section of sections()\">\r\n    <ly-title *ngIf=\"section.hasTitleElements()\" context=\"layout-group-section\">\r\n        <ng-container *ngIf=\"section.heading\">{{ section.heading() }}</ng-container>\r\n        @if (section.title()) {\r\n            <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                          [ngTemplateOutletContext]=\"section.title().context()\"></ng-container>\r\n        }\r\n        <ng-container [ngTemplateOutlet]=\"buttonTemplate\"\r\n                      [ngTemplateOutletContext]=\"section.buttonContext()\"></ng-container>\r\n    </ly-title>\r\n    <dl [ngClass]=\"{ 'dl-horizontal': orientation() === 'horizontal' }\"\r\n        [sneat-class]=\"orientation() === 'horizontal' ? 'sneat-dl-horizontal' : ''\">\r\n        <ng-container *ngFor=\"let row of section.rows()\" [ngTemplateOutlet]=\"rowTemplate\"\r\n                      [ngTemplateOutletContext]=\"{ row }\"></ng-container>\r\n    </dl>\r\n</ng-container>\r\n\r\n<ng-template #rowTemplate let-row=\"row\">\r\n    <dt [title]=\"row.labelTooltips()\">\r\n        <ng-container *ngFor=\"let label of row.labels(); let first = first\">\r\n            <ng-container *ngIf=\"!first && label.hasContent()\">{{ row.labelSeperator() }}</ng-container>\r\n            <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                          [ngTemplateOutletContext]=\"label.context()\"></ng-container>\r\n        </ng-container>\r\n    </dt>\r\n\r\n    <ng-container *ngIf=\"row.showValuesInSameRow()\">\r\n        <dd [title]=\"row.valueTooltips()\">\r\n            <ng-container [ngTemplateOutlet]=\"buttonTemplate\"\r\n                          [ngTemplateOutletContext]=\"row.buttonContext()\"></ng-container>\r\n\r\n            <ng-container *ngFor=\"let value of row.values(); let first = first\">\r\n                <ng-container *ngIf=\"!first && value.hasContent()\">{{ row.valueSeperator() }}</ng-container>\r\n                <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                              [ngTemplateOutletContext]=\"value.context()\"></ng-container>\r\n            </ng-container>\r\n        </dd>\r\n    </ng-container>\r\n    <ng-container *ngIf=\"!row.showValuesInSameRow()\">\r\n        <ng-container *ngFor=\"let value of row.values(); let first = first\">\r\n            <dd [title]=\"value.tooltip()\">\r\n                <ng-container *ngIf=\"first\">\r\n                    <ng-container [ngTemplateOutlet]=\"buttonTemplate\"\r\n                                  [ngTemplateOutletContext]=\"row.buttonContext()\"></ng-container>\r\n                </ng-container>\r\n\r\n                <ng-container [ngTemplateOutlet]=\"contentTemplate\"\r\n                              [ngTemplateOutletContext]=\"value.context()\"></ng-container>\r\n            </dd>\r\n        </ng-container>\r\n    </ng-container>\r\n</ng-template>\r\n\r\n<ng-template #contentTemplate let-text=\"text\" let-template=\"template\" let-link=\"link\" let-infoText=\"infoText\"\r\n             let-infoIcon=\"infoIcon\">\r\n    @if (template) {\r\n        <ng-container *ngTemplateOutlet=\"template\"></ng-container>\r\n    } @else {\r\n        <ng-container *ngIf=\"!link\">{{ text }}</ng-container>\r\n        <ng-container *ngIf=\"link\">\r\n            <a [href]=\"link\">{{ text }}</a>\r\n        </ng-container>\r\n    }\r\n\r\n    @if (infoText) {\r\n        <p>\r\n            <ly-info-text>{{ infoText }}</ly-info-text>\r\n        </p>\r\n    }\r\n\r\n    @if (infoIcon) {\r\n        <ly-info-icon>{{ infoIcon }}</ly-info-icon>\r\n    }\r\n</ng-template>\r\n\r\n<ng-template #buttonTemplate let-buttonGroups=\"buttonGroups\">\r\n    <div *ngIf=\"buttonGroups?.length > 0\" class=\"button-container\">\r\n        <ng-container *ngFor=\"let buttonGroup of buttonGroups\">\r\n            <ng-container *ngTemplateOutlet=\"buttonGroup\"></ng-container>\r\n        </ng-container>\r\n    </div>\r\n</ng-template>\r\n", styles: [".button-container{float:right}dl{overflow-wrap:break-word}ly-info-icon{margin-left:5px}:host ::ng-deep ly-title[context=layout-group-section] h5{margin-top:25px}@media (min-width: 768px){.sneat-dl-horizontal.dl-horizontal dt{float:left;width:160px;clear:left;text-align:right;overflow:hidden;text-overflow:ellipsis;white-space:nowrap}.sneat-dl-horizontal.dl-horizontal dd{margin-left:180px}}.sneat-dl-horizontal.dl-horizontal dd:before,.sneat-dl-horizontal.dl-horizontal dd:after{display:table;content:\" \"}.sneat-dl-horizontal.dl-horizontal dd:after{clear:both}\n"] }]
        }] });

class LayoutGroupLinkValueBaseDirective {
    constructor() {
        this.host = inject(LayoutGroupValueComponent);
        this.host.linkProvider = this;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupLinkValueBaseDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupLinkValueBaseDirective, isStandalone: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupLinkValueBaseDirective, decorators: [{
            type: Directive
        }], ctorParameters: () => [] });
class LayoutGroupUrlValueDirective extends LayoutGroupLinkValueBaseDirective {
    constructor() {
        super(...arguments);
        this.url = null;
    }
    getLink(text) {
        const link = this.url ? this.url : text;
        if (!link.startsWith('http'))
            return `http://${link}`;
        return link;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupUrlValueDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupUrlValueDirective, isStandalone: false, selector: "ly-group-value[url]", inputs: { url: "url" }, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupUrlValueDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ly-group-value[url]',
                    standalone: false
                }]
        }], propDecorators: { url: [{
                type: Input
            }] } });
class LayoutGroupTelValueDirective extends LayoutGroupLinkValueBaseDirective {
    getLink(text) {
        return `tel:${text}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupTelValueDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupTelValueDirective, isStandalone: false, selector: "ly-group-value[tel]", usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupTelValueDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ly-group-value[tel]',
                    standalone: false
                }]
        }] });
class LayoutGroupMailValueDirective extends LayoutGroupLinkValueBaseDirective {
    getLink(text) {
        return `mailto:${text}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupMailValueDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: LayoutGroupMailValueDirective, isStandalone: false, selector: "ly-group-value[email]", usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutGroupMailValueDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'ly-group-value[email]',
                    standalone: false
                }]
        }] });

class LayoutModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: LayoutModule, declarations: [LayoutGroupComponent,
            LayoutGroupRowComponent,
            LayoutGroupLabelComponent,
            LayoutGroupValueComponent,
            LayoutGroupItemComponent,
            LayoutGroupTitleComponent,
            LayoutGroupUrlValueDirective,
            LayoutGroupTelValueDirective,
            LayoutGroupMailValueDirective,
            LayoutTitleComponent,
            LayoutGroupSectionComponent,
            LayoutGroupSectionTitleComponent,
            LayoutInfoTextComponent,
            LayoutInfoIconComponent], imports: [CommonModule,
            SwitchTemplateModule,
            PopoverModule], exports: [LayoutGroupComponent,
            LayoutGroupRowComponent,
            LayoutGroupLabelComponent,
            LayoutGroupValueComponent,
            LayoutGroupItemComponent,
            LayoutGroupTitleComponent,
            LayoutGroupUrlValueDirective,
            LayoutGroupTelValueDirective,
            LayoutGroupMailValueDirective,
            LayoutTitleComponent,
            LayoutGroupSectionComponent,
            LayoutGroupSectionTitleComponent,
            LayoutInfoTextComponent,
            LayoutInfoIconComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutModule, imports: [CommonModule,
            SwitchTemplateModule,
            PopoverModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        SwitchTemplateModule,
                        PopoverModule,
                    ],
                    declarations: [
                        LayoutGroupComponent,
                        LayoutGroupRowComponent,
                        LayoutGroupLabelComponent,
                        LayoutGroupValueComponent,
                        LayoutGroupItemComponent,
                        LayoutGroupTitleComponent,
                        LayoutGroupUrlValueDirective,
                        LayoutGroupTelValueDirective,
                        LayoutGroupMailValueDirective,
                        LayoutTitleComponent,
                        LayoutGroupSectionComponent,
                        LayoutGroupSectionTitleComponent,
                        LayoutInfoTextComponent,
                        LayoutInfoIconComponent,
                    ],
                    exports: [
                        LayoutGroupComponent,
                        LayoutGroupRowComponent,
                        LayoutGroupLabelComponent,
                        LayoutGroupValueComponent,
                        LayoutGroupItemComponent,
                        LayoutGroupTitleComponent,
                        LayoutGroupUrlValueDirective,
                        LayoutGroupTelValueDirective,
                        LayoutGroupMailValueDirective,
                        LayoutTitleComponent,
                        LayoutGroupSectionComponent,
                        LayoutGroupSectionTitleComponent,
                        LayoutInfoTextComponent,
                        LayoutInfoIconComponent,
                    ],
                    providers: []
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { Content, LayoutGroupComponent, LayoutGroupItemComponent, LayoutGroupLabelComponent, LayoutGroupMailValueDirective, LayoutGroupRowComponent, LayoutGroupSectionComponent, LayoutGroupSectionTitleComponent, LayoutGroupTelValueDirective, LayoutGroupTitleComponent, LayoutGroupUrlValueDirective, LayoutGroupValueComponent, LayoutInfoIconComponent, LayoutInfoTextComponent, LayoutModule, LayoutTitleComponent, RowBase };
//# sourceMappingURL=sowatech-shared-layout.mjs.map
