import * as i0 from '@angular/core';
import { EventEmitter, Injectable } from '@angular/core';

/* eslint-disable no-console */
class LoggerService {
    constructor() {
        this.addLogEntry = new EventEmitter();
    }
    assert(test, message, ...optionalParams) {
        if (optionalParams?.length > 0)
            console.assert(test, message, optionalParams);
        else
            console.assert(test, message);
    }
    clear() {
        console.clear();
    }
    count(countTitle) {
        console.count(countTitle);
    }
    debug(message, ...optionalParams) {
        this.addLogEntry.emit(new LogEntryParam(EntryType.Debug, message));
        if (optionalParams?.length > 0)
            console.debug(message, optionalParams);
        else
            console.debug(message);
    }
    dir(value, ...optionalParams) {
        if (optionalParams?.length > 0)
            console.dir(value, optionalParams);
        else
            console.dir(value);
    }
    dirxml(value) {
        console.dirxml(value);
    }
    error(message, ...optionalParams) {
        this.addLogEntry.emit(new LogEntryParam(EntryType.Error, message));
        if (optionalParams?.length > 0)
            console.error(message, optionalParams);
        else
            console.error(message);
    }
    group(groupTitle) {
        console.group(groupTitle);
    }
    groupCollapsed(groupTitle) {
        console.groupCollapsed(groupTitle);
    }
    groupEnd() {
        console.groupEnd();
    }
    info(message, ...optionalParams) {
        this.addLogEntry.emit(new LogEntryParam(EntryType.Info, message));
        if (optionalParams?.length > 0)
            console.info('!info: ' + message, optionalParams); // zum unterscheiden von .log() in protractor tests (dort sind beides INFO Logs)
        else
            console.info('!info: ' + message, optionalParams);
    }
    log(message, ...optionalParams) {
        this.addLogEntry.emit(new LogEntryParam(EntryType.Info, message));
        if (optionalParams?.length > 0)
            console.log(message, optionalParams);
        else
            console.log(message);
    }
    // profile(reportName?: string): void {
    //     console.profile(reportName);
    // }
    // profileEnd(): void {
    //     console.profileEnd();
    // }
    time(timerName) {
        console.time(timerName);
    }
    timeEnd(timerName) {
        console.timeEnd(timerName);
    }
    trace(message, ...optionalParams) {
        if (optionalParams?.length > 0)
            console.trace(message, optionalParams);
        else
            console.trace(message);
    }
    warn(message, ...optionalParams) {
        this.addLogEntry.emit(new LogEntryParam(EntryType.Warning, message));
        if (optionalParams?.length > 0)
            console.warn(message, optionalParams);
        else
            console.warn(message);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LoggerService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LoggerService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LoggerService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });
class LogEntryParam {
    constructor(entryType, message) {
        this.entryType = entryType;
        this.message = message;
    }
}
var EntryType;
(function (EntryType) {
    EntryType[EntryType["Debug"] = 0] = "Debug";
    EntryType[EntryType["Info"] = 1] = "Info";
    EntryType[EntryType["Warning"] = 2] = "Warning";
    EntryType[EntryType["Error"] = 3] = "Error";
})(EntryType || (EntryType = {}));

/**
 * Generated bundle index. Do not edit.
 */

export { EntryType, LogEntryParam, LoggerService };
//# sourceMappingURL=sowatech-shared-logger.mjs.map
