import * as i0 from '@angular/core';
import { inject, ElementRef, HostListener, Directive, NgModule } from '@angular/core';

const NO_DOUBLE_CLICK_DISABLED_VALUE = 'no-double-click';
class NoDblClickButtonDirective {
    constructor() {
        this.el = inject(ElementRef);
    }
    setDisabled() {
        this.el.nativeElement.setAttribute('disabled', NO_DOUBLE_CLICK_DISABLED_VALUE);
    }
    removeDisabled() {
        if (this.el.nativeElement.getAttribute('disabled') === NO_DOUBLE_CLICK_DISABLED_VALUE)
            this.el.nativeElement.removeAttribute('disabled');
    }
    clickEvent() {
        this.setDisabled();
        setTimeout(() => this.removeDisabled(), 500);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: NoDblClickButtonDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: NoDblClickButtonDirective, isStandalone: false, selector: "button:not([disable-no-double-click])", host: { listeners: { "click": "clickEvent($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: NoDblClickButtonDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'button:not([disable-no-double-click])',
                    standalone: false
                }]
        }], propDecorators: { clickEvent: [{
                type: HostListener,
                args: ['click', ['$event']]
            }] } });

class NoDblClickModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: NoDblClickModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: NoDblClickModule, declarations: [NoDblClickButtonDirective], exports: [NoDblClickButtonDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: NoDblClickModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: NoDblClickModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [],
                    declarations: [NoDblClickButtonDirective],
                    exports: [NoDblClickButtonDirective]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { NoDblClickButtonDirective, NoDblClickModule };
//# sourceMappingURL=sowatech-shared-no-double-click.mjs.map
