import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Injectable, isDevMode, Component } from '@angular/core';
import { finalize } from 'rxjs';

class RequestCounterInterceptor {
    static { this.requestCounter = 0; }
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    intercept(req, next) {
        RequestCounterInterceptor.requestCounter++;
        return next.handle(req).pipe(finalize(() => RequestCounterInterceptor.requestCounter--));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RequestCounterInterceptor, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RequestCounterInterceptor }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RequestCounterInterceptor, decorators: [{
            type: Injectable
        }] });

class RequestCounterComponent {
    constructor() {
        this.isDevMode = isDevMode();
    }
    get requestCounter() {
        return RequestCounterInterceptor.requestCounter;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RequestCounterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: RequestCounterComponent, isStandalone: true, selector: "eno-request-counter", ngImport: i0, template: `
        <span *ngIf="isDevMode" hidden data-cy="request-counter">{{requestCounter}}</span>
    `, isInline: true, dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RequestCounterComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'eno-request-counter',
                    imports: [CommonModule],
                    template: `
        <span *ngIf="isDevMode" hidden data-cy="request-counter">{{requestCounter}}</span>
    `
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { RequestCounterComponent, RequestCounterInterceptor };
//# sourceMappingURL=sowatech-shared-request-counter.mjs.map
