import '@angular/localize/init';
import * as i0 from '@angular/core';
import { Injectable } from '@angular/core';

class DsDatasourceDefaultConfig {
    constructor() {
        this.pageSize = 15;
        this.autoSelect = false;
        this.idfield = undefined;
        this.hasChangeTracking = false;
        this.csvConfig = { separator: ';', useQuotes: true, titles: 'columnTitle' };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DsDatasourceDefaultConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DsDatasourceDefaultConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DsDatasourceDefaultConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

class SwtGridDefaultConfig {
    constructor() {
        this.columnSize = 'small';
        this.allowKeyboardShortCuts = false;
        this.minHeight = '200px';
        this.maxHeight = '';
        this.gridClass = undefined;
        this.allowCSVDownload = false;
        this.allowFilter = true;
        this.allowSort = true;
        this.allowPaging = true;
        this.showSelectedIdsNotFoundWarning = false;
        this.showRowDetail = false;
        this.showDetailMethod = 'focus';
        this.paginationInfoVariant = 'default';
        this.allowSelectPageSize = true;
        this.pageSizes = [10, 15, 25, 0];
        this.allowMultiSelect = false;
        this.showEmptyGrid = true;
        this.emptyGridText = $localize `:@@Grid.NoData.dsp.Label:(Keine Datensätze)`;
        this.filterFieldsVisible = true;
        this.sortItemAlign = 'right';
        this.showSelectCheckBoxes = false;
        this.tableHover = false;
        this.idfield = undefined;
        this.hideColSelectBtn = false;
        this.defaultStringFilterOperator = 'Contains';
        this.allowPrintDownload = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGridDefaultConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGridDefaultConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGridDefaultConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

class IBoxDefaultConfig {
    constructor() {
        this.saveState = false;
        this.useHeaderAsDefaultStoreKey = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxDefaultConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxDefaultConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxDefaultConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });

class LayoutTitleDefaultConfig {
    constructor() {
        this.contexts = {
            ibox: HeaderType.h5,
            'layout-group': HeaderType.h4,
            'layout-group-section': HeaderType.h5,
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutTitleDefaultConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutTitleDefaultConfig, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LayoutTitleDefaultConfig, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });
var HeaderType;
(function (HeaderType) {
    HeaderType[HeaderType["h1"] = 0] = "h1";
    HeaderType[HeaderType["h2"] = 1] = "h2";
    HeaderType[HeaderType["h3"] = 2] = "h3";
    HeaderType[HeaderType["h4"] = 3] = "h4";
    HeaderType[HeaderType["h5"] = 4] = "h5";
    HeaderType[HeaderType["h6"] = 5] = "h6";
})(HeaderType || (HeaderType = {}));

class SharedConfigService {
    constructor(datasource, grid, ibox, title) {
        this.datasource = datasource;
        this.grid = grid;
        this.ibox = ibox;
        this.title = title;
        this.templateKey = 'inspinia';
        this.btnSize = 'btn-xs';
        this.sourceLanguage = 'de';
        this.storagePrefix = '';
        this.disableModalAnimation = false;
    }
    decideByTemplate(obj) {
        return obj[this.templateKey];
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SharedConfigService, deps: [{ token: DsDatasourceDefaultConfig }, { token: SwtGridDefaultConfig }, { token: IBoxDefaultConfig }, { token: LayoutTitleDefaultConfig }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SharedConfigService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SharedConfigService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: DsDatasourceDefaultConfig }, { type: SwtGridDefaultConfig }, { type: IBoxDefaultConfig }, { type: LayoutTitleDefaultConfig }] });

/**
 * Generated bundle index. Do not edit.
 */

export { DsDatasourceDefaultConfig, HeaderType, IBoxDefaultConfig, LayoutTitleDefaultConfig, SharedConfigService, SwtGridDefaultConfig };
//# sourceMappingURL=sowatech-shared-shared-config.mjs.map
