import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { inject, HostBinding, Directive, Input, TemplateRef, ViewContainerRef, Component, NgModule } from '@angular/core';
import * as i1 from '@sowatech/shared/shared-config';
import { SharedConfigService } from '@sowatech/shared/shared-config';

class CssClassDirective {
    constructor() {
        this.config = inject(SharedConfigService);
    }
    setClass(value) {
        if (this.config.templateKey === this.templateKey)
            this.class = value;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: CssClassDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: CssClassDirective, isStandalone: true, host: { properties: { "class": "this.class" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: CssClassDirective, decorators: [{
            type: Directive
        }], propDecorators: { class: [{
                type: HostBinding,
                args: ['class']
            }] } });
class InspiniaCssClassDirective extends CssClassDirective {
    constructor() {
        super(...arguments);
        this.templateKey = 'inspinia';
    }
    set inspiniaClass(value) {
        this.setClass(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: InspiniaCssClassDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: InspiniaCssClassDirective, isStandalone: false, selector: "[inspinia-class]", inputs: { inspiniaClass: ["inspinia-class", "inspiniaClass"] }, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: InspiniaCssClassDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[inspinia-class]',
                    standalone: false
                }]
        }], propDecorators: { inspiniaClass: [{
                type: Input,
                args: ['inspinia-class']
            }] } });
class SneatCssClassDirective extends CssClassDirective {
    constructor() {
        super(...arguments);
        this.templateKey = 'sneat';
    }
    set sneatClass(value) {
        this.setClass(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SneatCssClassDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: SneatCssClassDirective, isStandalone: false, selector: "[sneat-class]", inputs: { sneatClass: ["sneat-class", "sneatClass"] }, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SneatCssClassDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[sneat-class]',
                    standalone: false
                }]
        }], propDecorators: { sneatClass: [{
                type: Input,
                args: ['sneat-class']
            }] } });

class IfTemplateDirective {
    constructor() {
        this.templateRef = inject(TemplateRef);
        this.viewContainer = inject(ViewContainerRef);
        this.config = inject(SharedConfigService);
        this.showIfTemplateMatches = true;
    }
    setView(value) {
        this.showIfTemplateMatches = value;
        if (this.canShowTemplate)
            this.viewContainer.createEmbeddedView(this.templateRef);
        else
            this.viewContainer.clear();
    }
    get canShowTemplate() {
        const templateMatches = this.config.templateKey === this.templateKey;
        return (templateMatches && this.showIfTemplateMatches) || (!templateMatches && !this.showIfTemplateMatches);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IfTemplateDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: IfTemplateDirective, isStandalone: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IfTemplateDirective, decorators: [{
            type: Directive
        }] });
class IfInspiniaDirective extends IfTemplateDirective {
    constructor() {
        super(...arguments);
        this.templateKey = 'inspinia';
    }
    set ifInspinia(value) {
        this.setView(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IfInspiniaDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: IfInspiniaDirective, isStandalone: false, selector: "[ifInspinia]", inputs: { ifInspinia: "ifInspinia" }, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IfInspiniaDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[ifInspinia]',
                    standalone: false
                }]
        }], propDecorators: { ifInspinia: [{
                type: Input
            }] } });
class IfSneatDirective extends IfTemplateDirective {
    constructor() {
        super(...arguments);
        this.templateKey = 'sneat';
    }
    set ifSneat(value) {
        this.setView(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IfSneatDirective, deps: null, target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: IfSneatDirective, isStandalone: false, selector: "[ifSneat]", inputs: { ifSneat: "ifSneat" }, usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IfSneatDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[ifSneat]',
                    standalone: false
                }]
        }], propDecorators: { ifSneat: [{
                type: Input
            }] } });

class SwitchTemplateComponent {
    constructor(config) {
        this.config = config;
    }
    get templateKey() { return this.config.templateKey; }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwitchTemplateComponent, deps: [{ token: i1.SharedConfigService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwitchTemplateComponent, isStandalone: false, selector: "switch-template", inputs: { sneat: "sneat", inspinia: "inspinia", default: "default" }, ngImport: i0, template: "<ng-container [ngSwitch]=\"templateKey\">\r\n    <ng-container *ngSwitchCase=\"'inspinia'\">\r\n        <ng-container *ngTemplateOutlet=\"inspinia ?? default\"></ng-container>\r\n    </ng-container>\r\n    <ng-container *ngSwitchCase=\"'sneat'\">\r\n        <ng-container *ngTemplateOutlet=\"sneat ?? default\"></ng-container>\r\n    </ng-container>\r\n    <ng-container *ngSwitchDefault>\r\n        <ng-container *ngTemplateOutlet=\"default\"></ng-container>\r\n    </ng-container>\r\n</ng-container>\r\n", dependencies: [{ kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i2.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i2.NgSwitchDefault, selector: "[ngSwitchDefault]" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwitchTemplateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'switch-template', standalone: false, template: "<ng-container [ngSwitch]=\"templateKey\">\r\n    <ng-container *ngSwitchCase=\"'inspinia'\">\r\n        <ng-container *ngTemplateOutlet=\"inspinia ?? default\"></ng-container>\r\n    </ng-container>\r\n    <ng-container *ngSwitchCase=\"'sneat'\">\r\n        <ng-container *ngTemplateOutlet=\"sneat ?? default\"></ng-container>\r\n    </ng-container>\r\n    <ng-container *ngSwitchDefault>\r\n        <ng-container *ngTemplateOutlet=\"default\"></ng-container>\r\n    </ng-container>\r\n</ng-container>\r\n" }]
        }], ctorParameters: () => [{ type: i1.SharedConfigService }], propDecorators: { sneat: [{
                type: Input
            }], inspinia: [{
                type: Input
            }], default: [{
                type: Input
            }] } });

class SwitchTemplateModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwitchTemplateModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: SwitchTemplateModule, declarations: [SwitchTemplateComponent, InspiniaCssClassDirective, SneatCssClassDirective, IfInspiniaDirective, IfSneatDirective], imports: [CommonModule], exports: [SwitchTemplateComponent, InspiniaCssClassDirective, SneatCssClassDirective, IfInspiniaDirective, IfSneatDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwitchTemplateModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwitchTemplateModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                    ],
                    declarations: [SwitchTemplateComponent, InspiniaCssClassDirective, SneatCssClassDirective, IfInspiniaDirective, IfSneatDirective],
                    exports: [SwitchTemplateComponent, InspiniaCssClassDirective, SneatCssClassDirective, IfInspiniaDirective, IfSneatDirective]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IfInspiniaDirective, IfSneatDirective, InspiniaCssClassDirective, SneatCssClassDirective, SwitchTemplateComponent, SwitchTemplateModule };
//# sourceMappingURL=sowatech-shared-template.mjs.map
