import * as i0 from '@angular/core';
import { Injectable } from '@angular/core';
import * as ExcelJS from 'exceljs';
import { saveAs } from 'file-saver';

class XlsxService {
    createXlsxFile(filename, sheetname, data) {
        this.createMultiSheetXlsxFile(filename, [{ sheetname, data }]);
    }
    createMultiSheetXlsxFile(filename, sheetData) {
        const workbook = new ExcelJS.Workbook();
        for (const sheet of sheetData) {
            const worksheet = workbook.addWorksheet(sheet.sheetname);
            const headers = Object.keys(sheet.data[0]);
            worksheet.addRow(headers);
            for (const item of sheet.data) {
                const row = headers.map(header => item[header]);
                worksheet.addRow(row);
            }
        }
        this.writeFile(workbook, filename);
    }
    writeFile(workbook, filename) {
        const filenameWithoutExtension = filename.replace('.xlsx', '');
        workbook.xlsx.writeBuffer().then((buffer) => {
            const blob = new Blob([buffer], { type: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' });
            saveAs(blob, `${filenameWithoutExtension}.xlsx`);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: XlsxService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: XlsxService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: XlsxService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { XlsxService };
//# sourceMappingURL=sowatech-shared-xlsx.mjs.map
