export interface ICalendarEvent<Feed extends number> {
    id: string;
    feed: Feed;
    start: Date;
    end?: Date;
    classNames: string[];
    title: string;
    description: string;
}
export interface ICalendarViewEvent<Feed extends number> extends ICalendarEvent<Feed> {
    url?: string;
    title: string;
    allDay: boolean;
    location: string;
    description: string;
    reference: string;
    referenceIdent: string;
}
export type CalendarInterval = {
    start: Date;
    end: Date;
};
export type PartialCalendarInterval = Partial<CalendarInterval>;
