import { EventEmitter, OnInit } from '@angular/core';
import type { CalendarTemplateRef } from '@fullcalendar/angular/private-types';
import { CalendarOptions } from '@fullcalendar/core';
import { CalendarSettings } from './calendar-settings';
import { CalendarInterval, ICalendarEvent, ICalendarViewEvent } from './calendar-view-event';
import { ToolbarConfig } from './toolbar-config';
import * as i0 from "@angular/core";
export type ViewMode = 'timeGridDay' | 'timeGridWeek' | 'dayGridMonth' | 'listWeek';
export declare class EnoFullcalendarComponent<Feed extends number> implements OnInit {
    protected _eventContent?: CalendarTemplateRef<'eventContent'>;
    eventClick: EventEmitter<ICalendarViewEvent<Feed>>;
    private _data;
    get data(): ICalendarEvent<Feed>[];
    set data(value: ICalendarEvent<Feed>[]);
    requestData: EventEmitter<CalendarInterval>;
    initialViewMode: ViewMode;
    headerToolbarConfig?: ToolbarConfig;
    set settings(value: CalendarSettings);
    slotDuration: string;
    private startTime;
    private endTime;
    private visibleDays;
    private get hiddenDays();
    set selectedDate(date: Date);
    calendarOptions?: CalendarOptions;
    private calendarApi?;
    constructor();
    ngOnInit(): void;
    private readonly refreshDays$;
    refreshDays(start?: Date, end?: Date): void;
    private loadEvents;
    private configureFullCalendar;
    private updateEventSource;
    private static mapCalendarViewEvent;
    private static configurePlugins;
    static ɵfac: i0.ɵɵFactoryDeclaration<EnoFullcalendarComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EnoFullcalendarComponent<any>, "eno-fullcalendar", never, { "data": { "alias": "data"; "required": false; }; "initialViewMode": { "alias": "initialViewMode"; "required": false; }; "headerToolbarConfig": { "alias": "headerToolbarConfig"; "required": false; }; "settings": { "alias": "settings"; "required": false; }; }, { "eventClick": "eventClick"; "requestData": "requestData"; }, ["_eventContent"], never, false, never>;
}
