import { CustomButtonInput, ToolbarInput } from '@fullcalendar/core';
import { ViewMode } from './fullcalendar.component';
export type ToolbarChunkPosition = 'start' | 'left' | 'center' | 'right' | 'end';
export type FullCalendarTool = 'title' | 'text' | 'prev' | 'next' | 'prevYear' | 'nextYear' | 'today' | ViewMode;
export type ToolbarConfig = Record<ToolbarChunkPosition, ToolbarChunkData[] | null>;
export type ToolbarChunkData = Array<FullCalendarTool | Record<string, CustomButtonInput>>;
export declare class ToolbarConfigConverter {
    private readonly toolbarConfig;
    private customButtons;
    private toolbar;
    get getCustomButtons(): Record<string, CustomButtonInput>;
    get getToolbar(): ToolbarInput;
    constructor(toolbarConfig: ToolbarConfig);
    private init;
    private getToolbarLayout;
    private registerCustomBtn;
}
