import { Coords, CropType, ImageTransformMarkerOptions } from './image-transform.types';
export declare class ImageTransformBuilder {
    private imageType;
    private imageOrientation;
    private canvas;
    protected constructor(imageType: string, orientation: number, canvas: HTMLCanvasElement);
    static loadFromSrcStringAsync(base64SrcString: string): Promise<ImageTransformBuilder>;
    static loadFromFileAsync(file: File): Promise<ImageTransformBuilder>;
    toBase64(quality?: number): string;
    copyInstance(): ImageTransformBuilder;
    fixOrientation(): ImageTransformBuilder;
    shrinkTo(newWidth: number, newHeight: number): ImageTransformBuilder;
    crop(cropType: CropType, cropCoords?: Coords): ImageTransformBuilder;
    setMarker(options: ImageTransformMarkerOptions): ImageTransformBuilder;
    setWatermark(text: string, fontSize?: number): ImageTransformBuilder;
    rotate(angleInDegrees: -90 | 90 | 180 | 270): void;
    static createImageAsync(base64: string): Promise<HTMLImageElement>;
    private static initCanvasAsync;
    private static extractOrientationAsync;
}
