import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class LightboxComponent {
    currentImage: ILightBoxImage;
    get currentImageIndex(): number;
    images: ILightBoxImage[];
    thumbSize: string;
    actions: LightboxActions;
    hideGallery: boolean;
    showImageName: boolean;
    imageClosed: EventEmitter<void>;
    onButtonClicked: EventEmitter<LightboxButtonEvent>;
    onImageClicked: EventEmitter<ILightBoxImage>;
    opened: boolean;
    private set scrollingDisabled(value);
    closeImage(): void;
    prevImage(): void;
    nextImage(): void;
    openImage(imageName?: string): void;
    openImageWithIndex(index: number): void;
    buttonClicked(ident: string, image: ILightBoxImage): void;
    private setCurrentImageUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<LightboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LightboxComponent, "lightbox", never, { "images": { "alias": "images"; "required": false; }; "thumbSize": { "alias": "thumbSize"; "required": false; }; "actions": { "alias": "actions"; "required": false; }; "hideGallery": { "alias": "hideGallery"; "required": false; }; "showImageName": { "alias": "showImageName"; "required": false; }; }, { "imageClosed": "imageClosed"; "onButtonClicked": "onButtonClicked"; "onImageClicked": "onImageClicked"; }, never, never, false, never>;
}
export interface ILightBoxImage {
    imageUrl: string;
    thumbUrl: string;
    imageName: string;
    getImage?: () => Promise<string>;
}
export declare class LightboxActions {
    /** eigentlich "galleryButtons". Name bleibt für Abwärtskompatibilität */
    imageButtons?: LightboxImageButton[];
    overlayButtons?: LightboxImageButton[];
}
export declare class LightboxButtonEvent {
    ident: string;
    imageName: string;
}
export declare class LightboxImageButton {
    ident?: string;
    text?: string;
    tooltip?: string;
    buttonClass?: string;
    iconClass?: string;
}
