import { SharedConfigService } from '@sowatech/shared/shared-config';
import { UserPropertiesStorageService } from '@sowatech/shared/user-properties-storage';
import * as i0 from "@angular/core";
export declare class LocalStorageService extends UserPropertiesStorageService {
    constructor(config: SharedConfigService);
    prefix: string;
    private userPrefix;
    private getPrefixedKey;
    setUserName(username: string | undefined): void;
    clearUserName(): void;
    save<T = unknown>(key: string, value: T): void;
    load<T = unknown>(key: string): T | null;
    delete(key: string): void;
    /**
     * Liest den Wert aus und gibt ihn geparsed zurück.
     * Der Key wird mit dem Prefix versehen.
     */
    getItem<T = any>(key: string): T | null;
    /**
     * Stringified den value und schreibt ihn in den Localstorage.
     * Der Key wird mit dem Prefix versehen.
     */
    setItem(key: string, value: any): void;
    removeItem(key: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocalStorageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<LocalStorageService>;
}
