import { DatePipe } from '@angular/common';
import { EventEmitter, OnInit } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { LoadingIndicatorComponent } from '@sowatech/shared/swt-controls';
import 'moment/locale/de';
import * as i0 from "@angular/core";
export declare class SchedulerYearCalendarComponent implements OnInit {
    private datePipe;
    private logger;
    constructor(datePipe: DatePipe, logger: LoggerService);
    months: Month[];
    ngOnInit(): void;
    CELLHEIGHTPX: number;
    CELLHEIGHTPERCENT: number;
    loadingIndicator: LoadingIndicatorComponent;
    year: number;
    occupationLegend: OccupationLegend[];
    private _slotDataItems;
    set _slotItems(values: Array<DateDataItem>);
    cellClick: EventEmitter<DateCellClickEvent>;
    initTable(): void;
    createDay(day: number, tMonth: TMonth): Day;
    getDateDataItems(day: number, month: TMonth): Array<DateDataItem>;
    getTitle(arr: DateDataItem[]): string;
    setCssClasses(day: Day): string;
    onCellClick(event: MouseEvent, month: Month, day: Day): void;
    increaseYear(): void;
    decreaseYear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerYearCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulerYearCalendarComponent, "scheduler-year-calendar", never, { "year": { "alias": "year"; "required": false; }; "occupationLegend": { "alias": "occupationLegend"; "required": false; }; "_slotItems": { "alias": "slotItems"; "required": false; }; }, { "cellClick": "cellClick"; }, never, never, false, never>;
}
declare enum TMonth {
    Jan = 0,
    Feb = 1,
    Mar = 2,
    Apr = 3,
    May = 4,
    Jun = 5,
    Jul = 6,
    Aug = 7,
    Sep = 8,
    Oct = 9,
    Nov = 10,
    Dec = 11
}
export declare class DateCellClickEvent {
    date: Date;
    dataItems: Array<DateDataItem>;
}
export declare class Month {
    days: Day[];
    index: TMonth;
    name: string;
}
export declare class Day {
    number: number;
    exists: boolean;
    cssClass: string;
    dataItems: Array<DateDataItem>;
    date: Date;
}
export declare class DateDataItem {
    month?: TMonth;
    date: Date;
    cssClass?: string;
    proportion: number;
    title?: string;
    text?: string;
}
export declare class OccupationLegend {
    cssClass: string;
    name: string;
}
export {};
