import { OnInit, EventEmitter } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { AvailbleBSPositions } from 'ngx-bootstrap/positioning';
import { SelectedMonth } from '../scheduler-month-selector/scheduler-month-selector.component';
import { SelectedWeek, SchedulerWeekSelectorComponent } from '../scheduler-week-selector/scheduler-week-selector.component';
import 'moment/locale/de';
import * as i0 from "@angular/core";
export declare class SchedulerDateSelectorComponent implements OnInit {
    private logger;
    dateOfStartTimeFrame: Date;
    dateOfEndTimeFrame: Date;
    showDate: boolean;
    showCW: boolean;
    dateFormat: string;
    selector: 'week' | 'month';
    calendarPlacement: AvailbleBSPositions;
    allowUserSwitch: boolean;
    showTodayButton: boolean;
    set date(value: Date);
    get date(): Date;
    private dateSignal;
    private _selectedMonth;
    set selectedMonth(value: SelectedMonth);
    get selectedMonth(): SelectedMonth;
    onChangedDate: EventEmitter<SelectedMonth | SelectedWeek>;
    onChangedSelector: EventEmitter<"month" | "week">;
    protected weekSelector: SchedulerWeekSelectorComponent;
    constructor(logger: LoggerService);
    ngOnInit(): void;
    private initDateTimeFrames;
    private setSelectedMonth;
    private setSelectedDate;
    protected setDateToToday(): void;
    protected isToday: import("@angular/core").Signal<boolean>;
    toggleSelector(): void;
    private setDateTimeFrames;
    onChangedWeek(selectedWeek: SelectedWeek): void;
    onChangedMonth(selectedMonth: SelectedMonth): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerDateSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulerDateSelectorComponent, "scheduler-date-selector", never, { "showDate": { "alias": "showDate"; "required": false; }; "showCW": { "alias": "showCW"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "selector": { "alias": "selector"; "required": false; }; "calendarPlacement": { "alias": "calendarPlacement"; "required": false; }; "allowUserSwitch": { "alias": "allowUserSwitch"; "required": false; }; "showTodayButton": { "alias": "showTodayButton"; "required": false; }; "date": { "alias": "date"; "required": false; }; "selectedMonth": { "alias": "selectedMonth"; "required": false; }; }, { "onChangedDate": "onChangedDate"; "onChangedSelector": "onChangedSelector"; }, never, never, false, never>;
    static ngAcceptInputType_showTodayButton: unknown;
}
