import { OnInit, EventEmitter } from '@angular/core';
import 'moment/locale/de';
import * as i0 from "@angular/core";
export declare class SchedulerMonthSelectorComponent implements OnInit {
    constructor();
    ngOnInit(): void;
    months: Array<MonthsViewModel>;
    onChanged: EventEmitter<SelectedMonth>;
    set selectedMonth(value: SelectedMonth);
    get selectedMonth(): SelectedMonth;
    private _selectedMonth;
    private _date;
    get date(): Date;
    selectMonth(monthIndex: TMonth, year?: number): void;
    increaseYear(): void;
    decreaseYear(): void;
    private selectedMonthChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerMonthSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulerMonthSelectorComponent, "scheduler-month-selector", never, { "selectedMonth": { "alias": "selectedMonth"; "required": false; }; }, { "onChanged": "onChanged"; }, never, never, false, never>;
}
declare enum TMonth {
    Jan = 0,
    Feb = 1,
    Mar = 2,
    Apr = 3,
    May = 4,
    Jun = 5,
    Jul = 6,
    Aug = 7,
    Sep = 8,
    Oct = 9,
    Nov = 10,
    Dec = 11
}
export declare class MonthsViewModel {
    constructor(text: string, value: number);
    text: string;
    monthIndex: number;
    cssClass: string;
}
export declare class SelectedMonth {
    constructor(date: Date);
    constructor(monthIndex?: TMonth, year?: number);
    monthIndex: number;
    year: number;
    get date(): Date;
    get dateEndOfMonth(): Date;
}
export {};
