import { EventEmitter, OnInit } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { DropDownContainerComponent } from '@sowatech/shared/swt-controls';
import 'moment/locale/de';
import { AvailbleBSPositions } from 'ngx-bootstrap/positioning';
import * as i0 from "@angular/core";
export declare class SchedulerWeekSelectorComponent implements OnInit {
    private logger;
    constructor(logger: LoggerService);
    ngOnInit(): void;
    selectedMonth: any;
    private onInitFinished;
    private month;
    private year;
    selectedDateInterval: Date;
    weeks: Array<WeekViewModel>;
    monthOverview: MonthOverviewModel;
    invalidDate: boolean;
    previousMonthWidth: number;
    nextMonthWidth: number;
    onChanged: EventEmitter<SelectedWeek>;
    datedropdown: DropDownContainerComponent;
    showDate: boolean;
    showCW: boolean;
    dateFormat: string;
    calendarPlacement: AvailbleBSPositions;
    set date(value: Date);
    get date(): Date;
    setDate(value: Date): void;
    selectedDateIntervalChanged(dateIso: Date | string): void;
    inputValueChanged(dateIso: string): void;
    getMonthOfIsoweek(year: number, isoWeek: number): TMonth;
    getFirstIsoWeekOfMonth(year: number, month: TMonth): number;
    getIsoWeeksOfMonth(year: number, month: TMonth): Array<number>;
    initWeeks(selectIsoWeek: number): void;
    clickWeek(week: WeekViewModel): void;
    getDayWidthPercent(amountOfWeeksInMonth: number): number;
    getNumOfDaysOfIsoWeekNotInMonth(isoWeek: number, month: TMonth): number;
    initMonthDisplay(amountOfWeeks: number): void;
    selectedWeek: SelectedWeek;
    selectWeek(year: number, isoWeek: number): void;
    nextMonth(): void;
    previousMonth(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerWeekSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulerWeekSelectorComponent, "scheduler-week-selector", never, { "showDate": { "alias": "showDate"; "required": false; }; "showCW": { "alias": "showCW"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "calendarPlacement": { "alias": "calendarPlacement"; "required": false; }; "date": { "alias": "date"; "required": false; }; }, { "onChanged": "onChanged"; }, never, never, false, never>;
}
declare enum TMonth {
    Jan = 0,
    Feb = 1,
    Mar = 2,
    Apr = 3,
    May = 4,
    Jun = 5,
    Jul = 6,
    Aug = 7,
    Sep = 8,
    Oct = 9,
    Nov = 10,
    Dec = 11
}
export declare class WeekViewModel {
    constructor(year: number, isoWeek: number);
    isoWeek: number;
    year: number;
    date: Date;
    private setDate;
}
export declare class SelectedWeek {
    constructor(year?: number, isoWeek?: number);
    isoWeek: number;
    year: number;
    get month(): number;
    get date(): Date;
    get dateEndOfWeek(): Date;
}
export declare class MonthOverviewModel {
    constructor(year: number, month: TMonth);
    month: Date;
    previousMonth: Date;
    nextMonth: Date;
    dateFormatPM: string;
    dateFormatNM: string;
}
export {};
