import 'moment/locale/de';
import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { LoadingIndicatorComponent } from '@sowatech/shared/swt-controls';
import { SchedulerTimelineBase } from './scheduler-base';
import { IScheduledItem, ScheduledItemClickEvent, ScheduledItemModel, TimeLineSlot, TimelineSlotDataItem, TimeSlotCellClickEvent } from './scheduler-shared';
import { TSchedulerVariantType } from './types/scheduler-variant.type';
import * as i0 from "@angular/core";
export declare class SchedulerCalendarComponent extends SchedulerTimelineBase implements OnInit, OnDestroy {
    constructor(logger: LoggerService, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadingIndicator: LoadingIndicatorComponent;
    headerHeight: number;
    small: boolean;
    rowHeight: number;
    showNameOfMonth: boolean;
    showNameOfDay: boolean;
    set _variant(value: TSchedulerVariantType);
    set _timeLineDate(value: Date | string);
    set _slotWidth(value: number);
    set _slotItems(values: Array<TimelineSlotDataItem>);
    cellClick: EventEmitter<TimeSlotCellClickEvent>;
    itemClick: EventEmitter<ScheduledItemClickEvent>;
    timelineSlotsRefreshed: EventEmitter<void>;
    set _scheduledItems(values: Array<IScheduledItem>);
    scheduledItemsAsAppointments: boolean;
    protected recalcWidthsAndHeights(): void;
    resourceHeaderText: string;
    protected createScheduledItemModel(value: IScheduledItem): ScheduledItemModel;
    showTimeIntervalColumn: boolean;
    set _timeIntervalColOuterWidth(value: number);
    private timeIntervalColOuterWidth;
    timeIntervalColWidth: number;
    set _timeIntervalMinutes(value: number);
    private timeIntervalMinutes;
    set _timeRangeStartHour(value: number);
    private timeRangeStartHour;
    set _timeRangeEndHour(value: number);
    private timeRangeEndHour;
    timeIntervals: TimeInterval[];
    private createTimeIntervals;
    private findTimeInterval;
    protected getSlotCellLineId(scheduledItem: IScheduledItem): any;
    protected getSlotCellLineId(timelineSlotDataItem: TimelineSlotDataItem): any;
    protected getDateOfCell(slot: TimeLineSlot, lineId: any): Date;
    dateTime2TimeValue(date: Date | string): number;
    timeValue2DateTime(timeValue: number, dateOfDay: Date): Date;
    getTimeIntervalsForDate(date: Date): Date[];
    static ɵfac: i0.ɵɵFactoryDeclaration<SchedulerCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SchedulerCalendarComponent, "scheduler-calendar", never, { "headerHeight": { "alias": "headerHeight"; "required": false; }; "small": { "alias": "small"; "required": false; }; "rowHeight": { "alias": "rowHeight"; "required": false; }; "showNameOfMonth": { "alias": "showNameOfMonth"; "required": false; }; "showNameOfDay": { "alias": "showNameOfDay"; "required": false; }; "_variant": { "alias": "variant"; "required": false; }; "_timeLineDate": { "alias": "date"; "required": false; }; "_slotWidth": { "alias": "slotWidth"; "required": false; }; "_slotItems": { "alias": "slotItems"; "required": false; }; "_scheduledItems": { "alias": "scheduledItems"; "required": false; }; "scheduledItemsAsAppointments": { "alias": "scheduledItemsAsAppointments"; "required": false; }; "showTimeIntervalColumn": { "alias": "showTimeIntervalColumn"; "required": false; }; "_timeIntervalColOuterWidth": { "alias": "timeIntervalColWidth"; "required": false; }; "_timeIntervalMinutes": { "alias": "timeIntervalMinutes"; "required": false; }; "_timeRangeStartHour": { "alias": "timeRangeStartHour"; "required": false; }; "_timeRangeEndHour": { "alias": "timeRangeEndHour"; "required": false; }; }, { "cellClick": "cellClick"; "itemClick": "itemClick"; "timelineSlotsRefreshed": "timelineSlotsRefreshed"; }, never, never, false, never>;
}
export declare class TimeInterval {
    constructor(minute: number);
    hour: number;
    hourMinute: number;
    ident: number;
    text: string;
}
