import * as i0 from "@angular/core";
export declare class SwtGridDefaultConfig implements ISwtGridDefaultConfig {
    columnSize: ColumnSize;
    allowKeyboardShortCuts: boolean;
    minHeight: string;
    maxHeight: string;
    gridClass: any;
    allowCSVDownload: boolean;
    allowFilter: boolean;
    allowSort: boolean;
    allowPaging: boolean;
    showSelectedIdsNotFoundWarning: boolean;
    showRowDetail: boolean;
    showDetailMethod: ShowDetailMethod;
    paginationInfoVariant: PaginationInfoVariant;
    allowSelectPageSize: boolean;
    pageSizes: number[];
    allowMultiSelect: boolean;
    showEmptyGrid: boolean;
    emptyGridText: string;
    filterFieldsVisible: boolean;
    sortItemAlign: IconAlignType;
    showSelectCheckBoxes: boolean;
    tableHover: boolean;
    idfield: any;
    hideColSelectBtn: boolean;
    defaultStringFilterOperator: FilterOperatorType;
    columnTypeTextAlignment: Partial<Record<ColumnType, TextAlignType>>;
    allowPrintDownload: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwtGridDefaultConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SwtGridDefaultConfig>;
}
export type ColumnSize = 'small' | 'normal';
export type ShowDetailMethod = 'focus' | 'dropdown';
export type PaginationInfoVariant = 'default' | 'compact' | 'pageOnly';
export type IconAlignType = 'left' | 'right';
export type TextAlignType = 'right' | 'left' | 'center';
export type FilterOperatorType = 'StartsWith' | 'IsEqual' | 'Contains' | 'IsGreaterOrEqual' | 'IsLessOrEqual';
export type ColumnType = 'text' | 'number' | 'date' | 'datetime' | 'boolean' | 'url' | 'email' | 'tel' | 'money';
export interface ISwtGridDefaultConfig {
    columnSize: ColumnSize;
    allowKeyboardShortCuts: boolean;
    minHeight: string;
    maxHeight: string;
    gridClass?: string;
    allowCSVDownload: boolean;
    allowFilter: boolean;
    allowSort: boolean;
    allowPaging: boolean;
    showRowDetail: boolean;
    showDetailMethod: ShowDetailMethod;
    paginationInfoVariant: PaginationInfoVariant;
    allowSelectPageSize: boolean;
    pageSizes: number[];
    allowMultiSelect: boolean;
    showEmptyGrid: boolean;
    emptyGridText: string;
    filterFieldsVisible: boolean;
    sortItemAlign: IconAlignType;
    showSelectCheckBoxes: boolean;
    tableHover: boolean;
    idfield?: string;
    hideColSelectBtn?: boolean;
    defaultStringFilterOperator?: FilterOperatorType;
    columnTypeTextAlignment?: Partial<Record<ColumnType, TextAlignType>>;
}
