import { OnDestroy, OnInit, ElementRef } from '@angular/core';
import { Router, RouterOutlet } from '@angular/router';
import { LoggerService } from '@sowatech/shared/logger';
import { SideContentService } from './side-content.service';
import * as i0 from "@angular/core";
export declare class SideContentComponent implements OnInit, OnDestroy {
    logger: LoggerService;
    private sideContentService;
    private router;
    constructor(logger: LoggerService, sideContentService: SideContentService, router: Router);
    private subscriptions;
    ngOnInit(): void;
    outlet: RouterOutlet;
    sideContent: ElementRef;
    contentBox: ElementRef;
    icon: ElementRef;
    content: ElementRef;
    hackDeactivateOutletOnActivationStart: boolean;
    config: SideContentConfig;
    private init;
    private remove;
    toggle(): void;
    hide(): void;
    show(): void;
    private setSideContentOpenerVisible;
    private setSideContentOpenerInvisible;
    private isOpen;
    private open;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SideContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SideContentComponent, "side-content", never, { "hackDeactivateOutletOnActivationStart": { "alias": "hackDeactivateOutletOnActivationStart"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class SideContentConfig {
    icon: string;
    iconTooltip: string;
    contentWidth: number;
    contentMaxHeight: number;
    constructor(icon: string, iconTooltip: string, contentWidth?: number, contentMaxHeight?: number);
}
