import { EventEmitter, OnInit } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { IBoxDefaultConfig } from '@sowatech/shared/shared-config';
import { UserPropertiesStorageService } from '@sowatech/shared/user-properties-storage';
import * as i0 from "@angular/core";
export declare enum State {
    open = "open",
    collapsed = "collapsed"
}
export declare class IBoxComponent implements OnInit {
    private logger;
    private config;
    private userPropStorageService;
    stateChange: EventEmitter<State>;
    heading: string;
    collapsable: boolean;
    collapsed: boolean;
    headingHidden: boolean;
    label: string;
    contentHeadingClass: string;
    storeKey?: string;
    saveState?: boolean;
    constructor(logger: LoggerService, config: IBoxDefaultConfig, userPropStorageService: UserPropertiesStorageService);
    toggleCollapse(event: MouseEvent): void;
    ngOnInit(): void;
    private get key();
    private get defaultKey();
    static ɵfac: i0.ɵɵFactoryDeclaration<IBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IBoxComponent, "ibox", never, { "heading": { "alias": "heading"; "required": false; }; "collapsable": { "alias": "collapsable"; "required": false; }; "collapsed": { "alias": "collapsed"; "required": false; }; "headingHidden": { "alias": "headingHidden"; "required": false; }; "label": { "alias": "label"; "required": false; }; "contentHeadingClass": { "alias": "contentHeadingClass"; "required": false; }; "storeKey": { "alias": "store-key"; "required": false; }; "saveState": { "alias": "saveState"; "required": false; }; }, { "stateChange": "stateChange"; }, never, ["*", "[ibox-heading]", "[ibox-title-info]", "[ibox-tools]", "[ibox-content-heading]"], false, never>;
}
