import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { NgSelectComponent } from '@ng-select/ng-select';
import { SelectItem } from '@sowatech/shared/@types';
import * as i0 from "@angular/core";
export type VALUE = any;
export declare class MultiLRUComponent implements OnInit, OnDestroy {
    ngSelect: NgSelectComponent;
    selectedValues: EventEmitter<VALUE[]>;
    selectedTexts: EventEmitter<string[]>;
    valueChange: EventEmitter<string[]>;
    private _textValues;
    /**Text der SelectItems */
    get value(): string[];
    set value(value: string[]);
    inputSelectItems: SelectItem[];
    inputSelectItemsFn: (searchTerm: string) => Promise<SelectItem[]>;
    name: string;
    multiple: boolean;
    addTag: boolean;
    maxSelectedItems: number;
    inputMaxLength: number;
    filterMethod: 'includes' | 'startswith';
    cssClass: string;
    private loadingCounter;
    private readonly subscriptions;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onSelectChanged(): void;
    onSearch(searchTerm: string): Promise<void>;
    filterFunction: (term: string, item: SelectItem) => boolean;
    private showLoading;
    private hideLoading;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiLRUComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiLRUComponent, "multi-lru", never, { "value": { "alias": "value"; "required": false; }; "inputSelectItems": { "alias": "inputSelectItems"; "required": false; }; "inputSelectItemsFn": { "alias": "inputSelectItemsFn"; "required": false; }; "name": { "alias": "name"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "addTag": { "alias": "addTag"; "required": false; }; "maxSelectedItems": { "alias": "maxSelectedItems"; "required": false; }; "inputMaxLength": { "alias": "inputMaxLength"; "required": false; }; "filterMethod": { "alias": "filter-method"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; }, { "selectedValues": "selectedValues"; "selectedTexts": "selectedTexts"; "valueChange": "valueChange"; }, never, never, false, never>;
}
