import { ElementRef, OnInit, Provider } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectColor } from '@sowatech/shared/@types';
import { SwtColorPickerService } from './swt-color-picker.service';
import { ColorPickerConfiguration } from './swt-color-picker.types';
import * as i0 from "@angular/core";
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: Provider;
export declare class SwtColorPickerComponent implements ControlValueAccessor, OnInit {
    private elementRef;
    private colorPickerService;
    input: Element;
    required: boolean;
    set _selectColors(value: SelectColor[]);
    set _config(value: ColorPickerConfiguration);
    get emptyText(): string;
    get value(): string;
    set value(v: string);
    selectColors: SelectColor[];
    showColors: boolean;
    selectedColor: SelectColor;
    config: ColorPickerConfiguration;
    private innerValue;
    constructor(elementRef: ElementRef, colorPickerService: SwtColorPickerService);
    ngOnInit(): void;
    onDocumentClick(event: MouseEvent): void;
    writeValue(value: string): void;
    changeValue(selectedColor: SelectColor): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    changeColor(hexColor: string): void;
    changeColorManual(hexColor: string): void;
    hexColorIsValid(hexColor: string): boolean;
    toggleColors(): void;
    private initConfigDefaults;
    private setSelectedColor;
    private onChangeCallback;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwtColorPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwtColorPickerComponent, "swt-color-picker", never, { "required": { "alias": "required"; "required": false; }; "_selectColors": { "alias": "selectColors"; "required": false; }; "_config": { "alias": "config"; "required": false; }; }, {}, never, never, false, never>;
}
