import { DatePipe } from '@angular/common';
import { Input, EventEmitter, OnInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { I18nService } from '@sowatech/shared/utilities';
import moment from 'moment';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: any;
export declare class SwtDateInputComponent implements ControlValueAccessor, OnInit, OnDestroy {
    private datePipe;
    locale: string;
    private i18n;
    constructor(datePipe: DatePipe, locale: string, i18n: I18nService);
    subscriptions: Array<Subscription>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private valueType;
    errorMessage: string;
    isValid: boolean;
    languageIso: string;
    private momentFormat;
    private alternativeMomentFormat;
    private dateIsoFormat;
    dateString: string;
    dateInputError: DateInputError;
    private pattern;
    placeholder: string;
    dateFormat: string;
    name: any;
    autofocus: any;
    required: boolean;
    class: any;
    width: number;
    maxDate: Date;
    minDate: Date;
    showErrorMessage: boolean;
    dateInput: Input;
    dateError: EventEmitter<DateInputError>;
    private setTranslationProps;
    transformDateToString(date: Date): string;
    transformStringToDate(dateString: string): Date;
    transformStringToMoment(dateString: string): moment.Moment;
    dateMoment: moment.Moment;
    private onTouchedCallback;
    private onChangeCallback;
    get dateValue(): string;
    set dateValue(v: string);
    private resetErrorMessage;
    onBlur(): void;
    writeValue(value: DateIso | Date): void;
    private isIsoFormat;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onKeyDown(event: KeyboardEvent): void;
    private checkValidation;
    private checkDateIntervallisValid;
    checkForMaxDateError(maxDateMoment: moment.Moment, dateMoment: moment.Moment): DateInputError;
    private checkForMinDateError;
    private checkForDateIntervallError;
    private getErrorMessage;
    private checkDateIsValid;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwtDateInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwtDateInputComponent, "swt-date-input", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "name": { "alias": "name"; "required": false; }; "autofocus": { "alias": "autofocus"; "required": false; }; "required": { "alias": "required"; "required": false; }; "class": { "alias": "class"; "required": false; }; "width": { "alias": "width"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "showErrorMessage": { "alias": "showErrorMessage"; "required": false; }; }, { "dateError": "dateError"; }, never, never, false, never>;
}
declare enum DateInputError {
    None = 0,
    DateInvalidError = 1,
    MinDateError = 2,
    MaxDateError = 3,
    DateIntervallError = 4
}
type DateIso = string;
export {};
