import { LoggerService } from '@sowatech/shared/logger';
import { UserPropertiesStorageService } from '@sowatech/shared/user-properties-storage';
import { TIntervalSelectType } from './swt-date-interval.model';
import * as i0 from "@angular/core";
export declare class SwtDateIntervalStoreHelper {
    private loggerService;
    private storage;
    constructor(loggerService: LoggerService, storage: UserPropertiesStorageService);
    clearStorage(storeKey: string): void;
    loadFromStorage(storeKey: string, maxDurationInDays?: number): DateIntervalStoredData;
    saveToStorage(storeKey: string, start: string, end: string, intervalSelectType: TIntervalSelectType): void;
    private selectedDateKey;
    private selectedFromDateKey;
    private selectedItemValueKey;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwtDateIntervalStoreHelper, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SwtDateIntervalStoreHelper>;
}
declare class DateIntervalStoredData {
    constructor(start: string, end: string, intervalSelectType: TIntervalSelectType, maxDurationInDays?: number);
    start: string;
    end: string;
    intervalSelectType: TIntervalSelectType;
    private maxDurationInDays?;
    get isValid(): boolean;
    private hasValidDates;
    private isDefined;
    private hasValidOrder;
    private durationMaxisNotExceeded;
}
export {};
