import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { SelectItem } from '@sowatech/shared/@types';
import { I18nService } from '@sowatech/shared/utilities';
import { DropDownContainerComponent } from '../swt-dropdown-container/swt-dropdown-container.component';
import { SwtDateIntervalStoreHelper } from './swt-date-interval-store.service';
import { DateInterval, TIntervalSelectType } from './swt-date-interval.model';
import * as i0 from "@angular/core";
export type InputSize = 'small' | 'medium' | 'large';
export declare class SwtDateIntervalComponent implements OnInit, OnDestroy {
    private storeHelper;
    private i18n;
    private changeDetectorRef;
    constructor(storeHelper: SwtDateIntervalStoreHelper, i18n: I18nService, changeDetectorRef: ChangeDetectorRef);
    storeKey: string;
    set setintervalValues(values: Array<TIntervalSelectType>);
    private _selectedDate?;
    get selectedDate(): Date | string | undefined;
    get selectedDateAsString(): string | undefined;
    set setSelectedDate(value: Date | string);
    maxDurationInDays: number;
    delimiter: string;
    inputSize: InputSize;
    changeEventEmitter: EventEmitter<DateInterval>;
    swtcontainer: DropDownContainerComponent;
    swtFromcontainer: DropDownContainerComponent;
    swtDropdownContainerContainer: string;
    private readonly subscriptions;
    private onInitCalled;
    ngOnInit(): void;
    ngOnDestroy(): void;
    currentInterval: DateInterval;
    intervalSelectType: TIntervalSelectType;
    selectItems: Array<SelectItem>;
    setIntervalSelectType(value: TIntervalSelectType): void;
    newIntervalFromRangePicker(val: DateInterval, container: DropDownContainerComponent): void;
    onIntervalChange(): void;
    selectedMonth: TMonthIndex;
    selectedFromMonth: TMonthIndex;
    selectedFromQuarter: Quarters;
    selectedYear: number;
    selectedCalendarWeek: number;
    onMonthYearChange(): void;
    private initQuarter;
    updateQuarter(): void;
    selectedYearAdd(addYear: number): void;
    calendarWeekAdd(increment: number): void;
    isFirstCalendarWeekOfYear: boolean;
    isLastCalendarWeekOfYear: boolean;
    private recalcIsFirstOrLastWeek;
    onCalendarWeekChange(): void;
    fixCalendarWeek(): void;
    startEndError: boolean;
    fromDatePickerVisible: boolean;
    datepickervisible: boolean;
    monthvisible: boolean;
    fromMonthVisible: boolean;
    yearvisible: boolean;
    calendarweekVisible: boolean;
    intervalVisible: boolean;
    currentmonthyearvisible: boolean;
    quarterSelectorVisible: boolean;
    isInChange: boolean;
    months: Array<SelectItem>;
    readonly quarters: SelectItem[];
    calendarWeeks: Array<SelectItem>;
    refreshCalendarWeeks(): void;
    private detectChanges;
    private setSelectItemsValues;
    private getIntervalTypeSelectItemText;
    private oldInterval;
    private setCurrentInterval;
    private updateSelectedDateProperties;
    private getSelectedYearByInterval;
    private saveToStorage;
    private refreshControlVisibility;
    onInputChange(eventData: Event | string | Date, collapseContainer?: DropDownContainerComponent): void;
    private hasDatePicker;
    useBrowserDateInput(): boolean;
    private hasMonthSelect;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwtDateIntervalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwtDateIntervalComponent, "swt-date-interval", never, { "storeKey": { "alias": "store-key"; "required": false; }; "setintervalValues": { "alias": "selectItems"; "required": false; }; "setSelectedDate": { "alias": "selectedDate"; "required": false; }; "maxDurationInDays": { "alias": "maxDurationInDays"; "required": false; }; "delimiter": { "alias": "delimiter"; "required": false; }; "inputSize": { "alias": "inputSize"; "required": false; }; "swtDropdownContainerContainer": { "alias": "swtDropdownContainerContainer"; "required": false; }; }, { "changeEventEmitter": "change"; }, never, never, false, never>;
}
declare enum TMonthIndex {
    jan = 0,
    feb = 1,
    mar = 2,
    apr = 3,
    may = 4,
    jun = 5,
    jul = 6,
    aug = 7,
    sep = 8,
    oct = 9,
    nov = 10,
    dec = 11
}
declare enum Quarters {
    I = 0,
    II = 1,
    III = 2,
    IV = 3
}
export {};
