import moment from 'moment';
/**
 * - number: Letzten x Tage bis zum gewählten Tag
 * - 'day', 'currentday': Tag
 * - 'currentmonth': Monat + Jahr
 * - 'currentmonthwithoutyear': Datum => Monat
 * - 'currentquarter': Quartal + Jahr
 * - 'currentyear': Jahr
 * - 'interval': Tag bis Tag
 * - 'calendarweek': Kalenderwoche + Jahr
 * - 'monthinterval': Monat bis Monat + Jahr
 */
export type TIntervalSelectType = number | 'day' | 'currentday' | 'currentmonth' | 'currentquarter' | 'currentyear' | 'interval' | 'currentmonthwithoutyear' | 'calendarweek' | 'monthinterval';
export declare class DateInterval {
    constructor(start?: string | Date, end?: string | Date);
    start: string;
    end: string;
    get startMoment(): moment.Moment;
    get endMoment(): moment.Moment;
    get startDate(): Date;
    get endDate(): Date;
    setStart(d: string | Date): any;
    setStart(m: moment.Moment): any;
    setEnd(d: string | Date): any;
    setEnd(m: moment.Moment): any;
}
