import { WeekDay } from '@angular/common';
import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import moment from 'moment';
import * as i0 from "@angular/core";
export declare const SWT_DATE_PICKER_VALUE_ACCESSOR: any;
export declare class SwtDatePickerComponent implements ControlValueAccessor, OnInit {
    constructor();
    ngOnInit(): void;
    modusYear: boolean;
    set markedDays(value: Date[]);
    get markedDays(): Date[];
    private _markedDays;
    calendarWeekVisible: boolean;
    private _firstDayOfWeek;
    get firstDayOfWeek(): WeekDay;
    set firstDayOfWeek(value: WeekDay);
    get lastDayOfWeek(): WeekDay;
    readonly DisplayModus: typeof DisplayModus;
    private startDate;
    private endDate;
    currentMonth: number;
    private currentYear;
    weeks: DatePickerWeekViewModel[];
    daysOfWeek: string[];
    displayModus: DisplayModus;
    yearAuswahl: number[][];
    private yearInCenterView;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    get value(): string | Date;
    set value(v: string | Date);
    refresh(): void;
    writeValue(v: string | Date): void;
    private valueType;
    valueChange: EventEmitter<string | Date>;
    monthChanged: EventEmitter<{
        startDay: Date;
        endDay: Date;
    }>;
    select(date: Date): void;
    get currentMonthAndYear(): Date;
    next(): void;
    previous(): void;
    private goToSelectedDate;
    private displayNextMonth;
    private displayNextYears;
    private displayPreviousMonth;
    private displayPreviousYears;
    /**
     * Berechnet Start- und Enddatum der Ansicht neu
     */
    private refreshStartEndDate;
    private buildMonth;
    private buildWeek;
    today(): void;
    setYear(pickedYear: number): void;
    setModusYear(): void;
    fillYearAuswahlArray(): void;
    getStartDate(): Date;
    getEndDate(): Date;
    private setDaysOfWeek;
    private toIsoWeekday;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwtDatePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwtDatePickerComponent, "swt-date-picker", never, { "modusYear": { "alias": "modusYear"; "required": false; }; "markedDays": { "alias": "markedDays"; "required": false; }; "calendarWeekVisible": { "alias": "calendarWeekVisible"; "required": false; }; "firstDayOfWeek": { "alias": "firstDayOfWeek"; "required": false; }; }, { "valueChange": "change"; "monthChanged": "monthChanged"; }, never, never, false, never>;
}
export declare class DatePickerWeekViewModel {
    weekNumber: number;
    days: DatePickerDayViewModel[];
    constructor(weekNumber: number, days?: DatePickerDayViewModel[]);
}
export declare class DatePickerDayViewModel {
    currentMoment: moment.Moment;
    constructor(currentMoment: moment.Moment, currentMonth: number, valueMoment: moment.Moment, valueChange: EventEmitter<string | Date>, markedDays: moment.Moment[]);
    isCurrentMonth: boolean;
    isToday: boolean;
    isSelected: boolean;
    isMarked: boolean;
    get currentDate(): Date;
    get cssClass(): string;
}
export declare enum DisplayModus {
    Years = 0,
    Days = 1
}
