import { EventEmitter, QueryList } from '@angular/core';
import { BsDropdownContainerComponent } from 'ngx-bootstrap/dropdown';
import * as i0 from "@angular/core";
export type InputSize = 'small' | 'medium' | 'large';
export declare class DropDownContainerComponent {
    dropdown: BsDropdownContainerComponent;
    childDropdowns: QueryList<DropDownContainerComponent>;
    container: string;
    alignContent: 'left' | 'right';
    width: string;
    disableClickPropagation: boolean;
    inputSize: InputSize;
    /**
     * Kann gesetzt werden um den Dropdown automatisch zu schließen sobald man außerhalb des Dropdowns klickt.
     * ToggleCollapse/Expand funktionieren nicht, wenn closeWhenClickOutside aktiviert ist.
     */
    closeWhenClickOutside: boolean;
    value: string;
    values: string[];
    set displayValue(value: string | string[]);
    get collapsed(): boolean;
    set collapsed(value: boolean);
    allowClear: boolean;
    onClear: EventEmitter<void>;
    onShow: EventEmitter<void>;
    toggleCollapse(isGoingToOpen: boolean): void;
    collapse(): void;
    expand(): void;
    clear(eventData: Event): void;
    collapseChildDropdowns(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropDownContainerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropDownContainerComponent, "swt-dropdown-container", never, { "container": { "alias": "container"; "required": false; }; "alignContent": { "alias": "alignContent"; "required": false; }; "width": { "alias": "width"; "required": false; }; "disableClickPropagation": { "alias": "disableClickPropagation"; "required": false; }; "inputSize": { "alias": "inputSize"; "required": false; }; "closeWhenClickOutside": { "alias": "closeWhenClickOutside"; "required": false; }; "displayValue": { "alias": "displayValue"; "required": false; }; "collapsed": { "alias": "collapsed"; "required": false; }; "allowClear": { "alias": "allowClear"; "required": false; }; }, { "onClear": "onClear"; "onShow": "onShow"; }, ["childDropdowns"], ["[dropdown-input]", "*"], false, never>;
}
