import { EventEmitter, OnInit, QueryList } from '@angular/core';
import { SelectItem } from '@sowatech/shared/@types';
import { UserPropertiesStorageService } from '@sowatech/shared/user-properties-storage';
import type { SwtLruComponentBase } from './templates/swt-lru.template';
import * as i0 from "@angular/core";
export declare class LRUComponent implements OnInit {
    private storage;
    constructor(storage: UserPropertiesStorageService);
    template: QueryList<SwtLruComponentBase>;
    selectedId: EventEmitter<number>;
    selectedName: EventEmitter<string>;
    valueChange: EventEmitter<string>;
    private get htmlInputSearch();
    private get htmlSelectItems();
    private inputValue;
    get value(): string;
    set value(value: string);
    key: string;
    inputMaxLength: number;
    stopEventPropagation: boolean;
    filterMethod: 'includes' | 'startswith';
    set inputSelectItems(selectItems: SelectItem[]);
    private _cssClass;
    set cssClass(value: string);
    get cssClass(): string;
    inputGroupCss: string;
    /**
     * @deprecated Use the 'value' two-way-binding instead
     */
    set preSetText(text: string);
    savedIds: number[];
    selectItems: SelectItem[];
    originalSelectItems: SelectItem[];
    inputFocused: boolean;
    listFocused: boolean;
    showList: boolean;
    private focusedItem;
    ngOnInit(): void;
    storageKey(): string;
    onKeydown(event: KeyboardEvent): void;
    filterSelectItems(): void;
    select(itemValue?: number): void;
    refresh(): void;
    reorderSelectItems(): void;
    onInputFocus(): void;
    onListFocus(): void;
    onInputFocusLost(): void;
    onListFocusLost(): void;
    private updateShowList;
    clearInput(): void;
    private getFocusedElement;
    private setSelectedText;
    private removeItemFromArray;
    private loadFromStorage;
    private saveToStorage;
    private addToBeginning;
    static ɵfac: i0.ɵɵFactoryDeclaration<LRUComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LRUComponent, "swt-lru", never, { "value": { "alias": "value"; "required": false; }; "key": { "alias": "key"; "required": false; }; "inputMaxLength": { "alias": "inputMaxLength"; "required": false; }; "stopEventPropagation": { "alias": "stopEventPropagation"; "required": false; }; "filterMethod": { "alias": "filter-method"; "required": false; }; "inputSelectItems": { "alias": "inputSelectItems"; "required": false; }; "cssClass": { "alias": "cssClass"; "required": false; }; "preSetText": { "alias": "preSetText"; "required": false; }; }, { "selectedId": "selectedId"; "selectedName": "selectedName"; "valueChange": "valueChange"; }, never, never, false, never>;
}
