import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { LoggerService } from '@sowatech/shared/logger';
import { QuillEditorComponent, QuillModule } from 'ngx-quill';
import { IQuillConfiguration, IQuillToolbarConfiguration, QuillToolbarDefaultType } from './swt-quill.types';
import * as i0 from "@angular/core";
export declare const SWT_QUILL_EDITOR_VALUE_ACCESSOR: any;
export declare class SwtQuillEditorComponent implements OnInit, ControlValueAccessor {
    private logger;
    constructor(logger: LoggerService);
    private _config;
    get config(): IQuillConfiguration;
    set config(config: IQuillConfiguration);
    name: string;
    maxLength: number;
    minLength: number;
    required: boolean;
    placeholder: string;
    textbox: QuillEditorComponent;
    ngOnInit(): void;
    private innerValue;
    get value(): string;
    set value(v: string);
    private onTouchedCallback;
    private onChangeCallback;
    writeValue(v: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private configureQuillInlineStyles;
    quillModules: QuillModule;
    private setQuillModules;
    private getQuillToolbar;
    private prepareConfig;
    getDefaultQuillToolbar(defaultType: QuillToolbarDefaultType): IQuillToolbarConfiguration;
    static getReducedQuillToolbar(): IQuillToolbarConfiguration;
    static getFullQuillToolbar(): IQuillToolbarConfiguration;
    static ɵfac: i0.ɵɵFactoryDeclaration<SwtQuillEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SwtQuillEditorComponent, "swt-quill-editor", never, { "config": { "alias": "config"; "required": false; }; "name": { "alias": "name"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "minLength": { "alias": "minLength"; "required": false; }; "required": { "alias": "required"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; }, {}, never, never, false, never>;
}
