import { QuillModules } from 'ngx-quill';
export interface IQuillConfiguration {
    /**
        default: 'html'
     */
    format?: 'html' | 'object' | 'text' | 'json';
    /**
        default: 'snow'
     */
    theme?: 'snow' | 'bubble';
    readOnly?: boolean;
    toolbar?: QuillToolbarDefaultType | IQuillToolbarConfiguration;
    /**
     *wird nur benötigt, falls standard modules/toolbar nicht ausreicht
     */
    modules?: QuillModules;
}
/**
 *manuelles einstellen der Toolbar
 */
export interface IQuillToolbarConfiguration {
    clean?: boolean;
    decorators?: QuillDecorator[];
    quotes?: QuillQuote[];
    headers?: QuillHeader[];
    lists?: QuillList[];
    scripts?: QuillScript[];
    directions?: QuillDirection[];
    sizes?: QuillSize[];
    colors?: string[];
    backgrounds?: string[];
    fonts?: string[];
    aligns?: QuillAlign[];
}
/**
 * reduced: decorators, lists, sizes, colors, backgrounds, aligns
 *
 * full: decorators, quotes, headers, lists, scripts, directions, sizes, colors, backgrounds, fonts, aligns
 */
export type QuillToolbarDefaultType = 'reduced' | 'full';
export type QuillDecorator = 'bold' | 'italic' | 'underline' | 'strike';
export type QuillQuote = 'blockquote';
export type QuillHeader = 1 | 2 | number[];
export type QuillList = 'ordered' | 'bullet';
export type QuillScript = 'sub' | 'super';
export type QuillDirection = 'rtl';
export type QuillSize = '10px' | false | '18px' | '32px';
export type QuillAlign = false | 'center' | 'right' | 'justify';
