import { AfterContentInit, EventEmitter, QueryList } from '@angular/core';
import { ShortcutInput } from 'ng-keyboard-shortcuts';
import { WizardStep, WizardStepComponent } from './swt-wizard-step.component';
import * as i0 from "@angular/core";
export declare class WizardComponent implements AfterContentInit {
    shortcuts: ShortcutInput[];
    wizardStepComponents: QueryList<WizardStepComponent>;
    ngAfterContentInit(): void;
    tabclass: string;
    autoReset: boolean;
    /** `@Input` mit 'title' sorgt für einen tooltip, also besser 'heading' benutzen */
    title: string;
    get heading(): string;
    set heading(value: string);
    subTitle: string;
    onAfterReset: EventEmitter<void>;
    onBeforeLeaveStepToNext: EventEmitter<WizardStep>;
    onBeforeLeaveStepToPrevious: EventEmitter<WizardStep>;
    onAfterLeaveStep: EventEmitter<WizardStep>;
    onBeforeEnterStep: EventEmitter<WizardStep>;
    onAfterEnterStep: EventEmitter<WizardStep>;
    onStepChanged: EventEmitter<WizardStep>;
    onBeforeFinished: EventEmitter<WizardStep>;
    onAfterFinished: EventEmitter<WizardStep>;
    onCanceled: EventEmitter<void>;
    steps: Array<WizardStep>;
    private initSteps;
    private setStepDefaults;
    reset(): void;
    private setFirstStep;
    set firstStep(firstStep: WizardStep);
    get firstStep(): WizardStep;
    private setCurrentStep;
    set currentStep(currentStep: WizardStep);
    get currentStep(): WizardStep;
    setLastSteps(lastSteps: WizardStep[]): void;
    getNextStep(): WizardStep;
    getPreviousStep(): WizardStep;
    goto(gotoStep: WizardStep): Promise<void>;
    next(targetStep?: WizardStep): Promise<void>;
    previous(enteredStep?: WizardStep): void;
    private leftStep;
    private enterStep;
    finish(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WizardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WizardComponent, "swt-wizard", never, { "tabclass": { "alias": "tabclass"; "required": false; }; "autoReset": { "alias": "autoReset"; "required": false; }; "title": { "alias": "title"; "required": false; }; "heading": { "alias": "heading"; "required": false; }; "subTitle": { "alias": "subTitle"; "required": false; }; }, { "onAfterReset": "onAfterReset"; "onBeforeLeaveStepToNext": "onBeforeLeaveStepToNext"; "onBeforeLeaveStepToPrevious": "onBeforeLeaveStepToPrevious"; "onAfterLeaveStep": "onAfterLeaveStep"; "onBeforeEnterStep": "onBeforeEnterStep"; "onAfterEnterStep": "onAfterEnterStep"; "onStepChanged": "onStepChanged"; "onBeforeFinished": "onBeforeFinished"; "onAfterFinished": "onAfterFinished"; "onCanceled": "onCanceled"; }, ["wizardStepComponents"], ["*"], false, never>;
}
