import { EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { SharedConfigService } from '@sowatech/shared/shared-config';
import { BsModalRef } from 'ngx-bootstrap/modal';
import { ColVisibilityService } from './col-visibility.service';
import { ColSelectDialogComponentBase } from './templates/col-select-dialog.templates';
import * as i0 from "@angular/core";
export declare class ColSelectDialogComponent implements OnInit, OnDestroy {
    private colVisibilityService;
    bsModalRef: BsModalRef;
    constructor(colVisibilityService: ColVisibilityService, sharedConfig: SharedConfigService, bsModalRef: BsModalRef);
    ngOnInit(): void;
    private readonly subscriptions;
    ngOnDestroy(): void;
    dialogTitle: string;
    disableAnimation: boolean;
    template: QueryList<ColSelectDialogComponentBase>;
    onSubmit: EventEmitter<string[]>;
    get isConfigured(): boolean;
    dialogFields: DialogField[];
    editItem: ColumnVisibility;
    private createColumnVisibility;
    cancelDialog(): void;
    submitDialog(): void;
    private onSubmitColumnVisiblity;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColSelectDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColSelectDialogComponent, "col-select-dialog", never, {}, { "onSubmit": "onSubmit"; }, never, never, false, never>;
}
type ColumnVisibility = {
    [fieldname: string]: boolean;
};
interface DialogField {
    columnKey: string;
    text: string;
    type: string;
    hiddenByDefault: boolean;
}
export interface IColumnKeyText {
    key: string;
    text: string;
    hiddenByDefault: boolean;
}
export {};
