import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { NgForm } from '@angular/forms';
import { NgOption } from '@ng-select/ng-select';
import { SelectColor, SelectItem, SelectItemGroup } from '@sowatech/shared/@types';
import { DatasourceComponent } from '@sowatech/shared/ds-datasource';
import { LoggerService } from '@sowatech/shared/logger';
import { GenericEditDialogBaseComponent } from './swt-generic-edit-dialog-base.component';
import { DialogDynamicList, DialogField, DialogFieldButton, DialogFieldCategory } from './swt-generic-edit-dialog.types';
import { SwtGenericEditDialogFormComponentBase } from './templates/swt-generic-edit-dialog-form.templates';
import * as i0 from "@angular/core";
export declare class GenericEditDialogFormComponent implements OnInit, OnDestroy, AfterViewInit {
    private logger;
    changeDetectorRef: ChangeDetectorRef;
    private readonly locale;
    private readonly currencyCode;
    constructor(logger: LoggerService, changeDetectorRef: ChangeDetectorRef, locale: string, currencyCode: string);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    small: boolean;
    master: GenericEditDialogBaseComponent<any>;
    cat: DialogFieldCategory;
    editItem: any;
    dynamicLookups: DialogDynamicList[];
    inputClass: string;
    private subscriptions;
    template: QueryList<SwtGenericEditDialogFormComponentBase>;
    get dialogForm(): NgForm;
    swtDropdownContainerContainer: string;
    onDropdownGridShown: EventEmitter<string>;
    passwordConfirmInvalid(field: DialogField): boolean;
    fieldVisible(field: DialogField): boolean;
    getLookups(field: DialogField): Array<SelectItem | SelectColor>;
    getGroupableLookups(field: DialogField): SelectItemGroup[];
    /**
     * Used for trackBy in NgFor.
     * Prevents the unnecessary Destroy/Create of the Elements, what breaks ChangeDetection in Firefox
     */
    idenitifyGroupableLookupsChanged(index: any, item: SelectItemGroup): string;
    private ngSelectOptionsDictionary;
    getLookupsWithLabel(field: DialogField): Array<NgOption>;
    hasLookups(field: DialogField): boolean;
    dropDownClearClicked(fieldname: string): void;
    getDynamicDatasource(field: DialogField): DatasourceComponent;
    getDisplayValue(field: DialogField): string[];
    getDisplayValueOrDefault(field: DialogField, defaultValue: string): string[];
    refreshDialog(): void;
    formValueChanged: EventEmitter<GenericEditDialogFormComponent>;
    onFormValueChanged(data?: any): void;
    onSelectChanged(fieldname: string): void;
    private clearDependentSelect;
    formErrors: {};
    formValidate(data?: any): void;
    formatMoneyText(field: DialogField): string;
    private setFormErrors;
    private getErrorMessage;
    containsFormButtons(field: DialogField): boolean;
    formButtons(field: DialogField): DialogFieldButton[];
    onButtonClicked(btn: DialogFieldButton, editItem: any): void;
    doOnDropdownGridShown(fieldname: string): void;
    clickSpinnerUp(eventData: any, field: DialogField): void;
    clickSpinnerDown(eventData: any, field: DialogField): void;
    private getHasDatePicker;
    private readonly hasDatePicker;
    useBrowserDateInput(field: DialogField): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<GenericEditDialogFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GenericEditDialogFormComponent, "swt-generic-edit-dialog-form", never, { "master": { "alias": "master"; "required": false; }; "cat": { "alias": "cat"; "required": false; }; "editItem": { "alias": "editItem"; "required": false; }; "dynamicLookups": { "alias": "dynamicLookups"; "required": false; }; "inputClass": { "alias": "inputClass"; "required": false; }; "swtDropdownContainerContainer": { "alias": "swtDropdownContainerContainer"; "required": false; }; }, { "onDropdownGridShown": "onDropdownGridShown"; "formValueChanged": "formValueChanged"; }, never, never, false, never>;
}
