import { DoCheck, KeyValueDiffers, OnDestroy, OnInit } from '@angular/core';
import { LoggerService } from '@sowatech/shared/logger';
import { GenericEditDialogBaseComponent } from './swt-generic-edit-dialog-base.component';
import { DialogDynamicList, DialogField, DialogFieldCategory } from './swt-generic-edit-dialog.types';
import * as i0 from "@angular/core";
export declare class GenericEditDialogInlineComponent<T> extends GenericEditDialogBaseComponent<T> implements DoCheck, OnDestroy, OnInit {
    constructor(logger: LoggerService, differs: KeyValueDiffers);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngDoCheck(): void;
    /**
    Bestimmt in welchem container der bs-dropdown-container gerendert wird. Default ist 'body'.
 */
    swtDropdownContainerContainer: string;
    /**
     * Konfiguriert den Aufbau des Formulars
     *
     * @param fieldsOrCategoriesOfFields
     */
    configureDialogFields(fieldsOrCategoriesOfFields: DialogField[] | DialogFieldCategory[]): void;
    /**
     * Übergibt die Bearbeitungsdaten
     * Wenn nicht aufgerufen, dann funktioniert die Change-Detection nicht!
     *
     * @param dto
     * @param dynamicLists
     */
    initData(dto?: T, dynamicLists?: DialogDynamicList[]): void;
    /**
     * Abschluss der Bearbeitung.
     * Kopiert die Form-Eingabewerte in das Datenobjekt zurück und liefert dieses als Ergebnis.
     */
    submitEdit(): T;
    cancelEdit(): void;
    /**
     * wird intern benutzt
     * */
    isShown(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<GenericEditDialogInlineComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GenericEditDialogInlineComponent<any>, "swt-generic-edit-dialog-inline", never, { "swtDropdownContainerContainer": { "alias": "swtDropdownContainerContainer"; "required": false; }; }, {}, never, never, false, never>;
}
