import { LoggerService } from '@sowatech/shared/logger';
import { Subject, Observable } from 'rxjs';
import { GenericEditDialogComponent } from './swt-generic-edit-dialog.component';
import { DialogFieldCategory, DialogField, DialogDynamicList, IDialogConfiguration, GenericEditDialogResult } from './swt-generic-edit-dialog.types';
import * as i0 from "@angular/core";
export declare class GenericEditDialogService {
    private loggerService;
    constructor(loggerService: LoggerService);
    private notify;
    raiseNotify(data: any): void;
    private notifySubscriptions;
    subscribeOnNotify(next: (value: any) => void): void;
    unsubscribeNotifies(): void;
    private registeredConfigurations;
    private dialogComponent;
    setDialogComponent(dialogComponent: GenericEditDialogComponent<any>): void;
    registerDialogConfiguration(key: string, dialogConfiguration: IDialogConfiguration): any;
    registerDialogConfiguration(key: string, fieldsOrCategoriesOfFields: DialogField[] | DialogFieldCategory[], title?: string, categoriesAsTabs?: boolean): any;
    private getDialogConfiguration;
    show(configuration: IDialogConfiguration, dto?: any, mode?: any, lookups?: DialogDynamicList[]): Observable<GenericEditDialogResult<any, any>>;
    show<DATATYPE>(configuration: IDialogConfiguration, dto?: DATATYPE, mode?: any, lookups?: DialogDynamicList[]): Observable<GenericEditDialogResult<DATATYPE, any>>;
    show<DATATYPE, MODETYPE>(configuration: IDialogConfiguration, dto?: DATATYPE, mode?: MODETYPE, lookups?: DialogDynamicList[]): Observable<GenericEditDialogResult<DATATYPE, MODETYPE>>;
    show(key: string, dto?: any, mode?: any, lookups?: DialogDynamicList[]): Observable<GenericEditDialogResult<any, any>>;
    show<DATATYPE>(key: string, dto?: DATATYPE, mode?: any, lookups?: DialogDynamicList[]): Observable<GenericEditDialogResult<DATATYPE, any>>;
    show<DATATYPE, MODETYPE>(key: string, dto?: DATATYPE, mode?: MODETYPE, lookups?: DialogDynamicList[]): Observable<GenericEditDialogResult<DATATYPE, MODETYPE>>;
    private hiddenSubscription;
    private cancelSubscription;
    showConfig<DATATYPE>(configuration: IDialogConfiguration, dto?: DATATYPE, lookups?: DialogDynamicList[], mode?: any, key?: string): Observable<GenericEditDialogResult<DATATYPE, any>>;
    onCancel: Subject<void>;
    onHidden: Subject<void>;
    hide(): void;
    showErrors(errors: string[]): void;
    focus(fieldname: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GenericEditDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GenericEditDialogService>;
}
