import { EventEmitter } from '@angular/core';
import { DatasourceComponent } from '@sowatech/shared/ds-datasource';
import { DialogField } from '../swt-generic-edit-dialog/swt-generic-edit-dialog.types';
import { GridColumn } from '../swt-grid/swt-grid-configuration';
import { GridColumnButtonEvent } from '../swt-grid/swt-grid-events';
import { GridComponent } from '../swt-grid/swt-grid.component';
import { ListEditorWebApiService } from './swt-list-editor-web-api.service';
import * as i0 from "@angular/core";
type FieldName<T> = Extract<keyof T, string>;
export declare class ListEditorComponent<ListItem = any> {
    private readonly destroyRef;
    private readonly logger;
    private readonly messageBoxService;
    private readonly i18n;
    private readonly editDialog;
    listItems: Array<ListItem>;
    idFieldname: FieldName<ListItem>;
    titleSingular: string;
    titlePlural: string;
    small: boolean;
    gridButtonColumn: GridColumn;
    explicitStoreKey?: string;
    onEdit: EventEmitter<ListItem>;
    listDatasource: DatasourceComponent;
    listGrid: GridComponent;
    private dialogConfig;
    set columns(allColumns: ListColumn<ListItem>[]);
    private _webApiService;
    set webApiService(value: ListEditorWebApiService<ListItem>);
    get storeKey(): string;
    refresh(focusId?: number): Promise<void>;
    private getListItemId;
    add(): void;
    gridButtonClicked(event: GridColumnButtonEvent): void;
    private delete;
    private deleteItem;
    private edit;
    private updateItem;
    private insertItem;
    focus(listItem: ListItem): void;
    isSelected(listItem: ListItem): boolean;
    private setEditableColumns;
    private setVisibleColumns;
    private listColumnToGridColumn;
    /** Das Grid unsterstützt nicht die Implementation eines lookupsKey */
    private isValidLookup;
    private fieldTypeToGridColumnType;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListEditorComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListEditorComponent<any>, "swt-list-editor", never, { "idFieldname": { "alias": "idFieldname"; "required": false; }; "titleSingular": { "alias": "titleSingular"; "required": false; }; "titlePlural": { "alias": "titlePlural"; "required": false; }; "small": { "alias": "small"; "required": false; }; "gridButtonColumn": { "alias": "gridButtonColumn"; "required": false; }; "explicitStoreKey": { "alias": "store-key"; "required": false; }; }, { "onEdit": "onEdit"; }, never, ["[custom-buttons]", "[grid-detail]"], false, never>;
}
export type ListColumn<T = any> = DialogField<T> & Omit<GridColumn<T>, 'type' | 'lookups'> & ListColumnCustomFields;
export declare class ListColumnCustomFields {
    hiddenInList?: boolean;
    hiddenInDialog?: boolean;
}
export {};
