import { LoggerService } from '@sowatech/shared/logger';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CommunicationService {
    private logger;
    constructor(logger: LoggerService);
    static currentHandleCreatorNumber: number;
    createChannel(): ChannelHandle;
    sendMessage(handle: ChannelHandle, data: any, messageType?: string): void;
    subscribeToChannel(handle: ChannelHandle, next?: (value: IMessage) => void, error?: (error: any) => void, complete?: () => void): Subscription;
    private channels;
    private getChannel;
    deleteChannel(handle: ChannelHandle): void;
    deleteChannels(handles: ChannelHandle[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommunicationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommunicationService>;
}
export type ChannelHandle = string;
export interface IMessage {
    data: any;
    messageType?: string;
}
export declare class Message<MESSAGEDATA> implements IMessage {
    data: MESSAGEDATA;
    messageType?: string;
    constructor(data: MESSAGEDATA, messageType?: string);
}
