import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class StateMachineService {
    createStateMachine<TSTATE, TINPUT>(initialState: TSTATE, transitions: ITransition<TSTATE, TINPUT>[], finalStates?: TSTATE[]): StateMachine<TSTATE, TINPUT>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StateMachineService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StateMachineService>;
}
export declare class StateMachine<TSTATE, TINPUT> {
    private initialState;
    private transitions;
    private finalStates?;
    constructor(initialState: TSTATE, transitions: ITransition<TSTATE, TINPUT>[], finalStates?: TSTATE[]);
    private _state;
    set currentState(value: TSTATE);
    get currentState(): TSTATE;
    onStateChanged: Subject<TSTATE>;
    onFinalState: Subject<TSTATE>;
    resetState(): void;
    sendInput(input: TINPUT): void;
}
export interface ITransition<TSTATE, TINPUT> {
    fromState: TSTATE;
    toState: TSTATE;
    input: TINPUT;
}
