import 'moment/locale/de';
import * as i0 from '@angular/core';
import { EventEmitter, Output, Input, ContentChildren, ViewChild, Component, forwardRef, ChangeDetectionStrategy, inject, Injectable, Directive, NgModule, ContentChild, DestroyRef, Pipe, ViewChildren, ChangeDetectorRef, input, effect, LOCALE_ID, Inject, ViewEncapsulation } from '@angular/core';
import * as i1 from '@angular/common';
import { WeekDay, CommonModule, DatePipe } from '@angular/common';
import * as i2 from '@sowatech/shared/template';
import { SwitchTemplateModule } from '@sowatech/shared/template';
import * as i4 from 'ngx-bootstrap/dropdown';
import { BsDropdownModule } from 'ngx-bootstrap/dropdown';
import * as i2$1 from '@angular/forms';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';
import moment from 'moment';
import * as i3 from '@sowatech/shared/no-double-click';
import { NoDblClickModule } from '@sowatech/shared/no-double-click';
import * as i2$3 from '@sowatech/shared/utilities';
import { I18nService } from '@sowatech/shared/utilities';
import * as i1$1 from '@sowatech/shared/logger';
import * as i2$2 from '@sowatech/shared/user-properties-storage';
import * as i2$5 from '@sowatech/shared/shared-config';
import { SharedConfigService } from '@sowatech/shared/shared-config';
import * as i2$4 from '@sowatech/shared/layout';
import { LayoutModule } from '@sowatech/shared/layout';
import * as i2$6 from 'ng-keyboard-shortcuts';
import { AllowIn, KeyboardShortcutsModule } from 'ng-keyboard-shortcuts';
import { takeUntilDestroyed } from '@angular/core/rxjs-interop';
import { debounceTime, distinctUntilChanged } from 'rxjs/operators';
import { debounceTime as debounceTime$1, noop as noop$4 } from 'rxjs';
import * as i3$1 from '@ng-select/ng-select';
import { NgSelectModule } from '@ng-select/ng-select';
import { NgxMaskDirective, NgxMaskPipe, provideNgxMask } from 'ngx-mask';
import * as i3$2 from 'ngx-quill';
import { QuillModule } from 'ngx-quill';
import Quill from 'quill';

class DropDownContainerComponent {
    constructor() {
        this.container = 'body';
        this.alignContent = 'left';
        this.disableClickPropagation = false;
        this.inputSize = 'medium';
        /**
         * Kann gesetzt werden um den Dropdown automatisch zu schließen sobald man außerhalb des Dropdowns klickt.
         * ToggleCollapse/Expand funktionieren nicht, wenn closeWhenClickOutside aktiviert ist.
         */
        this.closeWhenClickOutside = false;
        this.values = null;
        this.allowClear = false;
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        this.onClear = new EventEmitter();
        // eslint-disable-next-line @angular-eslint/no-output-on-prefix
        this.onShow = new EventEmitter();
    }
    set displayValue(value) {
        if (Array.isArray(value)) {
            this.value = '';
            this.values = value;
        }
        else {
            this.values = null;
            this.value = value;
        }
    }
    //Abwärtskompatibilität
    //Vorher haben wir den DropDownContainer eigenhändig gebaut, jetzt benutzen wir ngx-bootstrap.
    //ngx-bootstrap fragt isOpen ab, welches genau invertiert zu unserer variante isCollapsed abgefragt hat.
    //Der Input soll noch gleich funktionieren und bestehen bleiben.
    get collapsed() {
        return !this.dropdown.isOpen;
    }
    set collapsed(value) {
        this.dropdown.isOpen = !value;
    }
    toggleCollapse(isGoingToOpen) {
        this.dropdown.isOpen = isGoingToOpen;
    }
    collapse() {
        this.dropdown.isOpen = false;
    }
    expand() {
        this.dropdown.isOpen = true;
    }
    clear(eventData) {
        eventData.stopPropagation();
        this.onClear.emit();
    }
    collapseChildDropdowns() {
        this.childDropdowns.forEach(child => child.collapse());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DropDownContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: DropDownContainerComponent, isStandalone: false, selector: "swt-dropdown-container", inputs: { container: "container", alignContent: "alignContent", width: "width", disableClickPropagation: "disableClickPropagation", inputSize: "inputSize", closeWhenClickOutside: "closeWhenClickOutside", displayValue: "displayValue", collapsed: "collapsed", allowClear: "allowClear" }, outputs: { onClear: "onClear", onShow: "onShow" }, queries: [{ propertyName: "childDropdowns", predicate: DropDownContainerComponent }], viewQueries: [{ propertyName: "dropdown", first: true, predicate: ["dropdown"], descendants: true, static: true }], ngImport: i0, template: "<div style=\"display:inline-block\" [style.width]=\"width\" dropdown #dropdown=\"bs-dropdown\" #inputContainer\r\n    [container]=\"container\" [insideClick]=\"disableClickPropagation\" placement=\"bottom\" (onShown)=\"onShow.emit()\"\r\n    [autoClose]=\"closeWhenClickOutside\" (onHidden)=\"collapseChildDropdowns()\" class=\"swt-dropdown-container\" dropdownToggle>\r\n    <div *ngIf=\"!value && !values\" class=\"input-group\">\r\n        <ng-content select=\"[dropdown-input]\" #template></ng-content>\r\n        <span class=\"input-group-addon dropdown-toggle\" id=\"addon-toggle-collapse\">\r\n            <i class=\"fa\" [ngClass]=\"dropdown.isOpen ? 'fa-caret-up' : 'fa-caret-down'\"></i>\r\n        </span>\r\n        <span *ngIf=\"allowClear\" class=\"input-group-addon\" id=\"addon-toggle-clear\" (click)=\"clear($event)\">\r\n            <i class=\"fa fa-times\"></i>\r\n        </span>\r\n    </div>\r\n    <div *ngIf=\"value || values\" class=\"input-dropdown form-control\" [style.width]=\"width\"\r\n        [ngClass]=\"[inputSize, values && values.length > 0 ? 'multiple' : '']\">\r\n        <ng-container *ngIf=\"value\">\r\n            {{value}}\r\n        </ng-container>\r\n        <ng-container *ngIf=\"values && values.length > 0\">\r\n            <span class=\"option\" *ngFor=\"let value of values\">{{value}}</span>\r\n        </ng-container>\r\n        <div sneat-class=\"float-end\" inspinia-class='pull-right'>\r\n            <i class=\"m-r-xs fa\" [ngClass]=\"allowClear ? 'fa-times' : 'hidden'\" (click)='clear($event)'></i>\r\n            <i class=\"fa\" [ngClass]=\"dropdown.isOpen ? 'fa-caret-up' : 'fa-caret-down'\"></i>\r\n        </div>\r\n    </div>\r\n    <div *dropdownMenu role=\"menu\" (click)=\"$event.stopPropagation()\" class=\"pointer-events-auto\">\r\n        <div [style.width.px]=\"inputContainer.offsetWidth\">\r\n            <ng-content></ng-content>\r\n        </div>\r\n    </div>\r\n</div>\r\n", styles: [".pointer-events-auto{pointer-events:auto}.multiple{flex-flow:row wrap;height:100%;min-height:30px;padding:6px 12px;width:100%}.option{background-color:#ebf5ff;border-radius:2px;color:#333;cursor:default;display:inline-block;font-size:.9em;line-height:22px;padding:1px 5px;margin-right:5px}\n", ".small{height:100%;min-height:28px;font-size:12px}\n", ".medium{height:100%;min-height:34px}\n", ".large{height:100%;min-height:46px;font-size:18px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.InspiniaCssClassDirective, selector: "[inspinia-class]", inputs: ["inspinia-class"] }, { kind: "directive", type: i2.SneatCssClassDirective, selector: "[sneat-class]", inputs: ["sneat-class"] }, { kind: "directive", type: i4.BsDropdownMenuDirective, selector: "[bsDropdownMenu],[dropdownMenu]", exportAs: ["bs-dropdown-menu"] }, { kind: "directive", type: i4.BsDropdownToggleDirective, selector: "[bsDropdownToggle],[dropdownToggle]", exportAs: ["bs-dropdown-toggle"] }, { kind: "directive", type: i4.BsDropdownDirective, selector: "[bsDropdown], [dropdown]", inputs: ["placement", "triggers", "container", "dropup", "autoClose", "isAnimated", "insideClick", "isDisabled", "isOpen"], outputs: ["isOpenChange", "onShown", "onHidden"], exportAs: ["bs-dropdown"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DropDownContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-dropdown-container', standalone: false, template: "<div style=\"display:inline-block\" [style.width]=\"width\" dropdown #dropdown=\"bs-dropdown\" #inputContainer\r\n    [container]=\"container\" [insideClick]=\"disableClickPropagation\" placement=\"bottom\" (onShown)=\"onShow.emit()\"\r\n    [autoClose]=\"closeWhenClickOutside\" (onHidden)=\"collapseChildDropdowns()\" class=\"swt-dropdown-container\" dropdownToggle>\r\n    <div *ngIf=\"!value && !values\" class=\"input-group\">\r\n        <ng-content select=\"[dropdown-input]\" #template></ng-content>\r\n        <span class=\"input-group-addon dropdown-toggle\" id=\"addon-toggle-collapse\">\r\n            <i class=\"fa\" [ngClass]=\"dropdown.isOpen ? 'fa-caret-up' : 'fa-caret-down'\"></i>\r\n        </span>\r\n        <span *ngIf=\"allowClear\" class=\"input-group-addon\" id=\"addon-toggle-clear\" (click)=\"clear($event)\">\r\n            <i class=\"fa fa-times\"></i>\r\n        </span>\r\n    </div>\r\n    <div *ngIf=\"value || values\" class=\"input-dropdown form-control\" [style.width]=\"width\"\r\n        [ngClass]=\"[inputSize, values && values.length > 0 ? 'multiple' : '']\">\r\n        <ng-container *ngIf=\"value\">\r\n            {{value}}\r\n        </ng-container>\r\n        <ng-container *ngIf=\"values && values.length > 0\">\r\n            <span class=\"option\" *ngFor=\"let value of values\">{{value}}</span>\r\n        </ng-container>\r\n        <div sneat-class=\"float-end\" inspinia-class='pull-right'>\r\n            <i class=\"m-r-xs fa\" [ngClass]=\"allowClear ? 'fa-times' : 'hidden'\" (click)='clear($event)'></i>\r\n            <i class=\"fa\" [ngClass]=\"dropdown.isOpen ? 'fa-caret-up' : 'fa-caret-down'\"></i>\r\n        </div>\r\n    </div>\r\n    <div *dropdownMenu role=\"menu\" (click)=\"$event.stopPropagation()\" class=\"pointer-events-auto\">\r\n        <div [style.width.px]=\"inputContainer.offsetWidth\">\r\n            <ng-content></ng-content>\r\n        </div>\r\n    </div>\r\n</div>\r\n", styles: [".pointer-events-auto{pointer-events:auto}.multiple{flex-flow:row wrap;height:100%;min-height:30px;padding:6px 12px;width:100%}.option{background-color:#ebf5ff;border-radius:2px;color:#333;cursor:default;display:inline-block;font-size:.9em;line-height:22px;padding:1px 5px;margin-right:5px}\n", ".small{height:100%;min-height:28px;font-size:12px}\n", ".medium{height:100%;min-height:34px}\n", ".large{height:100%;min-height:46px;font-size:18px}\n"] }]
        }], propDecorators: { dropdown: [{
                type: ViewChild,
                args: ['dropdown', { static: true }]
            }], childDropdowns: [{
                type: ContentChildren,
                args: [DropDownContainerComponent]
            }], container: [{
                type: Input
            }], alignContent: [{
                type: Input
            }], width: [{
                type: Input
            }], disableClickPropagation: [{
                type: Input
            }], inputSize: [{
                type: Input
            }], closeWhenClickOutside: [{
                type: Input
            }], displayValue: [{
                type: Input
            }], collapsed: [{
                type: Input
            }], allowClear: [{
                type: Input
            }], onClear: [{
                type: Output
            }], onShow: [{
                type: Output
            }] } });

//see http://almerosteyn.com/2016/04/linkup-custom-control-to-ngcontrol-ngmodel
const noop$3 = () => { };
const SWT_DATE_PICKER_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SwtDatePickerComponent),
    multi: true
};
const LOCALE = 'de-DE';
class SwtDatePickerComponent {
    constructor() {
        this.modusYear = true;
        this.calendarWeekVisible = false;
        this._firstDayOfWeek = WeekDay.Monday;
        this.DisplayModus = DisplayModus;
        this.weeks = [];
        this.daysOfWeek = [];
        this.displayModus = DisplayModus.Days;
        this.yearAuswahl = new Array(new Array()); // [zeilen][years]
        //----------------------
        //The internal data model
        this.innerValue = moment();
        //Placeholders for the callbacks which are later provided by the Control Value Accessor
        this.onTouchedCallback = noop$3;
        this.onChangeCallback = noop$3;
        //---------------------
        this.valueType = ValueType$1.Undefined;
        this.valueChange = new EventEmitter();
        this.monthChanged = new EventEmitter();
        moment.locale(LOCALE);
        this.setDaysOfWeek();
        this.startDate = moment();
        this.currentMonth = this.startDate.month();
        this.currentYear = this.startDate.year();
        this.yearInCenterView = this.currentYear;
    }
    ngOnInit() {
        this.refreshStartEndDate();
    }
    set markedDays(value) {
        this._markedDays = value;
        this.buildMonth();
    }
    get markedDays() {
        return this._markedDays;
    }
    get firstDayOfWeek() {
        return this._firstDayOfWeek;
    }
    set firstDayOfWeek(value) {
        this._firstDayOfWeek = value;
        this.setDaysOfWeek();
        this.refreshStartEndDate();
    }
    get lastDayOfWeek() {
        return (this.firstDayOfWeek + 6) % 7;
    }
    //From ControlValueAccessor interface
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    //From ControlValueAccessor interface
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    //get accessor
    get value() {
        return this.valueType === ValueType$1.DateString ? this.innerValue.format('YYYY-MM-DD') : this.innerValue.toDate();
    }
    //set accessor including call the onchange callback
    set value(v) {
        if (v !== this.value) {
            this.valueType = (typeof (v) === 'string') ? ValueType$1.DateString : ValueType$1.DateObject;
            this.innerValue = moment(v);
            this.onChangeCallback(v);
        }
    }
    refresh() {
        this.select(moment(this.value).toDate());
    }
    writeValue(v) {
        if (v == undefined) {
            this.valueType = ValueType$1.Undefined;
            v = moment().format('YYYY-MM-DD');
        }
        else if (v == '') {
            this.valueType = ValueType$1.DateString;
            v = moment().format('YYYY-MM-DD');
        }
        if (this.valueType == ValueType$1.Undefined)
            this.valueType = (typeof (v) === 'string') ? ValueType$1.DateString : ValueType$1.DateObject;
        this.innerValue = moment(v);
        this.currentMonth = this.innerValue.month();
        this.currentYear = this.innerValue.year();
        this.refreshStartEndDate();
    }
    select(date) {
        this.innerValue = moment(date);
        this.goToSelectedDate();
        this.valueChange.emit(this.value);
        this.onChangeCallback(this.value); //From ControlValueAccessor interface
    }
    get currentMonthAndYear() {
        return new Date(this.currentYear, this.currentMonth);
    }
    next() {
        if (this.displayModus === DisplayModus.Days)
            this.displayNextMonth();
        else
            this.displayNextYears();
    }
    previous() {
        if (this.displayModus === DisplayModus.Days)
            this.displayPreviousMonth();
        else
            this.displayPreviousYears();
    }
    goToSelectedDate() {
        this.currentMonth = this.innerValue.month();
        this.currentYear = this.innerValue.year();
        this.refreshStartEndDate();
    }
    displayNextMonth() {
        if (this.currentMonth < 11)
            ++this.currentMonth;
        else {
            this.currentMonth = 0;
            this.currentYear++;
        }
        this.refreshStartEndDate();
    }
    displayNextYears() {
        this.yearInCenterView = this.yearInCenterView + 25;
        this.fillYearAuswahlArray();
    }
    displayPreviousMonth() {
        if (this.currentMonth > 0)
            --this.currentMonth;
        else {
            this.currentMonth = 11;
            this.currentYear--;
        }
        this.refreshStartEndDate();
    }
    displayPreviousYears() {
        this.yearInCenterView = this.yearInCenterView - 25;
        this.fillYearAuswahlArray();
    }
    /**
     * Berechnet Start- und Enddatum der Ansicht neu
     */
    refreshStartEndDate() {
        const yearChanged = this.startDate.year() !== this.currentYear;
        const monthChanged = yearChanged || this.startDate.clone().add(1, 'week').month() !== this.currentMonth; // +1 Woche, weil das erste angezeigte Datum im letzen Monat sein kann
        const dayInMonth = this.startDate.clone().month(this.currentMonth).year(this.currentYear);
        const startOfMonth = dayInMonth.clone().startOf('month');
        this.startDate = startOfMonth.clone().isoWeekday(this.toIsoWeekday(this.firstDayOfWeek));
        if (startOfMonth < this.startDate)
            this.startDate = this.startDate.subtract(1, 'week');
        const endOfMonth = dayInMonth.clone().endOf('month');
        this.endDate = endOfMonth.clone().isoWeekday(this.toIsoWeekday(this.lastDayOfWeek));
        if (this.endDate < endOfMonth)
            this.endDate = this.endDate.add(1, 'week');
        const monthInitialized = this.weeks.length !== 0;
        if (monthChanged) {
            this.monthChanged.emit({ startDay: this.startDate.toDate(), endDay: this.endDate.toDate() });
            this.buildMonth();
        }
        else if (!monthInitialized)
            this.buildMonth();
    }
    buildMonth() {
        this.weeks = [];
        const amountOfWeeksInMonth = Math.round(moment(this.endDate).diff(this.startDate, 'days') / 7);
        const dateForWeek = this.startDate.clone();
        for (let week = 0; week < amountOfWeeksInMonth; week++) {
            const datePickerDaysForWeek = this.buildWeek(dateForWeek.clone());
            const datePickerWeek = new DatePickerWeekViewModel(dateForWeek.isoWeek(), datePickerDaysForWeek);
            this.weeks.push(datePickerWeek);
            dateForWeek.add(1, 'w');
        }
    }
    buildWeek(amoment) {
        const result = [];
        let markedMoments = new Array();
        if (this.markedDays)
            markedMoments = this.markedDays.map(mD => moment(mD));
        for (let i = 0; i < 7; i++) {
            result.push(new DatePickerDayViewModel(amoment, this.currentMonth, this.innerValue, this.valueChange, markedMoments));
            amoment = amoment.clone();
            amoment.add(1, 'd');
        }
        return result;
    }
    today() {
        this.select(new Date(Date.now()));
    }
    setYear(pickedYear) {
        this.currentYear = pickedYear;
        this.refreshStartEndDate();
        this.displayModus = DisplayModus.Days;
    }
    setModusYear() {
        if (this.modusYear) {
            this.displayModus = DisplayModus.Years;
            this.fillYearAuswahlArray();
        }
    }
    fillYearAuswahlArray() {
        this.yearAuswahl = new Array(new Array());
        let startYear = this.yearInCenterView - 12;
        for (let z = 0; z < 5; z++) {
            this.yearAuswahl.push([]);
            for (let i = 0; i < 5; i++) {
                this.yearAuswahl[z].push(startYear);
                startYear++;
            }
        }
    }
    getStartDate() {
        return this.startDate.toDate();
    }
    getEndDate() {
        return this.endDate.toDate();
    }
    setDaysOfWeek() {
        this.daysOfWeek = Array.from({ length: 7 }, (_, i) => moment().day(i + this.firstDayOfWeek).format('ddd'));
    }
    toIsoWeekday(day) {
        if (day === WeekDay.Sunday)
            return 7;
        return day;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDatePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtDatePickerComponent, isStandalone: false, selector: "swt-date-picker", inputs: { modusYear: "modusYear", markedDays: "markedDays", calendarWeekVisible: "calendarWeekVisible", firstDayOfWeek: "firstDayOfWeek" }, outputs: { valueChange: "change", monthChanged: "monthChanged" }, providers: [SWT_DATE_PICKER_VALUE_ACCESSOR], ngImport: i0, template: "<div class=\"datepicker-days\" style=\"background-color: white\">\r\n    <table class=\"table-condensed table-bordered small\">\r\n        <thead>\r\n            <tr>\r\n                <th colspan=\"8\">\r\n                    <div style=\"position:relative;width: 100%;display: block;height: 34px;\">\r\n                        <div style=\"position:absolute;\">\r\n                            <a class=\"btn btn-white\" (click)=\"previous()\">\u00AB</a>\r\n                        </div>\r\n                        <div style=\"position:absolute;right:0\">\r\n                            <a class=\"btn btn-white\" (click)=\"next()\">\u00BB</a>\r\n                        </div>\r\n                        <div [hidden]=\"displayModus !== DisplayModus.Days\" class=\"text-center\"\r\n                            style=\"line-height: 32px;\">\r\n                            {{ currentMonthAndYear | date: 'MMMM' }}\r\n                            <span style=\"cursor: pointer; width: 32px;\" (click)=\"setModusYear()\">\r\n                                {{ currentMonthAndYear | date: 'yyyy' }}\r\n                            </span>\r\n                        </div>\r\n                        <div [hidden]=\"displayModus !== DisplayModus.Years\" class=\"text-center\"\r\n                            style=\"line-height: 32px;\">\r\n                            Jahr\r\n                        </div>\r\n                    </div>\r\n                </th>\r\n            </tr>\r\n            <tr [hidden]=\"displayModus === DisplayModus.Years\">\r\n                <th *ngIf=\"calendarWeekVisible\">KW</th>\r\n                <th *ngIf=\"!calendarWeekVisible\"></th>\r\n                <th *ngFor=\"let dayOfWeek of daysOfWeek\" style=\"width:32px;padding:2px\">\r\n                    {{ dayOfWeek }}\r\n                </th>\r\n            </tr>\r\n        </thead>\r\n\r\n        <tbody [hidden]=\"displayModus !== DisplayModus.Days\">\r\n            <tr class=\"week\" *ngFor=\"let week of weeks\">\r\n                <th *ngIf=\"calendarWeekVisible\" class=\"text-center\"><small style=\"cursor: default\">{{ week.weekNumber\r\n                        }}</small></th>\r\n                <th *ngIf=\"!calendarWeekVisible\" text-center></th>\r\n                <td class=\"text-center\" [ngClass]=\"dayOfWeek.cssClass\" *ngFor=\"let dayOfWeek of week.days\"\r\n                    (click)=\"select(dayOfWeek.currentDate)\" style=\"cursor:pointer;width:32px\">\r\n                    {{ dayOfWeek.currentDate | date: 'd' }}\r\n                </td>\r\n            </tr>\r\n        </tbody>\r\n\r\n        <tbody [hidden]=\"displayModus !== DisplayModus.Years\">\r\n            <tr class=\"week\" *ngFor=\"let arrayYears of yearAuswahl\">\r\n                <td class=\"text-center\" *ngFor=\"let year of arrayYears\" (click)=\"setYear(year)\"\r\n                    style=\"cursor: pointer; width: 64px; padding: 3px;\">\r\n                    {{ year }}\r\n                </td>\r\n            </tr>\r\n        </tbody>\r\n\r\n        <tfoot>\r\n            <tr>\r\n                <th [hidden]=\"displayModus === DisplayModus.Years\" colspan=\"8\" class=\"text-center\">\r\n                    <button class=\"btn btn-sm btn-white\" type=\"button\" (click)=\"today()\">Heute</button>\r\n                </th>\r\n            </tr>\r\n        </tfoot>\r\n    </table>\r\n</div>\r\n", styles: ["th,td{height:16%;width:14%!important}th{width:2%!important}.datepicker-days,table{height:100%}table{width:100%;background-color:#fff}.second-color{color:#aca9a9}.bg-marked{background-color:#bffab6}.bg-today{background-color:#e7e5e5}.bg-selected{background-color:#1c84c6}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "pipe", type: i1.DatePipe, name: "date" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDatePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-date-picker', providers: [SWT_DATE_PICKER_VALUE_ACCESSOR], changeDetection: ChangeDetectionStrategy.OnPush, standalone: false, template: "<div class=\"datepicker-days\" style=\"background-color: white\">\r\n    <table class=\"table-condensed table-bordered small\">\r\n        <thead>\r\n            <tr>\r\n                <th colspan=\"8\">\r\n                    <div style=\"position:relative;width: 100%;display: block;height: 34px;\">\r\n                        <div style=\"position:absolute;\">\r\n                            <a class=\"btn btn-white\" (click)=\"previous()\">\u00AB</a>\r\n                        </div>\r\n                        <div style=\"position:absolute;right:0\">\r\n                            <a class=\"btn btn-white\" (click)=\"next()\">\u00BB</a>\r\n                        </div>\r\n                        <div [hidden]=\"displayModus !== DisplayModus.Days\" class=\"text-center\"\r\n                            style=\"line-height: 32px;\">\r\n                            {{ currentMonthAndYear | date: 'MMMM' }}\r\n                            <span style=\"cursor: pointer; width: 32px;\" (click)=\"setModusYear()\">\r\n                                {{ currentMonthAndYear | date: 'yyyy' }}\r\n                            </span>\r\n                        </div>\r\n                        <div [hidden]=\"displayModus !== DisplayModus.Years\" class=\"text-center\"\r\n                            style=\"line-height: 32px;\">\r\n                            Jahr\r\n                        </div>\r\n                    </div>\r\n                </th>\r\n            </tr>\r\n            <tr [hidden]=\"displayModus === DisplayModus.Years\">\r\n                <th *ngIf=\"calendarWeekVisible\">KW</th>\r\n                <th *ngIf=\"!calendarWeekVisible\"></th>\r\n                <th *ngFor=\"let dayOfWeek of daysOfWeek\" style=\"width:32px;padding:2px\">\r\n                    {{ dayOfWeek }}\r\n                </th>\r\n            </tr>\r\n        </thead>\r\n\r\n        <tbody [hidden]=\"displayModus !== DisplayModus.Days\">\r\n            <tr class=\"week\" *ngFor=\"let week of weeks\">\r\n                <th *ngIf=\"calendarWeekVisible\" class=\"text-center\"><small style=\"cursor: default\">{{ week.weekNumber\r\n                        }}</small></th>\r\n                <th *ngIf=\"!calendarWeekVisible\" text-center></th>\r\n                <td class=\"text-center\" [ngClass]=\"dayOfWeek.cssClass\" *ngFor=\"let dayOfWeek of week.days\"\r\n                    (click)=\"select(dayOfWeek.currentDate)\" style=\"cursor:pointer;width:32px\">\r\n                    {{ dayOfWeek.currentDate | date: 'd' }}\r\n                </td>\r\n            </tr>\r\n        </tbody>\r\n\r\n        <tbody [hidden]=\"displayModus !== DisplayModus.Years\">\r\n            <tr class=\"week\" *ngFor=\"let arrayYears of yearAuswahl\">\r\n                <td class=\"text-center\" *ngFor=\"let year of arrayYears\" (click)=\"setYear(year)\"\r\n                    style=\"cursor: pointer; width: 64px; padding: 3px;\">\r\n                    {{ year }}\r\n                </td>\r\n            </tr>\r\n        </tbody>\r\n\r\n        <tfoot>\r\n            <tr>\r\n                <th [hidden]=\"displayModus === DisplayModus.Years\" colspan=\"8\" class=\"text-center\">\r\n                    <button class=\"btn btn-sm btn-white\" type=\"button\" (click)=\"today()\">Heute</button>\r\n                </th>\r\n            </tr>\r\n        </tfoot>\r\n    </table>\r\n</div>\r\n", styles: ["th,td{height:16%;width:14%!important}th{width:2%!important}.datepicker-days,table{height:100%}table{width:100%;background-color:#fff}.second-color{color:#aca9a9}.bg-marked{background-color:#bffab6}.bg-today{background-color:#e7e5e5}.bg-selected{background-color:#1c84c6}\n"] }]
        }], ctorParameters: () => [], propDecorators: { modusYear: [{
                type: Input
            }], markedDays: [{
                type: Input
            }], calendarWeekVisible: [{
                type: Input
            }], firstDayOfWeek: [{
                type: Input
            }], valueChange: [{
                type: Output,
                args: ['change']
            }], monthChanged: [{
                type: Output
            }] } });
var ValueType$1;
(function (ValueType) {
    ValueType[ValueType["Undefined"] = 0] = "Undefined";
    ValueType[ValueType["DateString"] = 1] = "DateString";
    ValueType[ValueType["DateObject"] = 2] = "DateObject";
})(ValueType$1 || (ValueType$1 = {}));
class DatePickerWeekViewModel {
    constructor(weekNumber, days = []) {
        this.weekNumber = weekNumber;
        this.days = days;
    }
}
class DatePickerDayViewModel {
    constructor(currentMoment, currentMonth, valueMoment, valueChange, markedDays) {
        this.currentMoment = currentMoment;
        this.isCurrentMonth = currentMoment.month() == currentMonth;
        this.isToday = currentMoment.isSame(new Date(), 'day');
        this.isSelected = currentMoment.isSame(valueMoment, 'day');
        this.isMarked = markedDays.some(mD => mD.startOf('day').isSame(currentMoment));
        // TODO unsubscribe
        valueChange.subscribe((newValue) => {
            const newValueMoment = moment(newValue);
            this.isSelected = currentMoment.isSame(newValueMoment, 'day');
        });
    }
    get currentDate() {
        return this.currentMoment.toDate();
    }
    get cssClass() {
        let result = '';
        if (!this.isCurrentMonth)
            result += ' second-color';
        if (this.isToday)
            result += ' bg-today ';
        if (this.isSelected)
            result += ' bg-selected';
        if (this.isMarked)
            result += ' bg-marked';
        return result;
    }
}
var DisplayModus;
(function (DisplayModus) {
    DisplayModus[DisplayModus["Years"] = 0] = "Years";
    DisplayModus[DisplayModus["Days"] = 1] = "Days";
})(DisplayModus || (DisplayModus = {}));

class DateInterval {
    constructor(start, end) {
        this.setStart(start);
        this.setEnd(end);
    }
    get startMoment() {
        return moment(this.start);
    }
    get endMoment() {
        return moment(this.end);
    }
    get startDate() {
        return moment(this.start).toDate();
    }
    get endDate() {
        return moment(this.end).toDate();
    }
    setStart(value) {
        this.start = moment(value).format('YYYY-MM-DD');
    }
    setEnd(value) {
        this.end = moment(value).format('YYYY-MM-DD');
    }
}

const MILLISECONDSPERDAY = 86400000;
class DateRange {
    constructor(start, end, maxDuration) {
        this.setStart(start);
        this.setEnd(end);
        this.maxDurationInDays = maxDuration;
    }
    static createFromDateRange(from, maxDuration) {
        const newMaxDuration = maxDuration !== undefined ? maxDuration : from.maxDurationInDays;
        return new DateRange(from.start, from.end, newMaxDuration);
    }
    set start(val) {
        this.setStart(val);
    }
    get start() {
        return this._start;
    }
    set end(val) {
        this.setEnd(val);
    }
    get end() {
        return this._end;
    }
    get isValid() {
        return this.isDefined() && this.hasValidOrder() && this.durationMaxisNotExceeded();
    }
    isDefined() {
        return this.start !== undefined && this.end !== undefined;
    }
    hasValidOrder() {
        return this.start === this.end || moment(this.start).isBefore(moment(this.end));
    }
    durationMaxisNotExceeded() {
        if (this.maxDurationInDays === undefined)
            return true;
        const diff = moment(this.end).diff(moment(this.start));
        return (diff / MILLISECONDSPERDAY + 1) <= this.maxDurationInDays;
    }
    setStart(value) {
        const valAsMoment = moment(value);
        if (valAsMoment.isValid())
            this._start = valAsMoment.format('YYYY-MM-DD');
        else
            this._start = undefined;
    }
    setEnd(value) {
        const valAsMoment = moment(value);
        if (valAsMoment.isValid())
            this._end = valAsMoment.format('YYYY-MM-DD');
        else
            this._end = undefined;
    }
}

class SwtDateRangePickerComponent {
    constructor() {
        this.i18n = inject(I18nService);
        this.newInterval = new EventEmitter();
        this.currentRange = new DateRange();
    }
    stopPropagation(evt) {
        evt.stopPropagation();
    }
    set inputInterval(val) {
        this.currentRange.setStart(val.start);
        this.currentRange.setEnd(val.end);
    }
    set maxDurationInDays(val) {
        if (this.currentRange.maxDurationInDays !== val)
            this.currentRange = DateRange.createFromDateRange(this.currentRange, val);
    }
    submitInterval() {
        this.errortext = undefined;
        if (this.currentRange.isValid)
            this.newInterval.emit(new DateInterval(this.currentRange.start, this.currentRange.end));
        else
            this.errortext = this.getError(this.currentRange);
    }
    getError(range) {
        if (!range.isDefined())
            return $localize `:@@SwtDateRange.MissingDateHint.dsp.Label:Start oder Enddatum nicht gesetzt`;
        if (!range.hasValidOrder())
            return $localize `:@@SwtDateInterval.EndBeforeStart.dsp.Tooltip:Ende liegt vor Start`;
        if (!range.durationMaxisNotExceeded())
            return this.i18n.replace($localize `:@@SwtDateRange.DurationExceededHint.dsp.Label:Dauer überschreitet Maximaldauer von $0 Tagen`, [range.maxDurationInDays.toString()]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateRangePickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtDateRangePickerComponent, isStandalone: false, selector: "swt-date-range-picker", inputs: { inputInterval: "inputInterval", maxDurationInDays: "maxDurationInDays" }, outputs: { newInterval: "newInterval" }, ngImport: i0, template: "<div class=\"dropdown-bg\">\r\n    <h4 i18n=\"@@SwtDateRange.DateRange.dsp.Label\">Zeitraum ausw\u00E4hlen</h4>\r\n    <label for=\"swtRangePickerStart\" i18n=\"@@SwtDateInterval.interval.from.dsp.Label\">Von</label>\r\n    <input type=\"date\" id=\"swtRangePickerStart\" [width]=\"'120px'\" class=\"form-control no-spinners\"\r\n        [(ngModel)]=\"currentRange.start\" (change)=\"stopPropagation($event)\">\r\n    <label for=\"swtRangePickerEnd\" i18n=\"@@SwtDateRangePicker.year.to.dsp.Label\">Bis</label>\r\n    <input type=\"date\" id=\"swtRangePickerEnd\" [width]=\"'120px'\" class=\"form-control no-spinners\"\r\n        [(ngModel)]=\"currentRange.end\" (change)=\"stopPropagation($event)\">\r\n    <div class=\"text-danger\" *ngIf=\"errortext\">\r\n        <i class=\"fa fa-exclamation-triangle m-r-xs\"></i>{{errortext}}\r\n    </div>\r\n    <div inspinia-class=\"m-t-sm\" sneat-class=\"mt-1\">\r\n        <button sneat-class=\"px-2 py-1\" button-custom class=\"btn btn-primary\" (click)=\"submitInterval()\"\r\n            i18n=\"@@SwtDateRange.OK.act.Label\">OK</button>\r\n    </div>\r\n</div>", styles: ["h3{text-align:center}.dropdown-bg{background-color:#fff;border:1px solid #ccc;padding:4px;border-radius:4px;width:220px}.dropdown-bg input{width:100%}.dropdown-bg button{margin-left:auto;margin-right:0;display:block}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i2.InspiniaCssClassDirective, selector: "[inspinia-class]", inputs: ["inspinia-class"] }, { kind: "directive", type: i2.SneatCssClassDirective, selector: "[sneat-class]", inputs: ["sneat-class"] }, { kind: "directive", type: i3.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateRangePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-date-range-picker', changeDetection: ChangeDetectionStrategy.OnPush, standalone: false, template: "<div class=\"dropdown-bg\">\r\n    <h4 i18n=\"@@SwtDateRange.DateRange.dsp.Label\">Zeitraum ausw\u00E4hlen</h4>\r\n    <label for=\"swtRangePickerStart\" i18n=\"@@SwtDateInterval.interval.from.dsp.Label\">Von</label>\r\n    <input type=\"date\" id=\"swtRangePickerStart\" [width]=\"'120px'\" class=\"form-control no-spinners\"\r\n        [(ngModel)]=\"currentRange.start\" (change)=\"stopPropagation($event)\">\r\n    <label for=\"swtRangePickerEnd\" i18n=\"@@SwtDateRangePicker.year.to.dsp.Label\">Bis</label>\r\n    <input type=\"date\" id=\"swtRangePickerEnd\" [width]=\"'120px'\" class=\"form-control no-spinners\"\r\n        [(ngModel)]=\"currentRange.end\" (change)=\"stopPropagation($event)\">\r\n    <div class=\"text-danger\" *ngIf=\"errortext\">\r\n        <i class=\"fa fa-exclamation-triangle m-r-xs\"></i>{{errortext}}\r\n    </div>\r\n    <div inspinia-class=\"m-t-sm\" sneat-class=\"mt-1\">\r\n        <button sneat-class=\"px-2 py-1\" button-custom class=\"btn btn-primary\" (click)=\"submitInterval()\"\r\n            i18n=\"@@SwtDateRange.OK.act.Label\">OK</button>\r\n    </div>\r\n</div>", styles: ["h3{text-align:center}.dropdown-bg{background-color:#fff;border:1px solid #ccc;padding:4px;border-radius:4px;width:220px}.dropdown-bg input{width:100%}.dropdown-bg button{margin-left:auto;margin-right:0;display:block}\n"] }]
        }], propDecorators: { inputInterval: [{
                type: Input
            }], maxDurationInDays: [{
                type: Input
            }], newInterval: [{
                type: Output
            }] } });

//http://getbootstrap.com/javascript/#popovers
class SwtPopoverComponent {
    constructor() {
        this.placement = 'top';
        this.trigger = 'click';
        this.oldEvent = '';
    }
    set setPlacement(value) {
        this.popoverElement.classList.remove(this.placement);
        this.placement = value;
        this.popoverElement.classList.add(this.placement);
        this.setArrowStyle();
    }
    set setTrigger(value) {
        this.removeEventListener();
        this.trigger = value;
        this.addEventListener();
    }
    set setTarget(value) {
        this.removeEventListener();
        this.target = value;
        this.addEventListener();
    }
    set arrowRef(ref) {
        if (ref)
            this.arrowElement = ref.nativeElement;
    }
    set popoverRef(ref) {
        if (ref)
            this.popoverElement = ref.nativeElement;
    }
    setArrowStyle() {
        switch (this.placement) {
            case 'left':
                this.arrowElement.style.left = '50 %';
                break;
            case 'right':
            default:
                this.arrowElement.style.top = '50 %';
                break;
        }
    }
    removeEventListener() {
        if (this.target && this.triggerEventName && this.currentEventListener)
            this.target.removeEventListener(this.triggerEventName, this.currentEventListener);
    }
    addEventListener() {
        if (this.target && this.triggerEventName) {
            this.currentEventListener = () => { this.show(this.target); };
            this.target.addEventListener(this.triggerEventName, this.currentEventListener);
            //this.target.onmouseenter = (ev: MouseEvent) => { this.show(this.target) };
        }
    }
    get triggerEventName() {
        let eventName = '';
        switch (this.trigger) {
            case 'click':
                eventName = 'click';
                break;
            case 'focus':
                eventName = 'focus';
                break;
            case 'manual':
                eventName = null;
                break;
            case 'hover':
            default:
                eventName = 'mouseenter';
                break;
        }
        return eventName;
    }
    get display() {
        return this.visible ? 'block' : 'none';
    }
    show(target = null) {
        const showTarget = target ? target : this.target;
        this.visible = true;
        this.calculatePosition();
        setTimeout(() => { this.hide(); }, 1400);
    }
    hide() {
        this.visible = false;
    }
    calculatePosition() {
        const targetRect = (this.target).getBoundingClientRect();
        this.popoverElement.style.display = 'inline-block';
        const popoverRect = (this.popoverElement).getBoundingClientRect();
        switch (this.placement) {
            case 'right':
                this.popoverElement.style.left = (targetRect.width).toString() + 'px';
                this.popoverElement.style.top = (targetRect.height / 2 - popoverRect.height / 2).toString() + 'px';
                break;
            case 'bottom':
                this.popoverElement.style.left = (targetRect.width / 2 - (popoverRect.width / 2)).toString() + 'px';
                this.popoverElement.style.top = (targetRect.height).toString() + 'px';
                break;
            case 'top':
                this.popoverElement.style.left = (targetRect.width / 2 - (popoverRect.width / 2)).toString() + 'px';
                this.popoverElement.style.top = (0 - popoverRect.height).toString() + 'px';
                break;
            case 'left':
                this.popoverElement.style.left = (0 - popoverRect.width).toString() + 'px';
                this.popoverElement.style.top = ((targetRect.height / 2) - (popoverRect.height / 2)).toString() + 'px';
                break;
            default:
                //this ist hier never?!?
                //this.popoverElement.style.left = (targetRect.width / 2 - (popoverRect.width / 2)).toString() + "px";
                //this.popoverElement.style.top = (0 - popoverRect.height).toString() + "px";
                break;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtPopoverComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtPopoverComponent, isStandalone: false, selector: "swt-popover", inputs: { title: "title", setPlacement: ["placement", "setPlacement"], setTrigger: ["trigger", "setTrigger"], setTarget: ["target", "setTarget"] }, viewQueries: [{ propertyName: "arrow", first: true, predicate: ["arrow"], descendants: true, static: true }, { propertyName: "arrowRef", first: true, predicate: ["arrow"], descendants: true, static: true }, { propertyName: "popoverRef", first: true, predicate: ["popover"], descendants: true, static: true }], ngImport: i0, template: `
        <div #popover class="popover top in" role="tooltip" [style.display]="display" style="position:absolute">
            <div #arrow class="arrow"></div>
            <h3 class="popover-title" style="margin:0;font-weight:normal">{{title}}</h3>
            <div class="popover-content">
                <ng-content></ng-content>
            </div>
        </div>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtPopoverComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'swt-popover',
                    template: `
        <div #popover class="popover top in" role="tooltip" [style.display]="display" style="position:absolute">
            <div #arrow class="arrow"></div>
            <h3 class="popover-title" style="margin:0;font-weight:normal">{{title}}</h3>
            <div class="popover-content">
                <ng-content></ng-content>
            </div>
        </div>`,
                    standalone: false
                }]
        }], propDecorators: { title: [{
                type: Input
            }], setPlacement: [{
                type: Input,
                args: ['placement']
            }], setTrigger: [{
                type: Input,
                args: ['trigger']
            }], setTarget: [{
                type: Input,
                args: ['target']
            }], arrow: [{
                type: ViewChild,
                args: ['arrow', { static: true }]
            }], arrowRef: [{
                type: ViewChild,
                args: ['arrow', { static: true }]
            }], popoverRef: [{
                type: ViewChild,
                args: ['popover', { static: true }]
            }] } });
class PopoverPosition {
    constructor(offsetTop, offsetLeft) {
        this.OffsetTop = 0;
        this.OffsetLeft = 0;
        this.OffsetTop = offsetTop;
        this.OffsetLeft = offsetLeft;
    }
}

const STOREKEY_PREFIX = 'SwtDateIntervalStore.';
const STOREKEY_SELECTEDDATE_POSTFIX = '.SelectedDate';
const STOREKEY_SELECTEDFROMDATE_POSTFIX = '.SelectedFromDate';
const STOREKEY_SELECTEDITEMVALUE_POSTFIX = '.SelectedItemValue';
class SwtDateIntervalStoreHelper {
    //private storeKey: string;
    constructor(loggerService, storage) {
        this.loggerService = loggerService;
        this.storage = storage;
    }
    //public init(storeKey: string) { this.storeKey = storeKey; }
    clearStorage(storeKey) {
        this.loggerService.log('SwtDateIntervalStoreHelper.clearStorage');
        this.storage.delete(this.selectedDateKey(storeKey));
        this.storage.delete(this.selectedFromDateKey(storeKey));
        this.storage.delete(this.selectedItemValueKey(storeKey));
    }
    loadFromStorage(storeKey, maxDurationInDays) {
        this.loggerService.log('SwtDateIntervalStoreHelper.loadFromStorage');
        const result = new DateIntervalStoredData(this.storage.load(this.selectedDateKey(storeKey)), this.storage.load(this.selectedFromDateKey(storeKey)), this.storage.load(this.selectedItemValueKey(storeKey)), maxDurationInDays);
        return result;
    }
    saveToStorage(storeKey, start, end, intervalSelectType) {
        this.loggerService.log('SwtDateIntervalStoreHelper.saveToStorage');
        this.storage.save(this.selectedDateKey(storeKey), start);
        this.storage.save(this.selectedFromDateKey(storeKey), end);
        this.storage.save(this.selectedItemValueKey(storeKey), intervalSelectType);
    }
    selectedDateKey(storeKey) {
        return STOREKEY_PREFIX + storeKey + STOREKEY_SELECTEDDATE_POSTFIX;
    }
    selectedFromDateKey(storeKey) {
        return STOREKEY_PREFIX + storeKey + STOREKEY_SELECTEDFROMDATE_POSTFIX;
    }
    selectedItemValueKey(storeKey) {
        return STOREKEY_PREFIX + storeKey + STOREKEY_SELECTEDITEMVALUE_POSTFIX;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalStoreHelper, deps: [{ token: i1$1.LoggerService }, { token: i2$2.UserPropertiesStorageService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalStoreHelper }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalStoreHelper, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$1.LoggerService }, { type: i2$2.UserPropertiesStorageService }] });
class DateIntervalStoredData {
    constructor(start, end, intervalSelectType, maxDurationInDays) {
        this.start = start;
        this.end = end;
        this.intervalSelectType = intervalSelectType;
        this.maxDurationInDays = maxDurationInDays;
    }
    get isValid() {
        return this.isDefined() && this.hasValidDates() && this.hasValidOrder() && this.durationMaxisNotExceeded();
    }
    hasValidDates() {
        return moment(this.start).isValid() && moment(this.end).isValid();
    }
    isDefined() {
        return this.start !== undefined && this.end !== undefined;
    }
    hasValidOrder() {
        return this.start === this.end || moment(this.start).isBefore(moment(this.end));
    }
    durationMaxisNotExceeded() {
        if (this.maxDurationInDays === undefined || this.intervalSelectType !== 'interval')
            return true;
        const diff = moment(this.end).diff(moment(this.start));
        return (diff / 86400000 + 1) <= this.maxDurationInDays;
    }
}

class SwtDateIntervalComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalComponentBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: SwtDateIntervalComponentBase, isStandalone: true, inputs: { component: "component" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalComponentBase, decorators: [{
            type: Directive
        }], propDecorators: { component: [{
                type: Input
            }] } });
class SwtDateIntervalInspiniaComponent extends SwtDateIntervalComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalInspiniaComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtDateIntervalInspiniaComponent, isStandalone: false, selector: "swt-date-interval-inspinia", usesInheritance: true, ngImport: i0, template: "<div class=\"form-inline m-b-sm\">\r\n    <div *ngIf=\"component.selectItems.length > 1\" class=\"form-group\">\r\n        <div dropdown name=\"intervalSelectType\" class=\"btn-group\">\r\n            <button dropdownToggle type=\"button\" id=\"intervalSelectType\" class=\"btn btn-default dropdown-toggle\"\r\n                title=\"Intervall-Art ausw\u00E4hlen\" i18n-title=\"@@SwtDateInterval.IntervalSelectType.dsp.Tooltip\">\r\n                <i class=\"fa fa-calendar-week\"></i>\r\n            </button>\r\n            <ul *dropdownMenu role=\"menu\" id=\"dropdown-basic\" class=\"dropdown-menu\">\r\n                <li *ngFor=\"let item of component.selectItems\" role=\"menuitem\">\r\n                    <a (click)=\"component.setIntervalSelectType(item.value)\" class=\"dropdown-item\">{{item.text}}</a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromDatePickerVisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" aria-label=\"Von\"\r\n            i18n-aria-label=\"@@SwtDateInterval.interval.from.dsp.Label\" [width]=\"'120px'\"\r\n            class=\"form-control no-spinners\" [name]=\"component.selectedDateAsString\"\r\n            [(ngModel)]=\"component.currentInterval.start\" (ngModelChange)=\"component.onIntervalChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtFromcontainer [width]=\"'120px'\"\r\n            [displayValue]=\"component.currentInterval.start | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedFromDate\" [(ngModel)]=\"component.currentInterval.start\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtFromcontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.calendarweekVisible\">\r\n        <button aria-label=\"Vorherige Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPreviousWeek.dsp.Label\"\r\n                class=\"btn btn-primary\" (click)=\"component.calendarWeekAdd(-1)\" disable-no-double-click [disabled]=\"component.isFirstCalendarWeekOfYear\">\r\n            <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n        </button>\r\n        <select id=\"selectedCalendarWeek\" name=\"selectedCalendarWeek\"\r\n                aria-label=\"Auswahl der Kalenderwoche\" i18n-aria-label=\"@@SwtDateInterval.SelectedCalendarWeek.dsp.Label\"\r\n                class=\"form-control\" [(ngModel)]=\"component.selectedCalendarWeek\"\r\n                (ngModelChange)=\"component.onCalendarWeekChange()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let calendarWeek of component.calendarWeeks\" [value]=\"calendarWeek.value\">\r\n                {{ calendarWeek.text }}\r\n            </option>\r\n        </select>\r\n        <button aria-label=\"N\u00E4chste Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextWeek.dsp.Label\"\r\n                class=\"btn btn-primary\" (click)=\"component.calendarWeekAdd(1)\" disable-no-double-click [disabled]=\"component.isLastCalendarWeekOfYear\">\r\n            <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n        </button>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromMonthVisible\">\r\n        <select name=\"selectedFromMonthIndex\" aria-label=\"Auswahl Monat\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedFromMonthIndex.dsp.Label\" class=\"form-control\"\r\n            [(ngModel)]=\"component.selectedFromMonth\" (ngModelChange)=\"component.onMonthYearChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <ng-container *ngIf=\"!component.intervalVisible\">\r\n        <span *ngIf=\"component.delimiter; else emptyDelimiter\" class=\"m-r-xs m-l-xs\">{{component.delimiter}}</span>\r\n        <ng-template #emptyDelimiter>\r\n            <span class=\"m-r-xs\"></span>\r\n        </ng-template>\r\n    </ng-container>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.datepickervisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" [width]=\"'120px'\" aria-label=\"Jahr\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" class=\"form-control no-spinners\"\r\n            [name]=\"component.selectedDateAsString\" [(ngModel)]=\"component.currentInterval.end\"\r\n            (ngModelChange)=\"component.onIntervalChange()\" (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtTocontainer [inputSize]=\"'medium'\"\r\n            [width]=\"'120px'\" [displayValue]=\"component.currentInterval.end | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedDate\" [(ngModel)]=\"component.currentInterval.end\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtTocontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n        <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n            <i class=\"fa fa-exclamation-triangle\" title=\"Ende liegt vor Start\"\r\n                i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n        </span>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.monthvisible\">\r\n        <select name=\"selectedMonthIndex\" aria-label=\"Monat\" i18n-aria-label=\"@@SwtDateInterval.SelectedMonth.dsp.Label\"\r\n            class=\"form-control m-r-xs\" [(ngModel)]=\"component.selectedMonth\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n\r\n        <button aria-label=\"Vorheriges Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\"\r\n            for=\"selectedYear\" type=\"button\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(-1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n        </button>\r\n        <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n            class=\"form-control no-spinners text-center\" style=\"width:100px;\" [(ngModel)]=\"component.selectedYear\" type=\"number\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" />\r\n        <button aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n            for=\"selectedYear\" type=\"button\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n        </button>\r\n        <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n            <i class=\"fa fa-warning\" title=\"Ende liegt vor Start\"\r\n                i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n        </span>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.quarterSelectorVisible\">\r\n        <select name=\"selectQuarter\" aria-label=\"Quartal\" i18n-aria-label=\"@@SwtDateInterval.Quarter.dsp.Label\"\r\n            class=\"form-control m-r-xs\" [(ngModel)]=\"component.selectedFromQuarter\"\r\n            (ngModelChange)=\"component.updateQuarter()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let quarter of component.quarters\" [value]=\"quarter.value\">\r\n                {{ quarter.text }}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.yearvisible\">\r\n        <button aria-label=\"Vorheriges Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\"\r\n            type=\"submit\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(-1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n        </button>\r\n        <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n            class=\"form-control no-spinners text-center\" style=\"width: 100px;\" [(ngModel)]=\"component.selectedYear\" type=\"number\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" />\r\n        <button aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n            type=\"submit\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n        </button>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.intervalVisible\">\r\n        <swt-dropdown-container #swtdaterangecontainer [width]=\"'220px'\"\r\n            [displayValue]=\"(component.currentInterval.start | date:'dd.MM.yyyy') + ' - ' + (component.currentInterval.end | date:'dd.MM.yyyy')\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-range-picker [maxDurationInDays]=\"component.maxDurationInDays\"\r\n                [inputInterval]=\"component.currentInterval\"\r\n                (newInterval)=\"component.newIntervalFromRangePicker($event,swtdaterangecontainer)\"></swt-date-range-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n</div>\r\n\r\n<ng-template #iconPrevious>\r\n    <i class=\"fa fa-angle-left\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n<ng-template #iconNext>\r\n    <i class=\"fa fa-angle-right\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n", styles: ["div.form-inline>:first-child{margin-left:0!important}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$1.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$1.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i2$1.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i4.BsDropdownMenuDirective, selector: "[bsDropdownMenu],[dropdownMenu]", exportAs: ["bs-dropdown-menu"] }, { kind: "directive", type: i4.BsDropdownToggleDirective, selector: "[bsDropdownToggle],[dropdownToggle]", exportAs: ["bs-dropdown-toggle"] }, { kind: "directive", type: i4.BsDropdownDirective, selector: "[bsDropdown], [dropdown]", inputs: ["placement", "triggers", "container", "dropup", "autoClose", "isAnimated", "insideClick", "isDisabled", "isOpen"], outputs: ["isOpenChange", "onShown", "onHidden"], exportAs: ["bs-dropdown"] }, { kind: "component", type: DropDownContainerComponent, selector: "swt-dropdown-container", inputs: ["container", "alignContent", "width", "disableClickPropagation", "inputSize", "closeWhenClickOutside", "displayValue", "collapsed", "allowClear"], outputs: ["onClear", "onShow"] }, { kind: "component", type: SwtDatePickerComponent, selector: "swt-date-picker", inputs: ["modusYear", "markedDays", "calendarWeekVisible", "firstDayOfWeek"], outputs: ["change", "monthChanged"] }, { kind: "component", type: SwtDateRangePickerComponent, selector: "swt-date-range-picker", inputs: ["inputInterval", "maxDurationInDays"], outputs: ["newInterval"] }, { kind: "pipe", type: i1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalInspiniaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-date-interval-inspinia', standalone: false, template: "<div class=\"form-inline m-b-sm\">\r\n    <div *ngIf=\"component.selectItems.length > 1\" class=\"form-group\">\r\n        <div dropdown name=\"intervalSelectType\" class=\"btn-group\">\r\n            <button dropdownToggle type=\"button\" id=\"intervalSelectType\" class=\"btn btn-default dropdown-toggle\"\r\n                title=\"Intervall-Art ausw\u00E4hlen\" i18n-title=\"@@SwtDateInterval.IntervalSelectType.dsp.Tooltip\">\r\n                <i class=\"fa fa-calendar-week\"></i>\r\n            </button>\r\n            <ul *dropdownMenu role=\"menu\" id=\"dropdown-basic\" class=\"dropdown-menu\">\r\n                <li *ngFor=\"let item of component.selectItems\" role=\"menuitem\">\r\n                    <a (click)=\"component.setIntervalSelectType(item.value)\" class=\"dropdown-item\">{{item.text}}</a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromDatePickerVisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" aria-label=\"Von\"\r\n            i18n-aria-label=\"@@SwtDateInterval.interval.from.dsp.Label\" [width]=\"'120px'\"\r\n            class=\"form-control no-spinners\" [name]=\"component.selectedDateAsString\"\r\n            [(ngModel)]=\"component.currentInterval.start\" (ngModelChange)=\"component.onIntervalChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtFromcontainer [width]=\"'120px'\"\r\n            [displayValue]=\"component.currentInterval.start | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedFromDate\" [(ngModel)]=\"component.currentInterval.start\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtFromcontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.calendarweekVisible\">\r\n        <button aria-label=\"Vorherige Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPreviousWeek.dsp.Label\"\r\n                class=\"btn btn-primary\" (click)=\"component.calendarWeekAdd(-1)\" disable-no-double-click [disabled]=\"component.isFirstCalendarWeekOfYear\">\r\n            <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n        </button>\r\n        <select id=\"selectedCalendarWeek\" name=\"selectedCalendarWeek\"\r\n                aria-label=\"Auswahl der Kalenderwoche\" i18n-aria-label=\"@@SwtDateInterval.SelectedCalendarWeek.dsp.Label\"\r\n                class=\"form-control\" [(ngModel)]=\"component.selectedCalendarWeek\"\r\n                (ngModelChange)=\"component.onCalendarWeekChange()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let calendarWeek of component.calendarWeeks\" [value]=\"calendarWeek.value\">\r\n                {{ calendarWeek.text }}\r\n            </option>\r\n        </select>\r\n        <button aria-label=\"N\u00E4chste Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextWeek.dsp.Label\"\r\n                class=\"btn btn-primary\" (click)=\"component.calendarWeekAdd(1)\" disable-no-double-click [disabled]=\"component.isLastCalendarWeekOfYear\">\r\n            <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n        </button>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromMonthVisible\">\r\n        <select name=\"selectedFromMonthIndex\" aria-label=\"Auswahl Monat\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedFromMonthIndex.dsp.Label\" class=\"form-control\"\r\n            [(ngModel)]=\"component.selectedFromMonth\" (ngModelChange)=\"component.onMonthYearChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <ng-container *ngIf=\"!component.intervalVisible\">\r\n        <span *ngIf=\"component.delimiter; else emptyDelimiter\" class=\"m-r-xs m-l-xs\">{{component.delimiter}}</span>\r\n        <ng-template #emptyDelimiter>\r\n            <span class=\"m-r-xs\"></span>\r\n        </ng-template>\r\n    </ng-container>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.datepickervisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" [width]=\"'120px'\" aria-label=\"Jahr\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" class=\"form-control no-spinners\"\r\n            [name]=\"component.selectedDateAsString\" [(ngModel)]=\"component.currentInterval.end\"\r\n            (ngModelChange)=\"component.onIntervalChange()\" (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtTocontainer [inputSize]=\"'medium'\"\r\n            [width]=\"'120px'\" [displayValue]=\"component.currentInterval.end | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedDate\" [(ngModel)]=\"component.currentInterval.end\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtTocontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n        <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n            <i class=\"fa fa-exclamation-triangle\" title=\"Ende liegt vor Start\"\r\n                i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n        </span>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.monthvisible\">\r\n        <select name=\"selectedMonthIndex\" aria-label=\"Monat\" i18n-aria-label=\"@@SwtDateInterval.SelectedMonth.dsp.Label\"\r\n            class=\"form-control m-r-xs\" [(ngModel)]=\"component.selectedMonth\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n\r\n        <button aria-label=\"Vorheriges Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\"\r\n            for=\"selectedYear\" type=\"button\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(-1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n        </button>\r\n        <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n            class=\"form-control no-spinners text-center\" style=\"width:100px;\" [(ngModel)]=\"component.selectedYear\" type=\"number\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" />\r\n        <button aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n            for=\"selectedYear\" type=\"button\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n        </button>\r\n        <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n            <i class=\"fa fa-warning\" title=\"Ende liegt vor Start\"\r\n                i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n        </span>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.quarterSelectorVisible\">\r\n        <select name=\"selectQuarter\" aria-label=\"Quartal\" i18n-aria-label=\"@@SwtDateInterval.Quarter.dsp.Label\"\r\n            class=\"form-control m-r-xs\" [(ngModel)]=\"component.selectedFromQuarter\"\r\n            (ngModelChange)=\"component.updateQuarter()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let quarter of component.quarters\" [value]=\"quarter.value\">\r\n                {{ quarter.text }}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.yearvisible\">\r\n        <button aria-label=\"Vorheriges Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\"\r\n            type=\"submit\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(-1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n        </button>\r\n        <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n            class=\"form-control no-spinners text-center\" style=\"width: 100px;\" [(ngModel)]=\"component.selectedYear\" type=\"number\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" />\r\n        <button aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n            type=\"submit\" class=\"btn btn-primary\" (click)=\"component.selectedYearAdd(1)\">\r\n            <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n        </button>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.intervalVisible\">\r\n        <swt-dropdown-container #swtdaterangecontainer [width]=\"'220px'\"\r\n            [displayValue]=\"(component.currentInterval.start | date:'dd.MM.yyyy') + ' - ' + (component.currentInterval.end | date:'dd.MM.yyyy')\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-range-picker [maxDurationInDays]=\"component.maxDurationInDays\"\r\n                [inputInterval]=\"component.currentInterval\"\r\n                (newInterval)=\"component.newIntervalFromRangePicker($event,swtdaterangecontainer)\"></swt-date-range-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n</div>\r\n\r\n<ng-template #iconPrevious>\r\n    <i class=\"fa fa-angle-left\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n<ng-template #iconNext>\r\n    <i class=\"fa fa-angle-right\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n", styles: ["div.form-inline>:first-child{margin-left:0!important}\n"] }]
        }] });
class SwtDateIntervalSneatComponent extends SwtDateIntervalComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalSneatComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtDateIntervalSneatComponent, isStandalone: false, selector: "swt-date-interval-sneat", usesInheritance: true, ngImport: i0, template: "<div class=\"form-inline mb-2\">\r\n    <div *ngIf=\"component.selectItems.length > 1\" class=\"form-group\">\r\n        <div dropdown name=\"intervalSelectType\" class=\"btn-group\">\r\n            <button dropdownToggle type=\"button\" id=\"intervalSelectType\"\r\n                class=\"px-3 me-2 btn btn-label-secondary dropdown-toggle\" title=\"Intervall-Art ausw\u00E4hlen\"\r\n                i18n-title=\"@@SwtDateInterval.IntervalSelectType.dsp.Tooltip\">\r\n                <i class=\"fa fa-calendar-week\"></i>\r\n            </button>\r\n            <ul *dropdownMenu role=\"menu\" id=\"dropdown-basic\" class=\"dropdown-menu\">\r\n                <li *ngFor=\"let item of component.selectItems\" role=\"menuitem\">\r\n                    <a (click)=\"component.setIntervalSelectType(item.value)\" class=\"dropdown-item\">{{item.text}}</a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromDatePickerVisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" aria-label=\"Von\"\r\n            i18n-aria-label=\"@@SwtDateInterval.interval.from.dsp.Label\" [width]=\"'120px'\"\r\n            class=\"form-control no-spinners\" [name]=\"component.selectedDateAsString\"\r\n            [(ngModel)]=\"component.currentInterval.start\" (ngModelChange)=\"component.onIntervalChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtFromcontainer [width]=\"'120px'\"\r\n            [displayValue]=\"component.currentInterval.start | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedFromDate\" [(ngModel)]=\"component.currentInterval.start\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtFromcontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.calendarweekVisible\">\r\n        <div class=\"input-group\">\r\n            <button aria-label=\"Vorherige Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPreviousWeek.dsp.Label\"\r\n                    class=\"input-group-text\" (click)=\"component.calendarWeekAdd(-1)\" [disabled]=\"component.isFirstCalendarWeekOfYear\" disable-no-double-click>\r\n                <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n            </button>\r\n            <select id=\"selectedCalendarWeek\" aria-label=\"Auswahl der Kalenderwoche\"\r\n                    i18n-aria-label=\"@@SwtDateInterval.SelectedCalendarWeek.dsp.Label\" name=\"selectedCalendarWeek\"\r\n                    class=\"form-control\" [(ngModel)]=\"component.selectedCalendarWeek\"\r\n                    (ngModelChange)=\"component.onCalendarWeekChange()\" (change)=\"component.onInputChange($event)\">\r\n                <option *ngFor=\"let calendarWeek of component.calendarWeeks\" [value]=\"calendarWeek.value\">\r\n                    {{ calendarWeek.text }}\r\n                </option>\r\n            </select>\r\n            <button aria-label=\"N\u00E4chste Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextWeek.dsp.Label\"\r\n                    class=\"input-group-text\" (click)=\"component.calendarWeekAdd(1)\" [disabled]=\"component.isLastCalendarWeekOfYear\" disable-no-double-click>\r\n                <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n            </button>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromMonthVisible\">\r\n        <select name=\"selectedFromMonthIndex\" aria-label=\"Auswahl Monat\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedFromMonthIndex.dsp.Label\" class=\"form-control\"\r\n            [(ngModel)]=\"component.selectedFromMonth\" (ngModelChange)=\"component.onMonthYearChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <ng-container *ngIf=\"!component.intervalVisible\">\r\n        <span *ngIf=\"component.delimiter; else emptyDelimiter\" class=\"mx-2\">{{component.delimiter}}</span>\r\n        <ng-template #emptyDelimiter>\r\n            <span></span>\r\n        </ng-template>\r\n    </ng-container>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.datepickervisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" [width]=\"'120px'\" aria-label=\"Jahr\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" class=\"form-control no-spinners\"\r\n            [name]=\"component.selectedDateAsString\" [(ngModel)]=\"component.currentInterval.end\"\r\n            (ngModelChange)=\"component.onIntervalChange()\" (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtTocontainer [inputSize]=\"'medium'\"\r\n            [width]=\"'120px'\" [displayValue]=\"component.currentInterval.end | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedDate\" [(ngModel)]=\"component.currentInterval.end\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtTocontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n        <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n            <i class=\"fa fa-exclamation-triangle\" title=\"Ende liegt vor Start\"\r\n                i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n        </span>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.monthvisible\">\r\n        <select name=\"selectedMonthIndex\" aria-label=\"Monat\" i18n-aria-label=\"@@SwtDateInterval.SelectedMonth.dsp.Label\"\r\n            class=\"form-control me-2\" [(ngModel)]=\"component.selectedMonth\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n\r\n        <div class=\"form-group\">\r\n            <div class=\"input-group\">\r\n                <span aria-label=\"Vorheriges Jahr ausw\u00E4hlen\"\r\n                    i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\" for=\"selectedYear\" type=\"button\"\r\n                    class=\"input-group-text\" (click)=\"component.selectedYearAdd(-1)\">\r\n                    <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n                </span>\r\n                <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n                    class=\"form-control no-spinners text-center\" style=\"width:100px;\" [(ngModel)]=\"component.selectedYear\"\r\n                    type=\"number\" (ngModelChange)=\"component.onMonthYearChange()\" />\r\n                <span aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n                    for=\"selectedYear\" type=\"button\" class=\"input-group-text\" (click)=\"component.selectedYearAdd(1)\">\r\n                    <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n                </span>\r\n            </div>\r\n            <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n                <i class=\"fa fa-warning\" title=\"Ende liegt vor Start\"\r\n                    i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n            </span>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.quarterSelectorVisible\">\r\n        <select name=\"selectQuarter\" aria-label=\"Quartal\" i18n-aria-label=\"@@SwtDateInterval.Quarter.dsp.Label\"\r\n            class=\"form-control me-2\" [(ngModel)]=\"component.selectedFromQuarter\"\r\n            (ngModelChange)=\"component.updateQuarter()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let quarter of component.quarters\" [value]=\"quarter.value\">\r\n                {{ quarter.text }}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.yearvisible\">\r\n        <div class=\"input-group\">\r\n            <span aria-label=\"Vorheriges Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\"\r\n                type=\"submit\" class=\"input-group-text\" (click)=\"component.selectedYearAdd(-1)\">\r\n                <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n            </span>\r\n            <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n                class=\"form-control no-spinners text-center\" style=\"width:100px\" [(ngModel)]=\"component.selectedYear\" type=\"number\"\r\n                (ngModelChange)=\"component.onMonthYearChange()\" />\r\n            <span aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n                type=\"submit\" class=\"input-group-text\" (click)=\"component.selectedYearAdd(1)\">\r\n                <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n            </span>\r\n        </div>\r\n\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.intervalVisible\">\r\n        <swt-dropdown-container #swtdaterangecontainer [width]=\"'220px'\"\r\n            [displayValue]=\"(component.currentInterval.start | date:'dd.MM.yyyy') + ' - ' + (component.currentInterval.end | date:'dd.MM.yyyy')\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-range-picker [maxDurationInDays]=\"component.maxDurationInDays\"\r\n                [inputInterval]=\"component.currentInterval\"\r\n                (newInterval)=\"component.newIntervalFromRangePicker($event,swtdaterangecontainer)\"></swt-date-range-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n</div>\r\n\r\n<ng-template #iconPrevious>\r\n    <i class=\"fa fa-angle-left\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n<ng-template #iconNext>\r\n    <i class=\"fa fa-angle-right\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n", styles: ["div.form-inline>:first-child{margin-left:0!important}\n", ".form-group select.form-control{display:inline-block;width:auto}.form-group button{height:38.28px}::ng-deep ::-webkit-calendar-picker-indicator{filter:invert(62%) sepia(100%) saturate(100%) hue-rotate(170deg) brightness(61%)}.form-inline .form-group{display:inline-block;margin-bottom:0;vertical-align:middle}.form-inline .form-group>.form-group{vertical-align:top}button.dropdown-toggle:has(i.fa-calendar-week):after{content:none}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$1.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$1.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i2$1.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i4.BsDropdownMenuDirective, selector: "[bsDropdownMenu],[dropdownMenu]", exportAs: ["bs-dropdown-menu"] }, { kind: "directive", type: i4.BsDropdownToggleDirective, selector: "[bsDropdownToggle],[dropdownToggle]", exportAs: ["bs-dropdown-toggle"] }, { kind: "directive", type: i4.BsDropdownDirective, selector: "[bsDropdown], [dropdown]", inputs: ["placement", "triggers", "container", "dropup", "autoClose", "isAnimated", "insideClick", "isDisabled", "isOpen"], outputs: ["isOpenChange", "onShown", "onHidden"], exportAs: ["bs-dropdown"] }, { kind: "component", type: DropDownContainerComponent, selector: "swt-dropdown-container", inputs: ["container", "alignContent", "width", "disableClickPropagation", "inputSize", "closeWhenClickOutside", "displayValue", "collapsed", "allowClear"], outputs: ["onClear", "onShow"] }, { kind: "component", type: SwtDatePickerComponent, selector: "swt-date-picker", inputs: ["modusYear", "markedDays", "calendarWeekVisible", "firstDayOfWeek"], outputs: ["change", "monthChanged"] }, { kind: "component", type: SwtDateRangePickerComponent, selector: "swt-date-range-picker", inputs: ["inputInterval", "maxDurationInDays"], outputs: ["newInterval"] }, { kind: "pipe", type: i1.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalSneatComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-date-interval-sneat', standalone: false, template: "<div class=\"form-inline mb-2\">\r\n    <div *ngIf=\"component.selectItems.length > 1\" class=\"form-group\">\r\n        <div dropdown name=\"intervalSelectType\" class=\"btn-group\">\r\n            <button dropdownToggle type=\"button\" id=\"intervalSelectType\"\r\n                class=\"px-3 me-2 btn btn-label-secondary dropdown-toggle\" title=\"Intervall-Art ausw\u00E4hlen\"\r\n                i18n-title=\"@@SwtDateInterval.IntervalSelectType.dsp.Tooltip\">\r\n                <i class=\"fa fa-calendar-week\"></i>\r\n            </button>\r\n            <ul *dropdownMenu role=\"menu\" id=\"dropdown-basic\" class=\"dropdown-menu\">\r\n                <li *ngFor=\"let item of component.selectItems\" role=\"menuitem\">\r\n                    <a (click)=\"component.setIntervalSelectType(item.value)\" class=\"dropdown-item\">{{item.text}}</a>\r\n                </li>\r\n            </ul>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromDatePickerVisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" aria-label=\"Von\"\r\n            i18n-aria-label=\"@@SwtDateInterval.interval.from.dsp.Label\" [width]=\"'120px'\"\r\n            class=\"form-control no-spinners\" [name]=\"component.selectedDateAsString\"\r\n            [(ngModel)]=\"component.currentInterval.start\" (ngModelChange)=\"component.onIntervalChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtFromcontainer [width]=\"'120px'\"\r\n            [displayValue]=\"component.currentInterval.start | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedFromDate\" [(ngModel)]=\"component.currentInterval.start\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtFromcontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.calendarweekVisible\">\r\n        <div class=\"input-group\">\r\n            <button aria-label=\"Vorherige Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPreviousWeek.dsp.Label\"\r\n                    class=\"input-group-text\" (click)=\"component.calendarWeekAdd(-1)\" [disabled]=\"component.isFirstCalendarWeekOfYear\" disable-no-double-click>\r\n                <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n            </button>\r\n            <select id=\"selectedCalendarWeek\" aria-label=\"Auswahl der Kalenderwoche\"\r\n                    i18n-aria-label=\"@@SwtDateInterval.SelectedCalendarWeek.dsp.Label\" name=\"selectedCalendarWeek\"\r\n                    class=\"form-control\" [(ngModel)]=\"component.selectedCalendarWeek\"\r\n                    (ngModelChange)=\"component.onCalendarWeekChange()\" (change)=\"component.onInputChange($event)\">\r\n                <option *ngFor=\"let calendarWeek of component.calendarWeeks\" [value]=\"calendarWeek.value\">\r\n                    {{ calendarWeek.text }}\r\n                </option>\r\n            </select>\r\n            <button aria-label=\"N\u00E4chste Woche ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextWeek.dsp.Label\"\r\n                    class=\"input-group-text\" (click)=\"component.calendarWeekAdd(1)\" [disabled]=\"component.isLastCalendarWeekOfYear\" disable-no-double-click>\r\n                <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n            </button>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.fromMonthVisible\">\r\n        <select name=\"selectedFromMonthIndex\" aria-label=\"Auswahl Monat\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedFromMonthIndex.dsp.Label\" class=\"form-control\"\r\n            [(ngModel)]=\"component.selectedFromMonth\" (ngModelChange)=\"component.onMonthYearChange()\"\r\n            (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <ng-container *ngIf=\"!component.intervalVisible\">\r\n        <span *ngIf=\"component.delimiter; else emptyDelimiter\" class=\"mx-2\">{{component.delimiter}}</span>\r\n        <ng-template #emptyDelimiter>\r\n            <span></span>\r\n        </ng-template>\r\n    </ng-container>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.datepickervisible\">\r\n        <input *ngIf=\"component.useBrowserDateInput()\" type=\"date\" [width]=\"'120px'\" aria-label=\"Jahr\"\r\n            i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" class=\"form-control no-spinners\"\r\n            [name]=\"component.selectedDateAsString\" [(ngModel)]=\"component.currentInterval.end\"\r\n            (ngModelChange)=\"component.onIntervalChange()\" (change)=\"component.onInputChange($event)\">\r\n        <swt-dropdown-container *ngIf=\"!component.useBrowserDateInput()\" #swtTocontainer [inputSize]=\"'medium'\"\r\n            [width]=\"'120px'\" [displayValue]=\"component.currentInterval.end | date:'dd.MM.yyyy'\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-picker name=\"selectedDate\" [(ngModel)]=\"component.currentInterval.end\"\r\n                (ngModelChange)=\"component.onIntervalChange()\"\r\n                (change)=\"component.onInputChange($event,swtTocontainer)\">\r\n            </swt-date-picker>\r\n        </swt-dropdown-container>\r\n        <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n            <i class=\"fa fa-exclamation-triangle\" title=\"Ende liegt vor Start\"\r\n                i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n        </span>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.monthvisible\">\r\n        <select name=\"selectedMonthIndex\" aria-label=\"Monat\" i18n-aria-label=\"@@SwtDateInterval.SelectedMonth.dsp.Label\"\r\n            class=\"form-control me-2\" [(ngModel)]=\"component.selectedMonth\"\r\n            (ngModelChange)=\"component.onMonthYearChange()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let month of component.months\" [value]=\"month.value\">\r\n                {{month.text}}\r\n            </option>\r\n        </select>\r\n\r\n        <div class=\"form-group\">\r\n            <div class=\"input-group\">\r\n                <span aria-label=\"Vorheriges Jahr ausw\u00E4hlen\"\r\n                    i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\" for=\"selectedYear\" type=\"button\"\r\n                    class=\"input-group-text\" (click)=\"component.selectedYearAdd(-1)\">\r\n                    <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n                </span>\r\n                <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n                    class=\"form-control no-spinners text-center\" style=\"width:100px;\" [(ngModel)]=\"component.selectedYear\"\r\n                    type=\"number\" (ngModelChange)=\"component.onMonthYearChange()\" />\r\n                <span aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n                    for=\"selectedYear\" type=\"button\" class=\"input-group-text\" (click)=\"component.selectedYearAdd(1)\">\r\n                    <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n                </span>\r\n            </div>\r\n            <span [hidden]=\"!component.startEndError\" class=\"text-warning\">\r\n                <i class=\"fa fa-warning\" title=\"Ende liegt vor Start\"\r\n                    i18n-title=\"@@SwtDateInterval.EndBeforeStart.dsp.Tooltip\"></i>\r\n            </span>\r\n        </div>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.quarterSelectorVisible\">\r\n        <select name=\"selectQuarter\" aria-label=\"Quartal\" i18n-aria-label=\"@@SwtDateInterval.Quarter.dsp.Label\"\r\n            class=\"form-control me-2\" [(ngModel)]=\"component.selectedFromQuarter\"\r\n            (ngModelChange)=\"component.updateQuarter()\" (change)=\"component.onInputChange($event)\">\r\n            <option *ngFor=\"let quarter of component.quarters\" [value]=\"quarter.value\">\r\n                {{ quarter.text }}\r\n            </option>\r\n        </select>\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.yearvisible\">\r\n        <div class=\"input-group\">\r\n            <span aria-label=\"Vorheriges Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectPastYear.dsp.Label\"\r\n                type=\"submit\" class=\"input-group-text\" (click)=\"component.selectedYearAdd(-1)\">\r\n                <ng-container *ngTemplateOutlet=\"iconPrevious\"></ng-container>\r\n            </span>\r\n            <input aria-label=\"Jahr\" i18n-aria-label=\"@@SwtDateInterval.SelectedYear.dsp.Label\" name=\"selectedYear\"\r\n                class=\"form-control no-spinners text-center\" style=\"width:100px\" [(ngModel)]=\"component.selectedYear\" type=\"number\"\r\n                (ngModelChange)=\"component.onMonthYearChange()\" />\r\n            <span aria-label=\"N\u00E4chstes Jahr ausw\u00E4hlen\" i18n-aria-label=\"@@SwtDateInterval.SelectNextYear.dsp.Label\"\r\n                type=\"submit\" class=\"input-group-text\" (click)=\"component.selectedYearAdd(1)\">\r\n                <ng-container *ngTemplateOutlet=\"iconNext\"></ng-container>\r\n            </span>\r\n        </div>\r\n\r\n    </div>\r\n\r\n    <div class=\"form-group\" *ngIf=\"component.intervalVisible\">\r\n        <swt-dropdown-container #swtdaterangecontainer [width]=\"'220px'\"\r\n            [displayValue]=\"(component.currentInterval.start | date:'dd.MM.yyyy') + ' - ' + (component.currentInterval.end | date:'dd.MM.yyyy')\"\r\n            [container]=\"component.swtDropdownContainerContainer\">\r\n            <swt-date-range-picker [maxDurationInDays]=\"component.maxDurationInDays\"\r\n                [inputInterval]=\"component.currentInterval\"\r\n                (newInterval)=\"component.newIntervalFromRangePicker($event,swtdaterangecontainer)\"></swt-date-range-picker>\r\n        </swt-dropdown-container>\r\n    </div>\r\n</div>\r\n\r\n<ng-template #iconPrevious>\r\n    <i class=\"fa fa-angle-left\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n<ng-template #iconNext>\r\n    <i class=\"fa fa-angle-right\" aria-hidden=\"true\"></i>\r\n</ng-template>\r\n", styles: ["div.form-inline>:first-child{margin-left:0!important}\n", ".form-group select.form-control{display:inline-block;width:auto}.form-group button{height:38.28px}::ng-deep ::-webkit-calendar-picker-indicator{filter:invert(62%) sepia(100%) saturate(100%) hue-rotate(170deg) brightness(61%)}.form-inline .form-group{display:inline-block;margin-bottom:0;vertical-align:middle}.form-inline .form-group>.form-group{vertical-align:top}button.dropdown-toggle:has(i.fa-calendar-week):after{content:none}\n"] }]
        }] });

/* eslint-disable @angular-eslint/no-input-rename,no-case-declarations */
class SwtDateIntervalComponent {
    constructor(storeHelper, i18n, changeDetectorRef) {
        this.storeHelper = storeHelper;
        this.i18n = i18n;
        this.changeDetectorRef = changeDetectorRef;
        this.delimiter = 'von';
        this.inputSize = 'medium';
        this.changeEventEmitter = new EventEmitter();
        this.swtDropdownContainerContainer = 'body';
        this.subscriptions = [];
        this.onInitCalled = false;
        this.currentInterval = new DateInterval();
        this.intervalSelectType = 0;
        this.selectedFromQuarter = Quarters.I;
        this.isFirstCalendarWeekOfYear = false;
        this.isLastCalendarWeekOfYear = false;
        this.startEndError = false;
        this.fromDatePickerVisible = false;
        this.datepickervisible = true;
        this.monthvisible = false;
        this.fromMonthVisible = false;
        this.yearvisible = false;
        this.calendarweekVisible = false;
        this.intervalVisible = false;
        this.currentmonthyearvisible = false;
        this.quarterSelectorVisible = false;
        this.isInChange = false;
        this.months = [
            { text: $localize `:@@SwtDateInterval.January.dsp.Label:Januar`, value: TMonthIndex.jan },
            { text: $localize `:@@SwtDateInterval.February.dsp.Label:Februar`, value: TMonthIndex.feb },
            { text: $localize `:@@SwtDateInterval.March.dsp.Label:März`, value: TMonthIndex.mar },
            { text: $localize `:@@SwtDateInterval.April.dsp.Label:April`, value: TMonthIndex.apr },
            { text: $localize `:@@SwtDateInterval.May.dsp.Label:Mai`, value: TMonthIndex.may },
            { text: $localize `:@@SwtDateInterval.June.dsp.Label:Juni`, value: TMonthIndex.jun },
            { text: $localize `:@@SwtDateInterval.July.dsp.Label:Juli`, value: TMonthIndex.jul },
            { text: $localize `:@@SwtDateInterval.August.dsp.Label:August`, value: TMonthIndex.aug },
            { text: $localize `:@@SwtDateInterval.September.dsp.Label:September`, value: TMonthIndex.sep },
            { text: $localize `:@@SwtDateInterval.October.dsp.Label:Oktober`, value: TMonthIndex.oct },
            { text: $localize `:@@SwtDateInterval.November.dsp.Label:November`, value: TMonthIndex.nov },
            { text: $localize `:@@SwtDateInterval.December.dsp.Label:Dezember`, value: TMonthIndex.dec },
        ];
        this.quarters = Object.keys(quarters).map(q => ({
            value: q,
            text: quarters[+q].text,
        }));
        this.calendarWeeks = [];
    }
    set setintervalValues(values) {
        this.setSelectItemsValues(values);
    }
    get selectedDate() { return this._selectedDate; }
    get selectedDateAsString() { return this._selectedDate?.toString(); }
    set setSelectedDate(value) {
        const valueMoment = moment(value);
        this._selectedDate = value;
        if (this.onInitCalled)
            this.setCurrentInterval(valueMoment);
    }
    ngOnInit() {
        const storeData = this.storeHelper.loadFromStorage(this.storeKey, this.maxDurationInDays);
        const hasStoreData = this.storeKey && storeData.intervalSelectType != null && storeData.intervalSelectType !== '';
        if (hasStoreData) {
            this.intervalSelectType = storeData.intervalSelectType;
            this.currentInterval = storeData.isValid ? new DateInterval(storeData.start, storeData.end) : new DateInterval(this.selectedDate, this.selectedDate);
        }
        else {
            this.intervalSelectType = this.selectItems.length > 0 ? this.selectItems[0].value : 1;
            this.currentInterval = new DateInterval(this.selectedDate, this.selectedDate);
        }
        this.refreshControlVisibility();
        this.updateSelectedDateProperties();
        if (this.hasMonthSelect())
            this.onMonthYearChange();
        else if (this.quarterSelectorVisible)
            this.initQuarter();
        else
            this.setCurrentInterval(this.currentInterval.startMoment, this.currentInterval.endMoment);
        this.onInitCalled = true;
    }
    ngOnDestroy() {
        this.subscriptions.forEach(s => s.unsubscribe());
    }
    setIntervalSelectType(value) {
        this.intervalSelectType = value;
        this.onIntervalChange();
    }
    newIntervalFromRangePicker(val, container) {
        this.setCurrentInterval(val.startMoment, val.endMoment);
        container.collapse();
    }
    onIntervalChange() {
        this.setCurrentInterval(this.currentInterval.startMoment, this.currentInterval.endMoment);
    }
    onMonthYearChange() {
        if (this.selectedYear < 1900)
            this.selectedYear = 1900;
        if (this.selectedYear > 3000)
            this.selectedYear = 3000;
        let momentStart;
        let momentEnd;
        if (this.intervalSelectType === 'currentyear') {
            momentStart = moment([this.selectedYear, TMonthIndex.jan, 1]);
            momentEnd = momentStart.endOf('year');
        }
        else if (this.intervalSelectType === 'monthinterval') {
            momentStart = moment([this.selectedYear, this.selectedFromMonth, 1]);
            momentEnd = moment([this.selectedYear, this.selectedMonth, 1]).endOf('month');
        }
        else if (this.intervalSelectType === 'calendarweek') {
            this.fixCalendarWeek();
            momentStart = moment().year(this.selectedYear).isoWeek(this.selectedCalendarWeek).startOf('week');
            momentEnd = moment().year(this.selectedYear).isoWeek(this.selectedCalendarWeek).endOf('week');
        }
        else {
            momentStart = moment([this.selectedYear, this.selectedMonth, 1]);
            momentEnd = momentStart.endOf('month');
        }
        this.setCurrentInterval(momentStart, momentEnd);
    }
    initQuarter() {
        const month = moment().month();
        const monthsPerQuarter = 3;
        this.selectedFromQuarter = Math.floor(month / monthsPerQuarter);
        this.updateQuarter();
    }
    updateQuarter() {
        const { start, end } = quarters[+this.selectedFromQuarter].getInterval(this.selectedYear);
        this.setCurrentInterval(start, end);
    }
    selectedYearAdd(addYear) {
        this.selectedYear = addYear + this.selectedYear;
        this.onMonthYearChange();
        this.recalcIsFirstOrLastWeek();
    }
    calendarWeekAdd(increment) {
        const currentWeekIndex = this.calendarWeeks.findIndex(selectItem => selectItem.value === this.selectedCalendarWeek);
        const newWeekIndex = currentWeekIndex + increment;
        if (newWeekIndex < 0 || newWeekIndex >= this.calendarWeeks.length)
            return;
        this.selectedCalendarWeek = this.calendarWeeks[newWeekIndex].value;
        this.onCalendarWeekChange();
    }
    recalcIsFirstOrLastWeek() {
        const currentWeekIndex = this.calendarWeeks.findIndex(selectItem => selectItem.value === this.selectedCalendarWeek);
        this.isFirstCalendarWeekOfYear = currentWeekIndex === 0;
        this.isLastCalendarWeekOfYear = currentWeekIndex === this.calendarWeeks.length - 1;
    }
    onCalendarWeekChange() {
        this.fixCalendarWeek();
        const momentStart = moment().year(this.selectedYear).isoWeek(this.selectedCalendarWeek).startOf('week');
        const momentEnd = moment().year(this.selectedYear).isoWeek(this.selectedCalendarWeek).endOf('week');
        this.setCurrentInterval(momentStart, momentEnd);
        this.recalcIsFirstOrLastWeek();
    }
    fixCalendarWeek() {
        const lastWeekOfYear = moment([this.selectedYear]).weeksInYear();
        if (this.selectedCalendarWeek < 0)
            this.selectedCalendarWeek = 1;
        if (this.selectedCalendarWeek > lastWeekOfYear)
            this.selectedCalendarWeek = lastWeekOfYear;
    }
    refreshCalendarWeeks() {
        this.calendarWeeks = [];
        this.detectChanges();
        const weeksInYear = (moment.utc([this.selectedYear, 11, 31]).isoWeek() === 53) ? 53 : 52;
        for (let week = 1; week <= weeksInYear; week++)
            this.calendarWeeks.push({ text: week.toString(), value: week });
    }
    detectChanges() {
        this.changeDetectorRef.detectChanges();
    }
    setSelectItemsValues(values) {
        this.selectItems = values.map(value => ({ value, text: this.getIntervalTypeSelectItemText(value) }));
    }
    getIntervalTypeSelectItemText(selectType) {
        switch (selectType) {
            case 'day':
            case 'currentday':
                return $localize `:@@SwtDateInterval.SameDay.dsp.Label:Selber Tag`;
            case 'currentmonth':
            case 'currentmonthwithoutyear':
                return $localize `:@@SwtDateInterval.Month.dsp.Label:Monat`;
            case 'currentquarter':
                return $localize `:@@SwtDateInterval.CurrentQuarter.dsp.Label:Aktuelles Quartal`;
            case 'currentyear':
                return $localize `:@@SwtDateInterval.Year.dsp.Label:Jahr`;
            case 'interval':
                return $localize `:@@SwtDateInterval.Period.dsp.Label:Zeitraum`;
            case 'calendarweek':
                return $localize `:@@SwtDateInterval.CalendarWeek.dsp.Label:Kalenderwoche`;
            case 'monthinterval':
                return $localize `:@@SwtDateInterval.MonthPeriod.dsp.Label:Monatszeitraum`;
            default:
                return selectType === 1
                    ? $localize `:@@SwtDateInterval.PreviousDay.dsp.Label:Vorheriger Tag`
                    : this.i18n.replace($localize `:@@SwtDateInterval.LastDays.dsp.Label:Letzte $0 Tage`, [selectType.toString()]);
        }
    }
    setCurrentInterval(start, end) {
        if (!end)
            end = start.clone();
        this.startEndError = false;
        this.refreshControlVisibility();
        switch (this.intervalSelectType) {
            case 'currentmonth':
            case 'currentmonthwithoutyear':
                this.currentInterval.setStart(moment([end.year(), end.month(), 1]));
                let firstDayOfNextMonth;
                if (end.month() < TMonthIndex.dec)
                    firstDayOfNextMonth = moment([end.year(), end.month() + 1, 1]);
                else
                    firstDayOfNextMonth = moment([end.year() + 1, TMonthIndex.jan, 1]);
                this.currentInterval.setEnd(firstDayOfNextMonth.subtract(1, 'day'));
                this.delimiter = undefined;
                break;
            case 'currentyear': {
                const currentYear = end.year();
                this.currentInterval.setStart(moment([currentYear, TMonthIndex.jan, 1]));
                this.currentInterval.setEnd(moment([currentYear, TMonthIndex.dec, 31]));
                this.delimiter = $localize `:'zu' 2023@@SwtDateInterval.year.to.dsp.Label:zu`;
                break;
            }
            case 'currentquarter': {
                const monthsPerQuarter = 3;
                this.selectedFromQuarter = Math.floor(end.month() / monthsPerQuarter);
                const quarter = quarters[+this.selectedFromQuarter].getInterval(this.selectedYear);
                this.currentInterval.setStart(quarter.start);
                this.currentInterval.setEnd(quarter.end);
                this.delimiter = '';
                break;
            }
            case 'day':
            case 'currentday':
                this.currentInterval.setStart(end);
                this.currentInterval.setEnd(end);
                this.delimiter = $localize `:z.B. 'am' 13.11.2023@@SwtDateInterval.day.atThe.dsp.Label:am`;
                break;
            case 'interval':
                if (end < start)
                    this.startEndError = true;
                this.currentInterval.setStart(start);
                this.currentInterval.setEnd(end);
                this.delimiter = $localize `:z.B. Januar 'bis' März 2023@@SwtDateInterval.interval.to.dsp.Label:bis`;
                break;
            case 'calendarweek':
                this.delimiter = $localize `:42 'in' 2023@@SwtDateInterval.calendarweek.in.dsp.Label:in`;
                this.currentInterval.setStart(end.startOf('week'));
                this.currentInterval.setEnd(end.endOf('week'));
                break;
            case 'monthinterval':
                if (end < start)
                    this.startEndError = true;
                this.currentInterval.setStart(start);
                this.currentInterval.setEnd(end);
                this.delimiter = $localize `:@@SwtDateInterval.interval.to.dsp.Label:bis`;
                break;
            default:
                this.currentInterval.setStart(moment(end).subtract(this.intervalSelectType, 'day'));
                this.currentInterval.setEnd(end);
                this.delimiter = this.i18n.replace($localize `:@@SwtDateInterval.daysUntil.dsp.Label:$0 Tage bis`, [this.intervalSelectType.toString()]);
                break;
        }
        this.updateSelectedDateProperties();
        if (this.intervalSelectType === 'calendarweek')
            this.refreshCalendarWeeks();
        if (!this.oldInterval || this.oldInterval.start !== this.currentInterval.start || this.oldInterval.end !== this.currentInterval.end || this.onInitCalled) {
            this.saveToStorage();
            this.changeEventEmitter.emit(this.currentInterval);
        }
        this.oldInterval = new DateInterval(this.currentInterval.startDate, this.currentInterval.endDate);
    }
    updateSelectedDateProperties() {
        this.selectedMonth = this.currentInterval.endMoment.month();
        this.selectedFromMonth = this.currentInterval.startMoment.month();
        this.selectedYear = this.getSelectedYearByInterval(this.currentInterval);
        this.selectedCalendarWeek = this.currentInterval.endMoment.isoWeek();
    }
    getSelectedYearByInterval(interval) {
        //Letzte Kalenderwoche des Jahres kann in folgeJahr enden
        //Erste Kalenderwoche des Jahres kann im Vorjahr starten
        if (this.intervalSelectType === 'calendarweek' && interval.startMoment.isoWeek() > 1)
            return interval.startMoment.year();
        return interval.endMoment.year();
    }
    saveToStorage() {
        if (this.storeKey)
            this.storeHelper.saveToStorage(this.storeKey, this.currentInterval.start, this.currentInterval.end, this.intervalSelectType);
    }
    refreshControlVisibility() {
        this.datepickervisible = false;
        this.monthvisible = false;
        this.fromMonthVisible = false;
        this.yearvisible = false;
        this.calendarweekVisible = false;
        this.fromDatePickerVisible = false;
        this.quarterSelectorVisible = false;
        this.intervalVisible = false;
        switch (this.intervalSelectType) {
            case 'currentmonth':
                this.monthvisible = true;
                break;
            case 'currentyear':
                this.yearvisible = true;
                break;
            case 'interval':
                this.intervalVisible = true;
                break;
            case 'calendarweek':
                this.calendarweekVisible = true;
                this.yearvisible = true;
                break;
            case 'monthinterval':
                this.fromMonthVisible = true;
                this.monthvisible = true;
                break;
            case 'currentquarter':
                this.quarterSelectorVisible = true;
                this.yearvisible = true;
                break;
            case 'currentday':
            case 'day':
            default:
                this.datepickervisible = true;
                break;
        }
    }
    onInputChange(eventData, collapseContainer) {
        // ! type Date nicht beachtet?
        if (collapseContainer)
            collapseContainer.collapse();
        if (eventData && typeof (eventData) !== 'string')
            eventData.stopPropagation();
    }
    // prüft, ob <input type="date"> vom browser unterstützt wird
    hasDatePicker() {
        const input = document.createElement('input');
        input.setAttribute('type', 'date');
        input.value = '2038-01-20';
        return !!input.valueAsDate;
    }
    useBrowserDateInput() {
        return this.hasDatePicker();
    }
    hasMonthSelect() {
        return this.monthvisible || this.fromMonthVisible;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalComponent, deps: [{ token: SwtDateIntervalStoreHelper }, { token: i2$3.I18nService }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtDateIntervalComponent, isStandalone: false, selector: "swt-date-interval", inputs: { storeKey: ["store-key", "storeKey"], setintervalValues: ["selectItems", "setintervalValues"], setSelectedDate: ["selectedDate", "setSelectedDate"], maxDurationInDays: "maxDurationInDays", delimiter: "delimiter", inputSize: "inputSize", swtDropdownContainerContainer: "swtDropdownContainerContainer" }, outputs: { changeEventEmitter: "change" }, providers: [SwtDateIntervalStoreHelper], viewQueries: [{ propertyName: "swtcontainer", first: true, predicate: ["swtcontainer"], descendants: true }, { propertyName: "swtFromcontainer", first: true, predicate: ["swtFromcontainer"], descendants: true }], ngImport: i0, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <swt-date-interval-inspinia [component]=\"this\" #template></swt-date-interval-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <swt-date-interval-sneat [component]=\"this\" #template></swt-date-interval-sneat>\r\n</ng-template>\r\n", dependencies: [{ kind: "component", type: i2.SwitchTemplateComponent, selector: "switch-template", inputs: ["sneat", "inspinia", "default"] }, { kind: "component", type: SwtDateIntervalSneatComponent, selector: "swt-date-interval-sneat" }, { kind: "component", type: SwtDateIntervalInspiniaComponent, selector: "swt-date-interval-inspinia" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateIntervalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-date-interval', providers: [SwtDateIntervalStoreHelper], standalone: false, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <swt-date-interval-inspinia [component]=\"this\" #template></swt-date-interval-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <swt-date-interval-sneat [component]=\"this\" #template></swt-date-interval-sneat>\r\n</ng-template>\r\n" }]
        }], ctorParameters: () => [{ type: SwtDateIntervalStoreHelper }, { type: i2$3.I18nService }, { type: i0.ChangeDetectorRef }], propDecorators: { storeKey: [{
                type: Input,
                args: ['store-key']
            }], setintervalValues: [{
                type: Input,
                args: ['selectItems']
            }], setSelectedDate: [{
                type: Input,
                args: ['selectedDate']
            }], maxDurationInDays: [{
                type: Input
            }], delimiter: [{
                type: Input
            }], inputSize: [{
                type: Input
            }], changeEventEmitter: [{
                type: Output,
                args: ['change']
            }], swtcontainer: [{
                type: ViewChild,
                args: ['swtcontainer']
            }], swtFromcontainer: [{
                type: ViewChild,
                args: ['swtFromcontainer']
            }], swtDropdownContainerContainer: [{
                type: Input
            }] } });
var TMonthIndex;
(function (TMonthIndex) {
    TMonthIndex[TMonthIndex["jan"] = 0] = "jan";
    TMonthIndex[TMonthIndex["feb"] = 1] = "feb";
    TMonthIndex[TMonthIndex["mar"] = 2] = "mar";
    TMonthIndex[TMonthIndex["apr"] = 3] = "apr";
    TMonthIndex[TMonthIndex["may"] = 4] = "may";
    TMonthIndex[TMonthIndex["jun"] = 5] = "jun";
    TMonthIndex[TMonthIndex["jul"] = 6] = "jul";
    TMonthIndex[TMonthIndex["aug"] = 7] = "aug";
    TMonthIndex[TMonthIndex["sep"] = 8] = "sep";
    TMonthIndex[TMonthIndex["oct"] = 9] = "oct";
    TMonthIndex[TMonthIndex["nov"] = 10] = "nov";
    TMonthIndex[TMonthIndex["dec"] = 11] = "dec";
})(TMonthIndex || (TMonthIndex = {}));
// eslint-disable-next-line @typescript-eslint/naming-convention
var Quarters;
(function (Quarters) {
    Quarters[Quarters["I"] = 0] = "I";
    Quarters[Quarters["II"] = 1] = "II";
    Quarters[Quarters["III"] = 2] = "III";
    Quarters[Quarters["IV"] = 3] = "IV";
})(Quarters || (Quarters = {}));
const quarters = {
    [Quarters.I]: {
        text: $localize `:@@SwtDateInterval.Quarter1.dsp.Label:Quartal I`,
        getInterval: year => ({
            start: moment([year, TMonthIndex.jan, 1]),
            end: moment([year, TMonthIndex.mar, 31]),
        }),
    },
    [Quarters.II]: {
        text: $localize `:@@SwtDateInterval.Quarter2.dsp.Label:Quartal II`,
        getInterval: year => ({
            start: moment([year, TMonthIndex.apr, 1]),
            end: moment([year, TMonthIndex.jun, 30]),
        }),
    },
    [Quarters.III]: {
        text: $localize `:@@SwtDateInterval.Quarter3.dsp.Label:Quartal III`,
        getInterval: year => ({
            start: moment([year, TMonthIndex.jul, 1]),
            end: moment([year, TMonthIndex.sep, 30]),
        }),
    },
    [Quarters.IV]: {
        text: $localize `:@@SwtDateInterval.Quarter4.dsp.Label:Quartal IV`,
        getInterval: year => ({
            start: moment([year, TMonthIndex.oct, 1]),
            end: moment([year, TMonthIndex.dec, 31]),
        }),
    },
};

class RatingIconsComponent {
    constructor(logger) {
        this.logger = logger;
        this.iconCssClass = 'fa fa-star';
        this.emptyIconCssClass = 'fa fa-star-o';
        this._rating = 0;
        this._maxRating = 0;
        this.fullArray = [];
        this.emptyArray = [];
    }
    set rating(value) {
        this._rating = value;
        this.refreshArrays();
    }
    set maxRating(value) {
        this._maxRating = value;
        this.refreshArrays();
    }
    refreshArrays() {
        this.fullArray = [];
        for (var i = 0; i < this._rating; i++)
            this.fullArray.push(i + 1);
        this.emptyArray = [];
        for (var i = this._rating; i < this._maxRating; i++)
            this.emptyArray.push(i + 1);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RatingIconsComponent, deps: [{ token: i1$1.LoggerService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: RatingIconsComponent, isStandalone: false, selector: "rating-icons", inputs: { iconCssClass: "iconCssClass", emptyIconCssClass: "emptyIconCssClass", rating: "rating", maxRating: "maxRating" }, ngImport: i0, template: `<i *ngFor="let r of fullArray" [ngClass]="iconCssClass"></i><i *ngFor="let e of emptyArray" [ngClass]="emptyIconCssClass">
`, isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: RatingIconsComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'rating-icons',
                    template: `<i *ngFor="let r of fullArray" [ngClass]="iconCssClass"></i><i *ngFor="let e of emptyArray" [ngClass]="emptyIconCssClass">
`,
                    standalone: false
                }]
        }], ctorParameters: () => [{ type: i1$1.LoggerService }], propDecorators: { iconCssClass: [{
                type: Input
            }], emptyIconCssClass: [{
                type: Input
            }], rating: [{
                type: Input
            }], maxRating: [{
                type: Input
            }] } });

class LoadingIndicatorComponent {
    set loadingContainerRef(ref) { this.loadingContainer = ref.nativeElement; }
    constructor() {
        this.minHeight = '80px';
        this.visible = false;
        this.topdistance = '0';
        this.spinnerSize = '30px';
        this.text = '';
    }
    ngAfterContentInit() {
        this.loadingContainer.classList.add('loading-indicator-container-off');
        this.recalcPosition();
    }
    recalcPosition() {
        this.topdistance = Math.floor(this.loadingContainer.clientHeight / 2 - 15) + 'px';
    }
    show() {
        setTimeout(() => {
            this.recalcPosition();
            this.loadingContainer.classList.remove('loading-indicator-container-off');
            this.loadingContainer.classList.add('loading-indicator-container-on');
            this.visible = true;
        }, 0);
    }
    hide() {
        setTimeout(() => {
            this.visible = false;
            this.loadingContainer.classList.add('loading-indicator-container-off');
            this.loadingContainer.classList.remove('loading-indicator-container-on');
        }, 0);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LoadingIndicatorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LoadingIndicatorComponent, isStandalone: false, selector: "loading-indicator", inputs: { text: "text", spinnerSize: "spinnerSize", minHeight: "minHeight" }, viewQueries: [{ propertyName: "loadingContainerRef", first: true, predicate: ["loadingContainer"], descendants: true, static: true }], ngImport: i0, template: `
        <div #loadingContainer [ngStyle]="{ 'min-height': visible ? minHeight : '' }">
            <ng-content></ng-content>
            <div *ngIf="visible" class="loading-indicator-backdrop"></div>
            <div *ngIf="visible" class="loading-indicator" [style.top]="topdistance">
                <switch-template [inspinia]="inspiniaTemplate" [sneat]="sneatTemplate"></switch-template>
                <div [hidden]="!text" class="loading-indicator-text">{{text}}</div>
            </div>

            <ng-template #inspiniaTemplate>
                <div class="sk-spinner sk-spinner-circle" [style.width]="spinnerSize"
                     [style.height]="spinnerSize">
                    <div class="sk-circle1 sk-circle"></div>
                    <div class="sk-circle2 sk-circle"></div>
                    <div class="sk-circle3 sk-circle"></div>
                    <div class="sk-circle4 sk-circle"></div>
                    <div class="sk-circle5 sk-circle"></div>
                    <div class="sk-circle6 sk-circle"></div>
                    <div class="sk-circle7 sk-circle"></div>
                    <div class="sk-circle8 sk-circle"></div>
                    <div class="sk-circle9 sk-circle"></div>
                    <div class="sk-circle10 sk-circle"></div>
                    <div class="sk-circle11 sk-circle"></div>
                    <div class="sk-circle12 sk-circle"></div>
                </div>
            </ng-template>

            <ng-template #sneatTemplate>
                <div class="sk-swing sk-primary auto-margin" [style.width]="spinnerSize"
                     [style.height]="spinnerSize">
                    <div class="sk-swing-dot"></div>
                    <div class="sk-swing-dot"></div>
                </div>
            </ng-template>
        </div>
    `, isInline: true, styles: [".loading-indicator-container-on{position:relative;overflow:hidden}.loading-indicator{position:absolute;width:100%;height:100%;top:0}.loading-indicator-backdrop{position:absolute;width:100%;height:100%;background-color:silver;opacity:.25;top:0}.loading-indicator-text{text-align:center}.auto-margin{margin:0 auto}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "component", type: i2.SwitchTemplateComponent, selector: "switch-template", inputs: ["sneat", "inspinia", "default"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LoadingIndicatorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'loading-indicator', template: `
        <div #loadingContainer [ngStyle]="{ 'min-height': visible ? minHeight : '' }">
            <ng-content></ng-content>
            <div *ngIf="visible" class="loading-indicator-backdrop"></div>
            <div *ngIf="visible" class="loading-indicator" [style.top]="topdistance">
                <switch-template [inspinia]="inspiniaTemplate" [sneat]="sneatTemplate"></switch-template>
                <div [hidden]="!text" class="loading-indicator-text">{{text}}</div>
            </div>

            <ng-template #inspiniaTemplate>
                <div class="sk-spinner sk-spinner-circle" [style.width]="spinnerSize"
                     [style.height]="spinnerSize">
                    <div class="sk-circle1 sk-circle"></div>
                    <div class="sk-circle2 sk-circle"></div>
                    <div class="sk-circle3 sk-circle"></div>
                    <div class="sk-circle4 sk-circle"></div>
                    <div class="sk-circle5 sk-circle"></div>
                    <div class="sk-circle6 sk-circle"></div>
                    <div class="sk-circle7 sk-circle"></div>
                    <div class="sk-circle8 sk-circle"></div>
                    <div class="sk-circle9 sk-circle"></div>
                    <div class="sk-circle10 sk-circle"></div>
                    <div class="sk-circle11 sk-circle"></div>
                    <div class="sk-circle12 sk-circle"></div>
                </div>
            </ng-template>

            <ng-template #sneatTemplate>
                <div class="sk-swing sk-primary auto-margin" [style.width]="spinnerSize"
                     [style.height]="spinnerSize">
                    <div class="sk-swing-dot"></div>
                    <div class="sk-swing-dot"></div>
                </div>
            </ng-template>
        </div>
    `, standalone: false, styles: [".loading-indicator-container-on{position:relative;overflow:hidden}.loading-indicator{position:absolute;width:100%;height:100%;top:0}.loading-indicator-backdrop{position:absolute;width:100%;height:100%;background-color:silver;opacity:.25;top:0}.loading-indicator-text{text-align:center}.auto-margin{margin:0 auto}\n"] }]
        }], ctorParameters: () => [], propDecorators: { text: [{
                type: Input
            }], spinnerSize: [{
                type: Input
            }], minHeight: [{
                type: Input
            }], loadingContainerRef: [{
                type: ViewChild,
                args: ['loadingContainer', { static: true }]
            }] } });

class IBoxTemplateBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxTemplateBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: IBoxTemplateBase, isStandalone: true, inputs: { component: "component", content: "content", content_heading: "content_heading", content_titleInfo: "content_titleInfo", content_tools: "content_tools", content_contentHeading: "content_contentHeading" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxTemplateBase, decorators: [{
            type: Directive
        }], propDecorators: { component: [{
                type: Input
            }], content: [{
                type: Input
            }], content_heading: [{
                type: Input
            }], content_titleInfo: [{
                type: Input
            }], content_tools: [{
                type: Input
            }], content_contentHeading: [{
                type: Input
            }] } });
class IBoxSneatComponent extends IBoxTemplateBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxSneatComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: IBoxSneatComponent, isStandalone: false, selector: "ibox-template-sneat", usesInheritance: true, ngImport: i0, template: "<div class=\"accordion\">\r\n    <div class=\"card accordion-item\">\r\n        <ly-title context=\"ibox\" customClass=\"accordion-header d-flex align-items-center\" *ngIf=\"!component.headingHidden\">\r\n            <button class=\"accordion-button\" (click)=\"component.toggleCollapse($event)\"\r\n                [ngClass]=\"{ 'collapsed': component.collapsed, 'collapsable': component.collapsable }\">\r\n                {{ component.heading }}\r\n                <ng-container *ngIf=\"!component.heading\">\r\n                    <ng-container *ngTemplateOutlet=\"content_heading\"></ng-container>\r\n                </ng-container>\r\n                <span *ngIf=\"component.label\" class=\"badge bg-primary ms-1\">{{ component.label }}</span>\r\n                <div class=\"ms-auto\" (click)=\"$event.stopPropagation()\">\r\n                    <ng-container *ngTemplateOutlet=\"content_tools\"></ng-container>\r\n                </div>\r\n            </button>\r\n        </ly-title>\r\n        <div class=\"accordion-collapse collapse\" [ngClass]=\"component.collapsed ? '' : 'show'\">\r\n            <div class=\"accordion-body\">\r\n                <h3 [ngClass]=\"component.contentHeadingClass\">\r\n                    <ng-container *ngTemplateOutlet=\"content_contentHeading\"></ng-container>\r\n                </h3>\r\n                <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n", styles: [".accordion-button:after{margin-left:5px}.accordion-button:not(.collapsable){cursor:initial}.accordion-button:not(.collapsable):after{display:none}h3:empty{display:none}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2$4.LayoutTitleComponent, selector: "ly-title", inputs: ["customClass", "context"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxSneatComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ibox-template-sneat', standalone: false, template: "<div class=\"accordion\">\r\n    <div class=\"card accordion-item\">\r\n        <ly-title context=\"ibox\" customClass=\"accordion-header d-flex align-items-center\" *ngIf=\"!component.headingHidden\">\r\n            <button class=\"accordion-button\" (click)=\"component.toggleCollapse($event)\"\r\n                [ngClass]=\"{ 'collapsed': component.collapsed, 'collapsable': component.collapsable }\">\r\n                {{ component.heading }}\r\n                <ng-container *ngIf=\"!component.heading\">\r\n                    <ng-container *ngTemplateOutlet=\"content_heading\"></ng-container>\r\n                </ng-container>\r\n                <span *ngIf=\"component.label\" class=\"badge bg-primary ms-1\">{{ component.label }}</span>\r\n                <div class=\"ms-auto\" (click)=\"$event.stopPropagation()\">\r\n                    <ng-container *ngTemplateOutlet=\"content_tools\"></ng-container>\r\n                </div>\r\n            </button>\r\n        </ly-title>\r\n        <div class=\"accordion-collapse collapse\" [ngClass]=\"component.collapsed ? '' : 'show'\">\r\n            <div class=\"accordion-body\">\r\n                <h3 [ngClass]=\"component.contentHeadingClass\">\r\n                    <ng-container *ngTemplateOutlet=\"content_contentHeading\"></ng-container>\r\n                </h3>\r\n                <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n", styles: [".accordion-button:after{margin-left:5px}.accordion-button:not(.collapsable){cursor:initial}.accordion-button:not(.collapsable):after{display:none}h3:empty{display:none}\n"] }]
        }] });
class IBoxInspiniaComponent extends IBoxTemplateBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxInspiniaComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: IBoxInspiniaComponent, isStandalone: false, selector: "ibox-template-inspinia", usesInheritance: true, ngImport: i0, template: "<div class=\"ibox\" [ngClass]=\"component.collapsed ? '' : 'border-bottom'\">\r\n    <div class=\"ibox-title\" [hidden]=\"component.headingHidden\">\r\n        <ly-title context=\"ibox\" (click)=\"component.toggleCollapse($event)\">\r\n            {{component.heading}}\r\n            <ng-container *ngIf=\"!component.heading\">\r\n                <ng-container *ngTemplateOutlet=\"content_heading\"></ng-container>\r\n            </ng-container>\r\n        </ly-title>\r\n        <span *ngIf=\"component.label\" class=\"label label-primary\">{{ component.label }}</span>\r\n        <div class=\"ibox-tools\">\r\n            <ng-container *ngTemplateOutlet=\"content_tools\"></ng-container>\r\n            <a class=\"collapse-link\" [hidden]=\"!component.collapsable\" (click)=\"component.toggleCollapse($event)\">\r\n                <i class=\"fa\" [ngClass]=\"component.collapsed ? 'fa-chevron-down' : 'fa-chevron-up'\"></i>\r\n            </a>\r\n        </div>\r\n    </div>\r\n    <div #contentHeadingWrapper\r\n        [ngClass]=\"contentHeadingWrapper.children.length === 0 || component.collapsed ? 'hidden' : 'ibox-content ibox-heading ' + component.contentHeadingClass\">\r\n        <ng-container *ngTemplateOutlet=\"content_contentHeading\"></ng-container>\r\n    </div>\r\n    <div *ngIf=\"!component.collapsed\" class=\"ibox-content\">\r\n        <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n    </div>\r\n</div>\r\n", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2$4.LayoutTitleComponent, selector: "ly-title", inputs: ["customClass", "context"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxInspiniaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ibox-template-inspinia', standalone: false, template: "<div class=\"ibox\" [ngClass]=\"component.collapsed ? '' : 'border-bottom'\">\r\n    <div class=\"ibox-title\" [hidden]=\"component.headingHidden\">\r\n        <ly-title context=\"ibox\" (click)=\"component.toggleCollapse($event)\">\r\n            {{component.heading}}\r\n            <ng-container *ngIf=\"!component.heading\">\r\n                <ng-container *ngTemplateOutlet=\"content_heading\"></ng-container>\r\n            </ng-container>\r\n        </ly-title>\r\n        <span *ngIf=\"component.label\" class=\"label label-primary\">{{ component.label }}</span>\r\n        <div class=\"ibox-tools\">\r\n            <ng-container *ngTemplateOutlet=\"content_tools\"></ng-container>\r\n            <a class=\"collapse-link\" [hidden]=\"!component.collapsable\" (click)=\"component.toggleCollapse($event)\">\r\n                <i class=\"fa\" [ngClass]=\"component.collapsed ? 'fa-chevron-down' : 'fa-chevron-up'\"></i>\r\n            </a>\r\n        </div>\r\n    </div>\r\n    <div #contentHeadingWrapper\r\n        [ngClass]=\"contentHeadingWrapper.children.length === 0 || component.collapsed ? 'hidden' : 'ibox-content ibox-heading ' + component.contentHeadingClass\">\r\n        <ng-container *ngTemplateOutlet=\"content_contentHeading\"></ng-container>\r\n    </div>\r\n    <div *ngIf=\"!component.collapsed\" class=\"ibox-content\">\r\n        <ng-container *ngTemplateOutlet=\"content\"></ng-container>\r\n    </div>\r\n</div>\r\n" }]
        }] });

const STORAGE_KEY_PREFIX = 'IBoxStore';
var State;
(function (State) {
    State["open"] = "open";
    State["collapsed"] = "collapsed";
})(State || (State = {}));
class IBoxComponent {
    constructor(logger, config, userPropStorageService) {
        this.logger = logger;
        this.config = config;
        this.userPropStorageService = userPropStorageService;
        this.stateChange = new EventEmitter();
        this.heading = '';
        this.collapsable = true;
        this.collapsed = false;
        this.headingHidden = false;
        this.label = '';
        this.contentHeadingClass = '';
    }
    toggleCollapse(event) {
        event.preventDefault();
        if (!this.collapsable)
            return;
        this.collapsed = !this.collapsed;
        this.stateChange.emit(this.collapsed ? State.collapsed : State.open);
        if (this.saveState && this.storeKey)
            this.userPropStorageService.save(this.key, { collapsed: this.collapsed });
    }
    ngOnInit() {
        if (!this.collapsable)
            return;
        this.saveState ??= !!this.storeKey || this.config.saveState;
        this.storeKey ??= this.defaultKey;
        if (this.saveState && this.storeKey) {
            const storageData = this.userPropStorageService.load(this.key);
            this.collapsed = storageData?.collapsed;
            return;
        }
    }
    get key() {
        return `${STORAGE_KEY_PREFIX}.${this.storeKey}`;
    }
    get defaultKey() {
        if (this.saveState && (!this.config.useHeaderAsDefaultStoreKey || !this.heading)) {
            this.logger.warn('There is no store-key set and this.heading can or may not be used as key either, the state will not be saved.');
            return undefined;
        }
        return this.heading;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxComponent, deps: [{ token: i1$1.LoggerService }, { token: i2$5.IBoxDefaultConfig }, { token: i2$2.UserPropertiesStorageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: IBoxComponent, isStandalone: false, selector: "ibox", inputs: { heading: "heading", collapsable: "collapsable", collapsed: "collapsed", headingHidden: "headingHidden", label: "label", contentHeadingClass: "contentHeadingClass", storeKey: ["store-key", "storeKey"], saveState: "saveState" }, outputs: { stateChange: "stateChange" }, ngImport: i0, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\" [default]=\"inspiniaTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <ibox-template-inspinia [component]=\"this\" [content]=\"content\" [content_heading]=\"content_heading\"\r\n        [content_titleInfo]=\"content_titleInfo\" [content_tools]=\"content_tools\"\r\n        [content_contentHeading]=\"content_contentHeading\"></ibox-template-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <ibox-template-sneat [component]=\"this\" [content]=\"content\" [content_heading]=\"content_heading\"\r\n        [content_titleInfo]=\"content_titleInfo\" [content_tools]=\"content_tools\"\r\n        [content_contentHeading]=\"content_contentHeading\"></ibox-template-sneat>\r\n</ng-template>\r\n\r\n<ng-template #content><ng-content></ng-content></ng-template>\r\n<ng-template #content_heading><ng-content select=\"[ibox-heading]\"></ng-content></ng-template>\r\n<ng-template #content_titleInfo><ng-content select=\"[ibox-title-info]\"></ng-content></ng-template>\r\n<ng-template #content_tools><ng-content select=\"[ibox-tools]\"></ng-content></ng-template>\r\n<ng-template #content_contentHeading><ng-content select=\"[ibox-content-heading]\"></ng-content></ng-template>\r\n", dependencies: [{ kind: "component", type: i2.SwitchTemplateComponent, selector: "switch-template", inputs: ["sneat", "inspinia", "default"] }, { kind: "component", type: IBoxSneatComponent, selector: "ibox-template-sneat" }, { kind: "component", type: IBoxInspiniaComponent, selector: "ibox-template-inspinia" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ibox', standalone: false, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\" [default]=\"inspiniaTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <ibox-template-inspinia [component]=\"this\" [content]=\"content\" [content_heading]=\"content_heading\"\r\n        [content_titleInfo]=\"content_titleInfo\" [content_tools]=\"content_tools\"\r\n        [content_contentHeading]=\"content_contentHeading\"></ibox-template-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <ibox-template-sneat [component]=\"this\" [content]=\"content\" [content_heading]=\"content_heading\"\r\n        [content_titleInfo]=\"content_titleInfo\" [content_tools]=\"content_tools\"\r\n        [content_contentHeading]=\"content_contentHeading\"></ibox-template-sneat>\r\n</ng-template>\r\n\r\n<ng-template #content><ng-content></ng-content></ng-template>\r\n<ng-template #content_heading><ng-content select=\"[ibox-heading]\"></ng-content></ng-template>\r\n<ng-template #content_titleInfo><ng-content select=\"[ibox-title-info]\"></ng-content></ng-template>\r\n<ng-template #content_tools><ng-content select=\"[ibox-tools]\"></ng-content></ng-template>\r\n<ng-template #content_contentHeading><ng-content select=\"[ibox-content-heading]\"></ng-content></ng-template>\r\n" }]
        }], ctorParameters: () => [{ type: i1$1.LoggerService }, { type: i2$5.IBoxDefaultConfig }, { type: i2$2.UserPropertiesStorageService }], propDecorators: { stateChange: [{
                type: Output
            }], heading: [{
                type: Input
            }], collapsable: [{
                type: Input
            }], collapsed: [{
                type: Input
            }], headingHidden: [{
                type: Input
            }], label: [{
                type: Input
            }], contentHeadingClass: [{
                type: Input
            }], storeKey: [{
                type: Input,
                args: ['store-key']
            }], saveState: [{
                type: Input
            }] } });

class IBoxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: IBoxModule, declarations: [IBoxComponent,
            IBoxSneatComponent,
            IBoxInspiniaComponent], imports: [CommonModule,
            SwitchTemplateModule,
            LayoutModule], exports: [IBoxComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxModule, imports: [CommonModule,
            SwitchTemplateModule,
            LayoutModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: IBoxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        SwitchTemplateModule,
                        LayoutModule,
                    ],
                    declarations: [
                        IBoxComponent,
                        IBoxSneatComponent,
                        IBoxInspiniaComponent,
                    ],
                    exports: [IBoxComponent],
                }]
        }] });

class SwtCheckboxWrapper {
    constructor() {
        this.sizePixel = 22;
        this.checkBoxFocused = false;
    }
    get fontSize() {
        const calc = (this.sizePixel / 3) * 2;
        return calc.toString() + 'px';
    }
    get boxSize() {
        return this.sizePixel + 'px';
    }
    set contentChild(value) {
        this.checkBoxControl = value.nativeElement;
    }
    onFocusCheckbox() {
        this.checkBoxFocused = true;
    }
    onUnfocusCheckbox() {
        this.checkBoxFocused = false;
    }
    get isChecked() {
        return this.checkBoxControl.checked;
    }
    get isIntermediate() {
        const result = this.checkBoxControl.checked === null || this.checkBoxControl.checked === undefined;
        return result;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtCheckboxWrapper, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtCheckboxWrapper, isStandalone: false, selector: "swt-checkbox-wrapper", inputs: { sizePixel: ["size", "sizePixel"] }, queries: [{ propertyName: "contentChild", first: true, predicate: ["cb"], descendants: true, static: true }], ngImport: i0, template: `
        <div style="position: relative; float:left">
            <div class="form-control" [class.checkbox-focused]="checkBoxFocused===true"
                [style.height]="boxSize" [style.width]="boxSize" style="padding:0">
                <div class="text-center" [ngClass]="{'bg-success': isChecked, 'bg-default': !isChecked}">
                    <i *ngIf="isChecked" class="fa fa-check" sneat-class="text-white" [style.verticalAlign]="'text-bottom'"
                        [style.fontSize]="fontSize" [style.lineHeight]="boxSize"></i>
                    <i *ngIf="isIntermediate" class="fa fa-question" sneat-class="text-white" [style.verticalAlign]="'text-bottom'"
                        [style.fontSize]="fontSize" [style.lineHeight]="boxSize"></i>
                    <div [style.height]="boxSize" [style.width]="boxSize"
                        style="top:0; position: absolute; opacity: 0;">
                            <ng-content></ng-content>
                    </div>
                </div>
            </div>
        </div>
    `, isInline: true, styles: [".form-control{box-sizing:content-box;overflow:hidden}.form-control>div{width:inherit;height:inherit}.text-white{color:#fff}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.SneatCssClassDirective, selector: "[sneat-class]", inputs: ["sneat-class"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtCheckboxWrapper, decorators: [{
            type: Component,
            args: [{ selector: 'swt-checkbox-wrapper', template: `
        <div style="position: relative; float:left">
            <div class="form-control" [class.checkbox-focused]="checkBoxFocused===true"
                [style.height]="boxSize" [style.width]="boxSize" style="padding:0">
                <div class="text-center" [ngClass]="{'bg-success': isChecked, 'bg-default': !isChecked}">
                    <i *ngIf="isChecked" class="fa fa-check" sneat-class="text-white" [style.verticalAlign]="'text-bottom'"
                        [style.fontSize]="fontSize" [style.lineHeight]="boxSize"></i>
                    <i *ngIf="isIntermediate" class="fa fa-question" sneat-class="text-white" [style.verticalAlign]="'text-bottom'"
                        [style.fontSize]="fontSize" [style.lineHeight]="boxSize"></i>
                    <div [style.height]="boxSize" [style.width]="boxSize"
                        style="top:0; position: absolute; opacity: 0;">
                            <ng-content></ng-content>
                    </div>
                </div>
            </div>
        </div>
    `, standalone: false, styles: [".form-control{box-sizing:content-box;overflow:hidden}.form-control>div{width:inherit;height:inherit}.text-white{color:#fff}\n"] }]
        }], propDecorators: { sizePixel: [{
                type: Input,
                args: ['size']
            }], contentChild: [{
                type: ContentChild,
                args: ['cb', { static: true }]
            }] } });

//see http://almerosteyn.com/2016/04/linkup-custom-control-to-ngcontrol-ngmodel
const noop$2 = () => { };
const SWT_CHECKBOX_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SwtCheckboxComponent),
    multi: true
};
class SwtCheckboxComponent {
    constructor(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.size = 22;
        //Placeholders for the callbacks which are later provided by the Control Value Accessor
        this.onTouchedCallback = noop$2;
        this.onChangeCallback = noop$2;
        //---------------------
        this.valueChange = new EventEmitter();
    }
    get boxSize() { return this.size + 'px'; }
    ngAfterViewInit() {
        // Wegen der Umstellung der GenericDialog.ChangeDetection wurde die checkbox nicht richtig gerendert -> noetiger HACK mit PK beschlossen
        if (this.activeChangeDetectionHack) {
            setTimeout(() => {
                this.refreshBindings();
            }, 200);
        }
    }
    set checkBoxRef(value) {
        this.checkBox = value.nativeElement;
        this.checkBox.addEventListener('change', (ev) => this.valueChange.emit(this.checkBox.checked));
    }
    onFocusCheckbox() {
        this.swtCheckboxWrapper.onFocusCheckbox();
    }
    onUnfocusCheckbox() {
        this.swtCheckboxWrapper.onUnfocusCheckbox();
    }
    //From ControlValueAccessor interface
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    //From ControlValueAccessor interface
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    //Set touched on blur
    onBlur() {
        this.onTouchedCallback();
    }
    //get accessor
    get value() {
        return this.innerValue;
    }
    //set accessor including call the onchange callback
    set value(v) {
        if (v !== this.value) {
            this.innerValue = v;
            this.onChangeCallback(v);
        }
    }
    //From ControlValueAccessor interface
    writeValue(v) {
        if (v !== this.value)
            this.innerValue = v;
        //this.checkBox.checked = v;
    }
    valueChanged(event) {
        event.stopPropagation();
        this.valueChange.emit(event.value);
    }
    refreshBindings() {
        this.changeDetectorRef.detectChanges();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtCheckboxComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtCheckboxComponent, isStandalone: false, selector: "swt-checkbox", inputs: { activeChangeDetectionHack: "activeChangeDetectionHack", size: "size" }, outputs: { valueChange: "change" }, providers: [SWT_CHECKBOX_VALUE_ACCESSOR], viewQueries: [{ propertyName: "swtCheckboxWrapper", first: true, predicate: ["swtCheckboxWrapper"], descendants: true, static: true }, { propertyName: "checkBoxRef", first: true, predicate: ["cb"], descendants: true }], ngImport: i0, template: `
    <swt-checkbox-wrapper #swtCheckboxWrapper [size]="size">
        <input #cb type="checkbox" [style.width]="boxSize" [style.height]="boxSize"
            style="margin:0"
            [(ngModel)]="value" class="form-check-input" (focus)="onFocusCheckbox()"
            (change)="$event.stopPropagation()" (focusout)="onUnfocusCheckbox()"
             />
    </swt-checkbox-wrapper>
    `, isInline: true, dependencies: [{ kind: "directive", type: i2$1.CheckboxControlValueAccessor, selector: "input[type=checkbox][formControlName],input[type=checkbox][formControl],input[type=checkbox][ngModel]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: SwtCheckboxWrapper, selector: "swt-checkbox-wrapper", inputs: ["size"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtCheckboxComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'swt-checkbox',
                    //directives: [SwtCheckboxWrapper],
                    template: `
    <swt-checkbox-wrapper #swtCheckboxWrapper [size]="size">
        <input #cb type="checkbox" [style.width]="boxSize" [style.height]="boxSize"
            style="margin:0"
            [(ngModel)]="value" class="form-check-input" (focus)="onFocusCheckbox()"
            (change)="$event.stopPropagation()" (focusout)="onUnfocusCheckbox()"
             />
    </swt-checkbox-wrapper>
    `,
                    providers: [SWT_CHECKBOX_VALUE_ACCESSOR],
                    standalone: false
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { activeChangeDetectionHack: [{
                type: Input
            }], size: [{
                type: Input
            }], swtCheckboxWrapper: [{
                type: ViewChild,
                args: ['swtCheckboxWrapper', { static: true }]
            }], checkBoxRef: [{
                type: ViewChild,
                args: ['cb']
            }], valueChange: [{
                type: Output,
                args: ['change']
            }] } });

/* eslint-disable @angular-eslint/no-input-rename */
class WizardStepComponent {
    constructor() {
        this.step = new WizardStep('(no title)');
    }
    set setIdent(value) {
        if (value)
            this.step.ident = value;
    }
    set setName(value) {
        if (value)
            this.step.title = value;
    }
    /** @deprecated title sorgt für einen Tooltip auf dem ganzen Wizard Step */
    set setTitle(value) {
        this.setName = value;
    }
    set setNumber(value) {
        if (value)
            this.step.number = value;
    }
    set setCanFinish(value) {
        if (value)
            this.step.canFinish = value;
    }
    set setLast(value) {
        if (value)
            this.step.last = value;
    }
    set setFirst(value) {
        if (value)
            this.step.first = value;
    }
    set canCancel(value) {
        if (typeof (value) === 'boolean')
            this.step.canCancel = value;
    }
    set leaveStepToNextCallback(v) {
        this.step.leaveStepToNextCallback = v;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: WizardStepComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: WizardStepComponent, isStandalone: false, selector: "swt-wizard-step", inputs: { setIdent: ["ident", "setIdent"], setName: ["name", "setName"], setTitle: ["title", "setTitle"], setNumber: ["number", "setNumber"], setCanFinish: ["canFinish", "setCanFinish"], setLast: ["last", "setLast"], setFirst: ["first", "setFirst"], canCancel: "canCancel", leaveStepToNextCallback: "leaveStepToNextCallback" }, ngImport: i0, template: `
        <div [style.display]="step.current ? 'block' : 'none'">
            <h1 tabindex="-1" class="title">{{step.title}}</h1>
            <div role="tabpanel">
                <ng-content></ng-content>
            </div>
        </div>
    `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: WizardStepComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'swt-wizard-step',
                    template: `
        <div [style.display]="step.current ? 'block' : 'none'">
            <h1 tabindex="-1" class="title">{{step.title}}</h1>
            <div role="tabpanel">
                <ng-content></ng-content>
            </div>
        </div>
    `,
                    standalone: false
                }]
        }], propDecorators: { setIdent: [{
                type: Input,
                args: ['ident']
            }], setName: [{
                type: Input,
                args: ['name']
            }], setTitle: [{
                type: Input,
                args: ['title']
            }], setNumber: [{
                type: Input,
                args: ['number']
            }], setCanFinish: [{
                type: Input,
                args: ['canFinish']
            }], setLast: [{
                type: Input,
                args: ['last']
            }], setFirst: [{
                type: Input,
                args: ['first']
            }], canCancel: [{
                type: Input
            }], leaveStepToNextCallback: [{
                type: Input
            }] } });
class WizardStep {
    constructor(title) {
        this.disabled = false;
        this.current = false;
        this.done = false;
        this.hidden = false;
        this.error = false;
        this._first = false;
        this._last = false;
        this.canFinish = false;
        this.canLeaveToNext = true;
        this.canLeaveToPrevious = true;
        this.canCancel = true;
        /** Callback, ob man den Step verlassen darf. Wird bei Click auf "Weiter" abgefragt. */
        this.leaveStepToNextCallback = () => true;
        this.title = title;
    }
    get class() {
        const classes = new Array();
        if (this.disabled)
            classes.push('disabled');
        if (this.current)
            classes.push('current');
        if (this.hidden)
            classes.push('hidden');
        if (this.done)
            classes.push('done');
        if (this.first)
            classes.push('first');
        if (this.last)
            classes.push('last');
        if (this.error)
            classes.push('error');
        return classes.join(' ');
    }
    set first(value) {
        this._first = value;
        if (this._first)
            this.canLeaveToPrevious = false;
    }
    get first() {
        return this._first;
    }
    set last(value) {
        this._last = value;
        if (this._last) {
            this.canLeaveToNext = false;
            this.canFinish = true;
        }
    }
    get last() {
        return this._last;
    }
}

/* eslint-disable @angular-eslint/no-output-on-prefix */
class WizardComponent {
    constructor() {
        this.shortcuts = [];
        this.tabclass = 'col-lg-3';
        this.autoReset = true;
        /** `@Input` mit 'title' sorgt für einen tooltip, also besser 'heading' benutzen */
        // eslint-disable-next-line @angular-eslint/no-input-rename
        this.title = '';
        this.subTitle = '';
        this.onAfterReset = new EventEmitter();
        this.onBeforeLeaveStepToNext = new EventEmitter();
        this.onBeforeLeaveStepToPrevious = new EventEmitter();
        this.onAfterLeaveStep = new EventEmitter();
        this.onBeforeEnterStep = new EventEmitter();
        this.onAfterEnterStep = new EventEmitter();
        this.onStepChanged = new EventEmitter();
        this.onBeforeFinished = new EventEmitter();
        this.onAfterFinished = new EventEmitter();
        this.onCanceled = new EventEmitter();
        this.steps = [];
    }
    ngAfterContentInit() {
        for (const wizardStepComponent of this.wizardStepComponents.toArray())
            this.steps.push(wizardStepComponent.step);
        this.shortcuts.push({
            key: ['esc', 'escape'],
            preventDefault: true,
            allowIn: [AllowIn.Input, AllowIn.Textarea],
            command: () => { if (!document.body.classList.contains('modal-open'))
                this.cancel(); },
        }, {
            key: 'ctrl + enter',
            preventDefault: true,
            allowIn: [AllowIn.Input, AllowIn.Textarea],
            command: () => {
                if (!document.body.classList.contains('modal-open')) {
                    if (this.currentStep.canFinish)
                        this.finish();
                }
            },
        }, {
            key: 'ctrl + alt + right',
            allowIn: [AllowIn.Textarea, AllowIn.Input],
            command: () => this.next()
        }, {
            key: 'ctrl + alt + left',
            allowIn: [AllowIn.Textarea, AllowIn.Input],
            command: () => this.previous()
        });
        this.initSteps();
    }
    get heading() { return this.title; }
    set heading(value) { this.title = value; }
    initSteps() {
        this.setStepDefaults();
        this.reset();
    }
    setStepDefaults() {
        if (this.steps.length > 0 && !this.steps.find(s => s.first))
            this.setFirstStep(this.steps[0]);
        if (this.steps.length > 0 && !this.steps.find(s => s.last))
            this.setLastSteps([this.steps[this.steps.length - 1]]);
        if (this.steps.length > 0 && !this.steps.find(s => s.canFinish)) {
            for (const s of this.steps.filter(sx => sx.last))
                s.canFinish = true;
        }
    }
    reset() {
        for (const s of this.steps) {
            s.done = false;
            s.disabled = true;
        }
        const firstStep = this.steps.find(s => s.first);
        this.setCurrentStep(firstStep);
        this.setStepDefaults();
        this.onAfterReset.emit();
        this.onAfterEnterStep.emit(firstStep);
    }
    setFirstStep(firstStep) {
        for (const s of this.steps)
            s.first = s === firstStep;
    }
    set firstStep(firstStep) {
        this.setFirstStep(firstStep);
    }
    get firstStep() {
        return this.steps.find(s => s.first);
    }
    setCurrentStep(currentStep) {
        for (const s of this.steps)
            s.current = s === currentStep;
        currentStep.disabled = false;
        currentStep.done = false;
    }
    set currentStep(currentStep) {
        this.setCurrentStep(currentStep);
        this.onStepChanged.emit(currentStep);
    }
    get currentStep() {
        return this.steps.find(s => s.current);
    }
    setLastSteps(lastSteps) {
        for (const s of this.steps)
            s.last = lastSteps.indexOf(s) >= 0;
    }
    getNextStep() {
        let result = null;
        if (this.currentStep && !this.currentStep.last) {
            const indexOfCurrent = this.steps.indexOf(this.currentStep);
            const indexOfNext = indexOfCurrent + 1;
            if (this.steps.length > indexOfNext)
                result = this.steps[indexOfNext];
        }
        return result;
    }
    getPreviousStep() {
        let result = null;
        if (this.currentStep && !this.currentStep.first) {
            const indexOfCurrent = this.steps.indexOf(this.currentStep);
            const indexOfPrev = indexOfCurrent - 1;
            if (indexOfPrev >= 0)
                result = this.steps[indexOfPrev];
        }
        return result;
    }
    async goto(gotoStep) {
        if (!gotoStep.disabled) {
            const indexOfGotoStep = this.steps.indexOf(gotoStep);
            const indexOfCurrent = this.steps.indexOf(this.currentStep);
            if (indexOfGotoStep > indexOfCurrent)
                await this.next(gotoStep);
            else
                this.previous(gotoStep);
        }
    }
    async next(targetStep) {
        targetStep ??= this.getNextStep();
        const currentStep = this.currentStep;
        this.onBeforeLeaveStepToNext.emit(currentStep);
        if (!currentStep.canLeaveToNext)
            return;
        if (!await currentStep.leaveStepToNextCallback())
            return;
        this.enterStep(targetStep);
    }
    previous(enteredStep) {
        this.onBeforeLeaveStepToPrevious.emit(this.currentStep);
        if (this.currentStep.canLeaveToPrevious) {
            if (!enteredStep)
                enteredStep = this.getPreviousStep();
            this.enterStep(enteredStep);
        }
    }
    leftStep(leftStep) {
        leftStep.done = true;
        this.onAfterLeaveStep.emit(leftStep);
    }
    enterStep(enteredStep) {
        this.onBeforeEnterStep.emit(enteredStep);
        const lastStep = this.currentStep;
        this.currentStep = enteredStep;
        this.leftStep(lastStep);
        this.onAfterEnterStep.emit(this.currentStep);
    }
    finish() {
        this.onBeforeFinished.emit(this.currentStep);
        if (this.currentStep.canFinish) {
            this.onAfterFinished.emit(this.currentStep);
            if (this.autoReset)
                this.reset();
        }
    }
    cancel() {
        this.onCanceled.emit();
        if (this.autoReset)
            this.reset();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: WizardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: WizardComponent, isStandalone: false, selector: "swt-wizard", inputs: { tabclass: "tabclass", autoReset: "autoReset", title: "title", heading: "heading", subTitle: "subTitle" }, outputs: { onAfterReset: "onAfterReset", onBeforeLeaveStepToNext: "onBeforeLeaveStepToNext", onBeforeLeaveStepToPrevious: "onBeforeLeaveStepToPrevious", onAfterLeaveStep: "onAfterLeaveStep", onBeforeEnterStep: "onBeforeEnterStep", onAfterEnterStep: "onAfterEnterStep", onStepChanged: "onStepChanged", onBeforeFinished: "onBeforeFinished", onAfterFinished: "onAfterFinished", onCanceled: "onCanceled" }, queries: [{ propertyName: "wizardStepComponents", predicate: WizardStepComponent }], ngImport: i0, template: "<ng-keyboard-shortcuts [shortcuts]=\"shortcuts\"></ng-keyboard-shortcuts>\r\n<h2 *ngIf=\"title\">{{ title }}</h2>\r\n<p *ngIf=\"subTitle\">{{ subTitle }}</p>\r\n<div id=\"wizard\" role=\"application\" class=\"wizard clearfix\">\r\n    <div class=\"steps clearfix\">\r\n        <ul role=\"tablist\" *ngFor=\"let step of steps\">\r\n            <li #test [id]=\"'step_' + step.number\" (mouseover)=\"test.title = ''\" [title]=\"step.title\" role=\"tab\" [class]=\"tabclass\" [ngClass]=\"step.class\">\r\n                <a href=\"javascript:void(0)\" (click)=\"goto(step)\">\r\n                    <span *ngIf=\"step.number\" class=\"number\">{{ step.number }}</span> {{ step.title }}\r\n                </a>\r\n            </li>\r\n        </ul>\r\n    </div>\r\n    <div class=\"content clearfix\">\r\n        <div class=\"body\">\r\n            <ng-content></ng-content>\r\n        </div>\r\n    </div>\r\n    <div class=\"actions clearfix\">\r\n        <ul role=\"menu\" *ngIf=\"currentStep\">\r\n            <li id=\"swt-wizard-previous\" (click)=\"previous()\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canLeaveToPrevious\" class=\"btn\" role=\"menuitem\" i18n=\"@@Wizard.Previous.act.Label\" title=\"ctrl + alt + left\">\r\n                    Zur\u00FCck\r\n                </button>\r\n            </li>\r\n            <li id=\"swt-wizard-next\" (click)=\"next()\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canLeaveToNext\" class=\"btn\" role=\"menuitem\" i18n=\"@@Wizard.Next.act.Label\"  title=\"ctrl + alt + right\">\r\n                    Weiter\r\n                </button>\r\n            </li>\r\n            <li id=\"swt-wizard-finish\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canFinish\" class=\"btn\" role=\"menuitem\" (click)=\"finish()\" i18n=\"@@Wizard.Finish.act.Label\" title=\"ctrl + enter\">\r\n                    Abschliessen\r\n                </button>\r\n            </li>\r\n            <li id=\"swt-wizard-cancel\" (click)=\"cancel()\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canCancel\" class=\"btn\" i18n=\"@@Wizard.Cancel.act.Label\" title=\"esc\">\r\n                    Abbrechen\r\n                </button>\r\n            </li>\r\n        </ul>\r\n    </div>\r\n    <div [hidden]=\"true\">\r\n        <input id=\"swt-wizard-step-ident\" [name]=\"currentStep.ident\">\r\n        <input id=\"swt-wizard-step-number\" [name]=\"currentStep.number\">\r\n    </div>\r\n</div>\r\n", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$6.KeyboardShortcutsComponent, selector: "ng-keyboard-shortcuts", inputs: ["shortcuts", "disabled"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: WizardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-wizard', standalone: false, template: "<ng-keyboard-shortcuts [shortcuts]=\"shortcuts\"></ng-keyboard-shortcuts>\r\n<h2 *ngIf=\"title\">{{ title }}</h2>\r\n<p *ngIf=\"subTitle\">{{ subTitle }}</p>\r\n<div id=\"wizard\" role=\"application\" class=\"wizard clearfix\">\r\n    <div class=\"steps clearfix\">\r\n        <ul role=\"tablist\" *ngFor=\"let step of steps\">\r\n            <li #test [id]=\"'step_' + step.number\" (mouseover)=\"test.title = ''\" [title]=\"step.title\" role=\"tab\" [class]=\"tabclass\" [ngClass]=\"step.class\">\r\n                <a href=\"javascript:void(0)\" (click)=\"goto(step)\">\r\n                    <span *ngIf=\"step.number\" class=\"number\">{{ step.number }}</span> {{ step.title }}\r\n                </a>\r\n            </li>\r\n        </ul>\r\n    </div>\r\n    <div class=\"content clearfix\">\r\n        <div class=\"body\">\r\n            <ng-content></ng-content>\r\n        </div>\r\n    </div>\r\n    <div class=\"actions clearfix\">\r\n        <ul role=\"menu\" *ngIf=\"currentStep\">\r\n            <li id=\"swt-wizard-previous\" (click)=\"previous()\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canLeaveToPrevious\" class=\"btn\" role=\"menuitem\" i18n=\"@@Wizard.Previous.act.Label\" title=\"ctrl + alt + left\">\r\n                    Zur\u00FCck\r\n                </button>\r\n            </li>\r\n            <li id=\"swt-wizard-next\" (click)=\"next()\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canLeaveToNext\" class=\"btn\" role=\"menuitem\" i18n=\"@@Wizard.Next.act.Label\"  title=\"ctrl + alt + right\">\r\n                    Weiter\r\n                </button>\r\n            </li>\r\n            <li id=\"swt-wizard-finish\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canFinish\" class=\"btn\" role=\"menuitem\" (click)=\"finish()\" i18n=\"@@Wizard.Finish.act.Label\" title=\"ctrl + enter\">\r\n                    Abschliessen\r\n                </button>\r\n            </li>\r\n            <li id=\"swt-wizard-cancel\" (click)=\"cancel()\">\r\n                <button disable-no-double-click [disabled]=\"!currentStep.canCancel\" class=\"btn\" i18n=\"@@Wizard.Cancel.act.Label\" title=\"esc\">\r\n                    Abbrechen\r\n                </button>\r\n            </li>\r\n        </ul>\r\n    </div>\r\n    <div [hidden]=\"true\">\r\n        <input id=\"swt-wizard-step-ident\" [name]=\"currentStep.ident\">\r\n        <input id=\"swt-wizard-step-number\" [name]=\"currentStep.number\">\r\n    </div>\r\n</div>\r\n" }]
        }], propDecorators: { wizardStepComponents: [{
                type: ContentChildren,
                args: [WizardStepComponent]
            }], tabclass: [{
                type: Input
            }], autoReset: [{
                type: Input
            }], title: [{
                type: Input
            }], heading: [{
                type: Input
            }], subTitle: [{
                type: Input
            }], onAfterReset: [{
                type: Output
            }], onBeforeLeaveStepToNext: [{
                type: Output
            }], onBeforeLeaveStepToPrevious: [{
                type: Output
            }], onAfterLeaveStep: [{
                type: Output
            }], onBeforeEnterStep: [{
                type: Output
            }], onAfterEnterStep: [{
                type: Output
            }], onStepChanged: [{
                type: Output
            }], onBeforeFinished: [{
                type: Output
            }], onAfterFinished: [{
                type: Output
            }], onCanceled: [{
                type: Output
            }] } });

class DebounceDirective {
    constructor(model) {
        this.model = model;
        this.destroyRef = inject(DestroyRef);
        this.onDebounce = new EventEmitter();
        this.debounceTime = 500;
        this.isFirstChange = true;
    }
    ngOnInit() {
        this.model.valueChanges.pipe(debounceTime(this.debounceTime), distinctUntilChanged(), takeUntilDestroyed(this.destroyRef)).subscribe(modelValue => {
            if (this.isFirstChange)
                this.isFirstChange = false;
            else
                this.onDebounce.emit(modelValue);
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DebounceDirective, deps: [{ token: i2$1.NgControl }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: DebounceDirective, isStandalone: false, selector: "[ngModel][debounce]", inputs: { debounceTime: ["debounce", "debounceTime"] }, outputs: { onDebounce: "onDebounce" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DebounceDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[ngModel][debounce]',
                    standalone: false
                }]
        }], ctorParameters: () => [{ type: i2$1.NgControl }], propDecorators: { onDebounce: [{
                type: Output
            }], debounceTime: [{
                type: Input,
                args: ['debounce']
            }] } });

class SWTHighlightSearch {
    transform(value, args) {
        if (!args)
            return value;
        const re = new RegExp(args, 'gi');
        return value.replace(re, '<strong>' + args + '</strong>');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SWTHighlightSearch, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: SWTHighlightSearch, isStandalone: false, name: "highlight" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SWTHighlightSearch, decorators: [{
            type: Pipe,
            args: [{
                    name: 'highlight',
                    standalone: false
                }]
        }] });

class SwtLruComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtLruComponentBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: SwtLruComponentBase, isStandalone: true, inputs: { component: "component" }, viewQueries: [{ propertyName: "htmlInputSearch", first: true, predicate: ["search"], descendants: true, static: true }, { propertyName: "htmlSelectItems", predicate: ["selectItem"], descendants: true }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtLruComponentBase, decorators: [{
            type: Directive
        }], propDecorators: { htmlInputSearch: [{
                type: ViewChild,
                args: ['search', { static: true }]
            }], htmlSelectItems: [{
                type: ViewChildren,
                args: ['selectItem']
            }], component: [{
                type: Input
            }] } });
class SwtLruInspiniaComponent extends SwtLruComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtLruInspiniaComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtLruInspiniaComponent, isStandalone: false, selector: "swt-lru-inspinia", usesInheritance: true, ngImport: i0, template: "<div class=\"input-group\" [ngClass]=\"component.inputGroupCss\">\r\n    <input type=\"text\" #search [(ngModel)]=\"component.value\" tabindex=\"0\" class=\"form-control\" [name]=\"component.key\"\r\n        [maxlength]=\"component.inputMaxLength\" (keydown)=\"component.onKeydown($event)\" (input)=\"component.refresh()\"\r\n        (focus)=\"component.onInputFocus()\" (blur)=\"component.onInputFocusLost()\" [ngClass]=\"component.cssClass\">\r\n    <span class=\"input-group-btn\">\r\n        <button (click)=\"component.clearInput()\" class=\"btn btn-default\" type=\"button\">\r\n            <i class=\"fa fa-times\"></i></button>\r\n    </span>\r\n</div>\r\n<ul *ngIf=\"component.showList\" tabindex=\"-1\" class=\"list-group\" (keydown)=\"component.onKeydown($event)\" (focus)=\"component.onListFocus()\" (blur)=\"component.onListFocusLost()\">\r\n    <li #selectItem *ngFor=\"let item of component.selectItems\" tabindex=\"1\" (click)=\"component.select(item.value)\"\r\n        class=\"list-group-item\" innerHTML=\"{{ item.text | highlight : component.value}}\" [value]=\"item.value\">\r\n    </li>\r\n</ul>\r\n", styles: [".list-group-item{cursor:pointer}.list-group-item:hover{color:#fff;background-color:#337ab7!important;border-color:#337ab7}.list-group-item:focus{background:#c1c1c1;outline:none}ul{z-index:4;position:absolute;max-height:200px;width:348px;overflow-y:scroll;background-color:#fff}.input-group-sm .input-group-btn button{height:28px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.MaxLengthValidator, selector: "[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]", inputs: ["maxlength"] }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "pipe", type: SWTHighlightSearch, name: "highlight" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtLruInspiniaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-lru-inspinia', standalone: false, template: "<div class=\"input-group\" [ngClass]=\"component.inputGroupCss\">\r\n    <input type=\"text\" #search [(ngModel)]=\"component.value\" tabindex=\"0\" class=\"form-control\" [name]=\"component.key\"\r\n        [maxlength]=\"component.inputMaxLength\" (keydown)=\"component.onKeydown($event)\" (input)=\"component.refresh()\"\r\n        (focus)=\"component.onInputFocus()\" (blur)=\"component.onInputFocusLost()\" [ngClass]=\"component.cssClass\">\r\n    <span class=\"input-group-btn\">\r\n        <button (click)=\"component.clearInput()\" class=\"btn btn-default\" type=\"button\">\r\n            <i class=\"fa fa-times\"></i></button>\r\n    </span>\r\n</div>\r\n<ul *ngIf=\"component.showList\" tabindex=\"-1\" class=\"list-group\" (keydown)=\"component.onKeydown($event)\" (focus)=\"component.onListFocus()\" (blur)=\"component.onListFocusLost()\">\r\n    <li #selectItem *ngFor=\"let item of component.selectItems\" tabindex=\"1\" (click)=\"component.select(item.value)\"\r\n        class=\"list-group-item\" innerHTML=\"{{ item.text | highlight : component.value}}\" [value]=\"item.value\">\r\n    </li>\r\n</ul>\r\n", styles: [".list-group-item{cursor:pointer}.list-group-item:hover{color:#fff;background-color:#337ab7!important;border-color:#337ab7}.list-group-item:focus{background:#c1c1c1;outline:none}ul{z-index:4;position:absolute;max-height:200px;width:348px;overflow-y:scroll;background-color:#fff}.input-group-sm .input-group-btn button{height:28px}\n"] }]
        }] });
class SwtLruSneatComponent extends SwtLruComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtLruSneatComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtLruSneatComponent, isStandalone: false, selector: "swt-lru-sneat", usesInheritance: true, ngImport: i0, template: "<div class=\"input-group\">\r\n    <input type=\"text\" #search [(ngModel)]=\"component.value\" tabindex=\"0\" class=\"form-control\" [name]=\"component.key\"\r\n        [maxlength]=\"component.inputMaxLength\" (keydown)=\"component.onKeydown($event)\" (input)=\"component.refresh()\"\r\n        (focus)=\"component.onInputFocus()\" (blur)=\"component.onInputFocusLost()\" [ngClass]=\"component.cssClass\">\r\n    <span class=\"input-group-text\" role=\"button\" (click)=\"component.clearInput()\">\r\n        <i class=\"fa fa-times\"></i>\r\n    </span>\r\n</div>\r\n<ul *ngIf=\"component.showList\" tabindex=\"-1\" class=\"list-group\" (keydown)=\"component.onKeydown($event)\" (focus)=\"component.onListFocus()\" (blur)=\"component.onListFocusLost()\">\r\n    <li #selectItem *ngFor=\"let item of component.selectItems\" tabindex=\"1\" (click)=\"component.select(item.value)\"\r\n        class=\"list-group-item\" innerHTML=\"{{ item.text | highlight : component.value}}\" [value]=\"item.value\">\r\n    </li>\r\n</ul>\r\n", dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.MaxLengthValidator, selector: "[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]", inputs: ["maxlength"] }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: SWTHighlightSearch, name: "highlight" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtLruSneatComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-lru-sneat', standalone: false, template: "<div class=\"input-group\">\r\n    <input type=\"text\" #search [(ngModel)]=\"component.value\" tabindex=\"0\" class=\"form-control\" [name]=\"component.key\"\r\n        [maxlength]=\"component.inputMaxLength\" (keydown)=\"component.onKeydown($event)\" (input)=\"component.refresh()\"\r\n        (focus)=\"component.onInputFocus()\" (blur)=\"component.onInputFocusLost()\" [ngClass]=\"component.cssClass\">\r\n    <span class=\"input-group-text\" role=\"button\" (click)=\"component.clearInput()\">\r\n        <i class=\"fa fa-times\"></i>\r\n    </span>\r\n</div>\r\n<ul *ngIf=\"component.showList\" tabindex=\"-1\" class=\"list-group\" (keydown)=\"component.onKeydown($event)\" (focus)=\"component.onListFocus()\" (blur)=\"component.onListFocusLost()\">\r\n    <li #selectItem *ngFor=\"let item of component.selectItems\" tabindex=\"1\" (click)=\"component.select(item.value)\"\r\n        class=\"list-group-item\" innerHTML=\"{{ item.text | highlight : component.value}}\" [value]=\"item.value\">\r\n    </li>\r\n</ul>\r\n" }]
        }] });

class LRUComponent {
    constructor(storage) {
        this.storage = storage;
        this.selectedId = new EventEmitter();
        this.selectedName = new EventEmitter();
        this.valueChange = new EventEmitter();
        this.key = null;
        this.inputMaxLength = null;
        this.stopEventPropagation = true;
        this.filterMethod = 'includes';
        this.savedIds = [];
        this.selectItems = [];
        this.originalSelectItems = [];
        this.inputFocused = false;
        this.listFocused = false;
        this.showList = false;
        this.focusedItem = -1;
    }
    get htmlInputSearch() {
        return this.template.first.htmlInputSearch;
    }
    get htmlSelectItems() {
        return this.template.first.htmlSelectItems;
    }
    get value() {
        return this.inputValue;
    }
    set value(value) {
        if (value === undefined || this.inputValue === value)
            return;
        this.inputValue = value;
        this.valueChange.emit(this.inputValue);
    }
    set inputSelectItems(selectItems) {
        this.selectItems = selectItems ? selectItems.slice() : [];
        this.originalSelectItems = selectItems ? selectItems.slice() : [];
        this.refresh();
    }
    set cssClass(value) {
        if (value === this._cssClass)
            return;
        this._cssClass = value;
        if (this._cssClass.includes('input-sm'))
            this.inputGroupCss = 'input-group-sm';
        if (this._cssClass.includes('input-lg'))
            this.inputGroupCss = 'input-group-lg';
    }
    get cssClass() {
        return this._cssClass;
    }
    /**
     * @deprecated Use the 'value' two-way-binding instead
     */
    set preSetText(text) {
        if (text && text !== this.value && text !== '$NULL')
            this.value = text;
    }
    ngOnInit() {
        this.refresh();
    }
    storageKey() {
        if (!this.key)
            return null;
        return 'LRU-' + this.key.charAt(0).toUpperCase() + this.key.slice(1);
    }
    onKeydown(event) {
        if (this.stopEventPropagation)
            event.stopPropagation();
        switch (event.key) {
            case 'ArrowUp':
                if (this.focusedItem > 0)
                    this.focusedItem--;
                event.preventDefault();
                break;
            case 'ArrowDown':
                if (this.focusedItem < this.selectItems.length - 1)
                    this.focusedItem++;
                event.preventDefault();
                break;
            case 'Enter':
                this.getFocusedElement()?.click();
                return;
            case 'Tab':
                this.onInputFocusLost();
                return;
            default:
                this.focusedItem = -1;
                setTimeout(() => this.htmlInputSearch.nativeElement?.focus());
                return;
        }
        this.getFocusedElement()?.focus();
    }
    filterSelectItems() {
        if (!this.value) {
            this.selectItems = this.originalSelectItems.slice();
            this.reorderSelectItems();
            return;
        }
        switch (this.filterMethod) {
            case 'includes':
                this.selectItems = this.originalSelectItems.filter((si) => si.text.toLowerCase().includes(this.value.toLowerCase()));
                break;
            case 'startswith':
                this.selectItems = this.originalSelectItems.filter((si) => si.text.toLowerCase().startsWith(this.value.toLowerCase()));
                break;
        }
    }
    select(itemValue) {
        if (itemValue === undefined || itemValue === null)
            return;
        const selectedItem = this.selectItems.find(item => item.value === itemValue);
        this.addToBeginning(itemValue);
        this.reorderSelectItems();
        this.saveToStorage();
        this.selectedId.emit(selectedItem.value);
        this.selectedName.emit(selectedItem.text);
        this.setSelectedText(selectedItem.text);
        this.focusedItem = -1;
        this.onInputFocusLost();
    }
    refresh() {
        this.loadFromStorage();
        this.filterSelectItems();
        this.reorderSelectItems();
    }
    reorderSelectItems() {
        if (this.savedIds.length === 0)
            return;
        const selectItemCopy = this.selectItems.slice();
        const newSelectItemList = [];
        for (const id of this.savedIds) {
            const selectItem = selectItemCopy.find(item => +item.value === id);
            if (selectItem) {
                newSelectItemList.push(selectItem);
                this.removeItemFromArray(selectItemCopy, selectItem);
            }
        }
        if (selectItemCopy.length > 0) {
            for (const selectItem of selectItemCopy)
                newSelectItemList.push(selectItem);
        }
        this.selectItems = newSelectItemList;
        this.saveToStorage();
    }
    onInputFocus() {
        this.inputFocused = true;
        this.updateShowList();
        this.focusedItem = -1;
        this.filterSelectItems();
    }
    onListFocus() {
        this.listFocused = true;
        this.updateShowList();
        this.filterSelectItems();
    }
    onInputFocusLost() {
        if (this.focusedItem !== -1)
            return;
        this.inputFocused = false;
        setTimeout(() => {
            this.focusedItem = -1;
            this.updateShowList();
        }, 150);
    }
    onListFocusLost() {
        this.listFocused = false;
        setTimeout(() => {
            this.updateShowList();
        }, 150);
    }
    updateShowList() {
        this.showList = this.listFocused || this.inputFocused;
    }
    clearInput() {
        if (!this.value)
            return;
        this.focusedItem = -1;
        this.value = null;
        this.selectedId.emit(null);
        this.selectedName.emit(null);
        this.refresh();
    }
    getFocusedElement() {
        const item = this.htmlSelectItems.get(this.focusedItem);
        return item?.nativeElement ?? null;
    }
    setSelectedText(text) {
        this.value = text ?? this.selectItems[0].text;
    }
    removeItemFromArray(array, item) {
        const removeIndex = array.indexOf(item);
        array.splice(removeIndex, 1);
    }
    loadFromStorage() {
        const result = this.storage.load(this.storageKey());
        if (result)
            this.savedIds = result;
    }
    saveToStorage() {
        if (this.selectItems.length === 0)
            return;
        this.savedIds = this.selectItems.map(si => +si.value);
        this.storage.save(this.storageKey(), this.savedIds);
    }
    addToBeginning(value) {
        this.savedIds = this.savedIds.filter(s => s !== value);
        this.savedIds.unshift(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LRUComponent, deps: [{ token: i2$2.UserPropertiesStorageService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: LRUComponent, isStandalone: false, selector: "swt-lru", inputs: { value: "value", key: "key", inputMaxLength: "inputMaxLength", stopEventPropagation: "stopEventPropagation", filterMethod: ["filter-method", "filterMethod"], inputSelectItems: "inputSelectItems", cssClass: "cssClass", preSetText: "preSetText" }, outputs: { selectedId: "selectedId", selectedName: "selectedName", valueChange: "valueChange" }, viewQueries: [{ propertyName: "template", predicate: ["template"], descendants: true }], ngImport: i0, template: `
    <switch-template [inspinia]="inspiniaTemplate" [sneat]="sneatTemplate"></switch-template>

    <ng-template #inspiniaTemplate>
        <swt-lru-inspinia [component]="this" #template ></swt-lru-inspinia>
    </ng-template>

    <ng-template #sneatTemplate>
        <swt-lru-sneat [component]="this" #template ></swt-lru-sneat>
    </ng-template>
    `, isInline: true, dependencies: [{ kind: "component", type: i2.SwitchTemplateComponent, selector: "switch-template", inputs: ["sneat", "inspinia", "default"] }, { kind: "component", type: SwtLruSneatComponent, selector: "swt-lru-sneat" }, { kind: "component", type: SwtLruInspiniaComponent, selector: "swt-lru-inspinia" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LRUComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-lru', template: `
    <switch-template [inspinia]="inspiniaTemplate" [sneat]="sneatTemplate"></switch-template>

    <ng-template #inspiniaTemplate>
        <swt-lru-inspinia [component]="this" #template ></swt-lru-inspinia>
    </ng-template>

    <ng-template #sneatTemplate>
        <swt-lru-sneat [component]="this" #template ></swt-lru-sneat>
    </ng-template>
    `, standalone: false }]
        }], ctorParameters: () => [{ type: i2$2.UserPropertiesStorageService }], propDecorators: { template: [{
                type: ViewChildren,
                args: ['template']
            }], selectedId: [{
                type: Output
            }], selectedName: [{
                type: Output
            }], valueChange: [{
                type: Output
            }], value: [{
                type: Input
            }], key: [{
                type: Input
            }], inputMaxLength: [{
                type: Input
            }], stopEventPropagation: [{
                type: Input
            }], filterMethod: [{
                type: Input,
                args: ['filter-method']
            }], inputSelectItems: [{
                type: Input
            }], cssClass: [{
                type: Input
            }], preSetText: [{
                type: Input
            }] } });

class MultiLRUComponent {
    constructor() {
        this.selectedValues = new EventEmitter();
        this.selectedTexts = new EventEmitter();
        this.valueChange = new EventEmitter();
        this.inputSelectItems = [];
        this.inputSelectItemsFn = null;
        this.multiple = true;
        this.addTag = true;
        this.filterMethod = 'includes';
        this.loadingCounter = 0;
        this.subscriptions = [];
        this.filterFunction = (term, item) => {
            if (!term)
                return true;
            if (this.filterMethod === 'includes')
                return item.text.toLowerCase().includes(term.toLowerCase());
            else
                return item.text.toLowerCase().startsWith(term.toLowerCase());
        };
    }
    /**Text der SelectItems */
    get value() {
        return this._textValues;
    }
    set value(value) {
        if (value === undefined || this._textValues === value)
            return;
        this._textValues = value;
        this.valueChange.emit(this._textValues);
    }
    ngOnInit() {
        if (this.inputSelectItemsFn) {
            this.subscriptions.push(this.ngSelect.searchEvent.pipe(debounceTime$1(300))
                .subscribe(search => this.onSearch(search.term)));
        }
    }
    ngOnDestroy() {
        this.subscriptions.forEach(s => s.unsubscribe());
    }
    onSelectChanged() {
        this.selectedValues.emit(this.value.map(text => this.inputSelectItems.find(si => si.text === text)?.value ?? text));
        this.selectedTexts.emit(this.value);
    }
    async onSearch(searchTerm) {
        this.showLoading();
        try {
            this.inputSelectItems = await this.inputSelectItemsFn(searchTerm);
        }
        finally {
            this.hideLoading();
        }
    }
    showLoading() {
        this.loadingCounter++;
        this.ngSelect.loading = true;
    }
    hideLoading() {
        this.loadingCounter--;
        if (this.loadingCounter === 0)
            this.ngSelect.loading = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: MultiLRUComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: MultiLRUComponent, isStandalone: false, selector: "multi-lru", inputs: { value: "value", inputSelectItems: "inputSelectItems", inputSelectItemsFn: "inputSelectItemsFn", name: "name", multiple: "multiple", addTag: "addTag", maxSelectedItems: "maxSelectedItems", inputMaxLength: "inputMaxLength", filterMethod: ["filter-method", "filterMethod"], cssClass: "cssClass" }, outputs: { selectedValues: "selectedValues", selectedTexts: "selectedTexts", valueChange: "valueChange" }, viewQueries: [{ propertyName: "ngSelect", first: true, predicate: ["ngSelect"], descendants: true, static: true }], ngImport: i0, template: `
    <div class="position-relative">
        <ng-select #ngSelect
            [(ngModel)]="value" [items]="inputSelectItems" (change)="onSelectChanged()" [attr.name]="name" name="{{name}}"
            [multiple]="multiple" [addTag]="addTag" [searchFn]="filterFunction" [maxSelectedItems]="maxSelectedItems"
            bindValue="text" bindLabel="text" [inputAttrs]="{maxlength: inputMaxLength?.toString()}" [virtualScroll]="true"
            class="form-control" [ngClass]="cssClass"
            loadingText="Lädt..." i18n-loadingText="@@MultiLru.Loading.dsp.Label"
            placeholder="(Auswählen)" i18n-placeholder="@@MultiLru.Choose.dsp.Label"
            notFoundText="Keine Suchergebnisse" i18n-notFoundText="@@MultiLru.NotFound.dsp.Label"
            addTagText="Hinzufügen" i18n-addTagText="@@MultiLru.AddTag.dsp.Label">
        </ng-select>
    </div>
    `, isInline: true, styles: [".position-relative{position:relative}:host ::ng-deep ng-select.ng-select{display:contents!important}:host ::ng-deep ng-select.ng-select.ng-select-focused:not(.ng-select-opened)>.ng-select-container{border-color:#ccc!important;box-shadow:none!important}:host ::ng-deep ng-select.ng-select .ng-select-container{min-height:22px;padding:inherit!important;border:inherit!important;border-radius:inherit!important;font-size:14px}:host ::ng-deep ng-select.ng-select .ng-value-container{padding:0!important}:host ::ng-deep ng-select.ng-select .ng-value-container .ng-input{padding:0!important}:host ::ng-deep ng-select.ng-select .ng-value-container .ng-placeholder{top:initial!important;padding:0!important}:host ::ng-deep ng-select.ng-select .ng-value-container .ng-value{margin-bottom:0!important}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper{font-family:\"Font Awesome 5 Pro\";font-weight:900;width:initial;padding-right:0}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper .ng-arrow{display:none!important}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper:after{content:\"\\f078\"}:host ::ng-deep ng-select.ng-select.ng-select-opened .ng-arrow-wrapper:after{content:\"\\f077\"}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i3$1.NgSelectComponent, selector: "ng-select", inputs: ["ariaLabelDropdown", "bindLabel", "bindValue", "ariaLabel", "markFirst", "placeholder", "fixedPlaceholder", "notFoundText", "typeToSearchText", "preventToggleOnRightClick", "addTagText", "loadingText", "clearAllText", "appearance", "dropdownPosition", "appendTo", "loading", "closeOnSelect", "hideSelected", "selectOnTab", "openOnEnter", "maxSelectedItems", "groupBy", "groupValue", "bufferAmount", "virtualScroll", "selectableGroup", "selectableGroupAsModel", "searchFn", "trackByFn", "clearOnBackspace", "labelForId", "inputAttrs", "tabIndex", "readonly", "searchWhileComposing", "minTermLength", "editableSearchTerm", "ngClass", "typeahead", "multiple", "addTag", "searchable", "clearable", "isOpen", "items", "compareWith", "clearSearchOnAdd", "deselectOnClick", "keyDownFn"], outputs: ["blur", "focus", "change", "open", "close", "search", "clear", "add", "remove", "scroll", "scrollToEnd"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: MultiLRUComponent, decorators: [{
            type: Component,
            args: [{ selector: 'multi-lru', template: `
    <div class="position-relative">
        <ng-select #ngSelect
            [(ngModel)]="value" [items]="inputSelectItems" (change)="onSelectChanged()" [attr.name]="name" name="{{name}}"
            [multiple]="multiple" [addTag]="addTag" [searchFn]="filterFunction" [maxSelectedItems]="maxSelectedItems"
            bindValue="text" bindLabel="text" [inputAttrs]="{maxlength: inputMaxLength?.toString()}" [virtualScroll]="true"
            class="form-control" [ngClass]="cssClass"
            loadingText="Lädt..." i18n-loadingText="@@MultiLru.Loading.dsp.Label"
            placeholder="(Auswählen)" i18n-placeholder="@@MultiLru.Choose.dsp.Label"
            notFoundText="Keine Suchergebnisse" i18n-notFoundText="@@MultiLru.NotFound.dsp.Label"
            addTagText="Hinzufügen" i18n-addTagText="@@MultiLru.AddTag.dsp.Label">
        </ng-select>
    </div>
    `, standalone: false, styles: [".position-relative{position:relative}:host ::ng-deep ng-select.ng-select{display:contents!important}:host ::ng-deep ng-select.ng-select.ng-select-focused:not(.ng-select-opened)>.ng-select-container{border-color:#ccc!important;box-shadow:none!important}:host ::ng-deep ng-select.ng-select .ng-select-container{min-height:22px;padding:inherit!important;border:inherit!important;border-radius:inherit!important;font-size:14px}:host ::ng-deep ng-select.ng-select .ng-value-container{padding:0!important}:host ::ng-deep ng-select.ng-select .ng-value-container .ng-input{padding:0!important}:host ::ng-deep ng-select.ng-select .ng-value-container .ng-placeholder{top:initial!important;padding:0!important}:host ::ng-deep ng-select.ng-select .ng-value-container .ng-value{margin-bottom:0!important}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper{font-family:\"Font Awesome 5 Pro\";font-weight:900;width:initial;padding-right:0}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper .ng-arrow{display:none!important}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper:after{content:\"\\f078\"}:host ::ng-deep ng-select.ng-select.ng-select-opened .ng-arrow-wrapper:after{content:\"\\f077\"}\n"] }]
        }], propDecorators: { ngSelect: [{
                type: ViewChild,
                args: ['ngSelect', { static: true }]
            }], selectedValues: [{
                type: Output
            }], selectedTexts: [{
                type: Output
            }], valueChange: [{
                type: Output
            }], value: [{
                type: Input
            }], inputSelectItems: [{
                type: Input
            }], inputSelectItemsFn: [{
                type: Input
            }], name: [{
                type: Input
            }], multiple: [{
                type: Input
            }], addTag: [{
                type: Input
            }], maxSelectedItems: [{
                type: Input
            }], inputMaxLength: [{
                type: Input
            }], filterMethod: [{
                type: Input,
                args: ['filter-method']
            }], cssClass: [{
                type: Input
            }] } });

class ToolBarContainerComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ToolBarContainerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ToolBarContainerComponent, isStandalone: false, selector: "toolbar-container", ngImport: i0, template: `<div class="panel m-b-sm clearfix" inspinia-class="m-b-sm" sneat-class="mb-2">
                    <div inspinia-class="pull-right" sneat-class="float-end">
                        <ng-content></ng-content>
                    </div>
                </div>
              `, isInline: true, styles: [".panel{background-color:transparent}.clearfix:after{clear:both}:is() .panel button,:is() .panel div.btn-group,:is() .ibox-tools button{margin-left:3px}\n"], dependencies: [{ kind: "directive", type: i2.InspiniaCssClassDirective, selector: "[inspinia-class]", inputs: ["inspinia-class"] }, { kind: "directive", type: i2.SneatCssClassDirective, selector: "[sneat-class]", inputs: ["sneat-class"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ToolBarContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'toolbar-container', template: `<div class="panel m-b-sm clearfix" inspinia-class="m-b-sm" sneat-class="mb-2">
                    <div inspinia-class="pull-right" sneat-class="float-end">
                        <ng-content></ng-content>
                    </div>
                </div>
              `, standalone: false, styles: [".panel{background-color:transparent}.clearfix:after{clear:both}:is() .panel button,:is() .panel div.btn-group,:is() .ibox-tools button{margin-left:3px}\n"] }]
        }] });

//https://nitayneeman.com/posts/listening-to-dom-changes-using-mutationobserver-in-angular/
class DomChangeDirective {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.domChange = new EventEmitter();
        const element = this.elementRef.nativeElement;
        this.changes = new MutationObserver((mutations) => {
            mutations.forEach((mutation) => this.domChange.emit(mutation));
        });
        this.changes.observe(element, {
            attributes: true,
            childList: true,
            characterData: true
        });
    }
    ngOnDestroy() {
        this.changes.disconnect();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DomChangeDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: DomChangeDirective, isStandalone: false, selector: "[domChange]", outputs: { domChange: "domChange" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DomChangeDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[domChange]',
                    standalone: false
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { domChange: [{
                type: Output
            }] } });

// eslint-disable-next-line @angular-eslint/component-class-suffix
class UlNavTabs {
    constructor() {
        this.config = inject(SharedConfigService);
        this.changed = new EventEmitter();
        this.tabsWithSubscriptions = [];
    }
    get ngClassValue() {
        const classes = [];
        if (this.pills)
            classes.push('nav-pills');
        else
            classes.push('nav-tabs');
        if (this.stacked)
            classes.push(this.getNavStackedCssClass());
        if (this.justified)
            classes.push('nav-justified');
        if (this.cssClasses)
            classes.push(this.cssClasses);
        return classes.join(' ');
    }
    get navtabs() {
        return this.navtabsRef.nativeElement;
    }
    get navTabsItems() {
        const results = [];
        this.navtabs.childNodes.forEach(childNode => {
            if (childNode.nodeName === 'LI')
                results.push(childNode);
        });
        return results;
    }
    ngAfterContentInit() {
        setTimeout(() => {
            this.initTabs();
        });
    }
    ngOnDestroy() {
        this.unsubscribeTabs();
    }
    contentChange() {
        this.initTabs();
    }
    initTabs() {
        this.unsubscribeTabs();
        for (const navTab of this.navTabsItems) {
            navTab.addEventListener('click', this.onNavTabClick.bind(this)); //see options for more
            navTab.addEventListener('keydown', this.onNavTabKeyDown.bind(this)); //see options for more
            if (!navTab.hasAttribute('tabindex'))
                navTab.setAttribute('tabindex', '0');
            if (this.getActiveClassHtmlElement(navTab).classList.contains('active'))
                this.activeTabId = navTab.id;
        }
    }
    unsubscribeTabs() {
        for (const navTab of this.tabsWithSubscriptions) {
            navTab.removeEventListener('click', this.onNavTabClick);
            navTab.removeEventListener('keydown', this.onNavTabKeyDown);
        }
        this.tabsWithSubscriptions = [];
    }
    onNavTabClick(ev) {
        ev.stopPropagation();
        this.setActive(ev.currentTarget.id); //currentTarget => li, target => a
    }
    onNavTabKeyDown(ev) {
        if (ev.code === 'Space') {
            ev.stopPropagation();
            this.setActive(ev.currentTarget.id); //currentTarget => li, target => a
        }
    }
    setActive(id) {
        if (this.activeTabId === id)
            return;
        this.activeTabId = id;
        for (const navTab of this.navTabsItems) {
            if (navTab.id === this.activeTabId)
                this.getActiveClassHtmlElement(navTab).classList.add('active');
            else
                this.getActiveClassHtmlElement(navTab).classList.remove('active');
        }
        this.changed.emit(this.activeTabId);
    }
    getActive() {
        return this.activeTabId;
    }
    isActive(id) {
        return this.activeTabId === id;
    }
    /** In Bs3 wird die active Klasse direkt auf dem LI-Element gesetzt. In Bs5 wird sie auf dem A-Element gesetzt */
    getActiveClassHtmlElement(navTab) {
        if (this.config.templateKey === 'sneat')
            return navTab.firstChild;
        return navTab;
    }
    getNavStackedCssClass() {
        if (this.config.templateKey === 'sneat')
            return 'flex-column';
        return 'nav-stacked';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: UlNavTabs, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: UlNavTabs, isStandalone: false, selector: "ul-nav-tabs", inputs: { cssClasses: ["class", "cssClasses"], pills: "pills", stacked: "stacked", justified: "justified" }, outputs: { changed: "changed" }, viewQueries: [{ propertyName: "navtabsRef", first: true, predicate: ["navtabs"], descendants: true, static: true }], ngImport: i0, template: '<ul #navtabs [ngClass]="ngClassValue" class="nav" (domChange)="contentChange()"><ng-content></ng-content></ul>', isInline: true, dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: DomChangeDirective, selector: "[domChange]", outputs: ["domChange"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: UlNavTabs, decorators: [{
            type: Component,
            args: [{
                    selector: 'ul-nav-tabs',
                    template: '<ul #navtabs [ngClass]="ngClassValue" class="nav" (domChange)="contentChange()"><ng-content></ng-content></ul>',
                    standalone: false
                }]
        }], propDecorators: { cssClasses: [{
                type: Input,
                args: ['class']
            }], pills: [{
                type: Input
            }], stacked: [{
                type: Input
            }], justified: [{
                type: Input
            }], changed: [{
                type: Output
            }], navtabsRef: [{
                type: ViewChild,
                args: ['navtabs', { static: true }]
            }] } });

class LoadingDirective {
    constructor() {
        this.loadingIndicator = inject(LoadingIndicatorComponent);
        this.changeDetector = inject(ChangeDetectorRef);
        /** Wenn `true`, wird der `loading-indicator` angezeigt */
        this.loading = input(false);
        effect(() => {
            if (this.loading())
                this.loadingIndicator.show();
            else
                this.loadingIndicator.hide();
            // klappt nicht sofort, weil der loading-indicator intern `setTimeout` benutzt
            setTimeout(() => this.changeDetector.markForCheck());
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LoadingDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "19.2.13", type: LoadingDirective, isStandalone: false, selector: "loading-indicator[loading]", inputs: { loading: { classPropertyName: "loading", publicName: "loading", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: LoadingDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'loading-indicator[loading]',
                    standalone: false
                }]
        }], ctorParameters: () => [] });

class ColorPickerConfiguration {
    constructor() {
        this.returnHexCode = true;
        this.allowOnlyColorsFromSelect = false;
    }
}

class SwtColorPickerService {
    getColorFromSelectColorsOrEmptyColor(hexColor, colors) {
        let color = null;
        if (this.isSelectedColor(hexColor, colors))
            color = colors.find(s => s.hexColor === hexColor);
        else
            color = this.getEmptySelectColor(hexColor);
        return color;
    }
    isSelectedColor(hexColor, colors) {
        let isSelectedColor = false;
        if (colors)
            isSelectedColor = colors.some(s => s.hexColor === hexColor);
        return isSelectedColor;
    }
    hexColorIsValid(hexColor) {
        return /(^#[0-9A-F]{6}$)|(^#[0-9A-F]{3}$)/i.test(hexColor);
    }
    getEmptySelectColor(hexColor) {
        return { hexColor, text: hexColor, value: null };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtColorPickerService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtColorPickerService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtColorPickerService, decorators: [{
            type: Injectable
        }] });

const noop$1 = () => { };
const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR$1 = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SwtColorPickerComponent),
    multi: true
};
class SwtColorPickerComponent {
    set _selectColors(value) {
        if (value && value.length !== 0 && this.selectColors !== value) {
            this.selectColors = value;
            if (!this.selectedColor && this.required)
                this.selectedColor = value[0];
        }
    }
    set _config(value) {
        if (value && this.config !== value)
            this.config = value;
    }
    get emptyText() {
        return this.config.emptyText ? this.config.emptyText : $localize `:@@SwtColorPicker.NoColorChosen.msg.Text:Keine Farbe ausgewählt!`;
    }
    get value() {
        return this.innerValue;
    }
    set value(v) {
        if (v !== this.value) {
            this.innerValue = v;
            this.onChangeCallback(v);
        }
    }
    constructor(elementRef, colorPickerService) {
        this.elementRef = elementRef;
        this.colorPickerService = colorPickerService;
        this.required = false;
        this.showColors = false;
        this.selectedColor = this.colorPickerService.getEmptySelectColor();
        this.config = new ColorPickerConfiguration();
        //The internal data model
        this.innerValue = '';
        this.onChangeCallback = noop$1;
    }
    ngOnInit() {
        this.initConfigDefaults();
    }
    onDocumentClick(event) {
        const clickInComponent = this.elementRef.nativeElement.contains(event.target);
        if (!clickInComponent)
            this.showColors = false;
    }
    //From ControlValueAccessor interface
    //Wird vom NgModel zur initialisierung verwendet!
    writeValue(value) {
        if (value !== this.innerValue) {
            this.innerValue = value;
            this.setSelectedColor(value);
            this.onChangeCallback(value);
        }
    }
    changeValue(selectedColor) {
        if (this.config.returnHexCode) {
            const hexColor = selectedColor?.hexColor ? selectedColor.hexColor.toUpperCase() : '';
            this.writeValue(hexColor);
        }
        else
            this.writeValue(selectedColor.value);
    }
    //From ControlValueAccessor interface
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    //From ControlValueAccessor interface
    registerOnTouched(fn) { }
    changeColor(hexColor) {
        const newSelectedItem = this.selectColors ? this.selectColors.find(s => s.hexColor == hexColor) : null;
        this.changeValue(newSelectedItem);
    }
    changeColorManual(hexColor) {
        const isValid = this.hexColorIsValid(hexColor);
        if (isValid) {
            const color = this.colorPickerService.getColorFromSelectColorsOrEmptyColor(hexColor, this.selectColors);
            this.changeValue(color);
        }
    }
    hexColorIsValid(hexColor) {
        if (!this.required && !hexColor)
            return true;
        else
            return this.colorPickerService.hexColorIsValid(hexColor);
    }
    toggleColors() {
        this.showColors = !this.showColors;
    }
    initConfigDefaults() {
        if (this.config.allowOnlyColorsFromSelect === undefined)
            this.config.allowOnlyColorsFromSelect = false;
        if (this.config.returnHexCode === undefined)
            this.config.returnHexCode = true;
    }
    setSelectedColor(value) {
        if (this.selectColors) {
            if (this.config.returnHexCode) {
                this.selectedColor = this.selectColors.find(c => c.hexColor === value);
                if (!this.selectedColor)
                    this.selectedColor = this.colorPickerService.getEmptySelectColor(value);
            }
            else
                this.selectedColor = this.selectColors.find(c => c.value === value);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtColorPickerComponent, deps: [{ token: i0.ElementRef }, { token: SwtColorPickerService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtColorPickerComponent, isStandalone: false, selector: "swt-color-picker", inputs: { required: "required", _selectColors: ["selectColors", "_selectColors"], _config: ["config", "_config"] }, host: { listeners: { "document:click": "onDocumentClick($event)" } }, providers: [CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR$1], viewQueries: [{ propertyName: "input", first: true, predicate: ["paintInput"], descendants: true, static: true }], ngImport: i0, template: "<div class=\"color-picker\">\r\n    <div class=\"form-control summary-info\" (click)=\"toggleColors()\">\r\n        <ng-container *ngIf=\"selectedColor?.hexColor; else noColorSelected\">\r\n            <span class=\"circle\" [ngStyle]=\"{ 'background': selectedColor.hexColor }\"></span>\r\n        </ng-container>\r\n        <ng-template #noColorSelected>\r\n            <span class=\"circle cross\"></span>\r\n        </ng-template>\r\n\r\n        <div class=\"color-display\">\r\n            <ng-container *ngIf=\"config.returnHexCode; else returnColorLabel\">\r\n                <p>{{ selectedColor?.hexColor?.length > 0 ? selectedColor.hexColor : emptyText }}</p>\r\n            </ng-container>\r\n            <ng-template #returnColorLabel>\r\n                <p>\r\n                    {{ selectedColor?.text ?? emptyText }}\r\n                    <span *ngIf=\"selectedColor?.hexColor\" class=\"hexcode-label\">{{ selectedColor.hexColor }}</span>\r\n                </p>\r\n            </ng-template>\r\n        </div>\r\n\r\n        <span>\r\n            <i class=\"fas\" [ngClass]=\"showColors ? 'fa-chevron-up' : 'fa-chevron-down'\"></i>\r\n        </span>\r\n    </div>\r\n    <div *ngIf=\"showColors\" style=\"position:relative\">\r\n        <div style=\"position:absolute;z-index:10;width: 100%;\">\r\n            <div class=\"opened\">\r\n                <ng-container *ngIf=\"selectColors?.length > 0; else noChoice\">\r\n                    <ul class=\"colors\">\r\n                        <li *ngIf=\"!required\" (click)=\"changeColor(null)\" title=\"Keine Farbe\"\r\n                            i18n-title=\"@@SwtColorPicker.NoColor.dsp.Tooltip\">\r\n                            <span class=\"circle cross\"></span>\r\n                            <span class=\"m-l-xs\">{{emptyText}}</span>\r\n                        </li>\r\n                        <li *ngFor=\"let paint of selectColors\" (click)=\"changeColor(paint.hexColor)\" class=\"hex-code\"\r\n                            [title]=\"paint.text ?? paint.hexColor\">\r\n                            <span class=\"circle\" [ngStyle]=\"{ 'background': paint.hexColor }\"></span>\r\n                            <span class=\"m-l-xs\">{{paint.text ?? paint.hexColor}}</span>\r\n                        </li>\r\n                        <li *ngIf=\"!config.allowOnlyColorsFromSelect\" class=\"custom-color\">\r\n                            <label for=\"paint-input\">Hex Code</label>\r\n                            <div class=\"input-group\">\r\n                                <input id=\"paint-input\" #paintInput type=\"text\" class=\"form-control\" maxlength=\"7\"\r\n                                    [value]=\"selectedColor?.hexColor ?? ''\" [required]=\"required\"\r\n                                    (input)=\"changeColorManual(paintInput.value)\" (keydown.enter)=\"toggleColors()\">\r\n                            </div>\r\n                        </li>\r\n                    </ul>\r\n                </ng-container>\r\n                <ng-template #noChoice>\r\n                    <p i18n=\"@@SwtColorPicker.NoChoice.dsp.Label\">Keine Auswahl!</p>\r\n                </ng-template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n", styles: [".color-picker .summary-info{cursor:pointer;display:flex;flex-direction:row;align-items:center;width:100%;background:#fff}.color-picker .summary-info .color-display{flex:1;margin:0 1em}.color-picker .summary-info .color-display p{color:#000;margin:0}.color-picker .summary-info .color-display i{color:#626368}.color-picker .summary-info .color-display .hexcode-label{color:#626368;text-transform:uppercase;vertical-align:middle;letter-spacing:1.5px;font-size:.8em;margin-left:.5em}.color-picker .opened{position:relative;width:100%;padding:.5em .8em;border:thin solid #626368;box-shadow:1px 1px 3px #0006;background:#fff}.circle{border:thin solid black;border-radius:50%;width:1.6em;height:1.6em;overflow:hidden}.circle.cross{font-family:\"Font Awesome 5 Pro\";font-weight:100;color:#626368;background-color:transparent!important}.circle.cross:before{content:\"\\f00d\";position:relative;display:inline-block;font-size:2em;top:50%;left:50%;transform:translate(-50%,-50%)}.colors{margin:0;padding:0;list-style:none}.colors li{cursor:pointer;display:flex;align-items:center}.colors li:nth-child(2n){margin:.2em 0}.colors .custom-color{display:block}.colors .custom-color .input-group{width:100%}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtColorPickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-color-picker', providers: [CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR$1], host: { '(document:click)': 'onDocumentClick($event)' }, standalone: false, template: "<div class=\"color-picker\">\r\n    <div class=\"form-control summary-info\" (click)=\"toggleColors()\">\r\n        <ng-container *ngIf=\"selectedColor?.hexColor; else noColorSelected\">\r\n            <span class=\"circle\" [ngStyle]=\"{ 'background': selectedColor.hexColor }\"></span>\r\n        </ng-container>\r\n        <ng-template #noColorSelected>\r\n            <span class=\"circle cross\"></span>\r\n        </ng-template>\r\n\r\n        <div class=\"color-display\">\r\n            <ng-container *ngIf=\"config.returnHexCode; else returnColorLabel\">\r\n                <p>{{ selectedColor?.hexColor?.length > 0 ? selectedColor.hexColor : emptyText }}</p>\r\n            </ng-container>\r\n            <ng-template #returnColorLabel>\r\n                <p>\r\n                    {{ selectedColor?.text ?? emptyText }}\r\n                    <span *ngIf=\"selectedColor?.hexColor\" class=\"hexcode-label\">{{ selectedColor.hexColor }}</span>\r\n                </p>\r\n            </ng-template>\r\n        </div>\r\n\r\n        <span>\r\n            <i class=\"fas\" [ngClass]=\"showColors ? 'fa-chevron-up' : 'fa-chevron-down'\"></i>\r\n        </span>\r\n    </div>\r\n    <div *ngIf=\"showColors\" style=\"position:relative\">\r\n        <div style=\"position:absolute;z-index:10;width: 100%;\">\r\n            <div class=\"opened\">\r\n                <ng-container *ngIf=\"selectColors?.length > 0; else noChoice\">\r\n                    <ul class=\"colors\">\r\n                        <li *ngIf=\"!required\" (click)=\"changeColor(null)\" title=\"Keine Farbe\"\r\n                            i18n-title=\"@@SwtColorPicker.NoColor.dsp.Tooltip\">\r\n                            <span class=\"circle cross\"></span>\r\n                            <span class=\"m-l-xs\">{{emptyText}}</span>\r\n                        </li>\r\n                        <li *ngFor=\"let paint of selectColors\" (click)=\"changeColor(paint.hexColor)\" class=\"hex-code\"\r\n                            [title]=\"paint.text ?? paint.hexColor\">\r\n                            <span class=\"circle\" [ngStyle]=\"{ 'background': paint.hexColor }\"></span>\r\n                            <span class=\"m-l-xs\">{{paint.text ?? paint.hexColor}}</span>\r\n                        </li>\r\n                        <li *ngIf=\"!config.allowOnlyColorsFromSelect\" class=\"custom-color\">\r\n                            <label for=\"paint-input\">Hex Code</label>\r\n                            <div class=\"input-group\">\r\n                                <input id=\"paint-input\" #paintInput type=\"text\" class=\"form-control\" maxlength=\"7\"\r\n                                    [value]=\"selectedColor?.hexColor ?? ''\" [required]=\"required\"\r\n                                    (input)=\"changeColorManual(paintInput.value)\" (keydown.enter)=\"toggleColors()\">\r\n                            </div>\r\n                        </li>\r\n                    </ul>\r\n                </ng-container>\r\n                <ng-template #noChoice>\r\n                    <p i18n=\"@@SwtColorPicker.NoChoice.dsp.Label\">Keine Auswahl!</p>\r\n                </ng-template>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n", styles: [".color-picker .summary-info{cursor:pointer;display:flex;flex-direction:row;align-items:center;width:100%;background:#fff}.color-picker .summary-info .color-display{flex:1;margin:0 1em}.color-picker .summary-info .color-display p{color:#000;margin:0}.color-picker .summary-info .color-display i{color:#626368}.color-picker .summary-info .color-display .hexcode-label{color:#626368;text-transform:uppercase;vertical-align:middle;letter-spacing:1.5px;font-size:.8em;margin-left:.5em}.color-picker .opened{position:relative;width:100%;padding:.5em .8em;border:thin solid #626368;box-shadow:1px 1px 3px #0006;background:#fff}.circle{border:thin solid black;border-radius:50%;width:1.6em;height:1.6em;overflow:hidden}.circle.cross{font-family:\"Font Awesome 5 Pro\";font-weight:100;color:#626368;background-color:transparent!important}.circle.cross:before{content:\"\\f00d\";position:relative;display:inline-block;font-size:2em;top:50%;left:50%;transform:translate(-50%,-50%)}.colors{margin:0;padding:0;list-style:none}.colors li{cursor:pointer;display:flex;align-items:center}.colors li:nth-child(2n){margin:.2em 0}.colors .custom-color{display:block}.colors .custom-color .input-group{width:100%}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: SwtColorPickerService }], propDecorators: { input: [{
                type: ViewChild,
                args: ['paintInput', { static: true }]
            }], required: [{
                type: Input
            }], _selectColors: [{
                type: Input,
                args: ['selectColors']
            }], _config: [{
                type: Input,
                args: ['config']
            }] } });

const CLASS = 'SwtDateInput';
const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SwtDateInputComponent),
    multi: true
};
class SwtDateInputComponent {
    constructor(datePipe, locale, i18n) {
        this.datePipe = datePipe;
        this.locale = locale;
        this.i18n = i18n;
        this.subscriptions = [];
        this.valueType = ValueType.Undefined;
        this.errorMessage = '';
        this.isValid = true;
        this.dateIsoFormat = 'YYYY-MM-DD';
        this.pattern = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'Backspace', 'Enter', 'Shift', 'Tab', 'ArrowLeft', 'ArrowRight', 'ArrowUp', 'ArrowDown'];
        this.placeholder = ''; // zu Beachten: Der Placeholder muss deutsch + englisches Format je nach Browser Einstellung sein
        this.dateFormat = '';
        this.width = 100;
        this.showErrorMessage = true;
        this.dateError = new EventEmitter();
        this.dateMoment = moment();
        this.onTouchedCallback = noop$4;
        this.onChangeCallback = noop$4;
    }
    ngOnInit() {
        this.subscriptions.push();
        this.setTranslationProps();
    }
    ngOnDestroy() {
        for (const s of this.subscriptions)
            s.unsubscribe();
    }
    setTranslationProps() {
        if (this.dateFormat == '') {
            switch (this.locale) {
                case ('en'):
                    this.dateFormat = 'MM/dd/yyyy';
                    this.momentFormat = 'MM/DD/YYYY';
                    this.alternativeMomentFormat = 'MMDDYYYY';
                    this.placeholder = (this.placeholder == '') ? 'MM/dd/yyyy' : this.placeholder;
                    this.pattern.push('/');
                    break;
                case ('de'):
                default:
                    this.dateFormat = 'dd.MM.yyyy';
                    this.momentFormat = 'DD.MM.YYYY';
                    this.alternativeMomentFormat = 'DDMMYYYY';
                    this.placeholder = (this.placeholder == '') ? 'tt.MM.jjjj' : this.placeholder;
                    this.pattern.push('.');
                    break;
            }
        }
    }
    transformDateToString(date) {
        return this.datePipe.transform(date, this.dateFormat, '');
    }
    transformStringToDate(dateString) {
        const date = this.transformStringToMoment(dateString).toDate();
        return date;
    }
    transformStringToMoment(dateString) {
        let currentMoment = moment(dateString, this.momentFormat, true);
        if (!currentMoment.isValid())
            currentMoment = moment(dateString, this.alternativeMomentFormat, true);
        return currentMoment;
    }
    get dateValue() {
        if (this.dateMoment && this.dateMoment.isValid())
            return this.transformDateToString(this.dateMoment.toDate());
        else
            return undefined;
    }
    //set accessor including call the onchange callback
    set dateValue(v) {
        const currentMoment = this.transformStringToMoment(v);
        this.checkValidation(v);
        if (this.isValid) {
            this.dateMoment = currentMoment.clone();
            const changeValue = this.dateMoment.format(this.dateIsoFormat);
            this.resetErrorMessage();
            this.onChangeCallback(changeValue);
        }
        else
            this.onChangeCallback('');
    }
    resetErrorMessage() {
        this.dateInputError = DateInputError.None;
        this.errorMessage = '';
    }
    onBlur() {
        this.onTouchedCallback();
    }
    //From ControlValueAccessor interface
    writeValue(value) {
        if (value != undefined) {
            this.valueType = (typeof (value) === 'string') ? ValueType.DateString : ValueType.DateObject;
            const valueMoment = this.isIsoFormat(value) ? moment(value, this.dateIsoFormat, true) : moment(value, this.momentFormat, true);
            if (!this.dateMoment || this.dateMoment.diff(valueMoment) != 0) {
                this.dateMoment = valueMoment.clone();
                this.isValid = this.dateMoment.isValid();
            }
        }
        else if (this.dateMoment != undefined)
            this.dateMoment = undefined;
    }
    isIsoFormat(value) {
        if (this.valueType == ValueType.DateString) {
            const isIsoFormat = moment(value, this.dateIsoFormat, true).isValid();
            return isIsoFormat;
        }
        else
            return false;
    }
    //From ControlValueAccessor interface
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    //From ControlValueAccessor interface
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    onKeyDown(event) {
        if (this.pattern.find(p => p == event.key))
            return;
        else
            event.preventDefault();
    }
    checkValidation(dateValue) {
        if (!this.checkDateIsValid(dateValue))
            this.dateInputError = DateInputError.DateInvalidError;
        else
            this.dateInputError = this.checkDateIntervallisValid(dateValue);
        this.isValid = this.dateInputError == DateInputError.None;
        this.errorMessage = this.showErrorMessage ? this.getErrorMessage() : '';
        if (!this.isValid)
            this.dateError.emit(this.dateInputError);
    }
    checkDateIntervallisValid(dateValue) {
        const minDateMoment = moment(this.minDate).startOf('day');
        const maxDateMoment = moment(this.maxDate).startOf('day');
        // let date = this.transformStringToDate(dateValue)
        const dateMoment = this.transformStringToMoment(dateValue).startOf('day');
        if (!this.maxDate && !this.minDate)
            return DateInputError.None;
        else if (this.minDate && this.maxDate)
            return this.checkForDateIntervallError(minDateMoment, maxDateMoment, dateMoment);
        else if (this.maxDate)
            return this.checkForMaxDateError(maxDateMoment, dateMoment);
        else if (this.minDate)
            return this.checkForMinDateError(minDateMoment, dateMoment);
        else
            return null;
    }
    checkForMaxDateError(maxDateMoment, dateMoment) {
        if (maxDateMoment < dateMoment)
            return DateInputError.MaxDateError;
        else
            return DateInputError.None;
    }
    checkForMinDateError(minDateMoment, dateMoment) {
        if (minDateMoment > dateMoment)
            return DateInputError.MinDateError;
        else
            return DateInputError.None;
    }
    checkForDateIntervallError(minDateMoment, maxDateMoment, dateMoment) {
        if (maxDateMoment < dateMoment && dateMoment > minDateMoment)
            return DateInputError.DateIntervallError;
        else
            return DateInputError.None;
    }
    getErrorMessage() {
        switch (this.dateInputError) {
            case (DateInputError.None):
                return '';
            case (DateInputError.DateInvalidError):
                return $localize `:@@SwtDateInput.InvalidDatetime.msg.Text:Das Datum ist ungültig.`;
            case (DateInputError.MinDateError):
                return this.i18n.replace($localize `:@@SwtDateInput.DateInPast.msg.Text:Das Datum liegt zu weit in der Vergangen. Bitte ein Datem nach dem '$0' auswählen.`, [this.transformDateToString(this.minDate)]); //'Das Datum liegt zu weit in der Vergangenheit. Bitte ein Datum nach dem '
            case (DateInputError.MaxDateError):
                return this.i18n.replace($localize `:@@SwtDateInput.DateInFuture.msg.Text:Das Datum liegt zu weit in der Zukunft. Bitte ein Datum vor dem '$0' auswählen.`, [this.transformDateToString(this.maxDate)]);
            case (DateInputError.DateIntervallError):
                return this.i18n.replace($localize `:@@SwtDateInput.ChooseDateBetween.msg.Text:Bitte ein Datum zwischen dem '$0' und dem '$1' auswählen.`, [this.transformDateToString(this.minDate), this.transformDateToString(this.maxDate)]);
            default:
                return $localize `:@@SwtDateInput.UnknownError.msg.Text:Unbekannter Fehler`;
        }
    }
    checkDateIsValid(dateValue) {
        return this.transformStringToMoment(dateValue).isValid();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateInputComponent, deps: [{ token: i1.DatePipe }, { token: LOCALE_ID }, { token: i2$3.I18nService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtDateInputComponent, isStandalone: false, selector: "swt-date-input", inputs: { placeholder: "placeholder", dateFormat: "dateFormat", name: "name", autofocus: "autofocus", required: "required", class: "class", width: "width", maxDate: "maxDate", minDate: "minDate", showErrorMessage: "showErrorMessage" }, outputs: { dateError: "dateError" }, providers: [CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR], viewQueries: [{ propertyName: "dateInput", first: true, predicate: ["dateInput"], descendants: true, static: true }], ngImport: i0, template: "<div class=\"input-group\" [style.width.%]=\"100\">\r\n    <input [class]=\"class\" [name]=\"name\" [attr.name]=\"name\" [placeholder]=\"placeholder\" #ctrlDateInput=\"ngModel\"\r\n    [(ngModel)]=\"dateValue\" class=\"form-control\" [autofocus]=\"autofocus\" [required]=\"required\" type=\"text\"\r\n    [ngClass]=\"isValid?  'ng-valid' : 'ng-invalid input-invalid-date'\" (blur)=\"onBlur()\" (keydown)=\"onKeyDown($event)\" [title]=\"errorMessage\" />\r\n    <span   *ngIf=\"!isValid && showErrorMessage && ctrlDateInput.touched\"  class=\"text-danger input-group-addon invalid-date\" >\r\n        <i class=\"fas fa-exclamation-triangle\" [title]=\"errorMessage\"></i></span>\r\n</div>\r\n\r\n", styles: [".input-group-addon{border-left:0px}.invalid-date{border-color:#a74058}input.ng-touched.input-invalid-date{border-right:0px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtDateInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-date-input', providers: [CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR], standalone: false, template: "<div class=\"input-group\" [style.width.%]=\"100\">\r\n    <input [class]=\"class\" [name]=\"name\" [attr.name]=\"name\" [placeholder]=\"placeholder\" #ctrlDateInput=\"ngModel\"\r\n    [(ngModel)]=\"dateValue\" class=\"form-control\" [autofocus]=\"autofocus\" [required]=\"required\" type=\"text\"\r\n    [ngClass]=\"isValid?  'ng-valid' : 'ng-invalid input-invalid-date'\" (blur)=\"onBlur()\" (keydown)=\"onKeyDown($event)\" [title]=\"errorMessage\" />\r\n    <span   *ngIf=\"!isValid && showErrorMessage && ctrlDateInput.touched\"  class=\"text-danger input-group-addon invalid-date\" >\r\n        <i class=\"fas fa-exclamation-triangle\" [title]=\"errorMessage\"></i></span>\r\n</div>\r\n\r\n", styles: [".input-group-addon{border-left:0px}.invalid-date{border-color:#a74058}input.ng-touched.input-invalid-date{border-right:0px}\n"] }]
        }], ctorParameters: () => [{ type: i1.DatePipe }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [LOCALE_ID]
                }] }, { type: i2$3.I18nService }], propDecorators: { placeholder: [{
                type: Input
            }], dateFormat: [{
                type: Input
            }], name: [{
                type: Input
            }], autofocus: [{
                type: Input
            }], required: [{
                type: Input
            }], class: [{
                type: Input
            }], width: [{
                type: Input
            }], maxDate: [{
                type: Input
            }], minDate: [{
                type: Input
            }], showErrorMessage: [{
                type: Input
            }], dateInput: [{
                type: ViewChild,
                args: ['dateInput', { static: true }]
            }], dateError: [{
                type: Output
            }] } });
var ValueType;
(function (ValueType) {
    ValueType[ValueType["Undefined"] = 0] = "Undefined";
    ValueType[ValueType["DateString"] = 1] = "DateString";
    ValueType[ValueType["DateObject"] = 2] = "DateObject";
})(ValueType || (ValueType = {}));
var DateInputError;
(function (DateInputError) {
    DateInputError[DateInputError["None"] = 0] = "None";
    DateInputError[DateInputError["DateInvalidError"] = 1] = "DateInvalidError";
    DateInputError[DateInputError["MinDateError"] = 2] = "MinDateError";
    DateInputError[DateInputError["MaxDateError"] = 3] = "MaxDateError";
    DateInputError[DateInputError["DateIntervallError"] = 4] = "DateIntervallError";
})(DateInputError || (DateInputError = {}));

const noop = () => { };
const SWT_QUILL_EDITOR_VALUE_ACCESSOR = {
    provide: NG_VALUE_ACCESSOR,
    useExisting: forwardRef(() => SwtQuillEditorComponent),
    multi: true
};
class SwtQuillEditorComponent {
    constructor(logger) {
        this.logger = logger;
        //Placeholders for the callbacks which are later provided by the Control Value Accessor
        this.onTouchedCallback = noop;
        this.onChangeCallback = noop;
    }
    get config() { return this._config; }
    set config(config) {
        if (config != this._config) {
            this._config = this.prepareConfig(config);
            this.setQuillModules();
        }
    }
    ngOnInit() {
        this.configureQuillInlineStyles();
    }
    get value() {
        return this.innerValue;
    }
    set value(v) {
        if (v !== this.value) {
            this.innerValue = v;
            this.onChangeCallback(v);
        }
    }
    //From ControlValueAccessor interface
    writeValue(v) {
        if (v !== this.value)
            this.innerValue = v;
        //this.checkBox.checked = v;
    }
    //From ControlValueAccessor interface
    registerOnChange(fn) {
        this.onChangeCallback = fn;
    }
    //From ControlValueAccessor interface
    registerOnTouched(fn) {
        this.onTouchedCallback = fn;
    }
    // configure Quill to use inline styles so the email's format properly
    configureQuillInlineStyles() {
        for (const styleName of ['align', 'background', 'color', 'direction', 'font', 'size']) {
            const style = Quill.imports[`attributors/style/${styleName}`];
            Quill.register(style, true);
        }
    }
    setQuillModules() {
        if (this.config) {
            if (this.config.modules)
                this.quillModules = this.config.modules;
            else
                this.quillModules = { toolbar: this.getQuillToolbar(this.config.toolbar) };
        }
    }
    getQuillToolbar(toolbarConfiguration) {
        if (toolbarConfiguration) {
            const toolbar = [];
            const toolbarConfig = typeof (toolbarConfiguration) === 'string' ?
                this.getDefaultQuillToolbar(toolbarConfiguration) : toolbarConfiguration;
            if (toolbarConfig.decorators)
                toolbar.push(toolbarConfig.decorators);
            if (toolbarConfig.quotes)
                toolbar.push(toolbarConfig.quotes);
            if (toolbarConfig.headers)
                toolbar.push(toolbarConfig.headers.map(h => ({ header: h })));
            if (toolbarConfig.lists)
                toolbar.push(toolbarConfig.lists.map(l => ({ list: l })));
            if (toolbarConfig.scripts)
                toolbar.push(toolbarConfig.scripts.map(s => ({ script: s })));
            if (toolbarConfig.sizes)
                toolbar.push([{ size: toolbarConfig.sizes }]);
            if (toolbarConfig.colors)
                toolbar.push([{ color: toolbarConfig.colors }]);
            if (toolbarConfig.backgrounds)
                toolbar.push([{ background: toolbarConfig.backgrounds }]);
            if (toolbarConfig.fonts)
                toolbar.push([{ font: toolbarConfig.fonts }]);
            if (toolbarConfig.aligns)
                toolbar.push([{ align: toolbarConfig.aligns }]);
            if (toolbarConfig.clean)
                toolbar.push(['clean']);
            return toolbar;
        }
        return null;
    }
    prepareConfig(config) {
        const configCopy = { ...config };
        if (!configCopy.format)
            configCopy.format = 'html';
        if (!configCopy.theme)
            configCopy.theme = 'snow';
        return configCopy;
    }
    getDefaultQuillToolbar(defaultType) {
        switch (defaultType) {
            case 'reduced':
                return SwtQuillEditorComponent.getReducedQuillToolbar();
            case 'full':
                return SwtQuillEditorComponent.getFullQuillToolbar();
        }
    }
    static getReducedQuillToolbar() {
        return {
            clean: true,
            decorators: ['bold', 'italic', 'underline', 'strike'],
            lists: ['ordered', 'bullet'],
            sizes: ['10px', false, '18px', '32px'],
            colors: [],
            backgrounds: [],
            aligns: [false, 'center', 'right', 'justify'],
        };
    }
    static getFullQuillToolbar() {
        return {
            clean: true,
            decorators: ['bold', 'italic', 'underline', 'strike'],
            quotes: ['blockquote'],
            headers: [1, 2],
            lists: ['ordered', 'bullet'],
            scripts: ['sub', 'super'],
            directions: ['rtl'],
            sizes: ['10px', false, '18px', '32px'],
            colors: [],
            backgrounds: [],
            fonts: [],
            aligns: [false, 'center', 'right', 'justify'],
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtQuillEditorComponent, deps: [{ token: i1$1.LoggerService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtQuillEditorComponent, isStandalone: false, selector: "swt-quill-editor", inputs: { config: "config", name: "name", maxLength: "maxLength", minLength: "minLength", required: "required", placeholder: "placeholder" }, providers: [SWT_QUILL_EDITOR_VALUE_ACCESSOR], viewQueries: [{ propertyName: "textbox", first: true, predicate: ["textbox"], descendants: true, static: true }], ngImport: i0, template: `
    <quill-editor #textbox [attr.name]="name" name="{{name}}"
        [(ngModel)]="value" [maxlength]="maxLength" [minlength]="minLength" [required]="required"
        [placeholder]="placeholder?placeholder:''" [modules]="quillModules"
        [readOnly]="config?.readOnly" [format]="config?.format">
    </quill-editor>
   `, isInline: true, styles: [".ql-picker.ql-size .ql-picker-item[data-value=\"10px\"]:before,.ql-picker.ql-size .ql-picker-label.ql-active[data-value=\"10px\"]:before{content:\"10px\"!important}.ql-picker.ql-size .ql-picker-item[data-value=\"18px\"]:before,.ql-picker.ql-size .ql-picker-label.ql-active[data-value=\"18px\"]:before{content:\"18px\"!important}.ql-picker.ql-size .ql-picker-item[data-value=\"32px\"]:before,.ql-picker.ql-size .ql-picker-label.ql-active[data-value=\"32px\"]:before{content:\"32px\"!important}\n"], dependencies: [{ kind: "directive", type: i2$1.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$1.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2$1.MinLengthValidator, selector: "[minlength][formControlName],[minlength][formControl],[minlength][ngModel]", inputs: ["minlength"] }, { kind: "directive", type: i2$1.MaxLengthValidator, selector: "[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]", inputs: ["maxlength"] }, { kind: "directive", type: i2$1.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i3$2.QuillEditorComponent, selector: "quill-editor" }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtQuillEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-quill-editor', template: `
    <quill-editor #textbox [attr.name]="name" name="{{name}}"
        [(ngModel)]="value" [maxlength]="maxLength" [minlength]="minLength" [required]="required"
        [placeholder]="placeholder?placeholder:''" [modules]="quillModules"
        [readOnly]="config?.readOnly" [format]="config?.format">
    </quill-editor>
   `, providers: [SWT_QUILL_EDITOR_VALUE_ACCESSOR], encapsulation: ViewEncapsulation.None, standalone: false, styles: [".ql-picker.ql-size .ql-picker-item[data-value=\"10px\"]:before,.ql-picker.ql-size .ql-picker-label.ql-active[data-value=\"10px\"]:before{content:\"10px\"!important}.ql-picker.ql-size .ql-picker-item[data-value=\"18px\"]:before,.ql-picker.ql-size .ql-picker-label.ql-active[data-value=\"18px\"]:before{content:\"18px\"!important}.ql-picker.ql-size .ql-picker-item[data-value=\"32px\"]:before,.ql-picker.ql-size .ql-picker-label.ql-active[data-value=\"32px\"]:before{content:\"32px\"!important}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.LoggerService }], propDecorators: { config: [{
                type: Input
            }], name: [{
                type: Input
            }], maxLength: [{
                type: Input
            }], minLength: [{
                type: Input
            }], required: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], textbox: [{
                type: ViewChild,
                args: ['textbox', { static: true }]
            }] } });

const QuillModuleForRoot = QuillModule.forRoot();
class SwtControlsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtControlsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: SwtControlsModule, declarations: [DropDownContainerComponent,
            SwtDatePickerComponent,
            SwtDateRangePickerComponent,
            SwtDateInputComponent,
            SwtPopoverComponent,
            SwtColorPickerComponent,
            RatingIconsComponent,
            ToolBarContainerComponent,
            WizardComponent, WizardStepComponent,
            DebounceDirective,
            SWTHighlightSearch,
            SwtQuillEditorComponent,
            UlNavTabs,
            DomChangeDirective,
            SwtCheckboxWrapper,
            SwtCheckboxComponent,
            LRUComponent,
            SwtLruSneatComponent,
            SwtLruInspiniaComponent,
            MultiLRUComponent,
            LoadingIndicatorComponent,
            LoadingDirective,
            SwtDateIntervalComponent,
            SwtDateIntervalSneatComponent,
            SwtDateIntervalInspiniaComponent], imports: [CommonModule,
            FormsModule,
            SwitchTemplateModule,
            NgxMaskDirective,
            NgxMaskPipe,
            NoDblClickModule,
            KeyboardShortcutsModule, i3$2.QuillModule, IBoxModule,
            BsDropdownModule,
            NgSelectModule], exports: [DropDownContainerComponent,
            SwtDatePickerComponent,
            SwtDateRangePickerComponent,
            SwtPopoverComponent,
            SwtColorPickerComponent,
            SwtDateInputComponent,
            RatingIconsComponent,
            LoadingIndicatorComponent,
            LoadingDirective,
            SwtCheckboxWrapper,
            SwtCheckboxComponent,
            WizardComponent, WizardStepComponent,
            DebounceDirective,
            LRUComponent,
            MultiLRUComponent,
            ToolBarContainerComponent,
            SwtQuillEditorComponent,
            UlNavTabs,
            DomChangeDirective,
            IBoxModule,
            SwtDateIntervalComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtControlsModule, providers: [DatePipe, SwtColorPickerService, provideNgxMask()], imports: [CommonModule,
            FormsModule,
            SwitchTemplateModule,
            NoDblClickModule,
            KeyboardShortcutsModule,
            QuillModuleForRoot,
            IBoxModule,
            BsDropdownModule,
            NgSelectModule, IBoxModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtControlsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        SwitchTemplateModule,
                        NgxMaskDirective,
                        NgxMaskPipe,
                        NoDblClickModule,
                        KeyboardShortcutsModule,
                        QuillModuleForRoot,
                        IBoxModule,
                        BsDropdownModule,
                        NgSelectModule,
                    ],
                    declarations: [
                        DropDownContainerComponent,
                        SwtDatePickerComponent,
                        SwtDateRangePickerComponent,
                        SwtDateInputComponent,
                        SwtPopoverComponent,
                        SwtColorPickerComponent,
                        RatingIconsComponent,
                        ToolBarContainerComponent,
                        WizardComponent, WizardStepComponent,
                        DebounceDirective,
                        SWTHighlightSearch,
                        SwtQuillEditorComponent,
                        UlNavTabs,
                        DomChangeDirective,
                        SwtCheckboxWrapper,
                        SwtCheckboxComponent,
                        LRUComponent,
                        SwtLruSneatComponent,
                        SwtLruInspiniaComponent,
                        MultiLRUComponent,
                        LoadingIndicatorComponent,
                        LoadingDirective,
                        SwtDateIntervalComponent,
                        SwtDateIntervalSneatComponent,
                        SwtDateIntervalInspiniaComponent
                    ],
                    exports: [
                        DropDownContainerComponent,
                        SwtDatePickerComponent,
                        SwtDateRangePickerComponent,
                        SwtPopoverComponent,
                        SwtColorPickerComponent,
                        SwtDateInputComponent,
                        RatingIconsComponent,
                        LoadingIndicatorComponent,
                        LoadingDirective,
                        SwtCheckboxWrapper,
                        SwtCheckboxComponent,
                        WizardComponent, WizardStepComponent,
                        DebounceDirective,
                        LRUComponent,
                        MultiLRUComponent,
                        ToolBarContainerComponent,
                        SwtQuillEditorComponent,
                        UlNavTabs,
                        DomChangeDirective,
                        IBoxModule,
                        SwtDateIntervalComponent
                    ],
                    providers: [DatePipe, SwtColorPickerService, provideNgxMask()]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ColorPickerConfiguration, DateInterval, DebounceDirective, DomChangeDirective, DropDownContainerComponent, IBoxComponent, IBoxModule, LRUComponent, LoadingDirective, LoadingIndicatorComponent, MultiLRUComponent, QuillModuleForRoot, RatingIconsComponent, SWTHighlightSearch, SWT_QUILL_EDITOR_VALUE_ACCESSOR, SwtCheckboxComponent, SwtCheckboxWrapper, SwtColorPickerComponent, SwtControlsModule, SwtDateInputComponent, SwtDateIntervalComponent, SwtDateIntervalStoreHelper, SwtDatePickerComponent, SwtDateRangePickerComponent, SwtPopoverComponent, SwtQuillEditorComponent, ToolBarContainerComponent, UlNavTabs, WizardComponent, WizardStep, WizardStepComponent };
//# sourceMappingURL=sowatech-shared-swt-controls.mjs.map
