import 'moment/locale/de';
import * as i1$1 from '@angular/common';
import { DatePipe, DecimalPipe, getCurrencySymbol, CommonModule, CurrencyPipe } from '@angular/common';
import * as i0 from '@angular/core';
import { EventEmitter, Injectable, ViewChild, Input, Directive, Component, Output, ViewChildren, input, signal, computed, inject, DestroyRef, viewChild, effect, LOCALE_ID, HostBinding, Inject, untracked, HostListener, DEFAULT_CURRENCY_CODE, ViewEncapsulation, NgModule } from '@angular/core';
import { takeUntilDestroyed } from '@angular/core/rxjs-interop';
import * as i11 from '@sowatech/shared/ds-datasource';
import { FilterOperator, FilterItem, aggregateFunctionImplementations, DatasourceModule } from '@sowatech/shared/ds-datasource';
import * as i7 from '@sowatech/shared/utilities';
import { PrintService, I18nService } from '@sowatech/shared/utilities';
import * as i14 from 'ngx-scrollbar';
import { NgScrollbar, NgScrollbarModule } from 'ngx-scrollbar';
import { Subscription, fromEvent, Subject } from 'rxjs';
import * as i1 from '@sowatech/shared/user-properties-storage';
import * as i3$1 from '@sowatech/shared/shared-config';
import { SharedConfigService } from '@sowatech/shared/shared-config';
import * as i3$2 from 'ngx-bootstrap/modal';
import * as i3$3 from '@sowatech/shared/template';
import { SwitchTemplateModule } from '@sowatech/shared/template';
import * as i3 from '@angular/forms';
import { FormsModule } from '@angular/forms';
import * as i4 from '@sowatech/shared/swt-controls';
import { SwtControlsModule } from '@sowatech/shared/swt-controls';
import * as i4$1 from '@sowatech/shared/no-double-click';
import { NoDblClickModule } from '@sowatech/shared/no-double-click';
import * as i5 from '@sowatech/shared/no-edit-button';
import { NoEditButtonModule } from '@sowatech/shared/no-edit-button';
import * as i1$2 from '@sowatech/shared/logger';
import { LoggerService } from '@sowatech/shared/logger';
import * as i2$2 from '@sowatech/shared/swt-dragula';
import { DragulaModule } from '@sowatech/shared/swt-dragula';
import * as i9 from 'ngx-bootstrap/dropdown';
import { BsDropdownModule } from 'ngx-bootstrap/dropdown';
import * as i16 from '@sowatech/shared/typed-template';
import { TypedTemplateDirective } from '@sowatech/shared/typed-template';
import * as i2 from '@angular/router';
import { RouterModule } from '@angular/router';
import * as i2$1 from '@ng-select/ng-select';
import { NgSelectModule } from '@ng-select/ng-select';
import moment from 'moment';
import { map, tap } from 'rxjs/operators';
import * as i2$3 from '@sowatech/shared/dialogs';
import { DialogInitDirective, MessageBoxService, MessageType, MessageButtons, DialogResult, DialogsModule } from '@sowatech/shared/dialogs';
import * as i5$1 from 'ngx-mask';
import { NgxMaskDirective, NgxMaskPipe, provideNgxMask } from 'ngx-mask';
import * as i5$2 from '@sowatech/shared/buttons';
import { ButtonsModule } from '@sowatech/shared/buttons';
import * as i6 from 'ng-keyboard-shortcuts';
import { KeyboardShortcutsModule } from 'ng-keyboard-shortcuts';
import * as i3$4 from 'ngx-bootstrap/popover';
import { PopoverModule } from 'ngx-bootstrap/popover';
import * as i4$2 from 'ngx-bootstrap/timepicker';
import { TimepickerModule } from 'ngx-bootstrap/timepicker';
import * as i2$4 from 'ngx-bootstrap/typeahead';
import { TypeaheadModule } from 'ngx-bootstrap/typeahead';

const STOREKEY_PREFIX = 'ColVisibility.';
const COLUMN_HIDDEN_TEXT = 'hidden';
const COLUMN_VISIBLE_TEXT = 'visible';
class ColVisibilityService {
    constructor(userPropertiesStorage) {
        this.userPropertiesStorage = userPropertiesStorage;
        this.hiddenColumnsChanged = new EventEmitter();
    }
    storageKey(columnKey) {
        return STOREKEY_PREFIX + columnKey;
    }
    isColumnVisible(columnKey, hiddenByDefault) {
        const visibilityStored = columnKey ? this.userPropertiesStorage.load(this.storageKey(columnKey)) : null;
        if (visibilityStored === COLUMN_HIDDEN_TEXT)
            return false;
        if (visibilityStored === COLUMN_VISIBLE_TEXT)
            return true;
        return !hiddenByDefault;
    }
    updateColumnVisibility(visibleColumns, hiddenColumns) {
        for (const col of visibleColumns) {
            if (!col.hiddenByDefault)
                this.deleteFromStore(col);
            else
                this.setVisible(col);
        }
        for (const col of hiddenColumns) {
            if (col.hiddenByDefault)
                this.deleteFromStore(col);
            else
                this.setHidden(col);
        }
        this.hiddenColumnsChanged.emit(hiddenColumns.map(col => col.columnKey));
    }
    deleteFromStore(col) {
        this.userPropertiesStorage.delete(this.storageKey(col.columnKey));
    }
    setHidden(col) {
        this.userPropertiesStorage.save(this.storageKey(col.columnKey), COLUMN_HIDDEN_TEXT);
    }
    setVisible(col) {
        this.userPropertiesStorage.save(this.storageKey(col.columnKey), COLUMN_VISIBLE_TEXT);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColVisibilityService, deps: [{ token: i1.UserPropertiesStorageService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColVisibilityService }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColVisibilityService, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1.UserPropertiesStorageService }] });

class ColSelectDialogComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogComponentBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: ColSelectDialogComponentBase, isStandalone: true, inputs: { component: "component" }, viewQueries: [{ propertyName: "dialog", first: true, predicate: ["dialog"], descendants: true, static: true }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogComponentBase, decorators: [{
            type: Directive
        }], propDecorators: { component: [{
                type: Input
            }], dialog: [{
                type: ViewChild,
                args: ['dialog', { static: true }]
            }] } });
class ColSelectDialogInspiniaComponent extends ColSelectDialogComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogInspiniaComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ColSelectDialogInspiniaComponent, isStandalone: false, selector: "col-select-dialog-inspinia", usesInheritance: true, ngImport: i0, template: "<div class=\"modal-header\">\r\n    <button type=\"button\" class=\"close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n        <span aria-hidden=\"true\">&times;</span>\r\n    </button>\r\n    <h4 class=\"modal-title\">{{component.dialogTitle}}</h4>\r\n</div>\r\n<div class=\"modal-body form-horizontal\">\r\n    <div class=\"form-group m-b-none\" *ngFor=\"let field of component.dialogFields\">\r\n        <label class=\"control-label col-sm-4\">{{field.text}}</label>\r\n        <div class=\"col-sm-8 form-control-static\">\r\n            <swt-checkbox [(ngModel)]=\"component.editItem[field.columnKey]\"></swt-checkbox>\r\n        </div>\r\n    </div>\r\n</div>\r\n<div class=\"modal-footer\">\r\n        <button type=\"button\" class=\"btn btn-default\" (click)=\"component.bsModalRef.hide()\"\r\n        i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n    <button type=\"button\" class=\"btn btn-primary\" (click)=\"component.submitDialog()\"\r\n        i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n</div>\r\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i4.SwtCheckboxComponent, selector: "swt-checkbox", inputs: ["activeChangeDetectionHack", "size"], outputs: ["change"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogInspiniaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'col-select-dialog-inspinia', standalone: false, template: "<div class=\"modal-header\">\r\n    <button type=\"button\" class=\"close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n        <span aria-hidden=\"true\">&times;</span>\r\n    </button>\r\n    <h4 class=\"modal-title\">{{component.dialogTitle}}</h4>\r\n</div>\r\n<div class=\"modal-body form-horizontal\">\r\n    <div class=\"form-group m-b-none\" *ngFor=\"let field of component.dialogFields\">\r\n        <label class=\"control-label col-sm-4\">{{field.text}}</label>\r\n        <div class=\"col-sm-8 form-control-static\">\r\n            <swt-checkbox [(ngModel)]=\"component.editItem[field.columnKey]\"></swt-checkbox>\r\n        </div>\r\n    </div>\r\n</div>\r\n<div class=\"modal-footer\">\r\n        <button type=\"button\" class=\"btn btn-default\" (click)=\"component.bsModalRef.hide()\"\r\n        i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n    <button type=\"button\" class=\"btn btn-primary\" (click)=\"component.submitDialog()\"\r\n        i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n</div>\r\n" }]
        }] });
class ColSelectDialogSneatComponent extends ColSelectDialogComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogSneatComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ColSelectDialogSneatComponent, isStandalone: false, selector: "col-select-dialog-sneat", usesInheritance: true, ngImport: i0, template: "<div class=\"modal-header\">\r\n    <h4 class=\"modal-title\">{{component.dialogTitle}}</h4>\r\n    <button type=\"button\" class=\"btn-close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n    </button>\r\n</div>\r\n<div class=\"modal-body ps-5 pe-5 mt-2\">\r\n    <div class=\"mb-2\" *ngFor=\"let field of component.dialogFields\">\r\n        <swt-checkbox [(ngModel)]=\"component.editItem[field.columnKey]\"></swt-checkbox>\r\n        <label class=\"ms-2 m-0\">{{field.text}}</label>\r\n    </div>\r\n</div>\r\n<div class=\"modal-footer\">\r\n        <button type=\"button\" class=\"btn btn-secondary\" (click)=\"component.bsModalRef.hide()\"\r\n        i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n    <button type=\"button\" class=\"btn btn-primary\" (click)=\"component.submitDialog()\"\r\n        i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n</div>\r\n", dependencies: [{ kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i4.SwtCheckboxComponent, selector: "swt-checkbox", inputs: ["activeChangeDetectionHack", "size"], outputs: ["change"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogSneatComponent, decorators: [{
            type: Component,
            args: [{ selector: 'col-select-dialog-sneat', standalone: false, template: "<div class=\"modal-header\">\r\n    <h4 class=\"modal-title\">{{component.dialogTitle}}</h4>\r\n    <button type=\"button\" class=\"btn-close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n    </button>\r\n</div>\r\n<div class=\"modal-body ps-5 pe-5 mt-2\">\r\n    <div class=\"mb-2\" *ngFor=\"let field of component.dialogFields\">\r\n        <swt-checkbox [(ngModel)]=\"component.editItem[field.columnKey]\"></swt-checkbox>\r\n        <label class=\"ms-2 m-0\">{{field.text}}</label>\r\n    </div>\r\n</div>\r\n<div class=\"modal-footer\">\r\n        <button type=\"button\" class=\"btn btn-secondary\" (click)=\"component.bsModalRef.hide()\"\r\n        i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n    <button type=\"button\" class=\"btn btn-primary\" (click)=\"component.submitDialog()\"\r\n        i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n</div>\r\n" }]
        }] });

/* eslint-disable @angular-eslint/no-output-on-prefix */
class ColSelectDialogComponent {
    constructor(colVisibilityService, sharedConfig, bsModalRef) {
        this.colVisibilityService = colVisibilityService;
        this.bsModalRef = bsModalRef;
        this.subscriptions = [];
        this.onSubmit = new EventEmitter();
        this.editItem = {};
        this.disableAnimation = sharedConfig.disableModalAnimation;
    }
    ngOnInit() {
        this.dialogTitle = $localize `:@@Grid.SelectVisibleColumns.act.Title:Spalten auswählen`;
        this.editItem = this.createColumnVisibility();
    }
    ngOnDestroy() {
        this.subscriptions.forEach(s => s.unsubscribe());
    }
    get isConfigured() {
        return this.dialogFields && this.dialogFields.length > 0;
    }
    createColumnVisibility() {
        const columnVisibilityDto = {};
        for (const dialogField of this.dialogFields) {
            const isColVisible = this.colVisibilityService.isColumnVisible(dialogField.columnKey, dialogField.hiddenByDefault);
            columnVisibilityDto[dialogField.columnKey] = isColVisible;
        }
        return columnVisibilityDto;
    }
    cancelDialog() {
        this.bsModalRef.hide();
    }
    submitDialog() {
        this.onSubmitColumnVisiblity();
        this.bsModalRef.hide();
    }
    onSubmitColumnVisiblity() {
        const visibleColumns = [];
        const hiddenColumns = [];
        for (const dialogField of this.dialogFields) {
            const columnIsVisible = this.editItem[dialogField.columnKey];
            const pushTo = columnIsVisible ? visibleColumns : hiddenColumns;
            pushTo.push({ columnKey: dialogField.columnKey, hiddenByDefault: dialogField.hiddenByDefault });
        }
        this.colVisibilityService.updateColumnVisibility(visibleColumns, hiddenColumns);
        this.onSubmit.emit(hiddenColumns.map(c => c.columnKey));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogComponent, deps: [{ token: ColVisibilityService }, { token: i3$1.SharedConfigService }, { token: i3$2.BsModalRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ColSelectDialogComponent, isStandalone: false, selector: "col-select-dialog", outputs: { onSubmit: "onSubmit" }, viewQueries: [{ propertyName: "template", predicate: ["template"], descendants: true }], ngImport: i0, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <col-select-dialog-inspinia [component]=\"this\" #template></col-select-dialog-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <col-select-dialog-sneat [component]=\"this\" #template></col-select-dialog-sneat>\r\n</ng-template>\r\n", dependencies: [{ kind: "component", type: i3$3.SwitchTemplateComponent, selector: "switch-template", inputs: ["sneat", "inspinia", "default"] }, { kind: "component", type: ColSelectDialogInspiniaComponent, selector: "col-select-dialog-inspinia" }, { kind: "component", type: ColSelectDialogSneatComponent, selector: "col-select-dialog-sneat" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColSelectDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'col-select-dialog', standalone: false, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <col-select-dialog-inspinia [component]=\"this\" #template></col-select-dialog-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <col-select-dialog-sneat [component]=\"this\" #template></col-select-dialog-sneat>\r\n</ng-template>\r\n" }]
        }], ctorParameters: () => [{ type: ColVisibilityService }, { type: i3$1.SharedConfigService }, { type: i3$2.BsModalRef }], propDecorators: { template: [{
                type: ViewChildren,
                args: ['template']
            }], onSubmit: [{
                type: Output
            }] } });

class GridDropEvent {
}
class GridDropRemoveEvent {
}
class RowClickEvent {
}
class Html5DragDropEvent {
}
class GridColumnButtonEvent {
}
class SpanClickEvent {
}

class GridCellSpanComponent {
    constructor() {
        this.spanClick = new EventEmitter();
    }
    readListItem(property) {
        return this.listItem && property ? this.listItem[property] : undefined;
    }
    joinedString(...values) {
        return values.filter(s => s).join(' '); // keine Elemente => Leerstring
    }
    spanText(span) {
        return this.joinedString(span.text, this.readListItem(span.textFieldname));
    }
    spanNumber(span) {
        return +(this.readListItem(span.textFieldname) ?? span.text ?? 0);
    }
    spanNumberProgressBar(stackedProgressBar) {
        return +(this.readListItem(stackedProgressBar.valueFieldname) ?? stackedProgressBar.value ?? 0);
    }
    spanTitle(span) {
        return this.joinedString(span.title, this.readListItem(span.titleFieldname));
    }
    spanClass(span) {
        return this.joinedString(span.class, this.readListItem(span.classFieldname), this.isClickable(span) ? 'span-clickable' : '');
    }
    spanClassProgressBar(stackedProgressBar) {
        return this.joinedString(stackedProgressBar.class, this.readListItem(stackedProgressBar.classFieldName));
    }
    colorValue(span, fieldType) {
        switch (fieldType) {
            case 'color':
                return this.readListItem(span.colorFieldname) ?? span.color ?? '';
            case 'color2':
                return this.readListItem(span.color2Fieldname) ?? span.color2 ?? '';
            case 'backgroundColor':
                return this.readListItem(span.backgroundColorFieldname) ?? span.backgroundColor ?? '';
            default:
                return '';
        }
    }
    spanRouterLink(span) {
        return this.readListItem(span.routerLinkFieldname) ?? span.routerLink ?? null;
    }
    spanQueryParams(span) {
        return this.readListItem(span.queryParamsFieldname) ?? span.queryParams ?? null;
    }
    isClickable(span) {
        return span.ident;
    }
    spanClicked(span, event) {
        if (this.isClickable(span)) {
            event.stopPropagation(); //prevents bubble of click-event to tr
            this.spanClick.emit({ ident: span.ident, event, listItem: this.listItem });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GridCellSpanComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: GridCellSpanComponent, isStandalone: false, selector: "grid-cell-span", inputs: { spans: "spans", listItem: "listItem" }, outputs: { spanClick: "spanClick" }, ngImport: i0, template: "<ng-container *ngFor=\"let span of spans\">\r\n    <grid-cell-span-router-link style=\"outline:none\" [routerLink]=\"spanRouterLink(span)\" [queryParams]=\"spanQueryParams(span)\">\r\n        <ng-container [ngSwitch]=\"span.variant\">\r\n            <ng-container *ngSwitchCase=\"'label'\" [ngTemplateOutlet]=\"label\"></ng-container>\r\n            <ng-container *ngSwitchCase=\"'icon'\" [ngTemplateOutlet]=\"icon\"></ng-container>\r\n            <ng-container *ngSwitchCase=\"'progress'\" [ngTemplateOutlet]=\"progress\"></ng-container>\r\n            <ng-container *ngSwitchCase=\"'stackedProgress'\" [ngTemplateOutlet]=\"stackedProgress\"></ng-container>\r\n            <ng-container *ngSwitchDefault>\r\n                <ng-container *ngIf=\"!span.variant && !span.isIcon\" [ngTemplateOutlet]=\"label\"></ng-container>\r\n                <ng-container *ngIf=\"span.isIcon\" [ngTemplateOutlet]=\"icon\"></ng-container>\r\n            </ng-container>\r\n        </ng-container>\r\n    </grid-cell-span-router-link>\r\n\r\n    <ng-template #label>\r\n        <span (click)=\"spanClicked(span,$event)\" [attr.data-ident]=\"span.ident\" [ngClass]=\"spanClass(span)\" [title]=\"spanTitle(span)\"\r\n            [style.color]=\"colorValue(span, 'color')\" [style.backgroundColor]=\"colorValue(span, 'backgroundColor')\">{{ spanText(span) }}</span>\r\n    </ng-template>\r\n\r\n    <ng-template #icon>\r\n        <i class=\"grid-icon\" (click)=\"spanClicked(span,$event)\" [attr.data-ident]=\"span.ident\" [ngClass]=\"spanClass(span)\" [title]=\"spanTitle(span)\"\r\n            [style.color]=\"colorValue(span, 'color')\" [style.backgroundColor]=\"colorValue(span, 'backgroundColor')\">{{ spanText(span) }}</i>\r\n    </ng-template>\r\n\r\n    <ng-template #progress>\r\n        <div [attr.data-ident]=\"span.ident\" (click)=\"spanClicked(span,$event)\">\r\n            <span *ngIf=\"span.showProgressPercent !== false\" class=\"stat-percent\" [title]=\"spanTitle(span)\">{{ spanNumber(span) | percent: \"1.0-0\" }}</span>\r\n            <div class=\"progress progress-mini\" [title]=\"spanTitle(span)\">\r\n                <div [ngClass]=\"['progress-bar', spanClass(span)]\" [style.width.%]=\"spanNumber(span) * 100\"></div>\r\n            </div>\r\n        </div>\r\n    </ng-template>\r\n\r\n    <ng-template #stackedProgress>\r\n        <div *ngIf=\"span.stackedProgressBars?.length > 0\" [attr.data-ident]=\"span.ident\" (click)=\"spanClicked(span,$event)\">\r\n            <span *ngIf=\"span.showProgressPercent !== false\" class=\"stat-percent\" [title]=\"spanTitle(span)\">{{ spanNumber(span) | percent: \"1.0-0\" }}</span>\r\n            <div class=\"progress progress-mini\" [title]=\"spanTitle(span)\">\r\n                <div *ngFor=\"let progressBar of span.stackedProgressBars\"\r\n                    [ngClass]=\"['progress-bar', spanClassProgressBar(progressBar)]\"\r\n                    [style.width.%]=\"spanNumberProgressBar(progressBar) * 100\"></div>\r\n            </div>\r\n        </div>\r\n    </ng-template>\r\n</ng-container>\r\n", styles: ["table.dataTable thead .iconleft:after{left:8px}.table-wrapper.sticky thead{background-color:#fff;position:sticky!important;top:-.5px;z-index:2}table.dataTable thead tr th.iconleft{padding-left:30px}table.dataTable.table-condensed .iconleft:after{left:6px}table.dataTable.table-condensed thead tr th.iconleft{padding-left:30px}table.table-fixed{table-layout:fixed}table.dataTable{border-collapse:separate;border-spacing:0}table.table-fixed td,table.table-fixed th{white-space:nowrap;text-overflow:ellipsis;overflow:hidden}table.dataTable td.min-column,table.dataTable th.min-column{width:12px!important;padding-left:4px;padding-right:2px;margin:0}.header-tab{border-top:none!important}.header-groups th:not(.header-group){border-bottom:none}.header-groups .header-group{padding:3px!important;font-size:smaller;text-align:center;border:thin solid #ddd!important;border-bottom:none!important}tr.grid-row-item.active{background:#deeffdcc}tr.grid-row-item.active>td{--bs-table-accent-bg: rgba($grid-focus-bg, .8)}tr.grid-row-detail>td{border-left:8px solid #eee;border-top:0}tr.grid-row-detail.active>td{background:#f7fcff;--bs-table-accent-bg: $grid-focus-bg;border-left-color:#deeffdcc}.grid-row-item.active td{background:unset}i:focus{outline:none;border:0}.span-clickable{cursor:pointer}.dataTables_wrapper{padding-bottom:0}span{margin-right:3px}span.hidden{margin-right:0}table:focus{outline:none}.grid-aggregate-row td{border-top-width:2px;border-top-color:#ccc;font-weight:700}.stat-percent{float:none!important;display:block;text-align:right;margin:0}.grid-icon{margin-right:5px}.form-control.input-sm,.form-control.small,.small .form-control{font-size:12px;padding:2px;height:28px}.dropdown-menu>li>a.btn:not(:hover):not(.btn-white){color:#fff}::ng-deep .modal.fade{opacity:unset!important}::ng-deep .modal.fade .modal-dialog{transform:translate(0)}.click-disabled{opacity:.65;pointer-events:initial;box-shadow:none;cursor:not-allowed}.click-disabled a{cursor:not-allowed}.table-grouped>tbody>tr:not(.group-tr)>td:first-child,.table-grouped>thead>tr:not(.group-tr)>th:first-child,.table-grouped>thead>tr:not(.group-tr)>td:first-child{padding-left:20px}.table-grouped>tbody>tr.group-tr{background-color:#dedede;font-weight:700}.table-grouped>tbody>tr.group-tr:not(:first-child)>td{border-top:1px solid #dddddd}.small .grid-row-detail{font-size:117.6470588235%}i.grid-detail-toggle-icon{font-size:18px;cursor:pointer;margin-top:1px;color:#777}.table>thead>tr>td.empty-th{border-bottom:1px solid #DDDDDD}\n", "@media print{*{overflow:hidden}button,.btn-group,.grid-footer{display:none}td.sorting:after,td.sorting_desc:after,td.sorting_asc:after,ds-filterdisplay,ds-selection-checkbox{visibility:hidden}div.progress-bar{background-color:currentColor!important}::ng-deep div.print-grid-container{border:1px solid transparent!important}::ng-deep h1.print{font-size:21px}.table-wrapper{max-height:none!important}}\n"], dependencies: [{ kind: "directive", type: i0.forwardRef(() => i1$1.NgClass), selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i0.forwardRef(() => i1$1.NgForOf), selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i0.forwardRef(() => i1$1.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i0.forwardRef(() => i1$1.NgTemplateOutlet), selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i0.forwardRef(() => i1$1.NgSwitch), selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i0.forwardRef(() => i1$1.NgSwitchCase), selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i0.forwardRef(() => i1$1.NgSwitchDefault), selector: "[ngSwitchDefault]" }, { kind: "directive", type: i0.forwardRef(() => i2.RouterLink), selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: i0.forwardRef(() => GridCellSpanRouterLinkComponent), selector: "grid-cell-span-router-link", inputs: ["routerLink", "queryParams"] }, { kind: "pipe", type: i0.forwardRef(() => i1$1.PercentPipe), name: "percent" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GridCellSpanComponent, decorators: [{
            type: Component,
            args: [{ selector: 'grid-cell-span', standalone: false, template: "<ng-container *ngFor=\"let span of spans\">\r\n    <grid-cell-span-router-link style=\"outline:none\" [routerLink]=\"spanRouterLink(span)\" [queryParams]=\"spanQueryParams(span)\">\r\n        <ng-container [ngSwitch]=\"span.variant\">\r\n            <ng-container *ngSwitchCase=\"'label'\" [ngTemplateOutlet]=\"label\"></ng-container>\r\n            <ng-container *ngSwitchCase=\"'icon'\" [ngTemplateOutlet]=\"icon\"></ng-container>\r\n            <ng-container *ngSwitchCase=\"'progress'\" [ngTemplateOutlet]=\"progress\"></ng-container>\r\n            <ng-container *ngSwitchCase=\"'stackedProgress'\" [ngTemplateOutlet]=\"stackedProgress\"></ng-container>\r\n            <ng-container *ngSwitchDefault>\r\n                <ng-container *ngIf=\"!span.variant && !span.isIcon\" [ngTemplateOutlet]=\"label\"></ng-container>\r\n                <ng-container *ngIf=\"span.isIcon\" [ngTemplateOutlet]=\"icon\"></ng-container>\r\n            </ng-container>\r\n        </ng-container>\r\n    </grid-cell-span-router-link>\r\n\r\n    <ng-template #label>\r\n        <span (click)=\"spanClicked(span,$event)\" [attr.data-ident]=\"span.ident\" [ngClass]=\"spanClass(span)\" [title]=\"spanTitle(span)\"\r\n            [style.color]=\"colorValue(span, 'color')\" [style.backgroundColor]=\"colorValue(span, 'backgroundColor')\">{{ spanText(span) }}</span>\r\n    </ng-template>\r\n\r\n    <ng-template #icon>\r\n        <i class=\"grid-icon\" (click)=\"spanClicked(span,$event)\" [attr.data-ident]=\"span.ident\" [ngClass]=\"spanClass(span)\" [title]=\"spanTitle(span)\"\r\n            [style.color]=\"colorValue(span, 'color')\" [style.backgroundColor]=\"colorValue(span, 'backgroundColor')\">{{ spanText(span) }}</i>\r\n    </ng-template>\r\n\r\n    <ng-template #progress>\r\n        <div [attr.data-ident]=\"span.ident\" (click)=\"spanClicked(span,$event)\">\r\n            <span *ngIf=\"span.showProgressPercent !== false\" class=\"stat-percent\" [title]=\"spanTitle(span)\">{{ spanNumber(span) | percent: \"1.0-0\" }}</span>\r\n            <div class=\"progress progress-mini\" [title]=\"spanTitle(span)\">\r\n                <div [ngClass]=\"['progress-bar', spanClass(span)]\" [style.width.%]=\"spanNumber(span) * 100\"></div>\r\n            </div>\r\n        </div>\r\n    </ng-template>\r\n\r\n    <ng-template #stackedProgress>\r\n        <div *ngIf=\"span.stackedProgressBars?.length > 0\" [attr.data-ident]=\"span.ident\" (click)=\"spanClicked(span,$event)\">\r\n            <span *ngIf=\"span.showProgressPercent !== false\" class=\"stat-percent\" [title]=\"spanTitle(span)\">{{ spanNumber(span) | percent: \"1.0-0\" }}</span>\r\n            <div class=\"progress progress-mini\" [title]=\"spanTitle(span)\">\r\n                <div *ngFor=\"let progressBar of span.stackedProgressBars\"\r\n                    [ngClass]=\"['progress-bar', spanClassProgressBar(progressBar)]\"\r\n                    [style.width.%]=\"spanNumberProgressBar(progressBar) * 100\"></div>\r\n            </div>\r\n        </div>\r\n    </ng-template>\r\n</ng-container>\r\n", styles: ["table.dataTable thead .iconleft:after{left:8px}.table-wrapper.sticky thead{background-color:#fff;position:sticky!important;top:-.5px;z-index:2}table.dataTable thead tr th.iconleft{padding-left:30px}table.dataTable.table-condensed .iconleft:after{left:6px}table.dataTable.table-condensed thead tr th.iconleft{padding-left:30px}table.table-fixed{table-layout:fixed}table.dataTable{border-collapse:separate;border-spacing:0}table.table-fixed td,table.table-fixed th{white-space:nowrap;text-overflow:ellipsis;overflow:hidden}table.dataTable td.min-column,table.dataTable th.min-column{width:12px!important;padding-left:4px;padding-right:2px;margin:0}.header-tab{border-top:none!important}.header-groups th:not(.header-group){border-bottom:none}.header-groups .header-group{padding:3px!important;font-size:smaller;text-align:center;border:thin solid #ddd!important;border-bottom:none!important}tr.grid-row-item.active{background:#deeffdcc}tr.grid-row-item.active>td{--bs-table-accent-bg: rgba($grid-focus-bg, .8)}tr.grid-row-detail>td{border-left:8px solid #eee;border-top:0}tr.grid-row-detail.active>td{background:#f7fcff;--bs-table-accent-bg: $grid-focus-bg;border-left-color:#deeffdcc}.grid-row-item.active td{background:unset}i:focus{outline:none;border:0}.span-clickable{cursor:pointer}.dataTables_wrapper{padding-bottom:0}span{margin-right:3px}span.hidden{margin-right:0}table:focus{outline:none}.grid-aggregate-row td{border-top-width:2px;border-top-color:#ccc;font-weight:700}.stat-percent{float:none!important;display:block;text-align:right;margin:0}.grid-icon{margin-right:5px}.form-control.input-sm,.form-control.small,.small .form-control{font-size:12px;padding:2px;height:28px}.dropdown-menu>li>a.btn:not(:hover):not(.btn-white){color:#fff}::ng-deep .modal.fade{opacity:unset!important}::ng-deep .modal.fade .modal-dialog{transform:translate(0)}.click-disabled{opacity:.65;pointer-events:initial;box-shadow:none;cursor:not-allowed}.click-disabled a{cursor:not-allowed}.table-grouped>tbody>tr:not(.group-tr)>td:first-child,.table-grouped>thead>tr:not(.group-tr)>th:first-child,.table-grouped>thead>tr:not(.group-tr)>td:first-child{padding-left:20px}.table-grouped>tbody>tr.group-tr{background-color:#dedede;font-weight:700}.table-grouped>tbody>tr.group-tr:not(:first-child)>td{border-top:1px solid #dddddd}.small .grid-row-detail{font-size:117.6470588235%}i.grid-detail-toggle-icon{font-size:18px;cursor:pointer;margin-top:1px;color:#777}.table>thead>tr>td.empty-th{border-bottom:1px solid #DDDDDD}\n", "@media print{*{overflow:hidden}button,.btn-group,.grid-footer{display:none}td.sorting:after,td.sorting_desc:after,td.sorting_asc:after,ds-filterdisplay,ds-selection-checkbox{visibility:hidden}div.progress-bar{background-color:currentColor!important}::ng-deep div.print-grid-container{border:1px solid transparent!important}::ng-deep h1.print{font-size:21px}.table-wrapper{max-height:none!important}}\n"] }]
        }], propDecorators: { spans: [{
                type: Input,
                args: [{ required: true }]
            }], listItem: [{
                type: Input
            }], spanClick: [{
                type: Output
            }] } });
class GridCellSpanRouterLinkComponent {
    constructor() {
        this.routerLink = input.required({ transform: (value) => value ? [value] : null });
        this.queryParams = input();
    }
    handleClick(event) {
        event.stopPropagation();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GridCellSpanRouterLinkComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.13", type: GridCellSpanRouterLinkComponent, isStandalone: false, selector: "grid-cell-span-router-link", inputs: { routerLink: { classPropertyName: "routerLink", publicName: "routerLink", isSignal: true, isRequired: true, transformFunction: null }, queryParams: { classPropertyName: "queryParams", publicName: "queryParams", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0, template: `
        <ng-template #content><ng-content></ng-content></ng-template>
        <a *ngIf="routerLink() as link" [routerLink]="link" [queryParams]="queryParams()" (click)="handleClick($event)">
            <ng-container *ngTemplateOutlet="content"></ng-container>
        </a>
        <ng-container *ngIf="!routerLink()">
            <ng-container *ngTemplateOutlet="content"></ng-container>
        </ng-container>
    `, isInline: true, dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GridCellSpanRouterLinkComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'grid-cell-span-router-link',
                    template: `
        <ng-template #content><ng-content></ng-content></ng-template>
        <a *ngIf="routerLink() as link" [routerLink]="link" [queryParams]="queryParams()" (click)="handleClick($event)">
            <ng-container *ngTemplateOutlet="content"></ng-container>
        </a>
        <ng-container *ngIf="!routerLink()">
            <ng-container *ngTemplateOutlet="content"></ng-container>
        </ng-container>
    `,
                    standalone: false
                }]
        }] });

class MultiSelectFilterComponent {
    constructor() {
        this.lookups = input.required({ transform: (value) => this.transformGridLookup(value) });
        this.fieldNames = input.required();
        this.datasource = input.required();
        this.datasourceFilterItems = signal([]);
        this.value = computed(() => {
            const filterItem = this.datasourceFilterItems().find((item) => item.fieldnamesAreEqual(this.fieldNames()) && item.filterOperator === this.filterOperator);
            return filterItem?.fieldvalues ?? [];
        });
        this.filterOperator = FilterOperator.IsEqual;
        this.destryRef = inject(DestroyRef);
    }
    ngAfterViewInit() {
        this.datasource().onFilterItems.pipe(takeUntilDestroyed(this.destryRef)).subscribe((filterItems) => this.datasourceFilterItems.set(filterItems));
        this.datasourceFilterItems.set(this.datasource().getFilterItems());
    }
    transformGridLookup(lookups) {
        if (lookups.length === 0)
            return [];
        const isSelectItemArray = 'value' in lookups[0];
        if (isSelectItemArray)
            return lookups.map(item => ({ label: item.text, value: item.value.toString().toLocaleLowerCase() }));
        const isStringArray = typeof lookups[0] === 'string';
        if (isStringArray)
            return lookups.map(item => ({ label: item, value: item.toLocaleLowerCase() }));
        return [];
    }
    setFilter(selection) {
        const filterValues = selection.map(item => item.value);
        const fieldNames = this.fieldNames();
        const fieldNamesArray = Array.isArray(fieldNames) ? fieldNames : [fieldNames];
        const filterItem = new FilterItem(fieldNamesArray, filterValues, this.filterOperator);
        this.datasource().addFilter([filterItem]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: MultiSelectFilterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "19.2.13", type: MultiSelectFilterComponent, isStandalone: false, selector: "multi-select-filter", inputs: { lookups: { classPropertyName: "lookups", publicName: "lookups", isSignal: true, isRequired: true, transformFunction: null }, fieldNames: { classPropertyName: "fieldNames", publicName: "fieldNames", isSignal: true, isRequired: true, transformFunction: null }, datasource: { classPropertyName: "datasource", publicName: "datasource", isSignal: true, isRequired: true, transformFunction: null } }, ngImport: i0, template: `<ng-select class="custom-form-control" inspinia-class="inspinia" sneat-class="sneat"
                        (change)="setFilter($event)" [ngModel]="value()" bindValue="value"
                        [multiple]="true" [items]="lookups()" [addTag]="false"
                        [clearOnBackspace]="true" appendTo="body"
                        placeholder="(alle)" i18n-placeholder="@@Grid.All.dsp.Label"
                        notFoundText="Nicht gefunden" i18n-notFoundText="@@Grid.SelectSearchNotFound.dsp.Label">
                </ng-select>`, isInline: true, styles: [":host ::ng-deep ng-select.ng-select{display:block!important}:host ::ng-deep ng-select.ng-select.inspinia.custom-form-control .ng-select-container{background-color:#fff;background-image:none;border:1px solid #e5e6e7!important;border-radius:1px!important;color:inherit;padding:6px 2px 6px 12px!important;transition:border-color .15s ease-in-out 0s,box-shadow .15s ease-in-out 0s;width:100%;font-size:14px;box-shadow:none!important}:host ::ng-deep ng-select.ng-select.inspinia.custom-form-control .ng-select-container .ng-clear-wrapper{height:17px}:host ::ng-deep ng-select.ng-select.inspinia.custom-form-control .ng-select-container .ng-placeholder{padding-left:4px!important}:host ::ng-deep ng-select.ng-select.sneat.custom-form-control .ng-select-container{width:100%;padding:.4375rem .875rem!important;font-size:.9375rem;font-weight:400;line-height:1.53;color:#697a8d;background-color:#fff;background-clip:padding-box;border:1px solid #d9dee3!important;appearance:none;border-radius:.375rem!important;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow:none!important}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-placeholder{top:initial!important;padding:0!important;color:inherit;font-size:14px}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-value-container{padding:0;font-size:12px}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-value{margin-top:1px;margin-bottom:1px!important}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-input{padding:0!important}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper{font-family:\"Font Awesome 5 Pro\";font-weight:900;font-size:12px;width:initial;padding-right:2px}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper .ng-arrow{display:none}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper:after{content:\"\\f078\"}:host ::ng-deep ng-select.ng-select.ng-select-opened .ng-arrow-wrapper:after{content:\"\\f077\"}.small :host ::ng-deep ng-select.ng-select.custom-form-control{font-size:12px}.small :host ::ng-deep ng-select.ng-select.custom-form-control .ng-select-container{min-height:28px!important;padding:0 2px!important}.small :host ::ng-deep ng-select.ng-select.custom-form-control .ng-placeholder{font-size:12px!important}::ng-deep ng-dropdown-panel{z-index:9999!important}\n"], dependencies: [{ kind: "component", type: i2$1.NgSelectComponent, selector: "ng-select", inputs: ["ariaLabelDropdown", "bindLabel", "bindValue", "ariaLabel", "markFirst", "placeholder", "fixedPlaceholder", "notFoundText", "typeToSearchText", "preventToggleOnRightClick", "addTagText", "loadingText", "clearAllText", "appearance", "dropdownPosition", "appendTo", "loading", "closeOnSelect", "hideSelected", "selectOnTab", "openOnEnter", "maxSelectedItems", "groupBy", "groupValue", "bufferAmount", "virtualScroll", "selectableGroup", "selectableGroupAsModel", "searchFn", "trackByFn", "clearOnBackspace", "labelForId", "inputAttrs", "tabIndex", "readonly", "searchWhileComposing", "minTermLength", "editableSearchTerm", "ngClass", "typeahead", "multiple", "addTag", "searchable", "clearable", "isOpen", "items", "compareWith", "clearSearchOnAdd", "deselectOnClick", "keyDownFn"], outputs: ["blur", "focus", "change", "open", "close", "search", "clear", "add", "remove", "scroll", "scrollToEnd"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3$3.InspiniaCssClassDirective, selector: "[inspinia-class]", inputs: ["inspinia-class"] }, { kind: "directive", type: i3$3.SneatCssClassDirective, selector: "[sneat-class]", inputs: ["sneat-class"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: MultiSelectFilterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'multi-select-filter', template: `<ng-select class="custom-form-control" inspinia-class="inspinia" sneat-class="sneat"
                        (change)="setFilter($event)" [ngModel]="value()" bindValue="value"
                        [multiple]="true" [items]="lookups()" [addTag]="false"
                        [clearOnBackspace]="true" appendTo="body"
                        placeholder="(alle)" i18n-placeholder="@@Grid.All.dsp.Label"
                        notFoundText="Nicht gefunden" i18n-notFoundText="@@Grid.SelectSearchNotFound.dsp.Label">
                </ng-select>`, standalone: false, styles: [":host ::ng-deep ng-select.ng-select{display:block!important}:host ::ng-deep ng-select.ng-select.inspinia.custom-form-control .ng-select-container{background-color:#fff;background-image:none;border:1px solid #e5e6e7!important;border-radius:1px!important;color:inherit;padding:6px 2px 6px 12px!important;transition:border-color .15s ease-in-out 0s,box-shadow .15s ease-in-out 0s;width:100%;font-size:14px;box-shadow:none!important}:host ::ng-deep ng-select.ng-select.inspinia.custom-form-control .ng-select-container .ng-clear-wrapper{height:17px}:host ::ng-deep ng-select.ng-select.inspinia.custom-form-control .ng-select-container .ng-placeholder{padding-left:4px!important}:host ::ng-deep ng-select.ng-select.sneat.custom-form-control .ng-select-container{width:100%;padding:.4375rem .875rem!important;font-size:.9375rem;font-weight:400;line-height:1.53;color:#697a8d;background-color:#fff;background-clip:padding-box;border:1px solid #d9dee3!important;appearance:none;border-radius:.375rem!important;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out;box-shadow:none!important}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-placeholder{top:initial!important;padding:0!important;color:inherit;font-size:14px}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-value-container{padding:0;font-size:12px}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-value{margin-top:1px;margin-bottom:1px!important}:host ::ng-deep ng-select.ng-select .ng-select-container .ng-input{padding:0!important}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper{font-family:\"Font Awesome 5 Pro\";font-weight:900;font-size:12px;width:initial;padding-right:2px}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper .ng-arrow{display:none}:host ::ng-deep ng-select.ng-select .ng-arrow-wrapper:after{content:\"\\f078\"}:host ::ng-deep ng-select.ng-select.ng-select-opened .ng-arrow-wrapper:after{content:\"\\f077\"}.small :host ::ng-deep ng-select.ng-select.custom-form-control{font-size:12px}.small :host ::ng-deep ng-select.ng-select.custom-form-control .ng-select-container{min-height:28px!important;padding:0 2px!important}.small :host ::ng-deep ng-select.ng-select.custom-form-control .ng-placeholder{font-size:12px!important}::ng-deep ng-dropdown-panel{z-index:9999!important}\n"] }]
        }] });

class DisableClickDirective {
    constructor(el) {
        this.el = el;
        this.subscription = new Subscription();
        this._disableClick = false;
        this.setDisabled = () => el.nativeElement.classList.add('click-disabled');
        this.removeDisabled = () => el.nativeElement.classList.remove('click-disabled');
    }
    set disableClick(value) {
        if (value !== this._disableClick) {
            this._disableClick = value;
            if (this._disableClick)
                this.setDisabled();
            else
                this.removeDisabled();
        }
    }
    ngOnInit() {
        const el = this.el.nativeElement;
        this.subscription = fromEvent(el.parentNode, 'click', { capture: true })
            .subscribe((e) => {
            if (e.target === el || el.contains(e.target) && this._disableClick)
                e.stopPropagation();
        });
    }
    ngOnDestroy() {
        this.subscription.unsubscribe();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DisableClickDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: DisableClickDirective, isStandalone: false, selector: "[disable-click]", inputs: { disableClick: ["disable-click", "disableClick"] }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: DisableClickDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[disable-click]',
                    standalone: false
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { disableClick: [{
                type: Input,
                args: ['disable-click']
            }] } });

class ColHideDirective {
    constructor(el) {
        this.colVisibilityService = inject(ColVisibilityService);
        this.sharedConfig = inject(SharedConfigService);
        this.hiddenClass = this.sharedConfig.templateKey === 'sneat' ? 'd-none' : 'hidden';
        this.subscriptions = new Array();
        this.hiddenByDefault = false;
        this.colHideName = '';
        this.columnElement = el.nativeElement;
    }
    ngOnInit() {
        this.subscriptions.push(this.colVisibilityService.hiddenColumnsChanged.subscribe(() => this.refreshColumnVisibility()));
        this.refreshColumnVisibility();
    }
    ngOnDestroy() {
        this.subscriptions.forEach(s => s.unsubscribe());
    }
    set dsColHideName(name) {
        this.colHideName = name;
    }
    refreshColumnVisibility() {
        const isVisible = this.colVisibilityService.isColumnVisible(this.colHideName, this.hiddenByDefault);
        this.setColumnHidden(!isVisible);
    }
    setColumnHidden(value) {
        if (value)
            this.columnElement.classList.add(this.hiddenClass);
        else
            this.columnElement.classList.remove(this.hiddenClass);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColHideDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: ColHideDirective, isStandalone: false, selector: "[col-hide]", inputs: { dsColHideName: ["col-hide", "dsColHideName"], hiddenByDefault: ["hidden-by-default", "hiddenByDefault"] }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ColHideDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[col-hide]',
                    standalone: false
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { dsColHideName: [{
                type: Input,
                args: ['col-hide']
            }], hiddenByDefault: [{
                type: Input,
                args: ['hidden-by-default']
            }] } });

/* eslint-disable @angular-eslint/no-output-on-prefix */
/* eslint-disable @angular-eslint/no-input-rename */
class GridComponent {
    constructor(logger, dragulaService, locale, config, colVisibilityService, currencyPipe, modalService, i18n) {
        this.logger = logger;
        this.dragulaService = dragulaService;
        this.locale = locale;
        this.config = config;
        this.colVisibilityService = colVisibilityService;
        this.currencyPipe = currencyPipe;
        this.modalService = modalService;
        this.i18n = i18n;
        this.destroyRef = inject(DestroyRef);
        this.printService = inject(PrintService);
        this.selectAllRowsLabel = $localize `:@@Grid.SelectAllRows.act.Label:Alle Reihen auswählen`;
        this.selectRowLabel = $localize `:@@Grid.SelectRow.act.Label:Reihe auswählen`;
        this.subscriptions = new Array();
        this.gridId = '';
        this.gridIdPrefix = '';
        this.idfield = '';
        this.cyTotalRefreshCounter = 0;
        this.cyCurrentRefreshCounter = 0;
        this.stickyHeader = false;
        this.name = '';
        this.allowPrintDownload = false;
        this.html5Draggable = null; //if!=null: shows an Icon with draggable=true, the given text will be shown as title
        this.onHtml5DragStart = new EventEmitter();
        this.dragulaBag = input();
        this.dragulaShowIcon = input(false);
        this.dragulaOnlyIconDrag = input(false);
        this.dragulaSubscriptions = [];
        this.onButtonClicked = new EventEmitter();
        this.onRowClicked = new EventEmitter();
        this.onDrop = new EventEmitter();
        this.onDragulaRemove = new EventEmitter();
        /** nur für showDetailMethod = 'dropdown' */
        this.detailOpened = new EventEmitter();
        this.showFooter = false;
        this.visibleColumns = [];
        /** Die ID des geöffneten Grid Details */
        this.detailId = undefined;
        this.scrollbar = viewChild(NgScrollbar);
        this.scrollEventBlocked = false;
        this.scrolledToPosition = new EventEmitter();
        this.datePipe = new DatePipe(locale);
        this.decimalPipe = new DecimalPipe(locale);
        this.setDefaultConfigurations();
        effect(() => this.setDragulaOptions());
        effect(() => this.setDragulaSubscriptions());
    }
    ngOnInit() {
        this.subscriptions.push(this.listDatasource.onFocus.subscribe(id => this.onFocus(id)), this.colVisibilityService.hiddenColumnsChanged.subscribe(() => this.onColVisibilityChanged()), this.listDatasource.onBeforeRefresh.subscribe(() => this.onBeforeDatasourceRefresh()), this.listDatasource.onAfterRefresh.subscribe(() => this.onAfterDatasourceRefresh()));
    }
    ngAfterViewInit() {
        this.subscriptions.push(fromEvent(this.scrollbar().viewport.nativeElement, 'scroll').subscribe(event => this.scroll(event)));
    }
    ngOnDestroy() {
        this.subscriptions.forEach(s => s.unsubscribe());
    }
    onColVisibilityChanged() {
        this.listDatasource.aggregateFunctions.recalc();
        if (this.listDatasource.isExternalRefresh())
            this.listDatasource.refreshAggregateFunctionsExternal();
        this.prepareHeaderGroupColumns();
        this.updateShowFooter();
    }
    onKeydownHandler(event) {
        if (this.allowKeyboardShortCuts) {
            if (event.key === 'ArrowUp') {
                event.preventDefault();
                event.stopPropagation();
                this.onKeyUp();
            }
            if (event.key === 'ArrowDown') {
                event.preventDefault();
                event.stopPropagation();
                this.onKeyDown();
            }
            if (event.key === 'Enter') {
                event.preventDefault();
                event.stopPropagation();
                this.onEnterPressed();
            }
        }
    }
    onEnterPressed() {
        this.clickOnFocusedRow();
    }
    /**
     * @deprecated clickOnFocusedRow() benutzen
     */
    clickOnFocuedRow() {
        this.clickOnFocusedRow();
    }
    clickOnFocusedRow() {
        if (this.gridId && this.gridId != '') {
            const rowElement = document.querySelector(`#${this.gridId}`).querySelector(`[data-id="${this.listDatasource.focusedId}"]`);
            if (rowElement)
                rowElement.click();
        }
        else {
            const rowElement = document.querySelector(`[data-id="${this.listDatasource.focusedId}"]`);
            if (rowElement)
                rowElement.click();
        }
    }
    onKeyUp() {
        this.listDatasource.focusPreviousRow();
    }
    onKeyDown() {
        this.listDatasource.focusNextOrFirstRow();
    }
    get datasourceHasExternalRefresh() {
        return this.listDatasource?.isExternalRefresh() ?? false;
    }
    set setGridId(value) {
        if (this.gridId != value) {
            this.gridId = value;
            this.gridIdPrefix = this.gridId ? this.gridId + '-' : '';
        }
    }
    set setListDatasource(value) {
        this.listDatasource = value;
        this.listDatasource.aggregateFunctions.getConfigs = () => this.getColumnsByColVisibility();
        if (this.grouped)
            this.listDatasource.setFixedSort(this.groupByColumns.map(col => col.fieldname));
    }
    set _pageSizes(values) {
        this.pageSizes = values;
    }
    setDragulaOptions() {
        const dragulaBag = this.dragulaBag();
        const dragulaOnlyIconDrag = this.dragulaOnlyIconDrag();
        if (!dragulaBag)
            return;
        const options = this.getDragulaOptions(dragulaOnlyIconDrag);
        const dragulaGroup = this.dragulaService.find(dragulaBag) ?? this.dragulaService.createGroup(dragulaBag, options);
        dragulaGroup.options.moves = options.moves;
    }
    getDragulaOptions(dragulaOnlyIconDrag) {
        if (dragulaOnlyIconDrag)
            return { moves: (_el, _container, handle) => handle.classList.contains('dragula-drag-handle') };
        return { moves: () => true };
    }
    setDragulaSubscriptions() {
        const dragulaBag = this.dragulaBag();
        if (!dragulaBag)
            return;
        this.dragulaSubscriptions.forEach(s => s.unsubscribe());
        this.dragulaSubscriptions = [
            this.dragulaService.drop(dragulaBag).pipe(takeUntilDestroyed(this.destroyRef)).subscribe(val => this.onRowDrop(val)),
            this.dragulaService.remove(dragulaBag).pipe(takeUntilDestroyed(this.destroyRef)).subscribe(val => this.onRowRemove(val))
        ];
    }
    set setConfig(value) {
        this.configureGrid(value);
    }
    focusGrid() {
        this.table.nativeElement.focus();
    }
    set columns(allColumns) {
        this.prepareColumns(allColumns);
        this.setVisibleColumns(allColumns);
        this.prepareHeaderGroupColumns();
        this.setGroupBy(allColumns);
        this.updateShowFooter();
        this.listDatasource?.aggregateFunctions?.recalc();
    }
    setFocusedFilter(fieldName) {
        const element = this.filterItems.nativeElement.querySelector(`#${this.gridIdPrefix + fieldName}`);
        if (element)
            element.focus();
    }
    setVisibleColumns(columns) {
        this.visibleColumns = columns.filter(col => !col.groupBy);
    }
    get numOfVisibleColumns() {
        return this.visibleColumns.length + this.extraColumnCount;
    }
    get extraColumnCount() {
        let extraColumns = 0;
        if (this.showSelectCheckBoxes)
            extraColumns += 1;
        if (this.html5Draggable)
            extraColumns += 1;
        if (this.dragulaShowIcon())
            extraColumns += 1;
        if (this.showRowDetail)
            extraColumns += 1;
        return extraColumns;
    }
    get rowCursorClass() {
        const internalObservers = 0;
        if (this.onRowClicked.observers.length > internalObservers)
            return 'pointer';
        else
            return 'default';
    }
    //Implementation erstmal nur auf eine Column ausgelegt
    get groupByColumn() {
        return this.groupByColumns?.length > 0 ? this.groupByColumns[0] : null;
    }
    get grouped() {
        return this.groupByColumns?.length > 0;
    }
    prepareHeaderGroupColumns() {
        if (!this.headerTitleGroups)
            return;
        this.headerTitleGroupColumns = [];
        let lastGroupCol = HeaderTitleGroupCol.empty;
        for (const col of this.getColumnsByColVisibility()) {
            const headerGroupData = this.headerTitleGroups ? this.headerTitleGroups[col.headerTitleGroup] : undefined;
            if (headerGroupData === undefined) {
                this.headerTitleGroupColumns.push(HeaderTitleGroupCol.empty);
                continue;
            }
            if (!lastGroupCol.isEmpty && lastGroupCol.key === col.headerTitleGroup) {
                lastGroupCol.span++;
                continue;
            }
            lastGroupCol = new HeaderTitleGroupCol(col.headerTitleGroup, 1, headerGroupData);
            this.headerTitleGroupColumns.push(lastGroupCol);
        }
    }
    setGroupBy(columns) {
        this.groupByColumns = columns.filter(col => col.groupBy);
        const groupBy = this.groupByColumns.map(col => col.fieldname);
        this.listDatasource?.setFixedSort(groupBy);
    }
    prepareColumns(allColumns) {
        for (const col of allColumns) {
            if (col.type === 'boolean') {
                if (!col.trueValueText)
                    col.trueValueText = 'true';
                if (!col.falseValueText)
                    col.falseValueText = 'false';
            }
            if (col.lookups && col.lookups.length > 0) {
                if (typeof col.lookups[0] === 'string') {
                    const selectItemLookUps = col.lookups
                        .map(lookup => ({ value: lookup, text: lookup }));
                    col.lookups = selectItemLookUps;
                }
            }
        }
    }
    //alternative configuration by GridConfiguration-object instead of setting inputs and columns
    configureGrid(config) {
        for (const prop in config) {
            if (prop !== 'columns')
                if (config[prop] !== undefined)
                    this[prop] = config[prop];
        }
        this.columns = config.columns;
    }
    getData() {
        if (!this.listDatasource)
            return [];
        const result = [];
        for (const listItem of this.listDatasource.dataBackup) {
            const resultItem = {};
            result.push(resultItem);
            for (const column of this.visibleColumns) {
                if (column.fieldname)
                    resultItem[column.text] = this.displayText(listItem, column);
            }
        }
        return result;
    }
    downloadCSV() {
        let csvConfig = this.csvConfig;
        if (!csvConfig?.columns) {
            const columns = this.getColumnsByColVisibility()
                .filter(col => col?.fieldname)
                .map(col => this.getCSVColumn(col));
            csvConfig = { ...this.csvConfig, columns };
        }
        this.listDatasource.downloadDataAsCSV(this.csvFileName, csvConfig);
    }
    getCSVColumn(col) {
        return {
            fieldname: col.fieldname,
            text: col.headerTitleGroup ? `${this.headerTitleGroups[col.headerTitleGroup].text} ${col.text}` : col.text,
            digitsInfo: col.digitInfo,
            dateformat: col.dateFormat,
            type: col.type,
            lookups: col.lookups,
            trueValueText: col.trueValueText,
            falseValueText: col.falseValueText,
        };
    }
    displayText(listItem, column) {
        let value = listItem[column.fieldname];
        const dateFormat = column.dateFormat ? column.dateFormat : 'mediumDate';
        switch (column.type) {
            case 'boolean':
                if (value === true && column.trueValueText != undefined)
                    value = column.trueValueText;
                if (value === false && column.falseValueText != undefined)
                    value = column.falseValueText;
                break;
            case 'lookup':
                value = this.getLookupTextColumn(listItem, column);
                break;
            case 'date':
                if (value)
                    value = this.datePipe.transform(value, dateFormat);
                break;
            case 'datetime':
                if (value)
                    value = this.datePipe.transform(value, dateFormat) + ' ' + this.datePipe.transform(value, 'mediumTime');
                break;
            case 'number':
                if (value != undefined)
                    value = this.decimalPipe.transform(value, column.digitInfo ? column.digitInfo : '1.0-2');
                break;
            case 'money':
                if (value != undefined)
                    value = this.currencyPipe.transform(value, undefined, undefined, column.digitInfo);
                break;
            default:
                break;
        }
        if (column.unit)
            value = `${value ?? ''} ${column.unit}`;
        return value;
    }
    getLookupTextColumn(listItem, column) {
        const value = listItem[column.fieldname];
        const lookupItems = column.lookups.filter((lookup) => lookup.value == value);
        return lookupItems.length > 0 ? lookupItems[0].text : '';
    }
    allowSortColumn(column) {
        return this.allowSort && (column.allowSort == undefined || column.allowSort);
    }
    allowFilterColumn(column) {
        return this.allowFilter && (column.allowFilter == undefined || column.allowFilter);
    }
    getFilterOperator(column) {
        if (column.filterOperator >= 0)
            return FilterOperator[column.filterOperator];
        else if (column.lookups)
            return FilterOperator[FilterOperator.IsEqual];
        let result = null;
        switch (column.type ?? 'text') {
            case 'boolean':
            case 'number':
            case 'money':
                result = FilterOperator.IsEqual;
                break;
            case 'url':
            case 'tel':
            case 'text':
            case 'email':
                result = FilterOperator[this.config.defaultStringFilterOperator];
                break;
            default:
                result = FilterOperator.Contains;
                break;
        }
        return FilterOperator[result];
    }
    autoDetectIdFieldname(listItem) {
        if (!this.idfield && listItem.id !== undefined)
            this.idfield = 'id';
        if (!this.idfield && listItem.Id !== undefined)
            this.idfield = 'Id';
        if (!this.idfield && listItem.ID !== undefined)
            this.idfield = 'ID';
        if (!this.idfield)
            this.logger.warn('GridComponent: unknown idfield ');
    }
    getListItemId(listItem) {
        this.autoDetectIdFieldname(listItem);
        return listItem[this.idfield];
    }
    buttonClicked(event, ident, listItem) {
        event.stopPropagation(); //prevents bubble of click-event to tr
        const itemId = this.getListItemId(listItem);
        this.onButtonClicked.emit({ buttonIdent: ident, itemId, event });
        this.visibleColumns.flatMap(c => c.buttons ?? []).find(btn => btn.ident === ident)?.onClick?.(itemId);
    }
    spanClicked(event) {
        const itemId = event.listItem ? this.getListItemId(event.listItem) : null;
        this.onButtonClicked.emit({ buttonIdent: event.ident, itemId, event: event.event });
        const spans = this.visibleColumns.flatMap(c => c.spans ?? []);
        const titleSpans = this.visibleColumns.flatMap(c => c.titleSpans ?? []);
        const spansWithIdent = [...spans, ...titleSpans].filter(span => span.ident === event.ident);
        for (const span of spansWithIdent)
            span.onClick?.(itemId);
    }
    rowClick(event, listItem) {
        const listItemId = this.getListItemId(listItem);
        if (this.disableSelectFieldName && listItem[this.disableSelectFieldName])
            return;
        if (this.allowMultiSelect && event.ctrlKey)
            this.listDatasource.toggleSelection(listItemId);
        else {
            if (this.detailId !== listItem[this.idfield])
                this.closeDetail();
            this.listDatasource.focus(listItemId);
        }
        this.onRowClicked.emit({ itemId: listItemId, $event: event });
    }
    onBeforeDatasourceRefresh() {
        this.cyTotalRefreshCounter++;
        this.cyCurrentRefreshCounter++;
    }
    onAfterDatasourceRefresh() {
        if (this.cyCurrentRefreshCounter > 0) //Damit der Counter nicht negativ wird, wenn die Datasource zum Zeitpunkt des BeforeRefreshs noch nicht mit dem Grid verbunden war
            this.cyCurrentRefreshCounter--;
        this.firstItemsOfGroup = this.calcFirstItemsOfGroups();
    }
    onFocus(listItemId) {
        if (this.showDetailMethod === 'focus')
            this.toggleGridDetail(listItemId);
    }
    toggleGridDetail(listItemId) {
        if (this.isRowDetailIdOpen(listItemId))
            this.closeDetail();
        else
            this.setRowDetailId(listItemId);
    }
    setRowDetailId(listItemId) {
        this.detailId = listItemId;
        this.detailOpened.emit(listItemId);
    }
    html5DragStart(event, listItem) {
        const listItemId = this.getListItemId(listItem);
        this.onHtml5DragStart.emit({ itemId: listItemId, $event: event });
    }
    isSelected(listItem) {
        return this.listDatasource.isSelected(this.getListItemId(listItem));
    }
    isFocused(listItem) {
        return this.listDatasource.focusedId == this.getListItemId(listItem);
    }
    closeDetail() {
        this.detailId = undefined;
    }
    closeDetailByDropDown(event) {
        if (this.showDetailMethod !== 'dropdown')
            return;
        this.closeDetail();
        event?.stopPropagation();
    }
    isRowDetailIdOpen(listItemId) {
        return this.showRowDetail && this.detailId === listItemId;
    }
    isRowDetailOpen(listItem) {
        const listItemId = this.getListItemId(listItem);
        return this.isRowDetailIdOpen(listItemId);
    }
    openDetail(event, listItem) {
        if (this.showDetailMethod !== 'dropdown')
            return;
        const id = this.getListItemId(listItem);
        this.setRowDetailId(id);
        event?.stopPropagation();
    }
    //--- column visbility handling
    visibilityKey(gridColumn) {
        if (gridColumn.fieldname && this.gridStoreKey)
            return this.gridStoreKey + '.' + gridColumn.fieldname;
        return null;
    }
    showColSelectDialog() {
        const dialogFields = this.visibleColumns
            .filter((gridColumn) => gridColumn.fieldname)
            .map((gridColumn) => ({
            key: this.visibilityKey(gridColumn),
            text: gridColumn.headerTitleGroup ? `${this.headerTitleGroups[gridColumn.headerTitleGroup].text} ${gridColumn.text}` : gridColumn.text,
            hiddenByDefault: gridColumn.hiddenByDefault ?? false,
            columnKey: this.visibilityKey(gridColumn),
            type: 'boolean',
        }));
        this.bsModalRef = this.modalService.show(ColSelectDialogComponent, { initialState: { dialogFields } });
        this.bsModalRef.content.closeBtnName = 'Close';
    }
    columnClass(column, listItem) {
        const base = column.bodyClass ? column.bodyClass : '';
        const postfix = column.bodyClassFieldname ? listItem[column.bodyClassFieldname] : '';
        return base + ' ' + postfix;
    }
    getDefaultColumnTextAlignment(type) {
        if (this.config.columnTypeTextAlignment && this.config.columnTypeTextAlignment[type] !== undefined)
            return this.config.columnTypeTextAlignment[type];
        const typesWithDefaultAlignRight = ['number', 'money'];
        return typesWithDefaultAlignRight.includes(type) ? 'right' : undefined;
    }
    //--- Buttns and Spans
    spansBefore(spans) {
        return spans?.filter(span => span.positionBefore == undefined || span.positionBefore) ?? [];
    }
    spansAfter(spans) {
        return spans?.filter(span => span.positionBefore != undefined && !span.positionBefore) ?? [];
    }
    getButtonClass(listItem, btn) {
        const size = this.small ? 'btn-xs' : 'btn-sm';
        const base = btn.buttonClass ? btn.buttonClass : '';
        const postfix = btn.buttonClassFieldname ? listItem[btn.buttonClassFieldname] : '';
        return size + ' ' + base + ' ' + postfix;
    }
    getButtonIconClass(listItem, btn) {
        let result = btn.iconClass ?? '';
        if (btn.iconClassFieldname)
            result = [result, listItem[btn.iconClassFieldname]].join(' ');
        return result;
    }
    //-- DragDrop
    onRowDrop(dropEvent) {
        if (!(this.dragulaBag() && this.dragulaBag() === dropEvent.name))
            return;
        const gridDropEvent = new GridDropEvent();
        const id = dropEvent.el.attributes['data-id'].value;
        gridDropEvent.editItem = this.listDatasource.getDataItem(id);
        gridDropEvent.sourceContainer = dropEvent.source;
        gridDropEvent.destinationContainer = dropEvent.target;
        gridDropEvent.dropElement = dropEvent.el;
        gridDropEvent.nextElement = dropEvent.sibling;
        const nextId = dropEvent.sibling && dropEvent.sibling.attributes['data-id'] ? dropEvent.sibling.attributes['data-id'].value : null;
        if (nextId)
            gridDropEvent.nextItem = this.listDatasource.getDataItem(nextId);
        const bag = this.dragulaService.find(dropEvent.name);
        if (bag)
            bag.drake.cancel(true); //prevents changes of HTML DOM
        if (gridDropEvent.editItem)
            this.onDrop.emit(gridDropEvent);
    }
    onRowRemove(event) {
        if (!(this.dragulaBag() && this.dragulaBag() === event.name))
            return;
        const gridDropRemoveEvent = new GridDropRemoveEvent();
        const id = event.el.attributes['data-id'].value;
        gridDropRemoveEvent.editItem = this.listDatasource.data.find(ld => ld[this.idfield] == id);
        gridDropRemoveEvent.sourceContainer = event.source;
        this.onDragulaRemove.emit(gridDropRemoveEvent);
    }
    fieldValueModelChange(event, gridColumn, listItem) {
        //console.log(JSON.stringify(gridColumn));
        //console.log(JSON.stringify(listItem));
    }
    getSelectOptionValue(lookup) {
        if (typeof lookup === 'string')
            return lookup.toLocaleLowerCase();
        return lookup;
    }
    getColumnsByColVisibility() {
        const columnVisibilities = this.visibleColumns.map(c => this.colVisibilityService.isColumnVisible(this.visibilityKey(c), c.hiddenByDefault));
        return this.visibleColumns.filter((_, i) => columnVisibilities[i]);
    }
    formatAggregate(col, agg) {
        const value = this.listDatasource.aggregateFunctions.getValue(col.fieldname, agg.operator);
        return new AggregateFunctionFormatter(agg, col, value).getText(this.decimalPipe, this.currencyPipe);
    }
    getAggregateFooterText(col) {
        return (col.aggregateFunctions ?? []).filter(agg => agg.showInFooterRow ?? false)
            .map(agg => this.formatAggregate(col, agg))
            .join(' | ');
    }
    getAggregateTitleText(col) {
        return (col.aggregateFunctions ?? []).filter(agg => agg.showInTooltip ?? true)
            .map(agg => this.formatAggregate(col, agg))
            .join(' | ');
    }
    getEditColLabel(col) {
        return this.i18n.replace($localize `:@@Grid.Edit.Col.act.Label:Bearbeite $0`, [col.text]);
    }
    updateShowFooter() {
        const columns = this.getColumnsByColVisibility();
        this.showFooter = columns.flatMap(col => col.aggregateFunctions ?? []).some(agg => agg.showInFooterRow);
    }
    setDefaultConfigurations() {
        this.small = this.config.columnSize === 'small';
        this.allowKeyboardShortCuts = this.config.allowKeyboardShortCuts;
        this.minHeight = this.config.minHeight;
        this.maxHeight = this.config.maxHeight;
        this.gridClass = this.config.gridClass;
        this.allowCSVDownload = this.config.allowCSVDownload;
        this.allowFilter = this.config.allowFilter;
        this.allowSort = this.config.allowSort;
        this.allowPaging = this.config.allowPaging;
        this.showRowDetail = this.config.showRowDetail;
        this.showDetailMethod = this.config.showDetailMethod;
        this.paginationInfoVariant = this.config.paginationInfoVariant;
        this.allowSelectPageSize = this.config.allowSelectPageSize;
        this.pageSizes = this.config.pageSizes;
        this.allowMultiSelect = this.config.allowMultiSelect;
        this.showEmptyGrid = this.config.showEmptyGrid;
        this.emptyGridText = this.config.emptyGridText;
        this.filterFieldsVisible = this.config.filterFieldsVisible;
        this.sortItemAlign = this.config.sortItemAlign;
        this.showSelectCheckBoxes = this.config.showSelectCheckBoxes;
        this.tableHover = this.config.tableHover;
        this.idfield = this.config.idfield;
        this.hideColSelectBtn = this.config.hideColSelectBtn;
        this.allowPrintDownload = this.config.allowPrintDownload;
        this.showSelectedIdsNotFoundWarning = this.config.showSelectedIdsNotFoundWarning;
    }
    printGrid() {
        this.printService.printNode(this.getNode(), false, this.printTitle);
    }
    getNode() {
        const newDiv = document.createElement('div');
        newDiv.classList.add('print-grid-container');
        if (this.printTitle) {
            const h1 = document.createElement('h1');
            h1.innerText = this.printTitle;
            h1.classList.add('print');
            newDiv.appendChild(h1);
        }
        newDiv.appendChild(this.swtGridDiv.nativeElement.cloneNode(true));
        return newDiv;
    }
    scrollToPosition(posX, posY) {
        this.scrollEventBlocked = true;
        this.scrollbar().scrollTo({
            left: posX,
            top: posY,
            duration: 0
        });
    }
    scroll(event) {
        if (!this.scrollEventBlocked)
            this.scrolledToPosition.emit({ posX: event.srcElement.scrollLeft, posY: event.srcElement.scrollTop });
        this.scrollEventBlocked = false;
    }
    calcFirstItemsOfGroups() {
        if (!this.groupByColumns)
            return [];
        const firstItemIds = [];
        let lastGroupValues = null;
        for (const item of this.listDatasource.data) {
            const values = this.groupByColumns.map(col => item[col.fieldname]);
            const isSameGroup = lastGroupValues !== null && values.every((v, i) => v === lastGroupValues[i]);
            if (!isSameGroup) {
                firstItemIds.push(this.getListItemId(item));
                lastGroupValues = values;
            }
        }
        return firstItemIds;
    }
    isFirstItemOfGroup(item) {
        return this.firstItemsOfGroup?.includes(this.getListItemId(item));
    }
    getInputType(type) {
        switch (type) {
            case 'money': return 'number';
            case 'datetime': return 'datetime-local';
            case 'boolean': return 'checkbox';
            default: return type;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GridComponent, deps: [{ token: i1$2.LoggerService }, { token: i2$2.DragulaService }, { token: LOCALE_ID }, { token: i3$1.SwtGridDefaultConfig }, { token: ColVisibilityService }, { token: i1$1.CurrencyPipe }, { token: i3$2.BsModalService }, { token: i7.I18nService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.13", type: GridComponent, isStandalone: false, selector: "swt-grid", inputs: { idfield: { classPropertyName: "idfield", publicName: "idfield", isSignal: false, isRequired: false, transformFunction: null }, setGridId: { classPropertyName: "setGridId", publicName: "id", isSignal: false, isRequired: false, transformFunction: null }, setListDatasource: { classPropertyName: "setListDatasource", publicName: "datasource", isSignal: false, isRequired: false, transformFunction: null }, stickyHeader: { classPropertyName: "stickyHeader", publicName: "stickyHeader", isSignal: false, isRequired: false, transformFunction: null }, name: { classPropertyName: "name", publicName: "name", isSignal: false, isRequired: false, transformFunction: null }, small: { classPropertyName: "small", publicName: "small", isSignal: false, isRequired: false, transformFunction: null }, allowKeyboardShortCuts: { classPropertyName: "allowKeyboardShortCuts", publicName: "allowKeyboardShortCuts", isSignal: false, isRequired: false, transformFunction: null }, minHeight: { classPropertyName: "minHeight", publicName: "minHeight", isSignal: false, isRequired: false, transformFunction: null }, maxHeightTable: { classPropertyName: "maxHeightTable", publicName: "maxHeightTable", isSignal: false, isRequired: false, transformFunction: null }, maxHeight: { classPropertyName: "maxHeight", publicName: "maxHeight", isSignal: false, isRequired: false, transformFunction: null }, rowHeight: { classPropertyName: "rowHeight", publicName: "rowHeight", isSignal: false, isRequired: false, transformFunction: null }, filterRowHeight: { classPropertyName: "filterRowHeight", publicName: "filterRowHeight", isSignal: false, isRequired: false, transformFunction: null }, headerRowHeight: { classPropertyName: "headerRowHeight", publicName: "headerRowHeight", isSignal: false, isRequired: false, transformFunction: null }, headerTitleGroups: { classPropertyName: "headerTitleGroups", publicName: "headerTitleGroups", isSignal: false, isRequired: false, transformFunction: null }, gridStoreKey: { classPropertyName: "gridStoreKey", publicName: "store-key", isSignal: false, isRequired: false, transformFunction: null }, hideColSelectBtn: { classPropertyName: "hideColSelectBtn", publicName: "hideColSelectBtn", isSignal: false, isRequired: false, transformFunction: null }, gridClass: { classPropertyName: "gridClass", publicName: "gridClass", isSignal: false, isRequired: false, transformFunction: null }, allowCSVDownload: { classPropertyName: "allowCSVDownload", publicName: "allowCSVDownload", isSignal: false, isRequired: false, transformFunction: null }, csvFileName: { classPropertyName: "csvFileName", publicName: "csvFileName", isSignal: false, isRequired: false, transformFunction: null }, csvConfig: { classPropertyName: "csvConfig", publicName: "csvConfig", isSignal: false, isRequired: false, transformFunction: null }, allowFilter: { classPropertyName: "allowFilter", publicName: "allowFilter", isSignal: false, isRequired: false, transformFunction: null }, allowSort: { classPropertyName: "allowSort", publicName: "allowSort", isSignal: false, isRequired: false, transformFunction: null }, allowPaging: { classPropertyName: "allowPaging", publicName: "allowPaging", isSignal: false, isRequired: false, transformFunction: null }, showSelectedIdsNotFoundWarning: { classPropertyName: "showSelectedIdsNotFoundWarning", publicName: "showSelectedIdsNotFoundWarning", isSignal: false, isRequired: false, transformFunction: null }, showRowDetail: { classPropertyName: "showRowDetail", publicName: "showRowDetail", isSignal: false, isRequired: false, transformFunction: null }, showDetailMethod: { classPropertyName: "showDetailMethod", publicName: "showDetailMethod", isSignal: false, isRequired: false, transformFunction: null }, paginationInfoVariant: { classPropertyName: "paginationInfoVariant", publicName: "paginationInfoVariant", isSignal: false, isRequired: false, transformFunction: null }, allowPrintDownload: { classPropertyName: "allowPrintDownload", publicName: "allowPrintDownload", isSignal: false, isRequired: false, transformFunction: null }, printTitle: { classPropertyName: "printTitle", publicName: "printTitle", isSignal: false, isRequired: false, transformFunction: null }, rowClassFieldName: { classPropertyName: "rowClassFieldName", publicName: "rowClassFieldName", isSignal: false, isRequired: false, transformFunction: null }, rowDetailClassFieldName: { classPropertyName: "rowDetailClassFieldName", publicName: "rowDetailClassFieldName", isSignal: false, isRequired: false, transformFunction: null }, allowSelectPageSize: { classPropertyName: "allowSelectPageSize", publicName: "allowSelectPageSize", isSignal: false, isRequired: false, transformFunction: null }, _pageSizes: { classPropertyName: "_pageSizes", publicName: "pageSizes", isSignal: false, isRequired: false, transformFunction: null }, allowMultiSelect: { classPropertyName: "allowMultiSelect", publicName: "allowMultiSelect", isSignal: false, isRequired: false, transformFunction: null }, disableSelectFieldName: { classPropertyName: "disableSelectFieldName", publicName: "disableSelectFieldName", isSignal: false, isRequired: false, transformFunction: null }, showEmptyGrid: { classPropertyName: "showEmptyGrid", publicName: "showEmptyGrid", isSignal: false, isRequired: false, transformFunction: null }, emptyGridText: { classPropertyName: "emptyGridText", publicName: "emptyGridText", isSignal: false, isRequired: false, transformFunction: null }, filterFieldsVisible: { classPropertyName: "filterFieldsVisible", publicName: "filterFieldsVisible", isSignal: false, isRequired: false, transformFunction: null }, sortItemAlign: { classPropertyName: "sortItemAlign", publicName: "sortItemAlign", isSignal: false, isRequired: false, transformFunction: null }, html5Draggable: { classPropertyName: "html5Draggable", publicName: "html5Draggable", isSignal: false, isRequired: false, transformFunction: null }, dragulaBag: { classPropertyName: "dragulaBag", publicName: "dragulaBag", isSignal: true, isRequired: false, transformFunction: null }, dragulaShowIcon: { classPropertyName: "dragulaShowIcon", publicName: "dragulaShowIcon", isSignal: true, isRequired: false, transformFunction: null }, dragulaOnlyIconDrag: { classPropertyName: "dragulaOnlyIconDrag", publicName: "dragulaOnlyIconDrag", isSignal: true, isRequired: false, transformFunction: null }, showSelectCheckBoxes: { classPropertyName: "showSelectCheckBoxes", publicName: "showSelectCheckBoxes", isSignal: false, isRequired: false, transformFunction: null }, tableHover: { classPropertyName: "tableHover", publicName: "table-hover", isSignal: false, isRequired: false, transformFunction: null }, setConfig: { classPropertyName: "setConfig", publicName: "config", isSignal: false, isRequired: false, transformFunction: null } }, outputs: { onHtml5DragStart: "onHtml5DragStart", onButtonClicked: "onButtonClicked", onRowClicked: "onRowClicked", onDrop: "onDrop", onDragulaRemove: "onDragulaRemove", detailOpened: "detailOpened", scrolledToPosition: "scrolledToPosition" }, host: { properties: { "attr.cy-total-refresh-counter": "this.cyTotalRefreshCounter", "attr.cy-current-refresh-counter": "this.cyCurrentRefreshCounter" } }, viewQueries: [{ propertyName: "scrollbar", first: true, predicate: NgScrollbar, descendants: true, isSignal: true }, { propertyName: "loadingIndicator", first: true, predicate: ["loadingIndicator"], descendants: true, static: true }, { propertyName: "filterItems", first: true, predicate: ["filterItems"], descendants: true }, { propertyName: "table", first: true, predicate: ["table"], descendants: true }, { propertyName: "swtGridDiv", first: true, predicate: ["swtGrid"], descendants: true }], ngImport: i0, template: "<loading-indicator #loadingIndicator>\r\n\r\n    <div #swtGrid class=\"dataTables_wrapper dt-bootstrap table-responsive\" sneat-class=\"sneat-table\"\r\n        [style.min-height]=\"listDatasource.hasData || showEmptyGrid ? minHeight:''\" [style.max-height]=\"maxHeight\"\r\n        style=\"position:relative;overflow-y:visible\">\r\n        <div class=\"table-wrapper\" [ngClass]=\"stickyHeader ? 'sticky': ''\" [style.max-height]=\"maxHeightTable\">\r\n            <ng-scrollbar [style.max-height]=\"maxHeightTable\">\r\n                <table #table tabindex=\"0\" (keydown)=\"onKeydownHandler($event)\" [id]=\"gridId\"\r\n                    class=\"table table-striped no-margins dataTable {{gridClass}}\"\r\n                    *ngIf=\"listDatasource.hasData || showEmptyGrid\"\r\n                    [ngClass]=\"{'small table-sm':small, 'table-condensed':small,'table-hover':tableHover,'table-fixed':rowHeight>0, 'table-grouped': !!grouped}\">\r\n                    <thead>\r\n                        <tr *ngIf=\"headerTitleGroupColumns\" class=\"header-groups\">\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"empty-th\"></td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"empty-th\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"empty-th\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"empty-th\"></td>\r\n                            <ng-container *ngFor=\"let titleGroup of headerTitleGroupColumns\">\r\n                                <th *ngIf=\"!titleGroup.isEmpty; else emptyGroupHeader\" class=\"header-group\"\r\n                                    [colSpan]=\"titleGroup.span\" [title]=\"titleGroup.title ?? ''\">\r\n                                    {{titleGroup.text}}\r\n                                </th>\r\n                                <ng-template #emptyGroupHeader>\r\n                                    <td class=\"empty-th\"></td>\r\n                                </ng-template>\r\n                            </ng-container>\r\n                        </tr>\r\n                        <tr [style.height.px]=\"headerRowHeight\">\r\n                            <!-- Keine leeren th's aufgrund von Barrierefreiheit erlaubt: https://webaim.org/standards/wcag/checklist#sc1.3.1 -->\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column empty-th\"></td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"min-column empty-th\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"min-column empty-th\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"min-column empty-th\"></td>\r\n                            <ng-container *ngFor=\"let column of visibleColumns\">\r\n                                <th [title]=\"column.title ?? ''\" [col-hide]=\"visibilityKey(column)\"\r\n                                    [hidden-by-default]=\"column.hiddenByDefault\"\r\n                                    [ds-sort]=\"allowSortColumn(column) ? column.fieldname : ''\"\r\n                                    [datasource]=\"listDatasource\" [style.minWidth]=\"column.minWidth\"\r\n                                    [style.width]=\"column.width\"\r\n                                    [ngClass]=\"[column.headerClass ?? '', column.headerTitleGroup ? 'header-tab' : '']\"\r\n                                    [ds-sort-icon-align]=\"sortItemAlign\"\r\n                                    [attr.aria-label]=\"column.type === 'buttons' ? 'Buttons' : column.text\">\r\n\r\n                                    <grid-cell-span [spans]=\"spansBefore(column.titleSpans)\"\r\n                                        (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                                    {{column.text}}\r\n                                    <grid-cell-span [spans]=\"spansAfter(column.titleSpans)\"\r\n                                        (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                                </th>\r\n                            </ng-container>\r\n                        </tr>\r\n                        <tr class=\"no-print\" #filterItems *ngIf=\"allowFilter\" [style.height.px]=\"filterRowHeight\">\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column\">\r\n                                <ds-selection-checkbox [aria-label]=\"selectAllRowsLabel\" *ngIf=\"allowMultiSelect\"\r\n                                    [datasource]=\"listDatasource\">\r\n                                </ds-selection-checkbox>\r\n                            </td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"min-column\"></td>\r\n                            <td *ngFor=\"let column of visibleColumns\" [col-hide]=\"visibilityKey(column)\"\r\n                                [hidden-by-default]=\"column.hiddenByDefault\" [ngSwitch]=\"column.type\"\r\n                                [ngClass]=\"column.headerClass\">\r\n                                <ng-container *ngIf=\"allowFilterColumn(column)\">\r\n                                    <ng-container *ngSwitchDefault>\r\n                                        <input from [id]=\"gridIdPrefix+column.fieldname\" *ngIf=\"!column.lookups\"\r\n                                            class=\"form-control no-spinners\" type=\"{{column.type}}\"\r\n                                            [ds-filter]=\"column.fieldname\" [datasource]=\"listDatasource\"\r\n                                            [ds-filter-operator]=\"getFilterOperator(column)\"\r\n                                            [attr.aria-label]=\"column.text\" />\r\n                                        @if(column.lookups) {\r\n                                            @switch(column.filterSelectOption) {\r\n                                                @default {\r\n                                                    <select [id]=\"gridIdPrefix+column.fieldname\" class=\"form-control\"\r\n                                                        [ds-filter]=\"column.fieldname\" [attr.aria-label]=\"column.text\"\r\n                                                        ds-filter-operator=\"IsEqual\" [datasource]=\"listDatasource\">\r\n                                                        <option value=\"\" i18n=\"@@Grid.All.dsp.Label\">(alle)</option>\r\n                                                        <option *ngFor=\"let lookUp of $any(column.lookups)\"\r\n                                                            [value]=\"getSelectOptionValue(lookUp.value)\">\r\n                                                            {{lookUp.text}}\r\n                                                        </option>\r\n                                                    </select>\r\n                                                }\r\n                                                @case ('multi') {\r\n                                                    <multi-select-filter [datasource]=\"listDatasource\"\r\n                                                        [fieldNames]=\"column.fieldname\"\r\n                                                        [lookups]=\"column.lookups\"></multi-select-filter>\r\n                                                }\r\n                                            }\r\n                                        }\r\n                                    </ng-container>\r\n                                    <ng-container *ngSwitchCase=\"'boolean'\">\r\n                                        <select [id]=\"gridIdPrefix+column.fieldname\" class=\"form-control\"\r\n                                            [ds-filter]=\"column.fieldname\" [ds-filter-operator]=\"'IsEqual'\"\r\n                                            [datasource]=\"listDatasource\" [attr.aria-label]=\"column.text\">\r\n                                            <option value=\"\" i18n=\"@@Grid.All.dsp.Label\">(alle)</option>\r\n                                            <option value=\"true\">{{column.trueValueText}}</option>\r\n                                            <option value=\"false\">{{column.falseValueText}}</option>\r\n                                        </select>\r\n                                    </ng-container>\r\n                                    <ng-container *ngSwitchCase=\"'buttons'\">\r\n                                    </ng-container>\r\n                                    <ng-container *ngSwitchCase=\"'empty'\">\r\n                                    </ng-container>\r\n                                </ng-container>\r\n                            </td>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody [id]=\"name\" [dragula]=\"dragulaBag()\">\r\n                        <ng-container *ngFor=\"let listItem of listDatasource.data\">\r\n\r\n                            <tr *ngIf=\"grouped && isFirstItemOfGroup(listItem)\" class=\"group-tr\">\r\n                                <td [title]=\"groupByColumn.title ?? ''\"\r\n                                    [ds-sort]=\"allowSortColumn(groupByColumn) ? groupByColumn.fieldname : ''\"\r\n                                    [datasource]=\"listDatasource\" [ngClass]=\"[groupByColumn.headerClass ?? '']\"\r\n                                    [ds-sort-icon-align]=\"sortItemAlign\" [attr.colspan]=\"numOfVisibleColumns\">\r\n\r\n                                    <ng-container *ngFor=\"let column of groupByColumns\">\r\n                                        <span *ngIf=\"column.text\">{{column.text}}: </span>\r\n                                        <ng-container [ngTemplateOutlet]=\"columnTemplate\"\r\n                                            [ngTemplateOutletContext]=\"{ column, listItem }\"></ng-container>\r\n                                    </ng-container>\r\n                                </td>\r\n                            </tr>\r\n\r\n                            <tr class=\"dragula-handle grid-row grid-row-item {{listItem[rowClassFieldName] ?? ''}}\"\r\n                                [style.height.px]=\"rowHeight\" [attr.data-id]=\"listItem[idfield]\"\r\n                                (click)=\"rowClick($event,listItem)\" [ngClass]=\"{active:isSelected(listItem)}\"\r\n                                [style.cursor]=\"rowCursorClass\" [attr.role]=\"'button'\">\r\n                                <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column\">\r\n                                    <ds-selection-checkbox [aria-label]=\"selectRowLabel\" [ds-select]=\"listItem[idfield]\"\r\n                                        [allowMultiSelect]=\"allowMultiSelect\" [datasource]=\"listDatasource\"\r\n                                        [disable]=\"listItem[disableSelectFieldName]\">\r\n                                    </ds-selection-checkbox>\r\n                                </td>\r\n                                <td *ngIf=\"html5Draggable\" class=\"min-column\">\r\n                                    <i class=\"ui-draggable fa fa-arrows\" (dragstart)=\"html5DragStart($event,listItem)\"\r\n                                        [draggable]=\"true\" [title]=\"html5Draggable\"></i>\r\n                                </td>\r\n                                <td *ngIf=\"dragulaShowIcon()\" class=\"min-column\">\r\n                                    <i class=\"ui-draggable dragula-drag-handle fa fa-arrows\"></i>\r\n                                </td>\r\n                                <ng-container *ngIf=\"showRowDetail\" [style.height.px]=\"rowHeight\">\r\n                                    <td *ngIf=\"!isRowDetailOpen(listItem)\" class=\"min-column\"\r\n                                        (click)=\"openDetail($event, listItem)\">\r\n                                        <i class=\"far fa-chevron-square-right grid-detail-toggle-icon\"></i>\r\n                                    </td>\r\n                                    <td *ngIf=\"isRowDetailOpen(listItem)\" class=\"min-column\"\r\n                                        (click)=\"closeDetailByDropDown($event)\">\r\n                                        <i class=\"far fa-chevron-square-down grid-detail-toggle-icon\"></i>\r\n                                    </td>\r\n                                </ng-container>\r\n\r\n                                <td *ngFor=\"let column of visibleColumns\" [col-hide]=\"visibilityKey(column)\"\r\n                                    [hidden-by-default]=\"column.hiddenByDefault\"\r\n                                    [ngClass]=\"columnClass(column,listItem)\"\r\n                                    [style.text-align]=\"column.textAlign ?? getDefaultColumnTextAlignment(column.type)\"\r\n                                    [title]=\"getAggregateTitleText(column)\">\r\n\r\n                                    <ng-container [ngTemplateOutlet]=\"columnTemplate\"\r\n                                        [ngTemplateOutletContext]=\"{ column, listItem }\"></ng-container>\r\n                                </td>\r\n                            </tr>\r\n                            <tr *ngIf=\"isRowDetailOpen(listItem)\"\r\n                                class=\"grid-row grid-row-detail {{listItem[rowDetailClassFieldName] ?? ''}}\"\r\n                                [ngClass]=\"{active:isSelected(listItem)}\">\r\n                                <td [attr.colspan]=\"numOfVisibleColumns\">\r\n                                    <ng-content></ng-content>\r\n                                </td>\r\n                            </tr>\r\n                        </ng-container>\r\n                        <tr *ngIf=\"listDatasource.hasData && showFooter\" class=\"grid-row grid-aggregate-row\">\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"min-column\"></td>\r\n                            <td *ngFor=\"let column of visibleColumns\"\r\n                                [style.text-align]=\"column.textAlign ?? getDefaultColumnTextAlignment(column.type)\"\r\n                                [col-hide]=\"visibilityKey(column)\" [hidden-by-default]=\"column.hiddenByDefault\">\r\n                                <span class=\"m-r-xs\">\r\n                                    {{ getAggregateFooterText(column) }}\r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                        <tr *ngIf=\"!listDatasource.hasData && showEmptyGrid\" class=\"grid-row grid-row-empty\">\r\n                            <td [attr.colspan]=\"numOfVisibleColumns\">\r\n                                <small>{{emptyGridText}}</small>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </ng-scrollbar>\r\n        </div>\r\n        <p *ngIf=\"showSelectedIdsNotFoundWarning && listDatasource.notFoundSelectedIds().length > 0 && !datasourceHasExternalRefresh\"\r\n            class=\"alert alert-warning\" sneat-class=\"alert-dismissible mt-2\"\r\n            i18n-title=\"@@Grid.ItemIdNotFound.msg.Tooltip\"\r\n            title=\"M\u00F6glicherweise verhindert eine aktuelle Filtereinstellung das Laden\">\r\n            <span i18n=\"@@Grid.ItemIdNotFound.msg.Text\">\r\n                Es sind Datens\u00E4tze als selektiert markiert, welche nicht geladen werden konnten\r\n            </span>\r\n            <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"alert\" aria-label=\"Close\" inspinia-class=\"hidden\">\r\n            </button>\r\n        </p>\r\n        <ds-filterdisplay [datasource]=\"listDatasource\" [filterFieldsVisible]=\"filterFieldsVisible\"></ds-filterdisplay>\r\n        <div *ngIf=\"(gridStoreKey && !hideColSelectBtn) || allowCSVDownload || allowPaging\"\r\n            class=\"clearfix grid-footer\">\r\n            <div *ngIf=\"gridStoreKey && !hideColSelectBtn\" class=\"dataTables_info\" inspinia-class=\"pull-left\"\r\n                sneat-class=\"float-start\">\r\n                <button class=\"btn btn-xs btn-link ignore-no-edit\" (click)=\"showColSelectDialog()\"\r\n                    title=\"Sichtbare Spalten ausw\u00E4hlen\" i18n-title=\"@@Grid.SelectVisibleCol.act.Tooltip\">\r\n                    <a><i class=\"fa fal fa-table\"></i></a>\r\n                </button>\r\n            </div>\r\n            <div *ngIf=\"allowCSVDownload\" class=\"dataTables_info m-l-xs m-r-xs\" inspinia-class=\"pull-left\"\r\n                sneat-class=\"float-start\">\r\n                <button class=\"btn btn-xs btn-link ignore-no-edit\" (click)=\"downloadCSV()\"\r\n                    title=\"Daten als CSV-Datei speichern\" i18n-title=\"@@Grid.DownloadCSV.act.Label\">\r\n                    <i class=\"fa fal fa-arrow-to-bottom\"></i>\r\n                </button>\r\n            </div>\r\n            <div *ngIf=\"allowPrintDownload\" class=\"dataTables_info m-l-xs m-r-xs\" inspinia-class=\"pull-left\"\r\n                sneat-class=\"float-start\">\r\n                <button class=\"btn btn-xs btn-link ignore-no-edit\" (click)=\"printGrid()\" title=\"Daten drucken\"\r\n                    i18n-title=\"@@Grid.DownloadPrint.act.Label\">\r\n                    <i class=\"fa fal fa-print\"></i>\r\n                </button>\r\n            </div>\r\n            <ng-container *ngIf=\"allowPaging\">\r\n                <div *ngIf=\"paginationInfoVariant !== 'pageOnly'\" class=\"no-padding m-l-xs\" inspinia-class=\"pull-left\"\r\n                    sneat-class=\"float-start\">\r\n                    <ds-pagination-info [datasource]=\"listDatasource\" [variant]=\"paginationInfoVariant\">\r\n                    </ds-pagination-info>\r\n                </div>\r\n                <div class=\"no-margin no-padding\" inspinia-class=\"pull-right\" sneat-class=\"float-end\">\r\n                    <ds-pagination [datasource]=\"listDatasource\" [variant]=\"paginationInfoVariant\"></ds-pagination>\r\n                </div>\r\n                <div *ngIf=\"allowSelectPageSize\" class=\"no-padding\" inspinia-class=\"pull-right m-r-md\"\r\n                    sneat-class=\"float-end me-4\">\r\n                    <ds-pagination-size-selector [datasource]=\"listDatasource\" [pageSizes]=\"pageSizes\">\r\n                    </ds-pagination-size-selector>\r\n                </div>\r\n            </ng-container>\r\n        </div>\r\n    </div>\r\n    <div [dragula]=\"dragulaBag()\" class=\"dataTables_wrapper dt-bootstrap table-responsive\"\r\n        *ngIf=\"!listDatasource.hasData && !showEmptyGrid\">\r\n        <small>{{emptyGridText}}</small>\r\n    </div>\r\n</loading-indicator>\r\n\r\n<ng-template #columnTemplate [typedTemplate]=\"columnTemplateParam\" let-column=\"column\" let-listItem=\"listItem\">\r\n    <ng-container [ngSwitch]=\"column.type\">\r\n        <ng-container *ngSwitchDefault>\r\n            <ng-container *ngIf=\"column.edit\">\r\n                @if (column.type === 'lookup') {\r\n                <select [attr.aria-label]=\"getEditColLabel(listItem)\" class=\"form-control\"\r\n                    [(ngModel)]=\"listItem[column.fieldname]\">\r\n                    @for(lookupItem of $any(column.lookups); track lookupItem.value) {\r\n                    <option [value]=\"lookupItem.value\">\r\n                        {{lookupItem.text}}\r\n                    </option>\r\n                    }\r\n                </select>\r\n                } @else {\r\n                <input [attr.aria-label]=\"getEditColLabel(listItem)\" [type]=\"getInputType(column.type)\"\r\n                    class=\"form-control no-spinners\" [(ngModel)]=\"listItem[column.fieldname]\"\r\n                    (ngModelChange)=\"fieldValueModelChange($event,column,listItem)\" />\r\n                }\r\n            </ng-container>\r\n            <ng-container *ngIf=\"!column.edit\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </ng-container>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'url'\">\r\n            <a href=\"{{displayText(listItem,column)}}\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </a>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'email'\">\r\n            <a href=\"mailto:{{displayText(listItem,column)}}\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </a>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'tel'\">\r\n            <a href=\"tel:{{displayText(listItem,column)}}\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </a>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'buttons'\">\r\n            <div *ngIf=\"!column.buttonsAsDropdown\">\r\n                <button *ngFor=\"let btn of column.buttons\" type=\"button\" class=\"btn m-r-xs {{btn.buttonClass}}\"\r\n                    inspinia-class=\"m-r-xs\" sneat-class=\"me-1\" [attr.data-ident]=\"btn.ident\"\r\n                    [disabled]=\"btn.disabledFieldname && listItem[btn.disabledFieldname]\"\r\n                    [ngClass]=\"getButtonClass(listItem,btn)\" [title]=\"btn.tooltip\"\r\n                    (click)=\"buttonClicked($event,btn.ident,listItem)\">\r\n                    <i *ngIf=\"btn.iconClass || btn.iconClassFieldname\" class=\"fa\" sneat-class=\"me-1\"\r\n                        [ngClass]=\"getButtonIconClass(listItem, btn)\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n            </div>\r\n            <div *ngIf=\"column.buttonsAsDropdown\">\r\n                <div class=\"btn-group\" dropdown container=\"body\" placement=\"bottom right\">\r\n                    <a id=\"single-button\" dropdownToggle (click)=\"$event.stopPropagation()\"\r\n                        [class]=\"column.buttonsAsDropdownClass\">\r\n                        <span class=\"clear\">\r\n                            <span class=\"text-muted text-xs block dropdown-toggle\">\r\n                                {{column.buttonsAsDropdown}}\r\n                                <b class=\"caret\"></b>\r\n                            </span>\r\n                        </span>\r\n                    </a>\r\n                    <ul class=\"dropdown-menu dropdown-menu-right\" *dropdownMenu role=\"menu\"\r\n                        aria-labelledby=\"single-button\">\r\n                        <li [disable-click]=\"btn.disabledFieldname && listItem[btn.disabledFieldname]\"\r\n                            *ngFor=\"let btn of column.buttons\" (click)=\"buttonClicked($event,btn.ident,listItem)\">\r\n                            <a class=\"dropdown-item {{btn.buttonClass}}\" [ngClass]=\"getButtonClass(listItem,btn)\"\r\n                                [title]=\"btn.tooltip\">\r\n                                <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                                {{btn.text}}\r\n                            </a>\r\n                        </li>\r\n                    </ul>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'empty'\">\r\n        </ng-container>\r\n    </ng-container>\r\n</ng-template>\r\n", styles: ["table.dataTable thead .iconleft:after{left:8px}.table-wrapper.sticky thead{background-color:#fff;position:sticky!important;top:-.5px;z-index:2}table.dataTable thead tr th.iconleft{padding-left:30px}table.dataTable.table-condensed .iconleft:after{left:6px}table.dataTable.table-condensed thead tr th.iconleft{padding-left:30px}table.table-fixed{table-layout:fixed}table.dataTable{border-collapse:separate;border-spacing:0}table.table-fixed td,table.table-fixed th{white-space:nowrap;text-overflow:ellipsis;overflow:hidden}table.dataTable td.min-column,table.dataTable th.min-column{width:12px!important;padding-left:4px;padding-right:2px;margin:0}.header-tab{border-top:none!important}.header-groups th:not(.header-group){border-bottom:none}.header-groups .header-group{padding:3px!important;font-size:smaller;text-align:center;border:thin solid #ddd!important;border-bottom:none!important}tr.grid-row-item.active{background:#deeffdcc}tr.grid-row-item.active>td{--bs-table-accent-bg: rgba($grid-focus-bg, .8)}tr.grid-row-detail>td{border-left:8px solid #eee;border-top:0}tr.grid-row-detail.active>td{background:#f7fcff;--bs-table-accent-bg: $grid-focus-bg;border-left-color:#deeffdcc}.grid-row-item.active td{background:unset}i:focus{outline:none;border:0}.span-clickable{cursor:pointer}.dataTables_wrapper{padding-bottom:0}span{margin-right:3px}span.hidden{margin-right:0}table:focus{outline:none}.grid-aggregate-row td{border-top-width:2px;border-top-color:#ccc;font-weight:700}.stat-percent{float:none!important;display:block;text-align:right;margin:0}.grid-icon{margin-right:5px}.form-control.input-sm,.form-control.small,.small .form-control{font-size:12px;padding:2px;height:28px}.dropdown-menu>li>a.btn:not(:hover):not(.btn-white){color:#fff}::ng-deep .modal.fade{opacity:unset!important}::ng-deep .modal.fade .modal-dialog{transform:translate(0)}.click-disabled{opacity:.65;pointer-events:initial;box-shadow:none;cursor:not-allowed}.click-disabled a{cursor:not-allowed}.table-grouped>tbody>tr:not(.group-tr)>td:first-child,.table-grouped>thead>tr:not(.group-tr)>th:first-child,.table-grouped>thead>tr:not(.group-tr)>td:first-child{padding-left:20px}.table-grouped>tbody>tr.group-tr{background-color:#dedede;font-weight:700}.table-grouped>tbody>tr.group-tr:not(:first-child)>td{border-top:1px solid #dddddd}.small .grid-row-detail{font-size:117.6470588235%}i.grid-detail-toggle-icon{font-size:18px;cursor:pointer;margin-top:1px;color:#777}.table>thead>tr>td.empty-th{border-bottom:1px solid #DDDDDD}\n", ":host ::ng-deep table.dataTable{clear:both;margin-top:6px!important;margin-bottom:6px!important;max-width:none!important}:host ::ng-deep table.dataTable td,:host ::ng-deep table.dataTable th{-webkit-box-sizing:content-box;-moz-box-sizing:content-box;box-sizing:content-box}:host ::ng-deep table.dataTable>thead>tr>th,:host ::ng-deep table.dataTable>tbody>tr>th,:host ::ng-deep table.dataTable>tfoot>tr>th,:host ::ng-deep table.dataTable>thead>tr>td,:host ::ng-deep table.dataTable>tbody>tr>td,:host ::ng-deep table.dataTable>tfoot>tr>td{vertical-align:middle}:host ::ng-deep table.dataTable.table-condensed>thead>tr>th,:host ::ng-deep table.dataTable.table-condensed>thead>tr>td,:host ::ng-deep table.dataTable.table-condensed>tbody>tr>th,:host ::ng-deep table.dataTable.table-condensed>tbody>tr>td,:host ::ng-deep table.dataTable.table-condensed>tfoot>tr>th,:host ::ng-deep table.dataTable.table-condensed>tfoot>tr>td{padding:5px}:host ::ng-deep table.dataTable td.dataTables_empty,:host ::ng-deep table.dataTable th.dataTables_empty{text-align:center}:host ::ng-deep table.dataTable.nowrap th,:host ::ng-deep table.dataTable.nowrap td{white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_length label{font-weight:400;text-align:left;white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_length select{width:75px;display:inline-block}:host ::ng-deep div.dataTables_wrapper div.dataTables_filter{text-align:right}:host ::ng-deep div.dataTables_wrapper div.dataTables_filter label{font-weight:400;white-space:nowrap;text-align:left}:host ::ng-deep div.dataTables_wrapper div.dataTables_filter input{margin-left:.5em;display:inline-block;width:auto}:host ::ng-deep div.dataTables_wrapper div.dataTables_info{padding-top:8px;white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_paginate{margin:0;white-space:nowrap;text-align:right}:host ::ng-deep div.dataTables_wrapper div.dataTables_paginate ul.pagination{margin:2px 0;white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_processing{position:absolute;top:50%;left:50%;width:200px;margin-left:-100px;margin-top:-26px;text-align:center;padding:1em 0}:host ::ng-deep table.dataTable thead>tr>th.sorting_asc,:host ::ng-deep table.dataTable thead>tr>th.sorting_desc,:host ::ng-deep table.dataTable thead>tr>th.sorting,:host ::ng-deep table.dataTable thead>tr>td.sorting_asc,:host ::ng-deep table.dataTable thead>tr>td.sorting_desc,:host ::ng-deep table.dataTable thead>tr>td.sorting,:host ::ng-deep table.dataTable tbody>tr>th.sorting_asc,:host ::ng-deep table.dataTable tbody>tr>th.sorting_desc,:host ::ng-deep table.dataTable tbody>tr>th.sorting,:host ::ng-deep table.dataTable tbody>tr>td.sorting_asc,:host ::ng-deep table.dataTable tbody>tr>td.sorting_desc,:host ::ng-deep table.dataTable tbody>tr>td.sorting{padding-right:30px}:host ::ng-deep table.dataTable thead>tr>th:active,:host ::ng-deep table.dataTable thead>tr>td:active{outline:none}:host ::ng-deep table.dataTable thead .sorting,:host ::ng-deep table.dataTable thead .sorting_asc,:host ::ng-deep table.dataTable thead .sorting_desc,:host ::ng-deep table.dataTable thead .sorting_asc_disabled,:host ::ng-deep table.dataTable thead .sorting_desc_disabled,:host ::ng-deep table.dataTable tbody .sorting,:host ::ng-deep table.dataTable tbody .sorting_asc,:host ::ng-deep table.dataTable tbody .sorting_desc,:host ::ng-deep table.dataTable tbody .sorting_asc_disabled,:host ::ng-deep table.dataTable tbody .sorting_desc_disabled{cursor:pointer;position:relative}:host ::ng-deep table.dataTable thead .sorting:after,:host ::ng-deep table.dataTable thead .sorting_asc:after,:host ::ng-deep table.dataTable thead .sorting_desc:after,:host ::ng-deep table.dataTable thead .sorting_asc_disabled:after,:host ::ng-deep table.dataTable thead .sorting_desc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting:after,:host ::ng-deep table.dataTable tbody .sorting_asc:after,:host ::ng-deep table.dataTable tbody .sorting_desc:after,:host ::ng-deep table.dataTable tbody .sorting_asc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting_desc_disabled:after{position:absolute;bottom:8px;right:8px;display:block;font-family:\"Font Awesome 5 Pro\";opacity:.5}:host ::ng-deep table.dataTable thead .sorting:after,:host ::ng-deep table.dataTable tbody .sorting:after{opacity:.2;content:\"\\f0dc\"}:host ::ng-deep table.dataTable thead .sorting_asc:after,:host ::ng-deep table.dataTable tbody .sorting_asc:after{content:\"\\f160\"}:host ::ng-deep table.dataTable thead .sorting_desc:after,:host ::ng-deep table.dataTable tbody .sorting_desc:after{content:\"\\f161\"}:host ::ng-deep table.dataTable thead .sorting_asc_disabled:after,:host ::ng-deep table.dataTable thead .sorting_desc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting_asc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting_desc_disabled:after{color:#eee}:host ::ng-deep div.dataTables_scrollHead table.dataTable{margin-bottom:0!important}:host ::ng-deep div.dataTables_scrollBody table{border-top:none;margin-top:0!important;margin-bottom:0!important}:host ::ng-deep div.dataTables_scrollBody table thead .sorting:after,:host ::ng-deep div.dataTables_scrollBody table thead .sorting_asc:after,:host ::ng-deep div.dataTables_scrollBody table thead .sorting_desc:after,:host ::ng-deep div.dataTables_scrollBody table tbody .sorting:after,:host ::ng-deep div.dataTables_scrollBody table tbody .sorting_asc:after,:host ::ng-deep div.dataTables_scrollBody table tbody .sorting_desc:after{display:none}:host ::ng-deep div.dataTables_scrollBody table tbody tr:first-child th,:host ::ng-deep div.dataTables_scrollBody table tbody tr:first-child td{border-top:none}:host ::ng-deep div.dataTables_scrollFoot table{margin-top:0!important;border-top:none}@media screen and (max-width: 767px){:host ::ng-deep div.dataTables_wrapper div.dataTables_length,:host ::ng-deep div.dataTables_wrapper div.dataTables_filter,:host ::ng-deep div.dataTables_wrapper div.dataTables_info,:host ::ng-deep div.dataTables_wrapper div.dataTables_paginate{text-align:center}}:host ::ng-deep table.dataTable.table-condensed>thead>tr>th{padding-right:20px}:host ::ng-deep table.dataTable.table-condensed .sorting:after,:host ::ng-deep table.dataTable.table-condensed .sorting_asc:after,:host ::ng-deep table.dataTable.table-condensed .sorting_desc:after{top:6px;right:6px}:host ::ng-deep table.table-bordered.dataTable{border-collapse:separate!important}:host ::ng-deep table.table-bordered.dataTable th,:host ::ng-deep table.table-bordered.dataTable td{border-left-width:0}:host ::ng-deep table.table-bordered.dataTable th:last-child,:host ::ng-deep table.table-bordered.dataTable td:last-child{border-right-width:0}:host ::ng-deep table.table-bordered.dataTable tbody th,:host ::ng-deep table.table-bordered.dataTable tbody td{border-bottom-width:0}:host ::ng-deep div.dataTables_scrollHead table.table-bordered{border-bottom-width:0}:host ::ng-deep div.table-responsive>div.dataTables_wrapper>div.row{margin:0}:host ::ng-deep div.table-responsive>div.dataTables_wrapper>div.row>div[class^=col-]:first-child{padding-left:0}:host ::ng-deep div.table-responsive>div.dataTables_wrapper>div.row>div[class^=col-]:last-child{padding-right:0}:host ::ng-deep div.dt-button-info{position:fixed;top:50%;left:50%;width:400px;margin-top:-100px;margin-left:-200px;background-color:#fff;border:2px solid #111;box-shadow:3px 3px 8px #0000004d;border-radius:3px;text-align:center;z-index:21}:host ::ng-deep div.dt-button-info h2{padding:.5em;margin:0;font-weight:400;border-bottom:1px solid #ddd;background-color:#f3f3f3}:host ::ng-deep div.dt-button-info>div{padding:1em}:host ::ng-deep ul.dt-button-collection.dropdown-menu{display:block;z-index:2002;-webkit-column-gap:8px;-moz-column-gap:8px;-ms-column-gap:8px;-o-column-gap:8px;column-gap:8px}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed{position:fixed;top:50%;left:50%;margin-left:-75px;border-radius:0}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed.two-column{margin-left:-150px}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed.three-column{margin-left:-225px}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed.four-column{margin-left:-300px}:host ::ng-deep ul.dt-button-collection.dropdown-menu>*{-webkit-column-break-inside:avoid;break-inside:avoid}:host ::ng-deep ul.dt-button-collection.dropdown-menu.two-column{width:300px;padding-bottom:1px;-webkit-column-count:2;-moz-column-count:2;-ms-column-count:2;-o-column-count:2;column-count:2}:host ::ng-deep ul.dt-button-collection.dropdown-menu.three-column{width:450px;padding-bottom:1px;-webkit-column-count:3;-moz-column-count:3;-ms-column-count:3;-o-column-count:3;column-count:3}:host ::ng-deep ul.dt-button-collection.dropdown-menu.four-column{width:600px;padding-bottom:1px;-webkit-column-count:4;-moz-column-count:4;-ms-column-count:4;-o-column-count:4;column-count:4}:host ::ng-deep div.dt-button-background{position:fixed;top:0;left:0;width:100%;height:100%;z-index:2001}@media screen and (max-width: 767px){:host ::ng-deep div.dt-buttons{float:none;width:100%;text-align:center;margin-bottom:.5em}:host ::ng-deep div.dt-buttons a.btn{float:none}}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.child,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th.child,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty{cursor:default!important}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th.child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty:before{display:none!important}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th:first-child{position:relative;padding-left:30px;cursor:pointer}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th:first-child:before{top:8px;left:4px;height:16px;width:16px;display:block;position:absolute;color:#fff;border:2px solid white;border-radius:16px;box-shadow:0 0 3px #444;box-sizing:content-box;font-family:Courier New,Courier,monospace;text-indent:4px;line-height:16px;content:\"+\";background-color:#337ab7}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td:first-child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th:first-child:before{content:\"-\";background-color:#d33333}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr.child td:before{display:none}:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>td:first-child,:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>th:first-child{padding-left:27px}:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>td:first-child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>th:first-child:before{top:5px;left:4px;height:14px;width:14px;border-radius:14px;line-height:14px;text-indent:3px}:host ::ng-deep table.dataTable.dtr-column>tbody>tr>td.control,:host ::ng-deep table.dataTable.dtr-column>tbody>tr>th.control{position:relative;cursor:pointer}:host ::ng-deep table.dataTable.dtr-column>tbody>tr>td.control:before,:host ::ng-deep table.dataTable.dtr-column>tbody>tr>th.control:before{top:50%;left:50%;height:16px;width:16px;margin-top:-10px;margin-left:-10px;display:block;position:absolute;color:#fff;border:2px solid white;border-radius:16px;box-shadow:0 0 3px #444;box-sizing:content-box;font-family:Courier New,Courier,monospace;text-indent:4px;line-height:16px;content:\"+\";background-color:#337ab7}:host ::ng-deep table.dataTable.dtr-column>tbody>tr.parent td.control:before,:host ::ng-deep table.dataTable.dtr-column>tbody>tr.parent th.control:before{content:\"-\";background-color:#d33333}:host ::ng-deep table.dataTable>tbody>tr.child{padding:.5em 1em}:host ::ng-deep table.dataTable>tbody>tr.child:hover{background:transparent!important}:host ::ng-deep table.dataTable>tbody>tr.child ul{display:inline-block;list-style-type:none;margin:0;padding:0}:host ::ng-deep table.dataTable>tbody>tr.child ul li{border-bottom:1px solid #efefef;padding:.5em 0}:host ::ng-deep table.dataTable>tbody>tr.child ul li:first-child{padding-top:0}:host ::ng-deep table.dataTable>tbody>tr.child ul li:last-child{border-bottom:none}:host ::ng-deep table.dataTable>tbody>tr.child span.dtr-title{display:inline-block;min-width:75px;font-weight:700}:host ::ng-deep div.dtr-modal{position:fixed;box-sizing:border-box;top:0;left:0;height:100%;width:100%;z-index:100;padding:10em 1em}:host ::ng-deep div.dtr-modal div.dtr-modal-display{position:absolute;inset:0;width:50%;height:50%;margin:auto;z-index:102;overflow:auto;background-color:#f5f5f7;border:1px solid black;border-radius:.5em;box-shadow:0 12px 30px #0009}:host ::ng-deep div.dtr-modal div.dtr-modal-content{position:relative;padding:1em}:host ::ng-deep div.dtr-modal div.dtr-modal-close{position:absolute;top:6px;right:6px;width:22px;height:22px;border:1px solid #eaeaea;background-color:#f9f9f9;text-align:center;border-radius:3px;cursor:pointer;z-index:12}:host ::ng-deep div.dtr-modal div.dtr-modal-close:hover{background-color:#eaeaea}:host ::ng-deep div.dtr-modal div.dtr-modal-background{position:fixed;inset:0;z-index:101;background:#0009}@media screen and (max-width: 767px){:host ::ng-deep div.dtr-modal div.dtr-modal-display{width:95%}}\n", ":host ::ng-deep .sneat-table{background-color:#fff}:host ::ng-deep .sneat-table .table>thead>tr>th,:host ::ng-deep .sneat-table .table>thead>tr>td.empty-th{border-top:1px solid #e7eaec}:host ::ng-deep .sneat-table .table>thead:first-child>tr:first-child>th,:host ::ng-deep .sneat-table .table>thead:first-child>tr:first-child>td.empty-th{border-top:0}:host ::ng-deep .sneat-table table.dataTable>thead .sorting:after,:host ::ng-deep .sneat-table table.dataTable>thead .sorting_asc:after,:host ::ng-deep .sneat-table table.dataTable>thead .sorting_desc:after,:host ::ng-deep .sneat-table table.dataTable>tbody .sorting:after,:host ::ng-deep .sneat-table table.dataTable>tbody .sorting_asc:after,:host ::ng-deep .sneat-table table.dataTable>tbody .sorting_desc:after{font-family:\"Font Awesome 6 Pro\"}:host ::ng-deep .sneat-table .table>div.dataTables_paginate ul.pagination .page-link{line-height:1.42857;padding:4px 10px}:host ::ng-deep .sneat-table .progress-mini,:host ::ng-deep .sneat-table .progress-mini .progress-bar{height:5px;margin-bottom:0}:host ::ng-deep .sneat-table i.grid-detail-toggle-icon{margin-top:0}:host ::ng-deep .sneat-table .table-grouped>tbody>tr.group-tr td{--bs-table-accent-bg: #dedede}\n", "@media print{*{overflow:hidden}button,.btn-group,.grid-footer{display:none}td.sorting:after,td.sorting_desc:after,td.sorting_asc:after,ds-filterdisplay,ds-selection-checkbox{visibility:hidden}div.progress-bar{background-color:currentColor!important}::ng-deep div.print-grid-container{border:1px solid transparent!important}::ng-deep h1.print{font-size:21px}.table-wrapper{max-height:none!important}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i1$1.NgSwitchDefault, selector: "[ngSwitchDefault]" }, { kind: "directive", type: i3.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i9.BsDropdownMenuDirective, selector: "[bsDropdownMenu],[dropdownMenu]", exportAs: ["bs-dropdown-menu"] }, { kind: "directive", type: i9.BsDropdownToggleDirective, selector: "[bsDropdownToggle],[dropdownToggle]", exportAs: ["bs-dropdown-toggle"] }, { kind: "directive", type: i9.BsDropdownDirective, selector: "[bsDropdown], [dropdown]", inputs: ["placement", "triggers", "container", "dropup", "autoClose", "isAnimated", "insideClick", "isDisabled", "isOpen"], outputs: ["isOpenChange", "onShown", "onHidden"], exportAs: ["bs-dropdown"] }, { kind: "component", type: i4.LoadingIndicatorComponent, selector: "loading-indicator", inputs: ["text", "spinnerSize", "minHeight"] }, { kind: "directive", type: i11.DatasourceFilterDirective, selector: "[ds-filter]", inputs: ["ds-filter", "ds-filter-minlength", "datasource", "ds-filter-operator", "ds-filter-true-value", "ds-filter-default"] }, { kind: "component", type: i11.DatasourceFilterdisplayComponent, selector: "ds-filterdisplay", inputs: ["datasource", "filterFieldsVisible"] }, { kind: "directive", type: i11.DatasourceSortDirective, selector: "[ds-sort]", inputs: ["ds-sort", "datasource", "icon-left", "ds-sort-icon-align"] }, { kind: "component", type: i11.DatasourcePaginationInfoComponent, selector: "ds-pagination-info", inputs: ["datasource", "variant"] }, { kind: "component", type: i11.DatasourcePaginationComponent, selector: "ds-pagination", inputs: ["datasource", "variant"] }, { kind: "component", type: i11.DatasourceSelectionCheckboxComponent, selector: "ds-selection-checkbox", inputs: ["datasource", "allowMultiSelect", "ds-select", "aria-label", "disable"] }, { kind: "component", type: i11.DatasourcePaginationSizeSelectorComponent, selector: "ds-pagination-size-selector", inputs: ["pageSizes", "pageSize", "datasource"] }, { kind: "directive", type: i2$2.DragulaDirective, selector: "[dragula]", inputs: ["dragula", "dragulaModel"], outputs: ["dragulaModelChange"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }, { kind: "component", type: i14.NgScrollbar, selector: "ng-scrollbar:not([externalViewport])", exportAs: ["ngScrollbar"] }, { kind: "directive", type: i3$3.InspiniaCssClassDirective, selector: "[inspinia-class]", inputs: ["inspinia-class"] }, { kind: "directive", type: i3$3.SneatCssClassDirective, selector: "[sneat-class]", inputs: ["sneat-class"] }, { kind: "directive", type: i16.TypedTemplateDirective, selector: "ng-template[typedTemplate]", inputs: ["typedTemplate"] }, { kind: "component", type: GridCellSpanComponent, selector: "grid-cell-span", inputs: ["spans", "listItem"], outputs: ["spanClick"] }, { kind: "component", type: MultiSelectFilterComponent, selector: "multi-select-filter", inputs: ["lookups", "fieldNames", "datasource"] }, { kind: "directive", type: DisableClickDirective, selector: "[disable-click]", inputs: ["disable-click"] }, { kind: "directive", type: ColHideDirective, selector: "[col-hide]", inputs: ["col-hide", "hidden-by-default"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GridComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-grid', standalone: false, template: "<loading-indicator #loadingIndicator>\r\n\r\n    <div #swtGrid class=\"dataTables_wrapper dt-bootstrap table-responsive\" sneat-class=\"sneat-table\"\r\n        [style.min-height]=\"listDatasource.hasData || showEmptyGrid ? minHeight:''\" [style.max-height]=\"maxHeight\"\r\n        style=\"position:relative;overflow-y:visible\">\r\n        <div class=\"table-wrapper\" [ngClass]=\"stickyHeader ? 'sticky': ''\" [style.max-height]=\"maxHeightTable\">\r\n            <ng-scrollbar [style.max-height]=\"maxHeightTable\">\r\n                <table #table tabindex=\"0\" (keydown)=\"onKeydownHandler($event)\" [id]=\"gridId\"\r\n                    class=\"table table-striped no-margins dataTable {{gridClass}}\"\r\n                    *ngIf=\"listDatasource.hasData || showEmptyGrid\"\r\n                    [ngClass]=\"{'small table-sm':small, 'table-condensed':small,'table-hover':tableHover,'table-fixed':rowHeight>0, 'table-grouped': !!grouped}\">\r\n                    <thead>\r\n                        <tr *ngIf=\"headerTitleGroupColumns\" class=\"header-groups\">\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"empty-th\"></td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"empty-th\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"empty-th\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"empty-th\"></td>\r\n                            <ng-container *ngFor=\"let titleGroup of headerTitleGroupColumns\">\r\n                                <th *ngIf=\"!titleGroup.isEmpty; else emptyGroupHeader\" class=\"header-group\"\r\n                                    [colSpan]=\"titleGroup.span\" [title]=\"titleGroup.title ?? ''\">\r\n                                    {{titleGroup.text}}\r\n                                </th>\r\n                                <ng-template #emptyGroupHeader>\r\n                                    <td class=\"empty-th\"></td>\r\n                                </ng-template>\r\n                            </ng-container>\r\n                        </tr>\r\n                        <tr [style.height.px]=\"headerRowHeight\">\r\n                            <!-- Keine leeren th's aufgrund von Barrierefreiheit erlaubt: https://webaim.org/standards/wcag/checklist#sc1.3.1 -->\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column empty-th\"></td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"min-column empty-th\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"min-column empty-th\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"min-column empty-th\"></td>\r\n                            <ng-container *ngFor=\"let column of visibleColumns\">\r\n                                <th [title]=\"column.title ?? ''\" [col-hide]=\"visibilityKey(column)\"\r\n                                    [hidden-by-default]=\"column.hiddenByDefault\"\r\n                                    [ds-sort]=\"allowSortColumn(column) ? column.fieldname : ''\"\r\n                                    [datasource]=\"listDatasource\" [style.minWidth]=\"column.minWidth\"\r\n                                    [style.width]=\"column.width\"\r\n                                    [ngClass]=\"[column.headerClass ?? '', column.headerTitleGroup ? 'header-tab' : '']\"\r\n                                    [ds-sort-icon-align]=\"sortItemAlign\"\r\n                                    [attr.aria-label]=\"column.type === 'buttons' ? 'Buttons' : column.text\">\r\n\r\n                                    <grid-cell-span [spans]=\"spansBefore(column.titleSpans)\"\r\n                                        (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                                    {{column.text}}\r\n                                    <grid-cell-span [spans]=\"spansAfter(column.titleSpans)\"\r\n                                        (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                                </th>\r\n                            </ng-container>\r\n                        </tr>\r\n                        <tr class=\"no-print\" #filterItems *ngIf=\"allowFilter\" [style.height.px]=\"filterRowHeight\">\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column\">\r\n                                <ds-selection-checkbox [aria-label]=\"selectAllRowsLabel\" *ngIf=\"allowMultiSelect\"\r\n                                    [datasource]=\"listDatasource\">\r\n                                </ds-selection-checkbox>\r\n                            </td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"min-column\"></td>\r\n                            <td *ngFor=\"let column of visibleColumns\" [col-hide]=\"visibilityKey(column)\"\r\n                                [hidden-by-default]=\"column.hiddenByDefault\" [ngSwitch]=\"column.type\"\r\n                                [ngClass]=\"column.headerClass\">\r\n                                <ng-container *ngIf=\"allowFilterColumn(column)\">\r\n                                    <ng-container *ngSwitchDefault>\r\n                                        <input from [id]=\"gridIdPrefix+column.fieldname\" *ngIf=\"!column.lookups\"\r\n                                            class=\"form-control no-spinners\" type=\"{{column.type}}\"\r\n                                            [ds-filter]=\"column.fieldname\" [datasource]=\"listDatasource\"\r\n                                            [ds-filter-operator]=\"getFilterOperator(column)\"\r\n                                            [attr.aria-label]=\"column.text\" />\r\n                                        @if(column.lookups) {\r\n                                            @switch(column.filterSelectOption) {\r\n                                                @default {\r\n                                                    <select [id]=\"gridIdPrefix+column.fieldname\" class=\"form-control\"\r\n                                                        [ds-filter]=\"column.fieldname\" [attr.aria-label]=\"column.text\"\r\n                                                        ds-filter-operator=\"IsEqual\" [datasource]=\"listDatasource\">\r\n                                                        <option value=\"\" i18n=\"@@Grid.All.dsp.Label\">(alle)</option>\r\n                                                        <option *ngFor=\"let lookUp of $any(column.lookups)\"\r\n                                                            [value]=\"getSelectOptionValue(lookUp.value)\">\r\n                                                            {{lookUp.text}}\r\n                                                        </option>\r\n                                                    </select>\r\n                                                }\r\n                                                @case ('multi') {\r\n                                                    <multi-select-filter [datasource]=\"listDatasource\"\r\n                                                        [fieldNames]=\"column.fieldname\"\r\n                                                        [lookups]=\"column.lookups\"></multi-select-filter>\r\n                                                }\r\n                                            }\r\n                                        }\r\n                                    </ng-container>\r\n                                    <ng-container *ngSwitchCase=\"'boolean'\">\r\n                                        <select [id]=\"gridIdPrefix+column.fieldname\" class=\"form-control\"\r\n                                            [ds-filter]=\"column.fieldname\" [ds-filter-operator]=\"'IsEqual'\"\r\n                                            [datasource]=\"listDatasource\" [attr.aria-label]=\"column.text\">\r\n                                            <option value=\"\" i18n=\"@@Grid.All.dsp.Label\">(alle)</option>\r\n                                            <option value=\"true\">{{column.trueValueText}}</option>\r\n                                            <option value=\"false\">{{column.falseValueText}}</option>\r\n                                        </select>\r\n                                    </ng-container>\r\n                                    <ng-container *ngSwitchCase=\"'buttons'\">\r\n                                    </ng-container>\r\n                                    <ng-container *ngSwitchCase=\"'empty'\">\r\n                                    </ng-container>\r\n                                </ng-container>\r\n                            </td>\r\n                        </tr>\r\n                    </thead>\r\n                    <tbody [id]=\"name\" [dragula]=\"dragulaBag()\">\r\n                        <ng-container *ngFor=\"let listItem of listDatasource.data\">\r\n\r\n                            <tr *ngIf=\"grouped && isFirstItemOfGroup(listItem)\" class=\"group-tr\">\r\n                                <td [title]=\"groupByColumn.title ?? ''\"\r\n                                    [ds-sort]=\"allowSortColumn(groupByColumn) ? groupByColumn.fieldname : ''\"\r\n                                    [datasource]=\"listDatasource\" [ngClass]=\"[groupByColumn.headerClass ?? '']\"\r\n                                    [ds-sort-icon-align]=\"sortItemAlign\" [attr.colspan]=\"numOfVisibleColumns\">\r\n\r\n                                    <ng-container *ngFor=\"let column of groupByColumns\">\r\n                                        <span *ngIf=\"column.text\">{{column.text}}: </span>\r\n                                        <ng-container [ngTemplateOutlet]=\"columnTemplate\"\r\n                                            [ngTemplateOutletContext]=\"{ column, listItem }\"></ng-container>\r\n                                    </ng-container>\r\n                                </td>\r\n                            </tr>\r\n\r\n                            <tr class=\"dragula-handle grid-row grid-row-item {{listItem[rowClassFieldName] ?? ''}}\"\r\n                                [style.height.px]=\"rowHeight\" [attr.data-id]=\"listItem[idfield]\"\r\n                                (click)=\"rowClick($event,listItem)\" [ngClass]=\"{active:isSelected(listItem)}\"\r\n                                [style.cursor]=\"rowCursorClass\" [attr.role]=\"'button'\">\r\n                                <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column\">\r\n                                    <ds-selection-checkbox [aria-label]=\"selectRowLabel\" [ds-select]=\"listItem[idfield]\"\r\n                                        [allowMultiSelect]=\"allowMultiSelect\" [datasource]=\"listDatasource\"\r\n                                        [disable]=\"listItem[disableSelectFieldName]\">\r\n                                    </ds-selection-checkbox>\r\n                                </td>\r\n                                <td *ngIf=\"html5Draggable\" class=\"min-column\">\r\n                                    <i class=\"ui-draggable fa fa-arrows\" (dragstart)=\"html5DragStart($event,listItem)\"\r\n                                        [draggable]=\"true\" [title]=\"html5Draggable\"></i>\r\n                                </td>\r\n                                <td *ngIf=\"dragulaShowIcon()\" class=\"min-column\">\r\n                                    <i class=\"ui-draggable dragula-drag-handle fa fa-arrows\"></i>\r\n                                </td>\r\n                                <ng-container *ngIf=\"showRowDetail\" [style.height.px]=\"rowHeight\">\r\n                                    <td *ngIf=\"!isRowDetailOpen(listItem)\" class=\"min-column\"\r\n                                        (click)=\"openDetail($event, listItem)\">\r\n                                        <i class=\"far fa-chevron-square-right grid-detail-toggle-icon\"></i>\r\n                                    </td>\r\n                                    <td *ngIf=\"isRowDetailOpen(listItem)\" class=\"min-column\"\r\n                                        (click)=\"closeDetailByDropDown($event)\">\r\n                                        <i class=\"far fa-chevron-square-down grid-detail-toggle-icon\"></i>\r\n                                    </td>\r\n                                </ng-container>\r\n\r\n                                <td *ngFor=\"let column of visibleColumns\" [col-hide]=\"visibilityKey(column)\"\r\n                                    [hidden-by-default]=\"column.hiddenByDefault\"\r\n                                    [ngClass]=\"columnClass(column,listItem)\"\r\n                                    [style.text-align]=\"column.textAlign ?? getDefaultColumnTextAlignment(column.type)\"\r\n                                    [title]=\"getAggregateTitleText(column)\">\r\n\r\n                                    <ng-container [ngTemplateOutlet]=\"columnTemplate\"\r\n                                        [ngTemplateOutletContext]=\"{ column, listItem }\"></ng-container>\r\n                                </td>\r\n                            </tr>\r\n                            <tr *ngIf=\"isRowDetailOpen(listItem)\"\r\n                                class=\"grid-row grid-row-detail {{listItem[rowDetailClassFieldName] ?? ''}}\"\r\n                                [ngClass]=\"{active:isSelected(listItem)}\">\r\n                                <td [attr.colspan]=\"numOfVisibleColumns\">\r\n                                    <ng-content></ng-content>\r\n                                </td>\r\n                            </tr>\r\n                        </ng-container>\r\n                        <tr *ngIf=\"listDatasource.hasData && showFooter\" class=\"grid-row grid-aggregate-row\">\r\n                            <td *ngIf=\"showSelectCheckBoxes\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"html5Draggable\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"dragulaShowIcon()\" class=\"min-column\"></td>\r\n                            <td *ngIf=\"showRowDetail\" class=\"min-column\"></td>\r\n                            <td *ngFor=\"let column of visibleColumns\"\r\n                                [style.text-align]=\"column.textAlign ?? getDefaultColumnTextAlignment(column.type)\"\r\n                                [col-hide]=\"visibilityKey(column)\" [hidden-by-default]=\"column.hiddenByDefault\">\r\n                                <span class=\"m-r-xs\">\r\n                                    {{ getAggregateFooterText(column) }}\r\n                                </span>\r\n                            </td>\r\n                        </tr>\r\n                        <tr *ngIf=\"!listDatasource.hasData && showEmptyGrid\" class=\"grid-row grid-row-empty\">\r\n                            <td [attr.colspan]=\"numOfVisibleColumns\">\r\n                                <small>{{emptyGridText}}</small>\r\n                            </td>\r\n                        </tr>\r\n                    </tbody>\r\n                </table>\r\n            </ng-scrollbar>\r\n        </div>\r\n        <p *ngIf=\"showSelectedIdsNotFoundWarning && listDatasource.notFoundSelectedIds().length > 0 && !datasourceHasExternalRefresh\"\r\n            class=\"alert alert-warning\" sneat-class=\"alert-dismissible mt-2\"\r\n            i18n-title=\"@@Grid.ItemIdNotFound.msg.Tooltip\"\r\n            title=\"M\u00F6glicherweise verhindert eine aktuelle Filtereinstellung das Laden\">\r\n            <span i18n=\"@@Grid.ItemIdNotFound.msg.Text\">\r\n                Es sind Datens\u00E4tze als selektiert markiert, welche nicht geladen werden konnten\r\n            </span>\r\n            <button type=\"button\" class=\"btn-close\" data-bs-dismiss=\"alert\" aria-label=\"Close\" inspinia-class=\"hidden\">\r\n            </button>\r\n        </p>\r\n        <ds-filterdisplay [datasource]=\"listDatasource\" [filterFieldsVisible]=\"filterFieldsVisible\"></ds-filterdisplay>\r\n        <div *ngIf=\"(gridStoreKey && !hideColSelectBtn) || allowCSVDownload || allowPaging\"\r\n            class=\"clearfix grid-footer\">\r\n            <div *ngIf=\"gridStoreKey && !hideColSelectBtn\" class=\"dataTables_info\" inspinia-class=\"pull-left\"\r\n                sneat-class=\"float-start\">\r\n                <button class=\"btn btn-xs btn-link ignore-no-edit\" (click)=\"showColSelectDialog()\"\r\n                    title=\"Sichtbare Spalten ausw\u00E4hlen\" i18n-title=\"@@Grid.SelectVisibleCol.act.Tooltip\">\r\n                    <a><i class=\"fa fal fa-table\"></i></a>\r\n                </button>\r\n            </div>\r\n            <div *ngIf=\"allowCSVDownload\" class=\"dataTables_info m-l-xs m-r-xs\" inspinia-class=\"pull-left\"\r\n                sneat-class=\"float-start\">\r\n                <button class=\"btn btn-xs btn-link ignore-no-edit\" (click)=\"downloadCSV()\"\r\n                    title=\"Daten als CSV-Datei speichern\" i18n-title=\"@@Grid.DownloadCSV.act.Label\">\r\n                    <i class=\"fa fal fa-arrow-to-bottom\"></i>\r\n                </button>\r\n            </div>\r\n            <div *ngIf=\"allowPrintDownload\" class=\"dataTables_info m-l-xs m-r-xs\" inspinia-class=\"pull-left\"\r\n                sneat-class=\"float-start\">\r\n                <button class=\"btn btn-xs btn-link ignore-no-edit\" (click)=\"printGrid()\" title=\"Daten drucken\"\r\n                    i18n-title=\"@@Grid.DownloadPrint.act.Label\">\r\n                    <i class=\"fa fal fa-print\"></i>\r\n                </button>\r\n            </div>\r\n            <ng-container *ngIf=\"allowPaging\">\r\n                <div *ngIf=\"paginationInfoVariant !== 'pageOnly'\" class=\"no-padding m-l-xs\" inspinia-class=\"pull-left\"\r\n                    sneat-class=\"float-start\">\r\n                    <ds-pagination-info [datasource]=\"listDatasource\" [variant]=\"paginationInfoVariant\">\r\n                    </ds-pagination-info>\r\n                </div>\r\n                <div class=\"no-margin no-padding\" inspinia-class=\"pull-right\" sneat-class=\"float-end\">\r\n                    <ds-pagination [datasource]=\"listDatasource\" [variant]=\"paginationInfoVariant\"></ds-pagination>\r\n                </div>\r\n                <div *ngIf=\"allowSelectPageSize\" class=\"no-padding\" inspinia-class=\"pull-right m-r-md\"\r\n                    sneat-class=\"float-end me-4\">\r\n                    <ds-pagination-size-selector [datasource]=\"listDatasource\" [pageSizes]=\"pageSizes\">\r\n                    </ds-pagination-size-selector>\r\n                </div>\r\n            </ng-container>\r\n        </div>\r\n    </div>\r\n    <div [dragula]=\"dragulaBag()\" class=\"dataTables_wrapper dt-bootstrap table-responsive\"\r\n        *ngIf=\"!listDatasource.hasData && !showEmptyGrid\">\r\n        <small>{{emptyGridText}}</small>\r\n    </div>\r\n</loading-indicator>\r\n\r\n<ng-template #columnTemplate [typedTemplate]=\"columnTemplateParam\" let-column=\"column\" let-listItem=\"listItem\">\r\n    <ng-container [ngSwitch]=\"column.type\">\r\n        <ng-container *ngSwitchDefault>\r\n            <ng-container *ngIf=\"column.edit\">\r\n                @if (column.type === 'lookup') {\r\n                <select [attr.aria-label]=\"getEditColLabel(listItem)\" class=\"form-control\"\r\n                    [(ngModel)]=\"listItem[column.fieldname]\">\r\n                    @for(lookupItem of $any(column.lookups); track lookupItem.value) {\r\n                    <option [value]=\"lookupItem.value\">\r\n                        {{lookupItem.text}}\r\n                    </option>\r\n                    }\r\n                </select>\r\n                } @else {\r\n                <input [attr.aria-label]=\"getEditColLabel(listItem)\" [type]=\"getInputType(column.type)\"\r\n                    class=\"form-control no-spinners\" [(ngModel)]=\"listItem[column.fieldname]\"\r\n                    (ngModelChange)=\"fieldValueModelChange($event,column,listItem)\" />\r\n                }\r\n            </ng-container>\r\n            <ng-container *ngIf=\"!column.edit\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </ng-container>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'url'\">\r\n            <a href=\"{{displayText(listItem,column)}}\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </a>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'email'\">\r\n            <a href=\"mailto:{{displayText(listItem,column)}}\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </a>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'tel'\">\r\n            <a href=\"tel:{{displayText(listItem,column)}}\">\r\n                <grid-cell-span [spans]=\"spansBefore(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n                <span *ngIf=\"!column.hideFieldValue\" class=\"m-r-xs\">{{displayText(listItem,column)}}</span>\r\n                <grid-cell-span [spans]=\"spansAfter(column.spans)\" [listItem]=\"listItem\"\r\n                    (spanClick)=\"spanClicked($event)\"></grid-cell-span>\r\n            </a>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'buttons'\">\r\n            <div *ngIf=\"!column.buttonsAsDropdown\">\r\n                <button *ngFor=\"let btn of column.buttons\" type=\"button\" class=\"btn m-r-xs {{btn.buttonClass}}\"\r\n                    inspinia-class=\"m-r-xs\" sneat-class=\"me-1\" [attr.data-ident]=\"btn.ident\"\r\n                    [disabled]=\"btn.disabledFieldname && listItem[btn.disabledFieldname]\"\r\n                    [ngClass]=\"getButtonClass(listItem,btn)\" [title]=\"btn.tooltip\"\r\n                    (click)=\"buttonClicked($event,btn.ident,listItem)\">\r\n                    <i *ngIf=\"btn.iconClass || btn.iconClassFieldname\" class=\"fa\" sneat-class=\"me-1\"\r\n                        [ngClass]=\"getButtonIconClass(listItem, btn)\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n            </div>\r\n            <div *ngIf=\"column.buttonsAsDropdown\">\r\n                <div class=\"btn-group\" dropdown container=\"body\" placement=\"bottom right\">\r\n                    <a id=\"single-button\" dropdownToggle (click)=\"$event.stopPropagation()\"\r\n                        [class]=\"column.buttonsAsDropdownClass\">\r\n                        <span class=\"clear\">\r\n                            <span class=\"text-muted text-xs block dropdown-toggle\">\r\n                                {{column.buttonsAsDropdown}}\r\n                                <b class=\"caret\"></b>\r\n                            </span>\r\n                        </span>\r\n                    </a>\r\n                    <ul class=\"dropdown-menu dropdown-menu-right\" *dropdownMenu role=\"menu\"\r\n                        aria-labelledby=\"single-button\">\r\n                        <li [disable-click]=\"btn.disabledFieldname && listItem[btn.disabledFieldname]\"\r\n                            *ngFor=\"let btn of column.buttons\" (click)=\"buttonClicked($event,btn.ident,listItem)\">\r\n                            <a class=\"dropdown-item {{btn.buttonClass}}\" [ngClass]=\"getButtonClass(listItem,btn)\"\r\n                                [title]=\"btn.tooltip\">\r\n                                <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                                {{btn.text}}\r\n                            </a>\r\n                        </li>\r\n                    </ul>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'empty'\">\r\n        </ng-container>\r\n    </ng-container>\r\n</ng-template>\r\n", styles: ["table.dataTable thead .iconleft:after{left:8px}.table-wrapper.sticky thead{background-color:#fff;position:sticky!important;top:-.5px;z-index:2}table.dataTable thead tr th.iconleft{padding-left:30px}table.dataTable.table-condensed .iconleft:after{left:6px}table.dataTable.table-condensed thead tr th.iconleft{padding-left:30px}table.table-fixed{table-layout:fixed}table.dataTable{border-collapse:separate;border-spacing:0}table.table-fixed td,table.table-fixed th{white-space:nowrap;text-overflow:ellipsis;overflow:hidden}table.dataTable td.min-column,table.dataTable th.min-column{width:12px!important;padding-left:4px;padding-right:2px;margin:0}.header-tab{border-top:none!important}.header-groups th:not(.header-group){border-bottom:none}.header-groups .header-group{padding:3px!important;font-size:smaller;text-align:center;border:thin solid #ddd!important;border-bottom:none!important}tr.grid-row-item.active{background:#deeffdcc}tr.grid-row-item.active>td{--bs-table-accent-bg: rgba($grid-focus-bg, .8)}tr.grid-row-detail>td{border-left:8px solid #eee;border-top:0}tr.grid-row-detail.active>td{background:#f7fcff;--bs-table-accent-bg: $grid-focus-bg;border-left-color:#deeffdcc}.grid-row-item.active td{background:unset}i:focus{outline:none;border:0}.span-clickable{cursor:pointer}.dataTables_wrapper{padding-bottom:0}span{margin-right:3px}span.hidden{margin-right:0}table:focus{outline:none}.grid-aggregate-row td{border-top-width:2px;border-top-color:#ccc;font-weight:700}.stat-percent{float:none!important;display:block;text-align:right;margin:0}.grid-icon{margin-right:5px}.form-control.input-sm,.form-control.small,.small .form-control{font-size:12px;padding:2px;height:28px}.dropdown-menu>li>a.btn:not(:hover):not(.btn-white){color:#fff}::ng-deep .modal.fade{opacity:unset!important}::ng-deep .modal.fade .modal-dialog{transform:translate(0)}.click-disabled{opacity:.65;pointer-events:initial;box-shadow:none;cursor:not-allowed}.click-disabled a{cursor:not-allowed}.table-grouped>tbody>tr:not(.group-tr)>td:first-child,.table-grouped>thead>tr:not(.group-tr)>th:first-child,.table-grouped>thead>tr:not(.group-tr)>td:first-child{padding-left:20px}.table-grouped>tbody>tr.group-tr{background-color:#dedede;font-weight:700}.table-grouped>tbody>tr.group-tr:not(:first-child)>td{border-top:1px solid #dddddd}.small .grid-row-detail{font-size:117.6470588235%}i.grid-detail-toggle-icon{font-size:18px;cursor:pointer;margin-top:1px;color:#777}.table>thead>tr>td.empty-th{border-bottom:1px solid #DDDDDD}\n", ":host ::ng-deep table.dataTable{clear:both;margin-top:6px!important;margin-bottom:6px!important;max-width:none!important}:host ::ng-deep table.dataTable td,:host ::ng-deep table.dataTable th{-webkit-box-sizing:content-box;-moz-box-sizing:content-box;box-sizing:content-box}:host ::ng-deep table.dataTable>thead>tr>th,:host ::ng-deep table.dataTable>tbody>tr>th,:host ::ng-deep table.dataTable>tfoot>tr>th,:host ::ng-deep table.dataTable>thead>tr>td,:host ::ng-deep table.dataTable>tbody>tr>td,:host ::ng-deep table.dataTable>tfoot>tr>td{vertical-align:middle}:host ::ng-deep table.dataTable.table-condensed>thead>tr>th,:host ::ng-deep table.dataTable.table-condensed>thead>tr>td,:host ::ng-deep table.dataTable.table-condensed>tbody>tr>th,:host ::ng-deep table.dataTable.table-condensed>tbody>tr>td,:host ::ng-deep table.dataTable.table-condensed>tfoot>tr>th,:host ::ng-deep table.dataTable.table-condensed>tfoot>tr>td{padding:5px}:host ::ng-deep table.dataTable td.dataTables_empty,:host ::ng-deep table.dataTable th.dataTables_empty{text-align:center}:host ::ng-deep table.dataTable.nowrap th,:host ::ng-deep table.dataTable.nowrap td{white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_length label{font-weight:400;text-align:left;white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_length select{width:75px;display:inline-block}:host ::ng-deep div.dataTables_wrapper div.dataTables_filter{text-align:right}:host ::ng-deep div.dataTables_wrapper div.dataTables_filter label{font-weight:400;white-space:nowrap;text-align:left}:host ::ng-deep div.dataTables_wrapper div.dataTables_filter input{margin-left:.5em;display:inline-block;width:auto}:host ::ng-deep div.dataTables_wrapper div.dataTables_info{padding-top:8px;white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_paginate{margin:0;white-space:nowrap;text-align:right}:host ::ng-deep div.dataTables_wrapper div.dataTables_paginate ul.pagination{margin:2px 0;white-space:nowrap}:host ::ng-deep div.dataTables_wrapper div.dataTables_processing{position:absolute;top:50%;left:50%;width:200px;margin-left:-100px;margin-top:-26px;text-align:center;padding:1em 0}:host ::ng-deep table.dataTable thead>tr>th.sorting_asc,:host ::ng-deep table.dataTable thead>tr>th.sorting_desc,:host ::ng-deep table.dataTable thead>tr>th.sorting,:host ::ng-deep table.dataTable thead>tr>td.sorting_asc,:host ::ng-deep table.dataTable thead>tr>td.sorting_desc,:host ::ng-deep table.dataTable thead>tr>td.sorting,:host ::ng-deep table.dataTable tbody>tr>th.sorting_asc,:host ::ng-deep table.dataTable tbody>tr>th.sorting_desc,:host ::ng-deep table.dataTable tbody>tr>th.sorting,:host ::ng-deep table.dataTable tbody>tr>td.sorting_asc,:host ::ng-deep table.dataTable tbody>tr>td.sorting_desc,:host ::ng-deep table.dataTable tbody>tr>td.sorting{padding-right:30px}:host ::ng-deep table.dataTable thead>tr>th:active,:host ::ng-deep table.dataTable thead>tr>td:active{outline:none}:host ::ng-deep table.dataTable thead .sorting,:host ::ng-deep table.dataTable thead .sorting_asc,:host ::ng-deep table.dataTable thead .sorting_desc,:host ::ng-deep table.dataTable thead .sorting_asc_disabled,:host ::ng-deep table.dataTable thead .sorting_desc_disabled,:host ::ng-deep table.dataTable tbody .sorting,:host ::ng-deep table.dataTable tbody .sorting_asc,:host ::ng-deep table.dataTable tbody .sorting_desc,:host ::ng-deep table.dataTable tbody .sorting_asc_disabled,:host ::ng-deep table.dataTable tbody .sorting_desc_disabled{cursor:pointer;position:relative}:host ::ng-deep table.dataTable thead .sorting:after,:host ::ng-deep table.dataTable thead .sorting_asc:after,:host ::ng-deep table.dataTable thead .sorting_desc:after,:host ::ng-deep table.dataTable thead .sorting_asc_disabled:after,:host ::ng-deep table.dataTable thead .sorting_desc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting:after,:host ::ng-deep table.dataTable tbody .sorting_asc:after,:host ::ng-deep table.dataTable tbody .sorting_desc:after,:host ::ng-deep table.dataTable tbody .sorting_asc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting_desc_disabled:after{position:absolute;bottom:8px;right:8px;display:block;font-family:\"Font Awesome 5 Pro\";opacity:.5}:host ::ng-deep table.dataTable thead .sorting:after,:host ::ng-deep table.dataTable tbody .sorting:after{opacity:.2;content:\"\\f0dc\"}:host ::ng-deep table.dataTable thead .sorting_asc:after,:host ::ng-deep table.dataTable tbody .sorting_asc:after{content:\"\\f160\"}:host ::ng-deep table.dataTable thead .sorting_desc:after,:host ::ng-deep table.dataTable tbody .sorting_desc:after{content:\"\\f161\"}:host ::ng-deep table.dataTable thead .sorting_asc_disabled:after,:host ::ng-deep table.dataTable thead .sorting_desc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting_asc_disabled:after,:host ::ng-deep table.dataTable tbody .sorting_desc_disabled:after{color:#eee}:host ::ng-deep div.dataTables_scrollHead table.dataTable{margin-bottom:0!important}:host ::ng-deep div.dataTables_scrollBody table{border-top:none;margin-top:0!important;margin-bottom:0!important}:host ::ng-deep div.dataTables_scrollBody table thead .sorting:after,:host ::ng-deep div.dataTables_scrollBody table thead .sorting_asc:after,:host ::ng-deep div.dataTables_scrollBody table thead .sorting_desc:after,:host ::ng-deep div.dataTables_scrollBody table tbody .sorting:after,:host ::ng-deep div.dataTables_scrollBody table tbody .sorting_asc:after,:host ::ng-deep div.dataTables_scrollBody table tbody .sorting_desc:after{display:none}:host ::ng-deep div.dataTables_scrollBody table tbody tr:first-child th,:host ::ng-deep div.dataTables_scrollBody table tbody tr:first-child td{border-top:none}:host ::ng-deep div.dataTables_scrollFoot table{margin-top:0!important;border-top:none}@media screen and (max-width: 767px){:host ::ng-deep div.dataTables_wrapper div.dataTables_length,:host ::ng-deep div.dataTables_wrapper div.dataTables_filter,:host ::ng-deep div.dataTables_wrapper div.dataTables_info,:host ::ng-deep div.dataTables_wrapper div.dataTables_paginate{text-align:center}}:host ::ng-deep table.dataTable.table-condensed>thead>tr>th{padding-right:20px}:host ::ng-deep table.dataTable.table-condensed .sorting:after,:host ::ng-deep table.dataTable.table-condensed .sorting_asc:after,:host ::ng-deep table.dataTable.table-condensed .sorting_desc:after{top:6px;right:6px}:host ::ng-deep table.table-bordered.dataTable{border-collapse:separate!important}:host ::ng-deep table.table-bordered.dataTable th,:host ::ng-deep table.table-bordered.dataTable td{border-left-width:0}:host ::ng-deep table.table-bordered.dataTable th:last-child,:host ::ng-deep table.table-bordered.dataTable td:last-child{border-right-width:0}:host ::ng-deep table.table-bordered.dataTable tbody th,:host ::ng-deep table.table-bordered.dataTable tbody td{border-bottom-width:0}:host ::ng-deep div.dataTables_scrollHead table.table-bordered{border-bottom-width:0}:host ::ng-deep div.table-responsive>div.dataTables_wrapper>div.row{margin:0}:host ::ng-deep div.table-responsive>div.dataTables_wrapper>div.row>div[class^=col-]:first-child{padding-left:0}:host ::ng-deep div.table-responsive>div.dataTables_wrapper>div.row>div[class^=col-]:last-child{padding-right:0}:host ::ng-deep div.dt-button-info{position:fixed;top:50%;left:50%;width:400px;margin-top:-100px;margin-left:-200px;background-color:#fff;border:2px solid #111;box-shadow:3px 3px 8px #0000004d;border-radius:3px;text-align:center;z-index:21}:host ::ng-deep div.dt-button-info h2{padding:.5em;margin:0;font-weight:400;border-bottom:1px solid #ddd;background-color:#f3f3f3}:host ::ng-deep div.dt-button-info>div{padding:1em}:host ::ng-deep ul.dt-button-collection.dropdown-menu{display:block;z-index:2002;-webkit-column-gap:8px;-moz-column-gap:8px;-ms-column-gap:8px;-o-column-gap:8px;column-gap:8px}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed{position:fixed;top:50%;left:50%;margin-left:-75px;border-radius:0}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed.two-column{margin-left:-150px}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed.three-column{margin-left:-225px}:host ::ng-deep ul.dt-button-collection.dropdown-menu.fixed.four-column{margin-left:-300px}:host ::ng-deep ul.dt-button-collection.dropdown-menu>*{-webkit-column-break-inside:avoid;break-inside:avoid}:host ::ng-deep ul.dt-button-collection.dropdown-menu.two-column{width:300px;padding-bottom:1px;-webkit-column-count:2;-moz-column-count:2;-ms-column-count:2;-o-column-count:2;column-count:2}:host ::ng-deep ul.dt-button-collection.dropdown-menu.three-column{width:450px;padding-bottom:1px;-webkit-column-count:3;-moz-column-count:3;-ms-column-count:3;-o-column-count:3;column-count:3}:host ::ng-deep ul.dt-button-collection.dropdown-menu.four-column{width:600px;padding-bottom:1px;-webkit-column-count:4;-moz-column-count:4;-ms-column-count:4;-o-column-count:4;column-count:4}:host ::ng-deep div.dt-button-background{position:fixed;top:0;left:0;width:100%;height:100%;z-index:2001}@media screen and (max-width: 767px){:host ::ng-deep div.dt-buttons{float:none;width:100%;text-align:center;margin-bottom:.5em}:host ::ng-deep div.dt-buttons a.btn{float:none}}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.child,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th.child,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty{cursor:default!important}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th.child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td.dataTables_empty:before{display:none!important}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th:first-child{position:relative;padding-left:30px;cursor:pointer}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>td:first-child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr>th:first-child:before{top:8px;left:4px;height:16px;width:16px;display:block;position:absolute;color:#fff;border:2px solid white;border-radius:16px;box-shadow:0 0 3px #444;box-sizing:content-box;font-family:Courier New,Courier,monospace;text-indent:4px;line-height:16px;content:\"+\";background-color:#337ab7}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr.parent>td:first-child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr.parent>th:first-child:before{content:\"-\";background-color:#d33333}:host ::ng-deep table.dataTable.dtr-inline.collapsed>tbody>tr.child td:before{display:none}:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>td:first-child,:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>th:first-child{padding-left:27px}:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>td:first-child:before,:host ::ng-deep table.dataTable.dtr-inline.collapsed.compact>tbody>tr>th:first-child:before{top:5px;left:4px;height:14px;width:14px;border-radius:14px;line-height:14px;text-indent:3px}:host ::ng-deep table.dataTable.dtr-column>tbody>tr>td.control,:host ::ng-deep table.dataTable.dtr-column>tbody>tr>th.control{position:relative;cursor:pointer}:host ::ng-deep table.dataTable.dtr-column>tbody>tr>td.control:before,:host ::ng-deep table.dataTable.dtr-column>tbody>tr>th.control:before{top:50%;left:50%;height:16px;width:16px;margin-top:-10px;margin-left:-10px;display:block;position:absolute;color:#fff;border:2px solid white;border-radius:16px;box-shadow:0 0 3px #444;box-sizing:content-box;font-family:Courier New,Courier,monospace;text-indent:4px;line-height:16px;content:\"+\";background-color:#337ab7}:host ::ng-deep table.dataTable.dtr-column>tbody>tr.parent td.control:before,:host ::ng-deep table.dataTable.dtr-column>tbody>tr.parent th.control:before{content:\"-\";background-color:#d33333}:host ::ng-deep table.dataTable>tbody>tr.child{padding:.5em 1em}:host ::ng-deep table.dataTable>tbody>tr.child:hover{background:transparent!important}:host ::ng-deep table.dataTable>tbody>tr.child ul{display:inline-block;list-style-type:none;margin:0;padding:0}:host ::ng-deep table.dataTable>tbody>tr.child ul li{border-bottom:1px solid #efefef;padding:.5em 0}:host ::ng-deep table.dataTable>tbody>tr.child ul li:first-child{padding-top:0}:host ::ng-deep table.dataTable>tbody>tr.child ul li:last-child{border-bottom:none}:host ::ng-deep table.dataTable>tbody>tr.child span.dtr-title{display:inline-block;min-width:75px;font-weight:700}:host ::ng-deep div.dtr-modal{position:fixed;box-sizing:border-box;top:0;left:0;height:100%;width:100%;z-index:100;padding:10em 1em}:host ::ng-deep div.dtr-modal div.dtr-modal-display{position:absolute;inset:0;width:50%;height:50%;margin:auto;z-index:102;overflow:auto;background-color:#f5f5f7;border:1px solid black;border-radius:.5em;box-shadow:0 12px 30px #0009}:host ::ng-deep div.dtr-modal div.dtr-modal-content{position:relative;padding:1em}:host ::ng-deep div.dtr-modal div.dtr-modal-close{position:absolute;top:6px;right:6px;width:22px;height:22px;border:1px solid #eaeaea;background-color:#f9f9f9;text-align:center;border-radius:3px;cursor:pointer;z-index:12}:host ::ng-deep div.dtr-modal div.dtr-modal-close:hover{background-color:#eaeaea}:host ::ng-deep div.dtr-modal div.dtr-modal-background{position:fixed;inset:0;z-index:101;background:#0009}@media screen and (max-width: 767px){:host ::ng-deep div.dtr-modal div.dtr-modal-display{width:95%}}\n", ":host ::ng-deep .sneat-table{background-color:#fff}:host ::ng-deep .sneat-table .table>thead>tr>th,:host ::ng-deep .sneat-table .table>thead>tr>td.empty-th{border-top:1px solid #e7eaec}:host ::ng-deep .sneat-table .table>thead:first-child>tr:first-child>th,:host ::ng-deep .sneat-table .table>thead:first-child>tr:first-child>td.empty-th{border-top:0}:host ::ng-deep .sneat-table table.dataTable>thead .sorting:after,:host ::ng-deep .sneat-table table.dataTable>thead .sorting_asc:after,:host ::ng-deep .sneat-table table.dataTable>thead .sorting_desc:after,:host ::ng-deep .sneat-table table.dataTable>tbody .sorting:after,:host ::ng-deep .sneat-table table.dataTable>tbody .sorting_asc:after,:host ::ng-deep .sneat-table table.dataTable>tbody .sorting_desc:after{font-family:\"Font Awesome 6 Pro\"}:host ::ng-deep .sneat-table .table>div.dataTables_paginate ul.pagination .page-link{line-height:1.42857;padding:4px 10px}:host ::ng-deep .sneat-table .progress-mini,:host ::ng-deep .sneat-table .progress-mini .progress-bar{height:5px;margin-bottom:0}:host ::ng-deep .sneat-table i.grid-detail-toggle-icon{margin-top:0}:host ::ng-deep .sneat-table .table-grouped>tbody>tr.group-tr td{--bs-table-accent-bg: #dedede}\n", "@media print{*{overflow:hidden}button,.btn-group,.grid-footer{display:none}td.sorting:after,td.sorting_desc:after,td.sorting_asc:after,ds-filterdisplay,ds-selection-checkbox{visibility:hidden}div.progress-bar{background-color:currentColor!important}::ng-deep div.print-grid-container{border:1px solid transparent!important}::ng-deep h1.print{font-size:21px}.table-wrapper{max-height:none!important}}\n"] }]
        }], ctorParameters: () => [{ type: i1$2.LoggerService }, { type: i2$2.DragulaService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [LOCALE_ID]
                }] }, { type: i3$1.SwtGridDefaultConfig }, { type: ColVisibilityService }, { type: i1$1.CurrencyPipe }, { type: i3$2.BsModalService }, { type: i7.I18nService }], propDecorators: { idfield: [{
                type: Input
            }], setGridId: [{
                type: Input,
                args: ['id']
            }], cyTotalRefreshCounter: [{
                type: HostBinding,
                args: ['attr.cy-total-refresh-counter']
            }], cyCurrentRefreshCounter: [{
                type: HostBinding,
                args: ['attr.cy-current-refresh-counter']
            }], setListDatasource: [{
                type: Input,
                args: ['datasource']
            }], stickyHeader: [{
                type: Input
            }], name: [{
                type: Input
            }], small: [{
                type: Input
            }], allowKeyboardShortCuts: [{
                type: Input
            }], minHeight: [{
                type: Input
            }], maxHeightTable: [{
                type: Input
            }], maxHeight: [{
                type: Input
            }], rowHeight: [{
                type: Input
            }], filterRowHeight: [{
                type: Input
            }], headerRowHeight: [{
                type: Input
            }], headerTitleGroups: [{
                type: Input
            }], gridStoreKey: [{
                type: Input,
                args: ['store-key']
            }], hideColSelectBtn: [{
                type: Input
            }], gridClass: [{
                type: Input
            }], allowCSVDownload: [{
                type: Input
            }], csvFileName: [{
                type: Input
            }], csvConfig: [{
                type: Input
            }], allowFilter: [{
                type: Input
            }], allowSort: [{
                type: Input
            }], allowPaging: [{
                type: Input
            }], showSelectedIdsNotFoundWarning: [{
                type: Input
            }], showRowDetail: [{
                type: Input
            }], showDetailMethod: [{
                type: Input
            }], paginationInfoVariant: [{
                type: Input
            }], allowPrintDownload: [{
                type: Input
            }], printTitle: [{
                type: Input
            }], rowClassFieldName: [{
                type: Input
            }], rowDetailClassFieldName: [{
                type: Input
            }], allowSelectPageSize: [{
                type: Input
            }], _pageSizes: [{
                type: Input,
                args: ['pageSizes']
            }], allowMultiSelect: [{
                type: Input
            }], disableSelectFieldName: [{
                type: Input
            }], showEmptyGrid: [{
                type: Input
            }], emptyGridText: [{
                type: Input
            }], filterFieldsVisible: [{
                type: Input
            }], sortItemAlign: [{
                type: Input
            }], html5Draggable: [{
                type: Input
            }], onHtml5DragStart: [{
                type: Output
            }], showSelectCheckBoxes: [{
                type: Input
            }], tableHover: [{
                type: Input,
                args: ['table-hover']
            }], setConfig: [{
                type: Input,
                args: ['config']
            }], onButtonClicked: [{
                type: Output
            }], onRowClicked: [{
                type: Output
            }], onDrop: [{
                type: Output
            }], onDragulaRemove: [{
                type: Output
            }], detailOpened: [{
                type: Output
            }], loadingIndicator: [{
                type: ViewChild,
                args: ['loadingIndicator', { static: true }]
            }], filterItems: [{
                type: ViewChild,
                args: ['filterItems']
            }], table: [{
                type: ViewChild,
                args: ['table']
            }], swtGridDiv: [{
                type: ViewChild,
                args: ['swtGrid']
            }], scrolledToPosition: [{
                type: Output
            }] } });
class AggregateFunctionFormatter {
    constructor(config, col, value) {
        this.value = value;
        this.type = col.type;
        this.operator = config.operator;
        this.unit = config.unit ?? (this.useFallbackColumnUnit ? col.unit : undefined) ?? '';
        this.format = config.format ?? col.digitInfo ?? this.formatAsMoney ? '1.2' : '1.0-2';
        this.prefix = config.prefix ?? aggregateFunctionImplementations[config.operator].defaultPrefix;
    }
    getText(decimalPipe, currencyPipe) {
        const unitStr = this.unit ? ` ${this.unit}` : '';
        if (this.value === undefined)
            return `${this.prefix}-`;
        const valueString = this.formatAsMoney
            ? currencyPipe.transform(this.value, undefined, undefined, this.format) + unitStr
            : decimalPipe.transform(this.value, this.format) + unitStr;
        return `${this.prefix}${valueString}`;
    }
    get formatAsMoney() {
        return this.type === 'money' && this.useFallbackColumnUnit;
    }
    /**
     * 'count' soll nicht die Einheit der Spalte anzeigen
     */
    get useFallbackColumnUnit() {
        return ['sum', 'min', 'max'].includes(this.operator);
    }
}
class HeaderTitleGroupCol {
    constructor(key, span = 1, data) {
        this.key = key;
        this.span = span;
        this.text = data?.text;
        this.title = data?.title;
    }
    get isEmpty() { return !this.key || this.span === 0; }
    static get empty() { return new HeaderTitleGroupCol(null, 0); }
}

class GridColumn {
}
class GridColumnButton {
}
class GridTitleSpan {
    constructor() {
        this.variant = 'label';
    }
}
class GridColumnSpan {
    constructor() {
        this.variant = 'label';
    }
}
class GridConfiguration {
    constructor() {
        this.columns = [];
        this.small = true;
        this.allowFilter = true;
        this.allowSort = true;
        this.allowPaging = true;
        this.allowPrintDownload = false;
        this.allowMultiSelect = false;
        this.disableFieldName = undefined;
        this.tableHover = false;
        this.showSelectCheckBoxes = false;
        this.showEmptyGrid = false;
        this.emptyGridText = $localize `:@@Grid.NoData.dsp.Label:(Keine Datensätze)`;
        this.dragulaBag = null;
        this.filterFieldsVisible = true;
        this.hideColSelectBtn = false;
        this.headerTitleGroups = undefined;
    }
}

/**this class is used to configure the dialog*/
class DialogField {
    constructor() {
        this.calendarWeekVisible = false; //nur fuer type=date
    }
}
//Documentation: https://www.npmjs.com/package/ngx-mask
class TextMaskConfig {
}
class DialogFieldCategory {
}
class DialogDynamicList {
}
class DialogFieldButton {
}
//export class DialogFieldButtonEvent {
//  buttonIdent: string;
//  itemId: any;
//}
class DialogGridConfiguration extends GridConfiguration {
}
class RichTextConfiguration {
}
const DIALOG_FIELD_NULLVALUE = '$NULL';
//DATATYPE: the type of the data object to be edited by the dialog
//MODETYPE: optional "mode"-type of multi-purpose dialogs, e.g. "'CREATE'|'UPDATE'"
//submitResult: "OK","CANCEL" or CustomResult if using custom buttons
class GenericEditDialogResult {
}

/* eslint-disable @angular-eslint/no-output-on-prefix */
const CLASS$2 = 'GenericEditDialogBaseComponent';
class GenericEditDialogBaseComponent {
    constructor(logger, differs) {
        this.logger = logger;
        this.differs = differs;
        this.sharedConfig = inject(SharedConfigService);
        this.inputSizeDefault = 'medium';
        this.categoriesAsTabs = false;
        this.onHidden = new EventEmitter();
        this.onCancel = new EventEmitter();
        this.onSubmit = new EventEmitter();
        this.onBeforeSubmit = new EventEmitter();
        // @Output() public onFormChanged = new EventEmitter<boolean>();
        this.onChangeDetected = new EventEmitter();
        this.subscriptions = [];
        this.editItem = {}; //dialog "copy" of dtoItem. this is similiar but not identical, e.g. it contains no lookups and no sub-objects
        //------ region Input SIZE -------------------------
        this._inputSizeClass = '';
        //------ end region Input SIZE -------------------------
        this.dirty = signal(false);
        this.isDirty = this.dirty.asReadonly();
        this.categories = [];
        this.datasourceSubscriptions = new Array();
    }
    onInit() {
        this.subscriptions.push();
    }
    doCheck() {
        if (this.categories.length === 0)
            return;
        if (this.differ) {
            const changeDetected = this.differ.diff(this.editItem);
            if (changeDetected) {
                let numOfChanges = 0;
                changeDetected.forEachChangedItem((keyValueChange) => {
                    numOfChanges++;
                    this.doOnChange(keyValueChange);
                });
                if (numOfChanges > 0)
                    this.setDirty();
                this.onChangeDetected.emit();
            }
        }
        else
            this.logger.error(CLASS$2 + '.doCheck: No KeyValueDiffer found!\r\nCheck if initData() has been called');
    }
    onDestroy() {
        this.logger.log(CLASS$2 + 'onDestroy');
        for (const s of this.subscriptions)
            s.unsubscribe();
        this.unSubscribeDatasources();
    }
    hide() {
        this.unSubscribeDatasources();
    }
    get inputSizeClass() {
        return this._inputSizeClass ? this._inputSizeClass : this.getInputSizeClassForInputSize(this.inputSizeDefault);
    }
    set inputSizeClass(value) {
        this._inputSizeClass = value;
    }
    get inputSize() {
        return this._inputSize;
    }
    set inputSize(newSize) {
        this.inputSizeClass = this.getInputSizeClassForInputSize(newSize);
        this._inputSize = newSize;
    }
    getInputSizeClassForInputSize(size) {
        if (!size)
            return;
        let result;
        if (this.sharedConfig.templateKey === 'sneat') {
            switch (size) {
                case 'small':
                    result = 'form-control-sm';
                    break;
                case 'medium':
                    break;
                case 'large':
                    result = 'form-control-lg';
                    break;
                default:
                    this.logger.warn(CLASS$2 + '.getInputSizeClassForInputSize / invalid size: ' + size);
            }
        }
        else {
            switch (size) {
                case 'small':
                    result = 'input-sm';
                    break;
                case 'medium':
                    break;
                case 'large':
                    result = 'input-lg';
                    break;
                default:
                    this.logger.warn(CLASS$2 + '.getInputSizeClassForInputSize / invalid size: ' + size);
            }
        }
        return result;
    }
    resetDirty() {
        untracked(() => this.dirty.set(false));
    }
    setDirty() {
        untracked(() => this.dirty.set(true));
    }
    initData(dto, mode, //user-defined 'mode' without any logic in dialog. can e.g. be used to store meta-info like "INSERT|EDIT|DUPLICATE" in multi-role dialogs
    dynamicLists //dynamic lookups (in contrary to static) which are loaded before dialog.show. they are refernced by a lookupKey in the configuration (lookups of type string)
    ) {
        this.mode = mode;
        this.dynamicLists = dynamicLists;
        this.errorText = '';
        this.dtoItem = dto;
        this.logger.log(CLASS$2 + '.initData');
        if (dto)
            this.copyToEditItem(dto);
        else
            this.initNewEditItem();
        this.prepareItem();
        this.prepareGrid();
        this.bindGridSelectionToEditItem();
        this.differ = this.differs.find(this.editItem).create();
        this.resetDirty();
        this.setFirstCatActive();
    }
    resetData() {
        this.initData(this.dtoItem, this.mode, this.dynamicLists);
    }
    cancelDialog() {
        this.submitResult = 'CANCEL';
        this.onCancel.emit();
        this.unSubscribeDatasources();
        //this.resetData();?
        //this.hasChanges = false;?
    }
    /**
     * Abschluss der Bearbeitung:
     * Konvertiert die Form-Eingabewerte in den korrekten Typ soweit erforderlich (z.B. string nach number).
     * Kopiert die Form-Eingabewerte in das Datenobjekt zurück.
     * Löst Submit Events aus
     *
     * @param submitResult
     */
    submitDialog(submitResult = 'OK') {
        if (this.isSubmitDisabled)
            return;
        this.submitResult = submitResult;
        this.convertEditItemValuesToCorrectTypes();
        this.writeAllEditItemFieldToDtoItemFields();
        this.differ = this.differs.find(this.editItem).create();
        this.resetDirty();
        this.onBeforeSubmit.emit(this.dtoItem);
        this.onSubmit.emit(this.dtoItem);
    }
    get isSubmitDisabled() {
        let disabled = false;
        for (const field of this.getAllDialogFields) {
            disabled =
                (field.required && this.fieldIsEmpty(field.fieldname)) ||
                    (field.required2 && this.fieldIsEmpty(field.fieldname2)) ||
                    (field.type === 'password-with-confirm' && this.passwordConfirmInvalid(field)) ||
                    field.min > this.editItem[field.fieldname] ||
                    field.max < this.editItem[field.fieldname] ||
                    field.hasError;
            if (disabled)
                break;
        }
        return disabled;
    }
    showErrors(errors) {
        this.errorText = errors.join(', ');
    }
    handleKeyboardEvent(event) {
        if (!this.isShown())
            return;
        if (event.code && event.ctrlKey === true && (event.code === 'Enter' || event.code === 'NumpadEnter')) {
            this.submitDialog();
            event.preventDefault();
            return;
        }
        if (this.enterKeyAsTabKey && event.ctrlKey === false && (event.code === 'Enter' || event.code === 'NumpadEnter')) {
            const form = event.target['form'];
            if (!form)
                return;
            const focusable = form.querySelectorAll('input,a,select,button,textarea');
            let next = null;
            let currentIndex = null;
            focusable.forEach((element, index) => {
                if (event.target === element)
                    currentIndex = index;
                if ((currentIndex || currentIndex === 0) && (currentIndex + 1) === index)
                    next = element;
            });
            if (next)
                next.focus();
            else
                this.submitDialog();
            event.preventDefault();
            return;
        }
    }
    configureDialogFields(fieldsOrCategoriesOfFields) {
        this.categories = [];
        if (fieldsOrCategoriesOfFields && fieldsOrCategoriesOfFields.length > 0) {
            const firstFieldOrCategory = fieldsOrCategoriesOfFields[0];
            //@ts-ignore
            const argIsCategoryArray = firstFieldOrCategory.dialogFields;
            if (argIsCategoryArray) {
                this.categories = fieldsOrCategoriesOfFields;
                for (const cat of this.categories)
                    cat.dialogFields = this.prepareDialogFields(cat.dialogFields);
            }
            else {
                const dialogFields = fieldsOrCategoriesOfFields;
                const dummyCategory = { name: '', dialogFields: [] };
                this.categories.push(dummyCategory);
                dummyCategory.dialogFields = this.prepareDialogFields(dialogFields);
            }
        }
        const notSupportedForMask = this.getAllDialogFields.filter(f => f.textMask != null && (f.type === 'number' || f.type === 'email'));
        if (notSupportedForMask && notSupportedForMask.length > 0)
            this.logger.error('dialog field textMask not supported for type=number or type=email');
    }
    get getAllDialogFields() {
        const allDialogFields = [];
        for (const cat of this.categories) {
            for (const fields of cat.dialogFields)
                allDialogFields.push(fields);
        }
        return allDialogFields;
    }
    getDialogField(fieldname) {
        return this.getAllDialogFields.find((df) => df.fieldname === fieldname);
    }
    get visibleCategories() {
        return this.categories.filter((cat) => cat.hideIf === undefined || !cat.hideIf(this.editItem));
    }
    copyToEditItem(dto) {
        this.editItem = {};
        for (const field of this.getAllDialogFields.filter(f => f.fieldname)) {
            this.editItem[field.fieldname] = this.getValueOfDtoItem(field.fieldname);
            if (!field.multiSelectLookups && field.lookUps) {
                if (this.editItem[field.fieldname] === null)
                    this.editItem[field.fieldname] = DIALOG_FIELD_NULLVALUE;
                else if (field.type === 'number') {
                    //dirty hack: fuer edit in string umwandeln
                    this.numberToStringEditItem(field);
                }
            }
            if (field.type === 'password-with-confirm')
                this.editItem[field.fieldnamePasswordConfirm] = this.editItem[field.fieldname];
            if (field.type === 'date' && this.useBrowserDateInput(field)) {
                // der browser date input will einen string
                this.editItem[field.fieldname] = this.convertToIsoDate(this.editItem[field.fieldname]);
            }
            if (field.type === 'dateInterval') {
                this.editItem[field.fieldname] = this.convertToIsoDate(this.getValueOfDtoItem(field.fieldname));
                this.editItem[field.fieldname2] = this.convertToIsoDate(this.getValueOfDtoItem(field.fieldname2));
            }
            if (field.multiSelectLookups && this.editItem[field.fieldname] === null)
                this.editItem[field.fieldname] = [];
        }
    }
    convertToIsoDate(value) {
        return value ? moment(value).format('YYYY-MM-DD') : null;
    }
    numberToStringEditItem(field) {
        if (Array.isArray(this.editItem[field.fieldname]))
            this.editItem[field.fieldname] = this.editItem[field.fieldname].map(numberValue => '' + numberValue);
        else
            this.editItem[field.fieldname] = '' + this.editItem[field.fieldname];
    }
    stringToNumberEditItem(field) {
        const value = this.editItem[field.fieldname];
        if (value === undefined || value === null || value === DIALOG_FIELD_NULLVALUE)
            return null;
        if (Array.isArray(value))
            this.editItem[field.fieldname] = value.map(stringValue => parseFloat(stringValue));
        else
            this.editItem[field.fieldname] = parseFloat(value);
    }
    getValueOfDtoItem(fieldname) {
        let value = null;
        if (fieldname) {
            const fieldParts = fieldname.split('.');
            value = this.dtoItem[fieldParts[0]];
            for (let i = 1; i < fieldParts.length; i++) {
                try {
                    value = value[fieldParts[i]];
                }
                catch (e) {
                    this.logger.error(CLASS$2 + ': error in accessing part ' + fieldParts[i] + ' of fieldname: ' + fieldname);
                }
            }
        }
        return value;
    }
    initNewEditItem() {
        this.editItem = {};
        for (const field of this.getAllDialogFields.filter(f => f.fieldname)) {
            if (field.default !== undefined)
                this.editItem[field.fieldname] = field.default;
            else if (this.getLookups(field.fieldname).length > 0 && field.required)
                this.editItem[field.fieldname] = this.getLookups(field.fieldname)[0].value;
            else if (field.controlType === 'grid' || field.controlType === 'dropdown-grid')
                this.editItem[field.fieldname] = [];
            else {
                switch (field.type) {
                    case 'number':
                        this.editItem[field.fieldname] = field.multiSelectLookups ? [] : 0;
                        break;
                    case 'boolean':
                        this.editItem[field.fieldname] = false;
                        break;
                    case 'date':
                        const todayIso = moment().format('YYYY-MM-DD');
                        this.editItem[field.fieldname] = todayIso;
                        break;
                    case 'password-with-confirm':
                        this.editItem[field.fieldname] = '';
                        this.editItem[field.fieldnamePasswordConfirm] = '';
                        break;
                    case 'time':
                        this.editItem[field.fieldname] = '00:00';
                        break;
                    default:
                        this.editItem[field.fieldname] = field.multiSelectLookups ? [] : '';
                        break;
                }
            }
            if (field.type === 'number') {
                //dirty hack: fuer edit in string umwandeln
                this.numberToStringEditItem(field);
            }
        }
    }
    prepareItem() {
        //-- getSelectItem methode zufügen
        if (this.editItem.getSelectItem === undefined)
            this.editItem.getSelectItem = (fieldname) => this.getSelectItem(fieldname);
    }
    convertEditItemValuesToCorrectTypes() {
        for (const field of this.getAllDialogFields.filter(f => f.fieldname)) {
            switch (field.type) {
                case 'number':
                case 'money':
                    //fix von ggf durch HTML Inputs auf string geaenderte numbers => zurueck auf number
                    if (typeof (this.editItem[field.fieldname]) !== 'number')
                        this.stringToNumberEditItem(field);
                    break;
                case 'password-with-confirm':
                    if (this.passwordConfirmInvalid(field))
                        this.editItem[field.fieldname] = null; //auf null zurücksetzen => keien aenderung
                    break;
                case 'boolean':
                    if (typeof (this.editItem[field.fieldname]) !== 'boolean')
                        this.editItem[field.fieldname] = this.stringToNullOrBool(this.editItem[field.fieldname]);
                    break;
            }
            if (this.editItem[field.fieldname] === DIALOG_FIELD_NULLVALUE)
                this.editItem[field.fieldname] = null;
        }
    }
    stringToNullOrBool(value) {
        if (value === undefined || value === null || value === DIALOG_FIELD_NULLVALUE)
            return null;
        else if (typeof value === 'string' && value === 'false')
            return false;
        else
            return true;
    }
    writeAllEditItemFieldToDtoItemFields() {
        for (const field of this.getAllDialogFields.filter(f => f.fieldname)) {
            this.writeEditItemFieldToDtoItemField(field.fieldname, this.editItem[field.fieldname]);
            this.writeEditItemFieldToDtoItemField(field.fieldname2, this.editItem[field.fieldname2]);
        }
    }
    writeEditItemFieldToDtoItemField(fieldname, value) {
        if (fieldname) {
            const fieldParts = fieldname.split('.');
            if (!this.dtoItem)
                this.dtoItem = {};
            let cascObj = this.dtoItem;
            for (let i = 0; i < fieldParts.length; i++) {
                const isLast = i === fieldParts.length - 1;
                if (!isLast) {
                    //unterobjekte instantiieren, wenn noetig
                    if (cascObj[fieldParts[i]] === undefined)
                        cascObj[fieldParts[i]] = {};
                    cascObj = cascObj[fieldParts[i]];
                }
                else
                    cascObj[fieldParts[i]] = value;
            }
        }
    }
    fieldIsEmpty(fieldname) {
        const value = this.editItem[fieldname];
        return value === undefined
            || value === null
            || value === ''
            || value === DIALOG_FIELD_NULLVALUE
            || (Array.isArray(value) && value.length === 0);
    }
    //extends the dialogFields to dialogFieldConfiguration instances (adds the controlType property and does other initialization or default handling)
    prepareDialogFields(dialogFields) {
        const configFields = dialogFields;
        for (const configField of configFields) {
            //auto-configure the control type
            if (!configField.type)
                configField.type = 'text';
            configField.controlType = this.getControlType(configField);
            //handle lookup initialization
            if (configField.lookUps && Array.isArray(configField.lookUps) && configField.lookUps.length > 0) {
                const isArrayOfString = (typeof (configField.lookUps[0]) === 'string');
                if (isArrayOfString) {
                    const stringLookups = configField.lookUps;
                    const selectItemLookUps = stringLookups.map((stringLookup) => ({ text: stringLookup, value: stringLookup }));
                    configField.lookUps = selectItemLookUps;
                }
            }
            //--handle password confirmation
            if (configField.type === 'password-with-confirm') {
                if (configField.fieldnamePasswordConfirm === undefined)
                    configField.fieldnamePasswordConfirm = (configField.fieldname + 'PasswordConfirm');
            }
            //-- handle multiSelectLookups
            if (configField.multiSelectLookups === undefined)
                configField.multiSelectLookups = false;
        }
        return configFields;
    }
    getControlType(field) {
        let result;
        let fieldType = field.type;
        if (!fieldType)
            fieldType = 'text';
        let variant = 'OTHER';
        if (field.lookUps)
            variant = 'SELECT';
        else if (field.grid)
            variant = 'GRID';
        else if (field.richText)
            variant = 'RICH_TEXT';
        switch (variant) {
            case 'SELECT':
                if (field.type === 'color-select')
                    result = 'color-picker';
                else
                    result = 'select';
                break;
            case 'GRID':
                if (field.grid !== null && field.grid.showAsDropDownFieldName)
                    result = 'dropdown-grid';
                else
                    result = 'grid';
                break;
            case 'RICH_TEXT':
                result = 'rich-text';
                break;
            default:
                switch (fieldType) {
                    case 'boolean':
                        result = 'checkbox';
                        break;
                    case 'date':
                        result = (field.controlTypeVariant === 'input') ? 'dateInput' : fieldType;
                        break;
                    default:
                        result = fieldType;
                        break;
                }
                break;
        }
        return result;
    }
    passwordConfirmInvalid(field) {
        return this.editItem[field.fieldname] !== this.editItem[field.fieldnamePasswordConfirm];
    }
    hasLookups(arg1) {
        const field = typeof (arg1) === 'string' ? this.getDialogField(arg1) : arg1;
        const lookups = this.getLookups(field);
        const emptyCount = field.addEmptyLookup ? 1 : 0;
        return lookups && lookups.length > emptyCount;
    }
    getGroupableLookups(field) {
        return this.mapGroupedLookups(this.getLookups(field));
    }
    getLookups(arg1) {
        const field = typeof (arg1) === 'string' ? this.getDialogField(arg1) : arg1;
        let lookUpItems = [];
        if (field.lookUps) {
            if (Array.isArray(field.lookUps))
                lookUpItems = field.lookUps;
            if (typeof (field.lookUps) === 'string')
                lookUpItems = this.getDynamicLookupItems(field);
        }
        if (field.addEmptyLookup && !lookUpItems.find((item) => item.value === DIALOG_FIELD_NULLVALUE && item.text === field.addEmptyLookup))
            lookUpItems.unshift({ value: DIALOG_FIELD_NULLVALUE, text: field.addEmptyLookup });
        if (field.onLookUp)
            lookUpItems = field.onLookUp(lookUpItems, this.editItem);
        return this.lookupTypeCheck(field, lookUpItems);
    }
    lookupTypeCheck(field, lookUpItems) {
        if (lookUpItems && lookUpItems.length > 0) {
            if (field.type === 'number') {
                lookUpItems.forEach(i => i.value = i.value !== DIALOG_FIELD_NULLVALUE ? +i.value : i.value);
                return lookUpItems;
            }
        }
        return lookUpItems;
    }
    mapGroupedLookups(items) {
        const result = [];
        const titleIndexDic = {};
        for (const item of items) {
            const title = this.isGroupedSelectItem(item) ? item.title : undefined;
            if (!titleIndexDic[title]) {
                const index = result.push({ title, items: [] }) - 1;
                titleIndexDic[title] = index;
            }
            result[titleIndexDic[title]].items.push(item);
        }
        return result;
    }
    isGroupedSelectItem(item) {
        return 'title' in item && !!item.title;
    }
    doOnChange(keyValueChange) {
        const currentValue = keyValueChange.currentValue !== undefined && keyValueChange.currentValue !== null ? keyValueChange.currentValue.toString() : null;
        const previousValue = keyValueChange.previousValue !== undefined && keyValueChange.previousValue !== null ? keyValueChange.previousValue.toString() : null;
        if (currentValue !== previousValue) {
            const field = this.getDialogField(keyValueChange.key);
            if (field && field.onChange)
                field.onChange(this.editItem, keyValueChange.previousValue);
        }
    }
    getSelectItem(fieldname) {
        const selectItems = this.getLookups(fieldname);
        return selectItems.find((s) => s.value === this.editItem[fieldname]);
    }
    setCatActive(activeCat) {
        for (const cat of this.categories)
            cat.active = false;
        activeCat.active = true;
    }
    setFirstCatActive() {
        const firstCat = this.categories.length > 0 ? this.categories[0] : null;
        if (firstCat)
            this.setCatActive(firstCat);
    }
    getDynamicLookupItems(field) {
        let lookUpItems = [];
        let dynamicList = this.getDynamicList(field, field.lookUps);
        if (dynamicList && !dynamicList.lookupItems) {
            this.logger.error('dynamicList with key=' + field.lookUps + ' misses the property \'lookupItems\'');
            dynamicList = null;
        }
        lookUpItems = dynamicList ? dynamicList.lookupItems : [];
        return lookUpItems;
    }
    //private dataSource: DatasourceComponent;
    getDynamicDatasource(field) {
        let dataSource = null;
        let dynamicList = this.getDynamicList(field, field.grid.datasource);
        if (dynamicList && !dynamicList.datasource) {
            this.logger.error('dynamicList with key=' + field.grid.datasource + ' has no datasource');
            dynamicList = null;
        }
        dataSource = dynamicList ? dynamicList.datasource : null;
        return dataSource;
    }
    getDynamicList(field, key) {
        let dynamicList = null;
        if (!this.dynamicLists)
            this.logger.error('unexpected: dynamicLists Array is undefined');
        else {
            dynamicList = this.dynamicLists.find((dl) => dl.key === key);
            if (!dynamicList)
                this.logger.warn('dynamicLists with key=' + key + ' not found');
        }
        return dynamicList;
    }
    onButtonClicked(btn, editItem) {
        if (btn.onButtonClicked)
            btn.onButtonClicked(editItem);
        if (btn.submitDialog)
            this.submitDialog(btn.submitResult);
    }
    doOnDropdownGridShown(fieldname) {
        const field = this.getDialogField(fieldname);
        if (field && field.grid && field.grid.onDropdownGridShown) {
            const datasource = this.getDynamicDatasource(field);
            field.grid.onDropdownGridShown(this.editItem, fieldname, datasource);
        }
    }
    prepareGrid() {
        for (const field of this.getAllDialogFields) {
            if (field.controlType === 'grid' || field.controlType === 'dropdown-grid') {
                const datasource = this.getDynamicDatasource(field);
                if (datasource) {
                    datasource.setSelection(this.editItem[field.fieldname] ? this.editItem[field.fieldname] : []);
                    if (field.grid.pageSize) {
                        //Der Timeout wird dafür benötigt, da zu diesem Zeitpunkt die Pagination der DS noch nicht initialisiert sein kann.
                        setTimeout(() => datasource.setPageSize(field.grid.pageSize));
                    }
                }
            }
        }
    }
    bindGridSelectionToEditItem() {
        for (const field of this.getAllDialogFields) {
            if (field.controlType === 'grid' || field.controlType === 'dropdown-grid') {
                const datasource = this.getDynamicDatasource(field);
                if (datasource) {
                    this.datasourceSubscriptions.push(datasource.onSelectedIdsChanges.subscribe((selectedIds) => {
                        this.editItem[field.fieldname] = selectedIds;
                    }));
                }
            }
        }
    }
    unSubscribeDatasources() {
        for (const s of this.datasourceSubscriptions)
            s.unsubscribe();
        this.datasourceSubscriptions = new Array();
    }
    hasDatePicker() {
        const input = document.createElement('input');
        input.setAttribute('type', 'date');
        input.value = '2038-01-20';
        return !!input.valueAsDate;
    }
    useBrowserDateInput(field) {
        return this.hasDatePicker() && !field.calendarWeekVisible;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogBaseComponent, deps: [{ token: i1$2.LoggerService }, { token: i0.KeyValueDiffers }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: GenericEditDialogBaseComponent, isStandalone: true, inputs: { inputSizeDefault: "inputSizeDefault", categoriesAsTabs: "categoriesAsTabs" }, outputs: { onHidden: "onHidden", onCancel: "onCancel", onSubmit: "onSubmit", onBeforeSubmit: "onBeforeSubmit", onChangeDetected: "onChangeDetected" }, host: { listeners: { "document:keypress": "handleKeyboardEvent($event)" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogBaseComponent, decorators: [{
            type: Directive
        }], ctorParameters: () => [{ type: i1$2.LoggerService }, { type: i0.KeyValueDiffers }], propDecorators: { inputSizeDefault: [{
                type: Input
            }], categoriesAsTabs: [{
                type: Input
            }], onHidden: [{
                type: Output
            }], onCancel: [{
                type: Output
            }], onSubmit: [{
                type: Output
            }], onBeforeSubmit: [{
                type: Output
            }], onChangeDetected: [{
                type: Output
            }], handleKeyboardEvent: [{
                type: HostListener,
                args: ['document:keypress', ['$event']]
            }] } });

const CLASS$1 = 'GenericEditDialogService';
class GenericEditDialogService {
    constructor(loggerService) {
        this.loggerService = loggerService;
        this.notify = new Subject();
        this.notifySubscriptions = new Array();
        this.registeredConfigurations = new Array();
        this.onCancel = new Subject();
        this.onHidden = new Subject();
    }
    raiseNotify(data) {
        this.loggerService.log(CLASS$1 + '.raiseNotify');
        this.notify.next(data);
    }
    subscribeOnNotify(next) {
        this.unsubscribeNotifies();
        this.notifySubscriptions.push(this.notify.subscribe(next));
    }
    unsubscribeNotifies() {
        for (const sub of this.notifySubscriptions)
            sub.unsubscribe();
    }
    setDialogComponent(dialogComponent) {
        this.dialogComponent = dialogComponent;
    }
    registerDialogConfiguration(key, arg2, title, categoriesAsTabs) {
        let dialogConfiguration;
        if (arg2.fieldsOrCategoriesOfFields == undefined) {
            const fieldsOrCategoriesOfFields = arg2;
            const useTabs = categoriesAsTabs === true;
            dialogConfiguration = new DialogConfiguration(fieldsOrCategoriesOfFields, title, useTabs);
        }
        else
            dialogConfiguration = arg2;
        this.registeredConfigurations[key] = dialogConfiguration;
    }
    getDialogConfiguration(key) {
        if (this.registeredConfigurations[key] == undefined)
            this.loggerService.error('the requested dialog configuration with key=' + key + ' is not registered');
        return this.registeredConfigurations[key];
    }
    show(arg1, dto, mode, lookups) {
        let key = '';
        let configuration;
        if (typeof (arg1) === 'string') {
            key = arg1;
            configuration = this.getDialogConfiguration(key);
        }
        else
            configuration = arg1;
        return this.showConfig(configuration, dto, lookups, mode, key);
    }
    showConfig(configuration, dto, lookups, mode = null, key = '') {
        if (!this.dialogComponent)
            this.loggerService.error('No GenericEditDialogComponent provided. Put a GenericEditDialogComponent to the main view and call the setDialogComponent-method ');
        this.dialogComponent.onSubmit.observers = [];
        this.dialogComponent.titleSingular = configuration.title;
        this.dialogComponent.categoriesAsTabs = configuration.categoriesAsTabs;
        this.dialogComponent.size = configuration.size;
        this.dialogComponent.inputSize = configuration.inputSize;
        this.dialogComponent.enterKeyAsTabKey = configuration.enterKeyAsTabKey;
        this.dialogComponent.hideOkButton = configuration.hideOkButton;
        this.dialogComponent.hideCancelButton = configuration.hideCancelButton;
        this.dialogComponent.configureDialogFields(configuration.fieldsOrCategoriesOfFields);
        // const hiddenSubscription: Subscription = this.dialogComponent.onHidden.subscribe(() => { hiddenSubscription.unsubscribe(); this.onHidden.next(); });
        // const cancelSubscription: Subscription = this.dialogComponent.onCancel.subscribe(() => { cancelSubscription.unsubscribe(); this.onCancel.next(); });
        this.hiddenSubscription = this.dialogComponent.onHidden.subscribe(() => { this.hiddenSubscription.unsubscribe(); this.onHidden.next(); });
        this.cancelSubscription = this.dialogComponent.onCancel.subscribe(() => { this.cancelSubscription.unsubscribe(); this.onCancel.next(); });
        this.dialogComponent.show(dto, mode, lookups);
        return this.dialogComponent.onSubmit
            .pipe(map((dto) => ({
            key,
            dto,
            mode,
            submitResult: this.dialogComponent.submitResult
        })))
            .pipe(tap((result) => {
            this.dialogComponent.hide();
            this.hiddenSubscription.unsubscribe();
            this.cancelSubscription.unsubscribe();
        }));
        // .map((dto: DATATYPE) => {
        //     return {
        //         key: key,
        //         dto: dto,
        //         mode: mode,
        //         submitResult: this.dialogComponent.submitResult
        //     }
        // })
        // .do((result: GenericEditDialogResult<DATATYPE, any>) => {
        //     this.dialogComponent.hide();
        //     hiddenSubscription.unsubscribe();
        //     cancelSubscription.unsubscribe();
        // })
        // ;
    }
    hide() {
        this.dialogComponent.hide();
    }
    showErrors(errors) {
        this.dialogComponent.showErrors(errors);
        //resubscribe to Subscriptions
        this.dialogComponent.bindGridSelectionToEditItem();
        this.hiddenSubscription = this.dialogComponent.onHidden.subscribe(() => { this.hiddenSubscription.unsubscribe(); this.onHidden.next(); });
        this.cancelSubscription = this.dialogComponent.onCancel.subscribe(() => { this.cancelSubscription.unsubscribe(); this.onCancel.next(); });
    }
    focus(fieldname) {
        this.dialogComponent.focus(fieldname);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogService, deps: [{ token: i1$2.LoggerService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1$2.LoggerService }] });
class DialogConfiguration {
    constructor(fieldsOrCategoriesOfFields, title = '', categoriesAsTabs, size, inputSize, enterKeyAsTabKey = false) {
        this.fieldsOrCategoriesOfFields = fieldsOrCategoriesOfFields;
        this.title = title;
        this.categoriesAsTabs = categoriesAsTabs;
        this.size = size;
        this.inputSize = inputSize;
        this.enterKeyAsTabKey = enterKeyAsTabKey;
        this.categoriesAsTabs = categoriesAsTabs == undefined ? true : false;
    }
}

// eslint-disable-next-line @typescript-eslint/no-explicit-any
class SwtGenericEditDialogFormComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogFormComponentBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: SwtGenericEditDialogFormComponentBase, isStandalone: true, inputs: { component: "component" }, viewQueries: [{ propertyName: "dialogForm", first: true, predicate: ["dialogForm"], descendants: true, static: true }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogFormComponentBase, decorators: [{
            type: Directive
        }], propDecorators: { component: [{
                type: Input
            }], dialogForm: [{
                type: ViewChild,
                args: ['dialogForm', { static: true }]
            }] } });
class SwtGenericEditDialogFormInspiniaComponent extends SwtGenericEditDialogFormComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogFormInspiniaComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.13", type: SwtGenericEditDialogFormInspiniaComponent, isStandalone: false, selector: "swt-generic-edit-dialog-form-inspinia", usesInheritance: true, ngImport: i0, template: "<form class=\"form form-horizontal\" #dialogForm=\"ngForm\" autocomplete=\"off\">\r\n    <div *ngFor=\"let field of component.cat.dialogFields\"\r\n        [ngClass]=\"[field.required ? 'required' : '', field.cssClass ?? '']\" [ngSwitch]=\"field.controlType\"\r\n        [hidden]=\"!component.fieldVisible(field)\">\r\n        <div *ngSwitchDefault class=\"form-group\" [ngClass]=\"component.formErrors[field.fieldname]?'has-error':''\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                {{field.text}} <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div class=\"col-sm-8\">\r\n                @if (field.textMask) {\r\n                    <input type=\"{{field.controlType}}\" [mask]=\"field.textMask.mask\"\r\n                           [patterns]=\"field.textMask.patterns\" [showMaskTyped]=\"field.textMask.showMaskTyped\"\r\n                           [dropSpecialCharacters]=\"false\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                           [required]=\"field.required\" [autofocus]=\"field.autofocus\" [ngClass]=\"component.inputClass\"\r\n                           [style]=\"field.controlStyle\" [id]=\"field.fieldname\"/>\r\n                } @else if (field.controlType === 'number' && field.showSpinnerButtons !== false) {\r\n                    <div class=\"input-group\">\r\n                        <span class=\"input-group-addon btn btn-default\"\r\n                              (click)=\"component.clickSpinnerDown($event,field)\">-</span>\r\n                        <input type=\"number\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                               name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                               [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                               [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\"/>\r\n                        <span class=\"input-group-addon btn btn-default\"\r\n                              (click)=\"component.clickSpinnerUp($event,field)\">+</span>\r\n                    </div>\r\n                } @else {\r\n                    <input type=\"{{field.controlType}}\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                           [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                           [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                           [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                           [autocomplete]=\"field.controlType === 'password' ? 'new-password':'off'\"\r\n                           pattern=\"{{field.controlType==='time'?'^[0-9]{2}:[0-9]{2}(:[0-9]{2})?$':''}}\"  [id]=\"field.fieldname\"/>\r\n                }\r\n\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"m-t-xs alert alert-danger\">\r\n                    {{ component.formErrors[field.fieldname] }}\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'money'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{ component.formatMoneyText(field) }}</label>\r\n                <div class=\"col-sm-8\">\r\n                    <input type=\"number\" class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\"\r\n                        [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [attr.name]=\"field.fieldname\" [id]=\"field.fieldname\">\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'password-with-confirm'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div class=\"col-sm-8\">\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                        [ngClass]=\"component.inputClass\" autocomplete=\"new-password\" [id]=\"field.fieldname\" />\r\n                    <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" i18n=\"@@SwtGenericEditDialog.Repeat.dsp.Label\" [for]=\"'confirm--' + field.fieldname\">\r\n                    {{field.text}} Wiederholung\r\n                </label>\r\n                <div class=\"col-sm-8\">\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"'PasswordPasswordConfirm'\"\r\n                        name=\"PasswordPasswordConfirm\" [(ngModel)]=\"component.editItem[field.fieldnamePasswordConfirm]\"\r\n                        [maxlength]=\"field.maxLength\" [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                        autocomplete=\"new-password\" [id]=\"'confirm--' + field.fieldname\" />\r\n                    <div *ngIf=\"component.passwordConfirmInvalid(field)\" class=\"text-danger\"\r\n                        i18n=\"@@SwtGenericEditDialog.PasswordMismatch.dsp.Label\">\r\n                        Die Passw\u00F6rter stimmen nicht \u00FCberein\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'checkbox'\" class=\"form-group\">\r\n            <label class=\"col-sm-4\" [ngClass]=\"{'control-label': field.text}\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n            <div class=\"col-sm-8 form-control-static\">\r\n                <swt-checkbox [activeChangeDetectionHack]=\"true\" [name]=\"field.fieldname\"\r\n                    [(ngModel)]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></swt-checkbox>\r\n                <label *ngIf=\"field.unit\" class=\"m-l-xs m-b-none\" style=\"vertical-align: middle;\">{{field.unit}}</label>\r\n                <br>\r\n                <span *ngIf=\"field.help\" class=\"help-block m-t-sm m-b-none\">{{field.help}}</span>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'date'\" class=\"form-group\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n            <div class=\"col-sm-8\">\r\n                @if (component.useBrowserDateInput(field)) {\r\n                    <input type=\"date\" class=\"form-control no-spinners\"\r\n                           [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                           [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                           [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                } @else {\r\n                    <swt-dropdown-container  [closeWhenClickOutside]=\"true\"  [container]=\"component.swtDropdownContainerContainer\" #datedropdown\r\n                                            [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                            (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                    <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                        [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                        [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                        </swt-date-input>\r\n                        <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                         name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                         (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                    </swt-dropdown-container>\r\n                }\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"m-t-xs alert alert-danger\">\r\n                    {{ component.formErrors[field.fieldname] }}\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInterval'\" class=\"form-group\">\r\n            <div class=\"col-sm-12\">\r\n                <div class=\"row\">\r\n                    <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                    <div class=\"col-sm-8\">\r\n                        @if (component.useBrowserDateInput(field)) {\r\n                            <input type=\"date\" class=\"form-control no-spinners\"\r\n                                   [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                                   [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                   [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                        } @else {\r\n                            <swt-dropdown-container [closeWhenClickOutside]=\"true\" [container]=\"component.swtDropdownContainerContainer\" #datedropdown [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                                    (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                                <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                                [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                                [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                                </swt-date-input>\r\n                                <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                                 name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                                 (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                            </swt-dropdown-container>\r\n                        }\r\n                        <div *ngIf=\"field.help\" class=\"help-block m-b-sm\">{{field.help}}</div>\r\n                        <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"m-t-xs alert alert-danger\">\r\n                            {{ component.formErrors[field.fieldname] }}\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class=\"row\">\r\n                    <label class=\"control-label col-sm-4\" [for]=\"field.fieldname2\">{{field.text2}}</label>\r\n                    <div class=\"col-sm-8\">\r\n                        @if (component.useBrowserDateInput(field)) {\r\n                            <input type=\"date\" class=\"form-control no-spinners\"\r\n                                   [ngClass]=\"component.inputClass\" [name]=\"field.fieldname2\" [required]=\"field.required2\"\r\n                                   [(ngModel)]=\"component.editItem[field.fieldname2]\" [autofocus]=\"field.autofocus\" [id]=\"field.fieldname2\">\r\n                        } @else if (!component.useBrowserDateInput(field)) {\r\n                            <swt-dropdown-container  [closeWhenClickOutside]=\"true\" [container]=\"component.swtDropdownContainerContainer\" #datedropdown2\r\n                                                     [id]=\"field.fieldname2\" [allowClear]=\"!field.required2\"\r\n                                                    (onClear)=\"component.dropDownClearClicked(field.fieldname2)\" [width]=\"'100%'\">\r\n                                <swt-date-input dropdown-input [name]=\"field.fieldname2\"\r\n                                                [(ngModel)]=\"component.editItem[field.fieldname2]\" [required]=\"field.required2\"\r\n                                                [class]=\"component.inputClass\" [id]=\"field.fieldname2\">\r\n                                </swt-date-input>\r\n                                <swt-date-picker #swtDatePicker2 [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                                 name=\"{{field.fieldname2}}\" week [(ngModel)]=\"component.editItem[field.fieldname2]\"\r\n                                                 (change)=\"datedropdown2.collapse()\"></swt-date-picker>\r\n                            </swt-dropdown-container>\r\n                        }\r\n                        <span *ngIf=\"field.help2\" class=\"help-block m-b-none\">{{field.help2}}</span>\r\n                        <div *ngIf=\"component.formErrors[field.fieldname2]\" class=\"m-t-xs alert alert-danger\">\r\n                            {{ component.formErrors[field.fieldname2] }}\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInput'\" class=\"form-group\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n            <input class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                [autofocus]=\"field.autofocus\" type=\"date\" [id]=\"field.fieldname\">\r\n        </div>\r\n        <div *ngSwitchCase=\"'textarea'\" class=\"form-group\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                {{field.text}}\r\n                <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div class=\"col-sm-8\">\r\n                <textarea class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                    [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                    [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                    [style]=\"field.controlStyle ? field.controlStyle : 'height: 5em;'\"\r\n                    [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\"></textarea>\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'info-text'\" class=\"form-group\">\r\n            <label *ngIf=\"field.text\" class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                {{field.text}}\r\n                <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div [ngClass]=\"field.text ? 'col-sm-8' :'col-sm-12'\" class=\"form-control-static\">\r\n                <p *ngIf=\"field.fieldname\" class=\"text-wrap\" [style]=\"field.controlStyle\"\r\n                    [innerHTML]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></p>\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'select'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div class=\"col-sm-8\">\r\n                    @if (field.type === 'lru') {\r\n                        @if (field.multiSelectLookups) {\r\n                            <multi-lru [name]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                       [inputSelectItems]=\"component.getLookups(field)\" [inputSelectItemsFn]=\"field.lookUpSearchFn\"\r\n                                       [value]=\"component.editItem[field.fieldname]\"\r\n                                       (selectedTexts)=\"component.editItem[field.fieldname]=$event\"\r\n                                       [cssClass]=\"component.inputClass\" [id]=\"field.fieldname\"></multi-lru>\r\n                        } @else {\r\n                            <swt-lru #swtlru [key]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                     [inputSelectItems]=\"component.getLookups(field)\"\r\n                                     [preSetText]=\"component.editItem[field.fieldname]\"\r\n                                     (valueChange)=\"component.editItem[field.fieldname]=$event\"\r\n                                     [cssClass]=\"component.inputClass\" [id]=\"field.fieldname\"></swt-lru>\r\n                        }\r\n                    } @else if (!component.hasLookups(field)) {\r\n                        <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                    } @else if (field.multiSelectLookups) {\r\n                        <div class=\"position-relative\">\r\n                            <ng-select [ngStyle]=\"{'z-index':field.zIndex ? field.zIndex : 3}\" class=\"form-control\"\r\n                                       placeholder=\"(Ausw\u00E4hlen)\" i18n-placeholder=\"@@SwtGenericEditDialog.Choose.dsp.Label\"\r\n                                       [multiple]=\"true\" [items]=\"component.getLookupsWithLabel(field)\"\r\n                                       [attr.name]=\"field.fieldname\" (change)=\"component.onSelectChanged(field.fieldname)\"\r\n                                       name=\"{{field.fieldname}}\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                       [clearOnBackspace]=\"true\" [bindValue]=\"'value'\" [ngClass]=\"component.inputClass\"\r\n                                       [addTag]=\"true\" [id]=\"field.fieldname\">\r\n                            </ng-select>\r\n                        </div>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    } @else if (field.radioLookups) {\r\n                        <div *ngFor=\"let lookUp of component.getLookups(field)\" class=\"radio\">\r\n                            <label (click)=\"component.editItem[field.fieldname] = lookUp.value\"\r\n                                   for=\"{{field.fieldname}}-{{lookUp.value}}\">\r\n                                <input [attr.name]=\"field.fieldname\" type=\"radio\"\r\n                                       (change)=\"component.onSelectChanged(field.fieldname)\"\r\n                                       id=\"{{field.fieldname}}-{{lookUp.value}}\"\r\n                                       name=\"{{field.fieldname}}-{{lookUp.value}}\" value=\"{{lookUp.value}}\"\r\n                                       [style]=\"field.controlStyle\" [(ngModel)]=\"component.editItem[field.fieldname]\">\r\n                                {{lookUp.text}}\r\n                            </label>\r\n                        </div>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    } @else {\r\n                        <select class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                                [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                                [ngClass]=\"component.inputClass\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                (change)=\"component.onSelectChanged(field.fieldname)\" [id]=\"field.fieldname\">\r\n                            <ng-container\r\n                                *ngFor=\"let group of component.getGroupableLookups(field);trackBy: component.idenitifyGroupableLookupsChanged\">\r\n                                <optgroup *ngIf=\"group.title\" [label]=\"group.title\">\r\n                                    <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                        {{lookup.text}}\r\n                                    </option>\r\n                                </optgroup>\r\n                                <ng-container *ngIf=\"!group.title\">\r\n                                    <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                        {{lookup.text}}\r\n                                    </option>\r\n                                </ng-container>\r\n                            </ng-container>\r\n                        </select>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    }\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'dropdown-grid'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div class=\"col-sm-8\">\r\n                    <!-- fix f\u00FCr onChange -->\r\n                    <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [ngModel]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\" />\r\n\r\n                    <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" [attr.name]=\"field.fieldname\" #gridDropDownContainer\r\n                        [displayValue]=\"component.getDisplayValueOrDefault(field,' ')\" [width]=\"'100%'\"\r\n                        (onShow)=\"component.doOnDropdownGridShown(field.fieldname)\">\r\n                        <div class=\"p-sm drop-down-grid\">\r\n                            <swt-grid [minHeight]=\"'0'\" [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                                [datasource]=\"component.getDynamicDatasource(field)\"\r\n                                [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                                [pageSizes]=\"field.grid.pageSizes ?? [10,20,30]\">\r\n                            </swt-grid>\r\n                            <div class=\"pull-right m-t-sm\">\r\n                                <button [attr.name]=\"field.fieldname+'_btn_ok'\" class=\"btn btn-primary\"\r\n                                    (click)=\"gridDropDownContainer.collapse()\" i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                            </div>\r\n                        </div>\r\n                    </swt-dropdown-container>\r\n                    <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'grid'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            <swt-grid [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                [datasource]=\"component.getDynamicDatasource(field)\" [minHeight]=\"\"\r\n                [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                [pageSizes]=\"field.grid.pageSizes ?? []\"></swt-grid>\r\n            <!-- fix f\u00FCr onChange -->\r\n            <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [style]=\"field.controlStyle\" [ngModel]=\"component.editItem[field.fieldname]\" />\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'divider'\" class=\"form-group\">\r\n            <div class=\"hr-line-dashed m-t-xs m-b-xs\"></div>\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <p *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</p>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'buttons'\">\r\n            <div class=\"form-group\" *ngIf=\"component.containsFormButtons(field)\">\r\n                <label class=\"control-label col-sm-4\">{{field.text}}</label>\r\n                <div class=\"col-sm-8 form-control-static\">\r\n                    <button *ngFor=\"let btn of component.formButtons(field)\" type=\"button\"\r\n                        class=\"btn m-r-xs {{btn.buttonClass}}\"\r\n                        [ngClass]=\"{'btn-xs':component.small,'btn-sm':!component.small}\" [title]=\"btn.tooltip\"\r\n                        [style]=\"field.controlStyle\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                        [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                        {{btn.text}}\r\n                    </button>\r\n                    <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'hidden'\">\r\n            <input type=\"{{field.controlType}}\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                [style]=\"field.controlStyle\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                [autofocus]=\"field.autofocus\" />\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'rich-text'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            <div class=\"form-group\">\r\n                <swt-quill-editor [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                    [config]=\"field.richText\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                    [placeholder]=\"field.placeholder?field.placeholder:''\"> </swt-quill-editor>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'color-picker'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div class=\"col-sm-8\">\r\n                    @if (component.hasLookups(field)) {\r\n                        <swt-color-picker [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                          [selectColors]=\"$any(component.getLookups(field))\" [required]=\"field.required\"\r\n                                          [config]=\"field.colorPicker\" [id]=\"field.fieldname\">\r\n                        </swt-color-picker>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    } @else {\r\n                        <div class=\"col-sm-8\">\r\n                            <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                        </div>\r\n                    }\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n    </div>\r\n</form>\r\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i1$1.NgSwitchDefault, selector: "[ngSwitchDefault]" }, { kind: "component", type: i2$1.NgSelectComponent, selector: "ng-select", inputs: ["ariaLabelDropdown", "bindLabel", "bindValue", "ariaLabel", "markFirst", "placeholder", "fixedPlaceholder", "notFoundText", "typeToSearchText", "preventToggleOnRightClick", "addTagText", "loadingText", "clearAllText", "appearance", "dropdownPosition", "appendTo", "loading", "closeOnSelect", "hideSelected", "selectOnTab", "openOnEnter", "maxSelectedItems", "groupBy", "groupValue", "bufferAmount", "virtualScroll", "selectableGroup", "selectableGroupAsModel", "searchFn", "trackByFn", "clearOnBackspace", "labelForId", "inputAttrs", "tabIndex", "readonly", "searchWhileComposing", "minTermLength", "editableSearchTerm", "ngClass", "typeahead", "multiple", "addTag", "searchable", "clearable", "isOpen", "items", "compareWith", "clearSearchOnAdd", "deselectOnClick", "keyDownFn"], outputs: ["blur", "focus", "change", "open", "close", "search", "clear", "add", "remove", "scroll", "scrollToEnd"] }, { kind: "directive", type: i3.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i3.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i3.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.MaxLengthValidator, selector: "[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]", inputs: ["maxlength"] }, { kind: "directive", type: i3.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i3.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i4.DropDownContainerComponent, selector: "swt-dropdown-container", inputs: ["container", "alignContent", "width", "disableClickPropagation", "inputSize", "closeWhenClickOutside", "displayValue", "collapsed", "allowClear"], outputs: ["onClear", "onShow"] }, { kind: "component", type: i4.SwtDatePickerComponent, selector: "swt-date-picker", inputs: ["modusYear", "markedDays", "calendarWeekVisible", "firstDayOfWeek"], outputs: ["change", "monthChanged"] }, { kind: "component", type: i4.SwtColorPickerComponent, selector: "swt-color-picker", inputs: ["required", "selectColors", "config"] }, { kind: "component", type: i4.SwtDateInputComponent, selector: "swt-date-input", inputs: ["placeholder", "dateFormat", "name", "autofocus", "required", "class", "width", "maxDate", "minDate", "showErrorMessage"], outputs: ["dateError"] }, { kind: "component", type: i4.SwtCheckboxComponent, selector: "swt-checkbox", inputs: ["activeChangeDetectionHack", "size"], outputs: ["change"] }, { kind: "component", type: i4.LRUComponent, selector: "swt-lru", inputs: ["value", "key", "inputMaxLength", "stopEventPropagation", "filter-method", "inputSelectItems", "cssClass", "preSetText"], outputs: ["selectedId", "selectedName", "valueChange"] }, { kind: "component", type: i4.MultiLRUComponent, selector: "multi-lru", inputs: ["value", "inputSelectItems", "inputSelectItemsFn", "name", "multiple", "addTag", "maxSelectedItems", "inputMaxLength", "filter-method", "cssClass"], outputs: ["selectedValues", "selectedTexts", "valueChange"] }, { kind: "component", type: i4.SwtQuillEditorComponent, selector: "swt-quill-editor", inputs: ["config", "name", "maxLength", "minLength", "required", "placeholder"] }, { kind: "directive", type: i5$1.NgxMaskDirective, selector: "input[mask], textarea[mask]", inputs: ["mask", "specialCharacters", "patterns", "prefix", "suffix", "thousandSeparator", "decimalMarker", "dropSpecialCharacters", "hiddenInput", "showMaskTyped", "placeHolderCharacter", "shownMaskExpression", "clearIfNotMatch", "validation", "separatorLimit", "allowNegativeNumbers", "leadZeroDateTime", "leadZero", "triggerOnMaskChange", "apm", "inputTransformFn", "outputTransformFn", "keepCharacterPositions", "instantPrefix"], outputs: ["maskFilled"], exportAs: ["mask", "ngxMask"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }, { kind: "component", type: GridComponent, selector: "swt-grid", inputs: ["idfield", "id", "datasource", "stickyHeader", "name", "small", "allowKeyboardShortCuts", "minHeight", "maxHeightTable", "maxHeight", "rowHeight", "filterRowHeight", "headerRowHeight", "headerTitleGroups", "store-key", "hideColSelectBtn", "gridClass", "allowCSVDownload", "csvFileName", "csvConfig", "allowFilter", "allowSort", "allowPaging", "showSelectedIdsNotFoundWarning", "showRowDetail", "showDetailMethod", "paginationInfoVariant", "allowPrintDownload", "printTitle", "rowClassFieldName", "rowDetailClassFieldName", "allowSelectPageSize", "pageSizes", "allowMultiSelect", "disableSelectFieldName", "showEmptyGrid", "emptyGridText", "filterFieldsVisible", "sortItemAlign", "html5Draggable", "dragulaBag", "dragulaShowIcon", "dragulaOnlyIconDrag", "showSelectCheckBoxes", "table-hover", "config"], outputs: ["onHtml5DragStart", "onButtonClicked", "onRowClicked", "onDrop", "onDragulaRemove", "detailOpened", "scrolledToPosition"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogFormInspiniaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-generic-edit-dialog-form-inspinia', standalone: false, template: "<form class=\"form form-horizontal\" #dialogForm=\"ngForm\" autocomplete=\"off\">\r\n    <div *ngFor=\"let field of component.cat.dialogFields\"\r\n        [ngClass]=\"[field.required ? 'required' : '', field.cssClass ?? '']\" [ngSwitch]=\"field.controlType\"\r\n        [hidden]=\"!component.fieldVisible(field)\">\r\n        <div *ngSwitchDefault class=\"form-group\" [ngClass]=\"component.formErrors[field.fieldname]?'has-error':''\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                {{field.text}} <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div class=\"col-sm-8\">\r\n                @if (field.textMask) {\r\n                    <input type=\"{{field.controlType}}\" [mask]=\"field.textMask.mask\"\r\n                           [patterns]=\"field.textMask.patterns\" [showMaskTyped]=\"field.textMask.showMaskTyped\"\r\n                           [dropSpecialCharacters]=\"false\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                           [required]=\"field.required\" [autofocus]=\"field.autofocus\" [ngClass]=\"component.inputClass\"\r\n                           [style]=\"field.controlStyle\" [id]=\"field.fieldname\"/>\r\n                } @else if (field.controlType === 'number' && field.showSpinnerButtons !== false) {\r\n                    <div class=\"input-group\">\r\n                        <span class=\"input-group-addon btn btn-default\"\r\n                              (click)=\"component.clickSpinnerDown($event,field)\">-</span>\r\n                        <input type=\"number\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                               name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                               [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                               [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\"/>\r\n                        <span class=\"input-group-addon btn btn-default\"\r\n                              (click)=\"component.clickSpinnerUp($event,field)\">+</span>\r\n                    </div>\r\n                } @else {\r\n                    <input type=\"{{field.controlType}}\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                           [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                           [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                           [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                           [autocomplete]=\"field.controlType === 'password' ? 'new-password':'off'\"\r\n                           pattern=\"{{field.controlType==='time'?'^[0-9]{2}:[0-9]{2}(:[0-9]{2})?$':''}}\"  [id]=\"field.fieldname\"/>\r\n                }\r\n\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"m-t-xs alert alert-danger\">\r\n                    {{ component.formErrors[field.fieldname] }}\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'money'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{ component.formatMoneyText(field) }}</label>\r\n                <div class=\"col-sm-8\">\r\n                    <input type=\"number\" class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\"\r\n                        [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [attr.name]=\"field.fieldname\" [id]=\"field.fieldname\">\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'password-with-confirm'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div class=\"col-sm-8\">\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                        [ngClass]=\"component.inputClass\" autocomplete=\"new-password\" [id]=\"field.fieldname\" />\r\n                    <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" i18n=\"@@SwtGenericEditDialog.Repeat.dsp.Label\" [for]=\"'confirm--' + field.fieldname\">\r\n                    {{field.text}} Wiederholung\r\n                </label>\r\n                <div class=\"col-sm-8\">\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"'PasswordPasswordConfirm'\"\r\n                        name=\"PasswordPasswordConfirm\" [(ngModel)]=\"component.editItem[field.fieldnamePasswordConfirm]\"\r\n                        [maxlength]=\"field.maxLength\" [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                        autocomplete=\"new-password\" [id]=\"'confirm--' + field.fieldname\" />\r\n                    <div *ngIf=\"component.passwordConfirmInvalid(field)\" class=\"text-danger\"\r\n                        i18n=\"@@SwtGenericEditDialog.PasswordMismatch.dsp.Label\">\r\n                        Die Passw\u00F6rter stimmen nicht \u00FCberein\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'checkbox'\" class=\"form-group\">\r\n            <label class=\"col-sm-4\" [ngClass]=\"{'control-label': field.text}\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n            <div class=\"col-sm-8 form-control-static\">\r\n                <swt-checkbox [activeChangeDetectionHack]=\"true\" [name]=\"field.fieldname\"\r\n                    [(ngModel)]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></swt-checkbox>\r\n                <label *ngIf=\"field.unit\" class=\"m-l-xs m-b-none\" style=\"vertical-align: middle;\">{{field.unit}}</label>\r\n                <br>\r\n                <span *ngIf=\"field.help\" class=\"help-block m-t-sm m-b-none\">{{field.help}}</span>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'date'\" class=\"form-group\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n            <div class=\"col-sm-8\">\r\n                @if (component.useBrowserDateInput(field)) {\r\n                    <input type=\"date\" class=\"form-control no-spinners\"\r\n                           [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                           [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                           [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                } @else {\r\n                    <swt-dropdown-container  [closeWhenClickOutside]=\"true\"  [container]=\"component.swtDropdownContainerContainer\" #datedropdown\r\n                                            [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                            (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                    <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                        [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                        [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                        </swt-date-input>\r\n                        <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                         name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                         (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                    </swt-dropdown-container>\r\n                }\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"m-t-xs alert alert-danger\">\r\n                    {{ component.formErrors[field.fieldname] }}\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInterval'\" class=\"form-group\">\r\n            <div class=\"col-sm-12\">\r\n                <div class=\"row\">\r\n                    <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                    <div class=\"col-sm-8\">\r\n                        @if (component.useBrowserDateInput(field)) {\r\n                            <input type=\"date\" class=\"form-control no-spinners\"\r\n                                   [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                                   [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                   [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                        } @else {\r\n                            <swt-dropdown-container [closeWhenClickOutside]=\"true\" [container]=\"component.swtDropdownContainerContainer\" #datedropdown [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                                    (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                                <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                                [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                                [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                                </swt-date-input>\r\n                                <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                                 name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                                 (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                            </swt-dropdown-container>\r\n                        }\r\n                        <div *ngIf=\"field.help\" class=\"help-block m-b-sm\">{{field.help}}</div>\r\n                        <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"m-t-xs alert alert-danger\">\r\n                            {{ component.formErrors[field.fieldname] }}\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div class=\"row\">\r\n                    <label class=\"control-label col-sm-4\" [for]=\"field.fieldname2\">{{field.text2}}</label>\r\n                    <div class=\"col-sm-8\">\r\n                        @if (component.useBrowserDateInput(field)) {\r\n                            <input type=\"date\" class=\"form-control no-spinners\"\r\n                                   [ngClass]=\"component.inputClass\" [name]=\"field.fieldname2\" [required]=\"field.required2\"\r\n                                   [(ngModel)]=\"component.editItem[field.fieldname2]\" [autofocus]=\"field.autofocus\" [id]=\"field.fieldname2\">\r\n                        } @else if (!component.useBrowserDateInput(field)) {\r\n                            <swt-dropdown-container  [closeWhenClickOutside]=\"true\" [container]=\"component.swtDropdownContainerContainer\" #datedropdown2\r\n                                                     [id]=\"field.fieldname2\" [allowClear]=\"!field.required2\"\r\n                                                    (onClear)=\"component.dropDownClearClicked(field.fieldname2)\" [width]=\"'100%'\">\r\n                                <swt-date-input dropdown-input [name]=\"field.fieldname2\"\r\n                                                [(ngModel)]=\"component.editItem[field.fieldname2]\" [required]=\"field.required2\"\r\n                                                [class]=\"component.inputClass\" [id]=\"field.fieldname2\">\r\n                                </swt-date-input>\r\n                                <swt-date-picker #swtDatePicker2 [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                                 name=\"{{field.fieldname2}}\" week [(ngModel)]=\"component.editItem[field.fieldname2]\"\r\n                                                 (change)=\"datedropdown2.collapse()\"></swt-date-picker>\r\n                            </swt-dropdown-container>\r\n                        }\r\n                        <span *ngIf=\"field.help2\" class=\"help-block m-b-none\">{{field.help2}}</span>\r\n                        <div *ngIf=\"component.formErrors[field.fieldname2]\" class=\"m-t-xs alert alert-danger\">\r\n                            {{ component.formErrors[field.fieldname2] }}\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInput'\" class=\"form-group\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n            <input class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                [autofocus]=\"field.autofocus\" type=\"date\" [id]=\"field.fieldname\">\r\n        </div>\r\n        <div *ngSwitchCase=\"'textarea'\" class=\"form-group\">\r\n            <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                {{field.text}}\r\n                <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div class=\"col-sm-8\">\r\n                <textarea class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                    [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                    [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                    [style]=\"field.controlStyle ? field.controlStyle : 'height: 5em;'\"\r\n                    [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\"></textarea>\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'info-text'\" class=\"form-group\">\r\n            <label *ngIf=\"field.text\" class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                {{field.text}}\r\n                <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div [ngClass]=\"field.text ? 'col-sm-8' :'col-sm-12'\" class=\"form-control-static\">\r\n                <p *ngIf=\"field.fieldname\" class=\"text-wrap\" [style]=\"field.controlStyle\"\r\n                    [innerHTML]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></p>\r\n                <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'select'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div class=\"col-sm-8\">\r\n                    @if (field.type === 'lru') {\r\n                        @if (field.multiSelectLookups) {\r\n                            <multi-lru [name]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                       [inputSelectItems]=\"component.getLookups(field)\" [inputSelectItemsFn]=\"field.lookUpSearchFn\"\r\n                                       [value]=\"component.editItem[field.fieldname]\"\r\n                                       (selectedTexts)=\"component.editItem[field.fieldname]=$event\"\r\n                                       [cssClass]=\"component.inputClass\" [id]=\"field.fieldname\"></multi-lru>\r\n                        } @else {\r\n                            <swt-lru #swtlru [key]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                     [inputSelectItems]=\"component.getLookups(field)\"\r\n                                     [preSetText]=\"component.editItem[field.fieldname]\"\r\n                                     (valueChange)=\"component.editItem[field.fieldname]=$event\"\r\n                                     [cssClass]=\"component.inputClass\" [id]=\"field.fieldname\"></swt-lru>\r\n                        }\r\n                    } @else if (!component.hasLookups(field)) {\r\n                        <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                    } @else if (field.multiSelectLookups) {\r\n                        <div class=\"position-relative\">\r\n                            <ng-select [ngStyle]=\"{'z-index':field.zIndex ? field.zIndex : 3}\" class=\"form-control\"\r\n                                       placeholder=\"(Ausw\u00E4hlen)\" i18n-placeholder=\"@@SwtGenericEditDialog.Choose.dsp.Label\"\r\n                                       [multiple]=\"true\" [items]=\"component.getLookupsWithLabel(field)\"\r\n                                       [attr.name]=\"field.fieldname\" (change)=\"component.onSelectChanged(field.fieldname)\"\r\n                                       name=\"{{field.fieldname}}\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                       [clearOnBackspace]=\"true\" [bindValue]=\"'value'\" [ngClass]=\"component.inputClass\"\r\n                                       [addTag]=\"true\" [id]=\"field.fieldname\">\r\n                            </ng-select>\r\n                        </div>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    } @else if (field.radioLookups) {\r\n                        <div *ngFor=\"let lookUp of component.getLookups(field)\" class=\"radio\">\r\n                            <label (click)=\"component.editItem[field.fieldname] = lookUp.value\"\r\n                                   for=\"{{field.fieldname}}-{{lookUp.value}}\">\r\n                                <input [attr.name]=\"field.fieldname\" type=\"radio\"\r\n                                       (change)=\"component.onSelectChanged(field.fieldname)\"\r\n                                       id=\"{{field.fieldname}}-{{lookUp.value}}\"\r\n                                       name=\"{{field.fieldname}}-{{lookUp.value}}\" value=\"{{lookUp.value}}\"\r\n                                       [style]=\"field.controlStyle\" [(ngModel)]=\"component.editItem[field.fieldname]\">\r\n                                {{lookUp.text}}\r\n                            </label>\r\n                        </div>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    } @else {\r\n                        <select class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                                [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                                [ngClass]=\"component.inputClass\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                (change)=\"component.onSelectChanged(field.fieldname)\" [id]=\"field.fieldname\">\r\n                            <ng-container\r\n                                *ngFor=\"let group of component.getGroupableLookups(field);trackBy: component.idenitifyGroupableLookupsChanged\">\r\n                                <optgroup *ngIf=\"group.title\" [label]=\"group.title\">\r\n                                    <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                        {{lookup.text}}\r\n                                    </option>\r\n                                </optgroup>\r\n                                <ng-container *ngIf=\"!group.title\">\r\n                                    <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                        {{lookup.text}}\r\n                                    </option>\r\n                                </ng-container>\r\n                            </ng-container>\r\n                        </select>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    }\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'dropdown-grid'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div class=\"col-sm-8\">\r\n                    <!-- fix f\u00FCr onChange -->\r\n                    <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [ngModel]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\" />\r\n\r\n                    <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" [attr.name]=\"field.fieldname\" #gridDropDownContainer\r\n                        [displayValue]=\"component.getDisplayValueOrDefault(field,' ')\" [width]=\"'100%'\"\r\n                        (onShow)=\"component.doOnDropdownGridShown(field.fieldname)\">\r\n                        <div class=\"p-sm drop-down-grid\">\r\n                            <swt-grid [minHeight]=\"'0'\" [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                                [datasource]=\"component.getDynamicDatasource(field)\"\r\n                                [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                                [pageSizes]=\"field.grid.pageSizes ?? [10,20,30]\">\r\n                            </swt-grid>\r\n                            <div class=\"pull-right m-t-sm\">\r\n                                <button [attr.name]=\"field.fieldname+'_btn_ok'\" class=\"btn btn-primary\"\r\n                                    (click)=\"gridDropDownContainer.collapse()\" i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                            </div>\r\n                        </div>\r\n                    </swt-dropdown-container>\r\n                    <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'grid'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            <swt-grid [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                [datasource]=\"component.getDynamicDatasource(field)\" [minHeight]=\"\"\r\n                [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                [pageSizes]=\"field.grid.pageSizes ?? []\"></swt-grid>\r\n            <!-- fix f\u00FCr onChange -->\r\n            <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [style]=\"field.controlStyle\" [ngModel]=\"component.editItem[field.fieldname]\" />\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'divider'\" class=\"form-group\">\r\n            <div class=\"hr-line-dashed m-t-xs m-b-xs\"></div>\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <p *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</p>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'buttons'\">\r\n            <div class=\"form-group\" *ngIf=\"component.containsFormButtons(field)\">\r\n                <label class=\"control-label col-sm-4\">{{field.text}}</label>\r\n                <div class=\"col-sm-8 form-control-static\">\r\n                    <button *ngFor=\"let btn of component.formButtons(field)\" type=\"button\"\r\n                        class=\"btn m-r-xs {{btn.buttonClass}}\"\r\n                        [ngClass]=\"{'btn-xs':component.small,'btn-sm':!component.small}\" [title]=\"btn.tooltip\"\r\n                        [style]=\"field.controlStyle\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                        [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                        {{btn.text}}\r\n                    </button>\r\n                    <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'hidden'\">\r\n            <input type=\"{{field.controlType}}\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                [style]=\"field.controlStyle\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                [autofocus]=\"field.autofocus\" />\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'rich-text'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n            <div class=\"form-group\">\r\n                <swt-quill-editor [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                    [config]=\"field.richText\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                    [placeholder]=\"field.placeholder?field.placeholder:''\"> </swt-quill-editor>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'color-picker'\">\r\n            <div class=\"form-group\">\r\n                <label class=\"control-label col-sm-4\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div class=\"col-sm-8\">\r\n                    @if (component.hasLookups(field)) {\r\n                        <swt-color-picker [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                          [selectColors]=\"$any(component.getLookups(field))\" [required]=\"field.required\"\r\n                                          [config]=\"field.colorPicker\" [id]=\"field.fieldname\">\r\n                        </swt-color-picker>\r\n                        <span *ngIf=\"field.help\" class=\"help-block m-b-none\">{{field.help}}</span>\r\n                    } @else {\r\n                        <div class=\"col-sm-8\">\r\n                            <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                        </div>\r\n                    }\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n    </div>\r\n</form>\r\n" }]
        }] });
class SwtGenericEditDialogFormSneatComponent extends SwtGenericEditDialogFormComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogFormSneatComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.2.13", type: SwtGenericEditDialogFormSneatComponent, isStandalone: false, selector: "swt-generic-edit-dialog-form-sneat", usesInheritance: true, ngImport: i0, template: "<form class=\"form form-horizontal\" #dialogForm=\"ngForm\" autocomplete=\"off\">\r\n    <div *ngFor=\"let field of component.cat.dialogFields\"\r\n        [ngClass]=\"[field.required ? 'required' : '', field.cssClass ?? '']\" [ngSwitch]=\"field.controlType\"\r\n        [hidden]=\"!component.fieldVisible(field)\">\r\n        <div *ngSwitchDefault class=\"form-group mt-2\" [ngClass]=\"component.formErrors[field.fieldname]?'has-error':''\">\r\n            <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                {{field.text}} <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div>\r\n                @if (field.textMask) {\r\n                    <input type=\"{{field.controlType}}\" [mask]=\"field.textMask.mask\"\r\n                           [patterns]=\"field.textMask.patterns\" [showMaskTyped]=\"field.textMask.showMaskTyped\"\r\n                           [dropSpecialCharacters]=\"false\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                           [required]=\"field.required\" [autofocus]=\"field.autofocus\" [ngClass]=\"component.inputClass\"\r\n                           [style]=\"field.controlStyle\" [id]=\"field.fieldname\" />\r\n                } @else if (field.controlType === 'number' && field.showSpinnerButtons !== false) {\r\n                    <div class=\"input-group\">\r\n                        <span class=\"input-group-text\" role=\"button\"\r\n                              (click)=\"component.clickSpinnerDown($event,field)\">-</span>\r\n                        <input type=\"number\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                               name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                               [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                               [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\" />\r\n                        <span class=\"input-group-text\" role=\"button\"\r\n                              (click)=\"component.clickSpinnerUp($event,field)\">+</span>\r\n                    </div>\r\n                } @else {\r\n                    <input type=\"{{field.controlType}}\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                           [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                           [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                           [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                           [autocomplete]=\"field.controlType === 'password' ? 'new-password':'off'\"\r\n                           pattern=\"{{field.controlType==='time'?'^[0-9]{2}:[0-9]{2}(:[0-9]{2})?$':''}}\" [id]=\"field.fieldname\" />\r\n                }\r\n\r\n                <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"mt-1 alert alert-danger\">\r\n                    {{ component.formErrors[field.fieldname] }}\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'money'\">\r\n            <div class=\"form-group mt-2\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{ component.formatMoneyText(field) }}</label>\r\n                <div>\r\n                    <input type=\"number\" class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\"\r\n                        [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'password-with-confirm'\">\r\n            <div class=\"form-group  mt-2\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                        [ngClass]=\"component.inputClass\" autocomplete=\"new-password\" [id]=\"field.fieldname\" />\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n            <div class=\"form-group  mt-2\">\r\n                <label class=\"form-label\" i18n=\"@@SwtGenericEditDialog.Repeat.dsp.Label\" [for]=\"'confirm--' + field.fieldname\">\r\n                    {{field.text}} Wiederholung\r\n                </label>\r\n                <div>\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"'PasswordPasswordConfirm'\"\r\n                        name=\"PasswordPasswordConfirm\" [(ngModel)]=\"component.editItem[field.fieldnamePasswordConfirm]\"\r\n                        [maxlength]=\"field.maxLength\" [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                        autocomplete=\"new-password\" [id]=\"'confirm--' + field.fieldname\" />\r\n                    <div *ngIf=\"component.passwordConfirmInvalid(field)\" class=\"text-danger\"\r\n                        i18n=\"@@SwtGenericEditDialog.PasswordMismatch.dsp.Label\">\r\n                        Die Passw\u00F6rter stimmen nicht \u00FCberein\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'checkbox'\" class=\"form-group  mt-2 row\">\r\n            <div class=\"col-12\">\r\n                <label [ngClass]=\"{'form-label': field.text}\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    <swt-checkbox [activeChangeDetectionHack]=\"true\" [name]=\"field.fieldname\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></swt-checkbox>\r\n                    <label class=\"ms-1 mb-0\" style=\"vertical-align: middle;\">{{field.unit}}</label>\r\n                </div>\r\n            </div>\r\n            <span *ngIf=\"field.help\" class=\"help-block mt-2 mb-0\">{{field.help}}</span>\r\n        </div>\r\n        <div *ngSwitchCase=\"'date'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    @if (component.useBrowserDateInput(field)) {\r\n                        <input type=\"date\" class=\"form-control no-spinners\"\r\n                               [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                               [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                    } @else {\r\n                        <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" #datedropdown (onShow)=\"swtDatePicker.refresh()\" [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                                (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                            <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                            [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                            [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                            </swt-date-input>\r\n                            <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                             name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                             (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                        </swt-dropdown-container>\r\n                    }\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                    <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"mt-1 alert alert-danger\">\r\n                        {{ component.formErrors[field.fieldname] }}\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInterval'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-sm-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    @if (component.useBrowserDateInput(field)) {\r\n                        <input type=\"date\" class=\"form-control no-spinners\"\r\n                               [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                               [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                    } @else {\r\n                        <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" #datedropdown (onShow)=\"swtDatePicker.refresh()\" [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                                (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                            <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                            [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                            [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                            </swt-date-input>\r\n                            <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                             name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                             (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                        </swt-dropdown-container>\r\n                    }\r\n                    <div *ngIf=\"field.help\" class=\"help-block mb-2\">{{field.help}}</div>\r\n                    <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"mt-1 alert alert-danger\">\r\n                        {{ component.formErrors[field.fieldname] }}\r\n                    </div>\r\n                </div>\r\n                <div class=\"row\">\r\n                    <div class=\"col-12\">\r\n                        <label class=\"form-label\" [for]=\"field.fieldname2\">{{field.text2}}</label>\r\n                        <div>\r\n                            @if (component.useBrowserDateInput(field)) {\r\n                                <input type=\"date\" class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\"\r\n                                       [name]=\"field.fieldname2\" [(ngModel)]=\"component.editItem[field.fieldname2]\"\r\n                                       [autofocus]=\"field.autofocus\" [id]=\"field.fieldname2\">\r\n                            } @else {\r\n                                <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" #datedropdown2 (onShow)=\"swtDatePicker2.refresh()\" [id]=\"field.fieldname2\"\r\n                                                        [allowClear]=\"!field.required2\"\r\n                                                        (onClear)=\"component.dropDownClearClicked(field.fieldname2)\" [width]=\"'100%'\">\r\n                                    <swt-date-input dropdown-input [name]=\"field.fieldname2\"\r\n                                                    [(ngModel)]=\"component.editItem[field.fieldname2]\" [required]=\"field.required2\"\r\n                                                    [class]=\"component.inputClass\" [id]=\"field.fieldname2\">\r\n                                    </swt-date-input>\r\n                                    <swt-date-picker #swtDatePicker2 [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                                     name=\"{{field.fieldname2}}\" week [(ngModel)]=\"component.editItem[field.fieldname2]\"\r\n                                                     (change)=\"datedropdown2.collapse()\"></swt-date-picker>\r\n                                </swt-dropdown-container>\r\n                            }\r\n                            <span *ngIf=\"field.help2\" class=\"help-block mb-0\">{{field.help2}}</span>\r\n                            <div *ngIf=\"component.formErrors[field.fieldname2]\" class=\"mt-1 alert alert-danger\">\r\n                                {{ component.formErrors[field.fieldname2] }}\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInput'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <input class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                    [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                    [autofocus]=\"field.autofocus\" type=\"date\" [id]=\"field.fieldname\">\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'textarea'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div>\r\n                    <textarea class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                        [style]=\"field.controlStyle ? field.controlStyle : 'height: 5em;'\"\r\n                        [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\"></textarea>\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'info-text'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label *ngIf=\"field.text\" class=\"form-label no-uppercase\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div [ngClass]=\"field.text ? '' :'col-sm-12'\" class=\"form-control-static\">\r\n                    <p *ngIf=\"field.fieldname\" class=\"text-wrap\" [style]=\"field.controlStyle\"\r\n                        [innerHTML]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></p>\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'select'\">\r\n            <div class=\"form-group row  mt-2\">\r\n                <div class=\"col-12\">\r\n                    <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                        {{field.text}}\r\n                        <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                    </label>\r\n                    @if (field.type === 'lru') {\r\n                        @if (!field.multiSelectLookups) {\r\n                            <swt-lru #swtlru [key]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                     [inputSelectItems]=\"component.getLookups(field)\"\r\n                                     [preSetText]=\"component.editItem[field.fieldname]\"\r\n                                     (valueChange)=\"component.editItem[field.fieldname]=$event\"\r\n                                     [cssClass]=\"component.inputClass\" [ngClass]=\"field.text ? '' :'col-sm-12'\" [id]=\"field.fieldname\"></swt-lru>\r\n                        } @else {\r\n                            <multi-lru [name]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                       [inputSelectItems]=\"component.getLookups(field)\"\r\n                                       [value]=\"component.editItem[field.fieldname]\"\r\n                                       (selectedTexts)=\"component.editItem[field.fieldname]=$event\"\r\n                                       [cssClass]=\"component.inputClass\" [ngClass]=\"field.text ? '' :'col-sm-12'\" [id]=\"field.fieldname\"></multi-lru>\r\n                        }\r\n                    } @else if (!component.hasLookups(field)) {\r\n                        <div>\r\n                            <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                        </div>\r\n                    } @else if (field.multiSelectLookups) {\r\n                        <div class=\"form-control-static\">\r\n                            <div class=\"position-relative\">\r\n                                <ng-select [ngStyle]=\"{'z-index':field.zIndex ? field.zIndex : 3}\"\r\n                                           class=\"form-control\" placeholder=\"(Ausw\u00E4hlen)\"\r\n                                           i18n-placeholder=\"@@SwtGenericEditDialog.Choose.dsp.Label\" [multiple]=\"true\"\r\n                                           [items]=\"component.getLookupsWithLabel(field)\" [attr.name]=\"field.fieldname\"\r\n                                           (change)=\"component.onSelectChanged(field.fieldname)\" name=\"{{field.fieldname}}\"\r\n                                           [(ngModel)]=\"component.editItem[field.fieldname]\" [clearOnBackspace]=\"true\"\r\n                                           [bindValue]=\"'value'\" [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                                </ng-select>\r\n                            </div>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{ field.help }}</span>\r\n                        </div>\r\n                    } @else if (field.radioLookups) {\r\n                        <div>\r\n                            <div *ngFor=\"let lookUp of component.getLookups(field)\" class=\"radio\">\r\n                                <label (click)=\"component.editItem[field.fieldname] = lookUp.value\"\r\n                                       for=\"{{field.fieldname}}-{{lookUp.value}}\" class=\"form-check-label\">\r\n                                    <input class=\"form-check-input\" [attr.name]=\"field.fieldname\" type=\"radio\"\r\n                                           (change)=\"component.onSelectChanged(field.fieldname)\"\r\n                                           id=\"{{field.fieldname}}-{{lookUp.value}}\"\r\n                                           name=\"{{field.fieldname}}-{{lookUp.value}}\" value=\"{{lookUp.value}}\"\r\n                                           [style]=\"field.controlStyle\"\r\n                                           [(ngModel)]=\"component.editItem[field.fieldname]\">\r\n                                    {{lookUp.text}}\r\n                                </label>\r\n                            </div>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                        </div>\r\n                    } @else {\r\n                        <div>\r\n                            <select class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                                    [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                                    [ngClass]=\"component.inputClass\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                    (change)=\"component.onSelectChanged(field.fieldname)\" [id]=\"field.fieldname\">\r\n                                <ng-container\r\n                                    *ngFor=\"let group of component.getGroupableLookups(field);trackBy: component.idenitifyGroupableLookupsChanged\">\r\n                                    <optgroup *ngIf=\"group.title\" [label]=\"group.title\">\r\n                                        <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                            {{lookup.text}}\r\n                                        </option>\r\n                                    </optgroup>\r\n                                    <ng-container *ngIf=\"!group.title\">\r\n                                        <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                            {{lookup.text}}\r\n                                        </option>\r\n                                    </ng-container>\r\n                                </ng-container>\r\n                            </select>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                        </div>\r\n                    }\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'dropdown-grid'\">\r\n            <div class=\"form-group row  mt-2\">\r\n                <div class=\"col-12\">\r\n                    <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                    <div>\r\n                        <!-- fix f\u00FCr onChange -->\r\n                        <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\"\r\n                            name=\"{{field.fieldname}}\" [ngModel]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\" />\r\n\r\n                        <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" [attr.name]=\"field.fieldname\" #gridDropDownContainer\r\n                            [displayValue]=\"component.getDisplayValueOrDefault(field,' ')\" [width]=\"'100%'\"\r\n                            (onShow)=\"component.doOnDropdownGridShown(field.fieldname)\">\r\n                            <div class=\"p-2 drop-down-grid\">\r\n                                <swt-grid [minHeight]=\"'0'\" [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                                    [datasource]=\"component.getDynamicDatasource(field)\"\r\n                                    [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                                    [pageSizes]=\"field.grid.pageSizes ?? [10,20,30]\">\r\n                                </swt-grid>\r\n                                <div class=\"float-end mt-2\">\r\n                                    <button [attr.name]=\"field.fieldname+'_btn_ok'\" class=\"btn btn-primary\"\r\n                                        (click)=\"gridDropDownContainer.collapse()\" i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                                </div>\r\n                            </div>\r\n                        </swt-dropdown-container>\r\n                        <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'grid'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n            <swt-grid [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                [datasource]=\"component.getDynamicDatasource(field)\" [minHeight]=\"\"\r\n                [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                [pageSizes]=\"field.grid.pageSizes ?? []\"></swt-grid>\r\n            <!-- fix f\u00FCr onChange -->\r\n            <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [style]=\"field.controlStyle\" [ngModel]=\"component.editItem[field.fieldname]\" />\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'divider'\" class=\"form-group\">\r\n            <div class=\"divider\" *ngIf=\"field.text\">\r\n                <div class=\"divider-text\">{{field.text}}</div>\r\n            </div>\r\n            <hr *ngIf=\"!field.text\">\r\n            <p *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</p>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'buttons'\">\r\n            <div class=\"form-group\" *ngIf=\"component.containsFormButtons(field)\">\r\n                <label class=\"form-label\">{{field.text}}</label>\r\n                <div class=\"form-control-static\">\r\n                    <button *ngFor=\"let btn of component.formButtons(field)\" type=\"button\"\r\n                        class=\"btn me-1 {{btn.buttonClass}}\"\r\n                        [ngClass]=\"{'btn-xs':component.small,'btn-sm':!component.small}\" [title]=\"btn.tooltip\"\r\n                        [style]=\"field.controlStyle\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                        [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                        {{btn.text}}\r\n                    </button>\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'hidden'\">\r\n            <input type=\"{{field.controlType}}\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                [style]=\"field.controlStyle\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                [autofocus]=\"field.autofocus\" />\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'rich-text'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n            <div class=\"form-group  mt-2\">\r\n                <swt-quill-editor [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                    [config]=\"field.richText\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                    [placeholder]=\"field.placeholder?field.placeholder:''\"> </swt-quill-editor>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'color-picker'\">\r\n            <div class=\"form-group row  mt-2\">\r\n                <div class=\"col-12\">\r\n                    <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                        {{field.text}}\r\n                        <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                    </label>\r\n                    <div>\r\n                        @if (component.hasLookups(field)) {\r\n                            <swt-color-picker [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                              [selectColors]=\"$any(component.getLookups(field))\" [required]=\"field.required\"\r\n                                              [config]=\"field.colorPicker\" [id]=\"field.fieldname\">\r\n                            </swt-color-picker>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                        } @else {\r\n                            <div>\r\n                                <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                            </div>\r\n                        }\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n    </div>\r\n</form>\r\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i1$1.NgSwitch, selector: "[ngSwitch]", inputs: ["ngSwitch"] }, { kind: "directive", type: i1$1.NgSwitchCase, selector: "[ngSwitchCase]", inputs: ["ngSwitchCase"] }, { kind: "directive", type: i1$1.NgSwitchDefault, selector: "[ngSwitchDefault]" }, { kind: "component", type: i2$1.NgSelectComponent, selector: "ng-select", inputs: ["ariaLabelDropdown", "bindLabel", "bindValue", "ariaLabel", "markFirst", "placeholder", "fixedPlaceholder", "notFoundText", "typeToSearchText", "preventToggleOnRightClick", "addTagText", "loadingText", "clearAllText", "appearance", "dropdownPosition", "appendTo", "loading", "closeOnSelect", "hideSelected", "selectOnTab", "openOnEnter", "maxSelectedItems", "groupBy", "groupValue", "bufferAmount", "virtualScroll", "selectableGroup", "selectableGroupAsModel", "searchFn", "trackByFn", "clearOnBackspace", "labelForId", "inputAttrs", "tabIndex", "readonly", "searchWhileComposing", "minTermLength", "editableSearchTerm", "ngClass", "typeahead", "multiple", "addTag", "searchable", "clearable", "isOpen", "items", "compareWith", "clearSearchOnAdd", "deselectOnClick", "keyDownFn"], outputs: ["blur", "focus", "change", "open", "close", "search", "clear", "add", "remove", "scroll", "scrollToEnd"] }, { kind: "directive", type: i3.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i3.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i3.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i3.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i3.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i3.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i3.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i3.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i3.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i3.MaxLengthValidator, selector: "[maxlength][formControlName],[maxlength][formControl],[maxlength][ngModel]", inputs: ["maxlength"] }, { kind: "directive", type: i3.PatternValidator, selector: "[pattern][formControlName],[pattern][formControl],[pattern][ngModel]", inputs: ["pattern"] }, { kind: "directive", type: i3.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i3.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i3.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i3.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i4.DropDownContainerComponent, selector: "swt-dropdown-container", inputs: ["container", "alignContent", "width", "disableClickPropagation", "inputSize", "closeWhenClickOutside", "displayValue", "collapsed", "allowClear"], outputs: ["onClear", "onShow"] }, { kind: "component", type: i4.SwtDatePickerComponent, selector: "swt-date-picker", inputs: ["modusYear", "markedDays", "calendarWeekVisible", "firstDayOfWeek"], outputs: ["change", "monthChanged"] }, { kind: "component", type: i4.SwtColorPickerComponent, selector: "swt-color-picker", inputs: ["required", "selectColors", "config"] }, { kind: "component", type: i4.SwtDateInputComponent, selector: "swt-date-input", inputs: ["placeholder", "dateFormat", "name", "autofocus", "required", "class", "width", "maxDate", "minDate", "showErrorMessage"], outputs: ["dateError"] }, { kind: "component", type: i4.SwtCheckboxComponent, selector: "swt-checkbox", inputs: ["activeChangeDetectionHack", "size"], outputs: ["change"] }, { kind: "component", type: i4.LRUComponent, selector: "swt-lru", inputs: ["value", "key", "inputMaxLength", "stopEventPropagation", "filter-method", "inputSelectItems", "cssClass", "preSetText"], outputs: ["selectedId", "selectedName", "valueChange"] }, { kind: "component", type: i4.MultiLRUComponent, selector: "multi-lru", inputs: ["value", "inputSelectItems", "inputSelectItemsFn", "name", "multiple", "addTag", "maxSelectedItems", "inputMaxLength", "filter-method", "cssClass"], outputs: ["selectedValues", "selectedTexts", "valueChange"] }, { kind: "component", type: i4.SwtQuillEditorComponent, selector: "swt-quill-editor", inputs: ["config", "name", "maxLength", "minLength", "required", "placeholder"] }, { kind: "directive", type: i5$1.NgxMaskDirective, selector: "input[mask], textarea[mask]", inputs: ["mask", "specialCharacters", "patterns", "prefix", "suffix", "thousandSeparator", "decimalMarker", "dropSpecialCharacters", "hiddenInput", "showMaskTyped", "placeHolderCharacter", "shownMaskExpression", "clearIfNotMatch", "validation", "separatorLimit", "allowNegativeNumbers", "leadZeroDateTime", "leadZero", "triggerOnMaskChange", "apm", "inputTransformFn", "outputTransformFn", "keepCharacterPositions", "instantPrefix"], outputs: ["maskFilled"], exportAs: ["mask", "ngxMask"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }, { kind: "component", type: GridComponent, selector: "swt-grid", inputs: ["idfield", "id", "datasource", "stickyHeader", "name", "small", "allowKeyboardShortCuts", "minHeight", "maxHeightTable", "maxHeight", "rowHeight", "filterRowHeight", "headerRowHeight", "headerTitleGroups", "store-key", "hideColSelectBtn", "gridClass", "allowCSVDownload", "csvFileName", "csvConfig", "allowFilter", "allowSort", "allowPaging", "showSelectedIdsNotFoundWarning", "showRowDetail", "showDetailMethod", "paginationInfoVariant", "allowPrintDownload", "printTitle", "rowClassFieldName", "rowDetailClassFieldName", "allowSelectPageSize", "pageSizes", "allowMultiSelect", "disableSelectFieldName", "showEmptyGrid", "emptyGridText", "filterFieldsVisible", "sortItemAlign", "html5Draggable", "dragulaBag", "dragulaShowIcon", "dragulaOnlyIconDrag", "showSelectCheckBoxes", "table-hover", "config"], outputs: ["onHtml5DragStart", "onButtonClicked", "onRowClicked", "onDrop", "onDragulaRemove", "detailOpened", "scrolledToPosition"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogFormSneatComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-generic-edit-dialog-form-sneat', standalone: false, template: "<form class=\"form form-horizontal\" #dialogForm=\"ngForm\" autocomplete=\"off\">\r\n    <div *ngFor=\"let field of component.cat.dialogFields\"\r\n        [ngClass]=\"[field.required ? 'required' : '', field.cssClass ?? '']\" [ngSwitch]=\"field.controlType\"\r\n        [hidden]=\"!component.fieldVisible(field)\">\r\n        <div *ngSwitchDefault class=\"form-group mt-2\" [ngClass]=\"component.formErrors[field.fieldname]?'has-error':''\">\r\n            <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                {{field.text}} <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n            </label>\r\n            <div>\r\n                @if (field.textMask) {\r\n                    <input type=\"{{field.controlType}}\" [mask]=\"field.textMask.mask\"\r\n                           [patterns]=\"field.textMask.patterns\" [showMaskTyped]=\"field.textMask.showMaskTyped\"\r\n                           [dropSpecialCharacters]=\"false\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                           [required]=\"field.required\" [autofocus]=\"field.autofocus\" [ngClass]=\"component.inputClass\"\r\n                           [style]=\"field.controlStyle\" [id]=\"field.fieldname\" />\r\n                } @else if (field.controlType === 'number' && field.showSpinnerButtons !== false) {\r\n                    <div class=\"input-group\">\r\n                        <span class=\"input-group-text\" role=\"button\"\r\n                              (click)=\"component.clickSpinnerDown($event,field)\">-</span>\r\n                        <input type=\"number\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                               name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                               [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                               [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\" />\r\n                        <span class=\"input-group-text\" role=\"button\"\r\n                              (click)=\"component.clickSpinnerUp($event,field)\">+</span>\r\n                    </div>\r\n                } @else {\r\n                    <input type=\"{{field.controlType}}\" class=\"form-control no-spinners\" [attr.name]=\"field.fieldname\"\r\n                           name=\"{{field.fieldname}}\" [placeholder]=\"field.placeholder?field.placeholder:''\"\r\n                           [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                           [maxlength]=\"field.maxLength\" [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                           [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                           [autocomplete]=\"field.controlType === 'password' ? 'new-password':'off'\"\r\n                           pattern=\"{{field.controlType==='time'?'^[0-9]{2}:[0-9]{2}(:[0-9]{2})?$':''}}\" [id]=\"field.fieldname\" />\r\n                }\r\n\r\n                <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"mt-1 alert alert-danger\">\r\n                    {{ component.formErrors[field.fieldname] }}\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'money'\">\r\n            <div class=\"form-group mt-2\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{ component.formatMoneyText(field) }}</label>\r\n                <div>\r\n                    <input type=\"number\" class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\"\r\n                        [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'password-with-confirm'\">\r\n            <div class=\"form-group  mt-2\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                        [ngClass]=\"component.inputClass\" autocomplete=\"new-password\" [id]=\"field.fieldname\" />\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n            <div class=\"form-group  mt-2\">\r\n                <label class=\"form-label\" i18n=\"@@SwtGenericEditDialog.Repeat.dsp.Label\" [for]=\"'confirm--' + field.fieldname\">\r\n                    {{field.text}} Wiederholung\r\n                </label>\r\n                <div>\r\n                    <input type=\"password\" class=\"form-control\" [attr.name]=\"'PasswordPasswordConfirm'\"\r\n                        name=\"PasswordPasswordConfirm\" [(ngModel)]=\"component.editItem[field.fieldnamePasswordConfirm]\"\r\n                        [maxlength]=\"field.maxLength\" [style]=\"field.controlStyle\" [ngClass]=\"component.inputClass\"\r\n                        autocomplete=\"new-password\" [id]=\"'confirm--' + field.fieldname\" />\r\n                    <div *ngIf=\"component.passwordConfirmInvalid(field)\" class=\"text-danger\"\r\n                        i18n=\"@@SwtGenericEditDialog.PasswordMismatch.dsp.Label\">\r\n                        Die Passw\u00F6rter stimmen nicht \u00FCberein\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'checkbox'\" class=\"form-group  mt-2 row\">\r\n            <div class=\"col-12\">\r\n                <label [ngClass]=\"{'form-label': field.text}\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    <swt-checkbox [activeChangeDetectionHack]=\"true\" [name]=\"field.fieldname\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></swt-checkbox>\r\n                    <label class=\"ms-1 mb-0\" style=\"vertical-align: middle;\">{{field.unit}}</label>\r\n                </div>\r\n            </div>\r\n            <span *ngIf=\"field.help\" class=\"help-block mt-2 mb-0\">{{field.help}}</span>\r\n        </div>\r\n        <div *ngSwitchCase=\"'date'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    @if (component.useBrowserDateInput(field)) {\r\n                        <input type=\"date\" class=\"form-control no-spinners\"\r\n                               [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                               [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                    } @else {\r\n                        <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" #datedropdown (onShow)=\"swtDatePicker.refresh()\" [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                                (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                            <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                            [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                            [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                            </swt-date-input>\r\n                            <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                             name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                             (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                        </swt-dropdown-container>\r\n                    }\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                    <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"mt-1 alert alert-danger\">\r\n                        {{ component.formErrors[field.fieldname] }}\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInterval'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-sm-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <div>\r\n                    @if (component.useBrowserDateInput(field)) {\r\n                        <input type=\"date\" class=\"form-control no-spinners\"\r\n                               [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                               [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                               [autofocus]=\"field.autofocus\" [id]=\"field.fieldname\">\r\n                    } @else {\r\n                        <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" #datedropdown (onShow)=\"swtDatePicker.refresh()\" [id]=\"field.fieldname\" [allowClear]=\"!field.required\"\r\n                                                (onClear)=\"component.dropDownClearClicked(field.fieldname)\" [width]=\"'100%'\">\r\n                            <swt-date-input dropdown-input [name]=\"field.fieldname\"\r\n                                            [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                                            [autofocus]=\"field.autofocus\" [class]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                            </swt-date-input>\r\n                            <swt-date-picker #swtDatePicker [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                             name=\"{{field.fieldname}}\" week [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                             (change)=\"datedropdown.collapse()\"></swt-date-picker>\r\n                        </swt-dropdown-container>\r\n                    }\r\n                    <div *ngIf=\"field.help\" class=\"help-block mb-2\">{{field.help}}</div>\r\n                    <div *ngIf=\"component.formErrors[field.fieldname]\" class=\"mt-1 alert alert-danger\">\r\n                        {{ component.formErrors[field.fieldname] }}\r\n                    </div>\r\n                </div>\r\n                <div class=\"row\">\r\n                    <div class=\"col-12\">\r\n                        <label class=\"form-label\" [for]=\"field.fieldname2\">{{field.text2}}</label>\r\n                        <div>\r\n                            @if (component.useBrowserDateInput(field)) {\r\n                                <input type=\"date\" class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\"\r\n                                       [name]=\"field.fieldname2\" [(ngModel)]=\"component.editItem[field.fieldname2]\"\r\n                                       [autofocus]=\"field.autofocus\" [id]=\"field.fieldname2\">\r\n                            } @else {\r\n                                <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" #datedropdown2 (onShow)=\"swtDatePicker2.refresh()\" [id]=\"field.fieldname2\"\r\n                                                        [allowClear]=\"!field.required2\"\r\n                                                        (onClear)=\"component.dropDownClearClicked(field.fieldname2)\" [width]=\"'100%'\">\r\n                                    <swt-date-input dropdown-input [name]=\"field.fieldname2\"\r\n                                                    [(ngModel)]=\"component.editItem[field.fieldname2]\" [required]=\"field.required2\"\r\n                                                    [class]=\"component.inputClass\" [id]=\"field.fieldname2\">\r\n                                    </swt-date-input>\r\n                                    <swt-date-picker #swtDatePicker2 [calendarWeekVisible]=\"field.calendarWeekVisible\"\r\n                                                     name=\"{{field.fieldname2}}\" week [(ngModel)]=\"component.editItem[field.fieldname2]\"\r\n                                                     (change)=\"datedropdown2.collapse()\"></swt-date-picker>\r\n                                </swt-dropdown-container>\r\n                            }\r\n                            <span *ngIf=\"field.help2\" class=\"help-block mb-0\">{{field.help2}}</span>\r\n                            <div *ngIf=\"component.formErrors[field.fieldname2]\" class=\"mt-1 alert alert-danger\">\r\n                                {{ component.formErrors[field.fieldname2] }}\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'dateInput'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                <input class=\"form-control no-spinners\" [ngClass]=\"component.inputClass\" [name]=\"field.fieldname\"\r\n                    [(ngModel)]=\"component.editItem[field.fieldname]\" [required]=\"field.required\"\r\n                    [autofocus]=\"field.autofocus\" type=\"date\" [id]=\"field.fieldname\">\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'textarea'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div>\r\n                    <textarea class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                        [(ngModel)]=\"component.editItem[field.fieldname]\" [maxlength]=\"field.maxLength\"\r\n                        [required]=\"field.required\" [autofocus]=\"field.autofocus\"\r\n                        [style]=\"field.controlStyle ? field.controlStyle : 'height: 5em;'\"\r\n                        [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\"></textarea>\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <div *ngSwitchCase=\"'info-text'\" class=\"form-group row  mt-2\">\r\n            <div class=\"col-12\">\r\n                <label *ngIf=\"field.text\" class=\"form-label no-uppercase\" [for]=\"field.fieldname\">\r\n                    {{field.text}}\r\n                    <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                </label>\r\n                <div [ngClass]=\"field.text ? '' :'col-sm-12'\" class=\"form-control-static\">\r\n                    <p *ngIf=\"field.fieldname\" class=\"text-wrap\" [style]=\"field.controlStyle\"\r\n                        [innerHTML]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\"></p>\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'select'\">\r\n            <div class=\"form-group row  mt-2\">\r\n                <div class=\"col-12\">\r\n                    <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                        {{field.text}}\r\n                        <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                    </label>\r\n                    @if (field.type === 'lru') {\r\n                        @if (!field.multiSelectLookups) {\r\n                            <swt-lru #swtlru [key]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                     [inputSelectItems]=\"component.getLookups(field)\"\r\n                                     [preSetText]=\"component.editItem[field.fieldname]\"\r\n                                     (valueChange)=\"component.editItem[field.fieldname]=$event\"\r\n                                     [cssClass]=\"component.inputClass\" [ngClass]=\"field.text ? '' :'col-sm-12'\" [id]=\"field.fieldname\"></swt-lru>\r\n                        } @else {\r\n                            <multi-lru [name]=\"field.fieldname\" [inputMaxLength]=\"field.maxLength\"\r\n                                       [inputSelectItems]=\"component.getLookups(field)\"\r\n                                       [value]=\"component.editItem[field.fieldname]\"\r\n                                       (selectedTexts)=\"component.editItem[field.fieldname]=$event\"\r\n                                       [cssClass]=\"component.inputClass\" [ngClass]=\"field.text ? '' :'col-sm-12'\" [id]=\"field.fieldname\"></multi-lru>\r\n                        }\r\n                    } @else if (!component.hasLookups(field)) {\r\n                        <div>\r\n                            <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                        </div>\r\n                    } @else if (field.multiSelectLookups) {\r\n                        <div class=\"form-control-static\">\r\n                            <div class=\"position-relative\">\r\n                                <ng-select [ngStyle]=\"{'z-index':field.zIndex ? field.zIndex : 3}\"\r\n                                           class=\"form-control\" placeholder=\"(Ausw\u00E4hlen)\"\r\n                                           i18n-placeholder=\"@@SwtGenericEditDialog.Choose.dsp.Label\" [multiple]=\"true\"\r\n                                           [items]=\"component.getLookupsWithLabel(field)\" [attr.name]=\"field.fieldname\"\r\n                                           (change)=\"component.onSelectChanged(field.fieldname)\" name=\"{{field.fieldname}}\"\r\n                                           [(ngModel)]=\"component.editItem[field.fieldname]\" [clearOnBackspace]=\"true\"\r\n                                           [bindValue]=\"'value'\" [ngClass]=\"component.inputClass\" [id]=\"field.fieldname\">\r\n                                </ng-select>\r\n                            </div>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{ field.help }}</span>\r\n                        </div>\r\n                    } @else if (field.radioLookups) {\r\n                        <div>\r\n                            <div *ngFor=\"let lookUp of component.getLookups(field)\" class=\"radio\">\r\n                                <label (click)=\"component.editItem[field.fieldname] = lookUp.value\"\r\n                                       for=\"{{field.fieldname}}-{{lookUp.value}}\" class=\"form-check-label\">\r\n                                    <input class=\"form-check-input\" [attr.name]=\"field.fieldname\" type=\"radio\"\r\n                                           (change)=\"component.onSelectChanged(field.fieldname)\"\r\n                                           id=\"{{field.fieldname}}-{{lookUp.value}}\"\r\n                                           name=\"{{field.fieldname}}-{{lookUp.value}}\" value=\"{{lookUp.value}}\"\r\n                                           [style]=\"field.controlStyle\"\r\n                                           [(ngModel)]=\"component.editItem[field.fieldname]\">\r\n                                    {{lookUp.text}}\r\n                                </label>\r\n                            </div>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                        </div>\r\n                    } @else {\r\n                        <div>\r\n                            <select class=\"form-control\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                                    [autofocus]=\"field.autofocus\" [style]=\"field.controlStyle\"\r\n                                    [ngClass]=\"component.inputClass\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                    (change)=\"component.onSelectChanged(field.fieldname)\" [id]=\"field.fieldname\">\r\n                                <ng-container\r\n                                    *ngFor=\"let group of component.getGroupableLookups(field);trackBy: component.idenitifyGroupableLookupsChanged\">\r\n                                    <optgroup *ngIf=\"group.title\" [label]=\"group.title\">\r\n                                        <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                            {{lookup.text}}\r\n                                        </option>\r\n                                    </optgroup>\r\n                                    <ng-container *ngIf=\"!group.title\">\r\n                                        <option *ngFor=\"let lookup of group.items\" value=\"{{lookup.value}}\">\r\n                                            {{lookup.text}}\r\n                                        </option>\r\n                                    </ng-container>\r\n                                </ng-container>\r\n                            </select>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                        </div>\r\n                    }\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'dropdown-grid'\">\r\n            <div class=\"form-group row  mt-2\">\r\n                <div class=\"col-12\">\r\n                    <label class=\"form-label\" [for]=\"field.fieldname\">{{field.text}}</label>\r\n                    <div>\r\n                        <!-- fix f\u00FCr onChange -->\r\n                        <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\"\r\n                            name=\"{{field.fieldname}}\" [ngModel]=\"component.editItem[field.fieldname]\" [id]=\"field.fieldname\" />\r\n\r\n                        <swt-dropdown-container [container]=\"component.swtDropdownContainerContainer\" [attr.name]=\"field.fieldname\" #gridDropDownContainer\r\n                            [displayValue]=\"component.getDisplayValueOrDefault(field,' ')\" [width]=\"'100%'\"\r\n                            (onShow)=\"component.doOnDropdownGridShown(field.fieldname)\">\r\n                            <div class=\"p-2 drop-down-grid\">\r\n                                <swt-grid [minHeight]=\"'0'\" [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                                    [datasource]=\"component.getDynamicDatasource(field)\"\r\n                                    [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                                    [pageSizes]=\"field.grid.pageSizes ?? [10,20,30]\">\r\n                                </swt-grid>\r\n                                <div class=\"float-end mt-2\">\r\n                                    <button [attr.name]=\"field.fieldname+'_btn_ok'\" class=\"btn btn-primary\"\r\n                                        (click)=\"gridDropDownContainer.collapse()\" i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                                </div>\r\n                            </div>\r\n                        </swt-dropdown-container>\r\n                        <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'grid'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n            <swt-grid [attr.id]=\"field.fieldname\" [config]=\"field.grid\"\r\n                [datasource]=\"component.getDynamicDatasource(field)\" [minHeight]=\"\"\r\n                [paginationInfoVariant]=\"field.grid.paginationInfoVariant ?? 'compact'\"\r\n                [pageSizes]=\"field.grid.pageSizes ?? []\"></swt-grid>\r\n            <!-- fix f\u00FCr onChange -->\r\n            <input type=\"{{field.controlType}}\" hidden [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [style]=\"field.controlStyle\" [ngModel]=\"component.editItem[field.fieldname]\" />\r\n        </ng-container>\r\n        <div *ngSwitchCase=\"'divider'\" class=\"form-group\">\r\n            <div class=\"divider\" *ngIf=\"field.text\">\r\n                <div class=\"divider-text\">{{field.text}}</div>\r\n            </div>\r\n            <hr *ngIf=\"!field.text\">\r\n            <p *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</p>\r\n        </div>\r\n        <ng-container *ngSwitchCase=\"'buttons'\">\r\n            <div class=\"form-group\" *ngIf=\"component.containsFormButtons(field)\">\r\n                <label class=\"form-label\">{{field.text}}</label>\r\n                <div class=\"form-control-static\">\r\n                    <button *ngFor=\"let btn of component.formButtons(field)\" type=\"button\"\r\n                        class=\"btn me-1 {{btn.buttonClass}}\"\r\n                        [ngClass]=\"{'btn-xs':component.small,'btn-sm':!component.small}\" [title]=\"btn.tooltip\"\r\n                        [style]=\"field.controlStyle\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                        [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                        {{btn.text}}\r\n                    </button>\r\n                    <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'hidden'\">\r\n            <input type=\"{{field.controlType}}\" [attr.name]=\"field.fieldname\" name=\"{{field.fieldname}}\"\r\n                [(ngModel)]=\"component.editItem[field.fieldname]\" [min]=\"field.min\" [max]=\"field.max\"\r\n                [style]=\"field.controlStyle\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                [autofocus]=\"field.autofocus\" />\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'rich-text'\">\r\n            <h4 *ngIf=\"field.text\">{{field.text}}</h4>\r\n            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n            <div class=\"form-group  mt-2\">\r\n                <swt-quill-editor [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                    [config]=\"field.richText\" [maxlength]=\"field.maxLength\" [required]=\"field.required\"\r\n                    [placeholder]=\"field.placeholder?field.placeholder:''\"> </swt-quill-editor>\r\n            </div>\r\n        </ng-container>\r\n        <ng-container *ngSwitchCase=\"'color-picker'\">\r\n            <div class=\"form-group row  mt-2\">\r\n                <div class=\"col-12\">\r\n                    <label class=\"form-label\" [for]=\"field.fieldname\">\r\n                        {{field.text}}\r\n                        <span *ngIf=\"field.unit\">({{field.unit}})</span>\r\n                    </label>\r\n                    <div>\r\n                        @if (component.hasLookups(field)) {\r\n                            <swt-color-picker [name]=\"field.fieldname\" [(ngModel)]=\"component.editItem[field.fieldname]\"\r\n                                              [selectColors]=\"$any(component.getLookups(field))\" [required]=\"field.required\"\r\n                                              [config]=\"field.colorPicker\" [id]=\"field.fieldname\">\r\n                            </swt-color-picker>\r\n                            <span *ngIf=\"field.help\" class=\"help-block mb-0\">{{field.help}}</span>\r\n                        } @else {\r\n                            <div>\r\n                                <div class=\"form-control-static\" i18n=\"@@SwtGenericEditDialog.NotChangeable.msg.Text\">(nicht \u00E4nderbar)</div>\r\n                            </div>\r\n                        }\r\n                    </div>\r\n                </div>\r\n            </div>\r\n        </ng-container>\r\n    </div>\r\n</form>\r\n" }]
        }] });

const CLASS = 'GenericEditDialogFormComponent';
class GenericEditDialogFormComponent {
    constructor(logger, changeDetectorRef, locale, currencyCode) {
        this.logger = logger;
        this.changeDetectorRef = changeDetectorRef;
        this.locale = locale;
        this.currencyCode = currencyCode;
        this.editItem = {}; //dialog copy of edited item
        this.subscriptions = [];
        this.swtDropdownContainerContainer = 'body';
        this.onDropdownGridShown = new EventEmitter();
        this.ngSelectOptionsDictionary = {};
        this.formValueChanged = new EventEmitter();
        this.formErrors = {};
        this.hasDatePicker = signal(this.getHasDatePicker());
    }
    ngOnInit() {
        this.logger.log(CLASS + '.ngOnInit');
    }
    ngAfterViewInit() {
        this.logger.log(CLASS + '.ngAfterViewInit');
        //-- PK: ersatz für set Timeout (s.u.); erster Test keine probleme
        this.formValidate();
        this.subscriptions.push(this.dialogForm.valueChanges.subscribe(data => this.onFormValueChanged(data)));
        //setTimeout(() => { this.refreshDialog() }, 300);//workaround: ohne diesen timeout/refresh werden die formErrors tlw. erst nach neuem digest zyklus angezeigt
    }
    ngOnDestroy() {
        this.logger.log(CLASS + '.ngOnDestroy');
        this.ngSelectOptionsDictionary = {};
        this.subscriptions.forEach(s => s.unsubscribe());
    }
    get dialogForm() {
        return this.template.first.dialogForm;
    }
    passwordConfirmInvalid(field) {
        return this.editItem[field.fieldname] != this.editItem[field.fieldnamePasswordConfirm];
    }
    fieldVisible(field) {
        const isHidden = (field.hideIf != undefined && field.hideIf(this.editItem));
        return !isHidden;
    }
    getLookups(field) {
        return this.master.getLookups(field);
    }
    getGroupableLookups(field) {
        return this.master.getGroupableLookups(field);
    }
    /**
     * Used for trackBy in NgFor.
     * Prevents the unnecessary Destroy/Create of the Elements, what breaks ChangeDetection in Firefox
     */
    idenitifyGroupableLookupsChanged(index, item) {
        return item.title;
    }
    getLookupsWithLabel(field) {
        if (!this.ngSelectOptionsDictionary[field.fieldname]) {
            this.ngSelectOptionsDictionary[field.fieldname] =
                this.master.getLookups(field)
                    .map((item) => ({
                    value: item.value,
                    label: item.text
                }));
        }
        return this.ngSelectOptionsDictionary[field.fieldname];
    }
    hasLookups(field) {
        return this.master.hasLookups(field);
    }
    dropDownClearClicked(fieldname) {
        this.editItem[fieldname] = null;
    }
    getDynamicDatasource(field) {
        return this.master.getDynamicDatasource(field);
    }
    getDisplayValue(field) {
        if (field.grid && field.grid.displayFieldValue && (this.editItem[field.grid.displayFieldValue] != undefined))
            return this.editItem[field.grid.displayFieldValue];
        else if (field.grid && field.grid.showAsDropDownFieldName) {
            const ds = this.getDynamicDatasource(field);
            const selectedData = ds.dataBackup.filter(d => ds.selectedIds.includes(d[ds.idfield]));
            const rawIds = ds.selectedIds.filter(id => !selectedData.some(sd => sd[ds.idfield] == id));
            const displayValues = selectedData.map(d => d[field.grid.showAsDropDownFieldName]).concat(rawIds);
            return displayValues;
        }
        else
            return [this.editItem[field.fieldname]];
    }
    getDisplayValueOrDefault(field, defaultValue) {
        const result = this.getDisplayValue(field);
        return result ? result : [defaultValue];
    }
    refreshDialog() {
        this.changeDetectorRef.markForCheck();
    }
    //only public for template
    onFormValueChanged(data) {
        this.formValidate(data);
        this.formValueChanged.emit(this);
    }
    onSelectChanged(fieldname) {
        const field = this.cat.dialogFields.find(f => f.fieldname == fieldname);
        const dependentFieldnames = field.dependentSelectFieldnames;
        if (dependentFieldnames) {
            for (const dependentFieldname of dependentFieldnames)
                this.clearDependentSelect(dependentFieldname);
        }
    }
    clearDependentSelect(fieldname) {
        this.editItem[fieldname] = DIALOG_FIELD_NULLVALUE;
        this.ngSelectOptionsDictionary[fieldname] = null;
    }
    formValidate(data) {
        //if (!this.master.dialog.isShown) return;
        if (!this.master.isShown)
            return;
        if (!data)
            data = this.editItem;
        for (const field of this.cat.dialogFields.filter(f => f.fieldname)) {
            const control = this.dialogForm.form.get(field.fieldname);
            const control2 = this.dialogForm.form.get(field.fieldname2);
            if (control2) {
                control.setErrors(null); //unschöner unsauberer fix, damit im falle von 2 controls beide errors erstmal restet werden. kann möglicherwiese dazu führen dass nicht manuelle errors auch geplättet werden
                control2.setErrors(null);
            }
            if (control) {
                //custom validation
                switch (field.type) {
                    case 'number':
                        if (field.min != null && (control.dirty && data[field.fieldname] == null || data[field.fieldname] < field.min))
                            control.setErrors({ minInvalid: true });
                        if (field.max != null && (control.dirty && data[field.fieldname] == null || data[field.fieldname] > field.max))
                            control.setErrors({ maxInvalid: true });
                        break;
                    case 'date': {
                        if (field.controlTypeVariant == 'input' && field.required && data[field.fieldname]) {
                            const aMoment = moment(data[field.fieldname]);
                            if (!aMoment.isValid())
                                control.setErrors({ dateInvalid: true });
                        }
                        break;
                    }
                    case 'dateInterval': {
                        if (field.controlTypeVariant == 'input') {
                            if (field.required && data[field.fieldname]) {
                                const aMoment = moment(data[field.fieldname]);
                                if (!aMoment.isValid())
                                    control.setErrors({ dateInvalid: true });
                            }
                            if (field.required2 && data[field.fieldname2]) {
                                const aMoment2 = moment(data[field.fieldname2]);
                                if (!aMoment2.isValid())
                                    control2.setErrors({ dateInvalid: true });
                            }
                            if (data[field.fieldname] > data[field.fieldname2]) {
                                control.setErrors({ dateIntervalInvalid: true });
                                control2.setErrors({ dateIntervalInvalid: true });
                            }
                        }
                        break;
                    }
                }
                field.hasError = false;
                const hasError1 = this.setFormErrors(control, field, field.fieldname);
                const hasError2 = this.setFormErrors(control2, field, field.fieldname2);
                field.hasError = hasError1 || hasError2;
            }
        }
    }
    formatMoneyText(field) {
        const currencySymbol = getCurrencySymbol(this.currencyCode, 'narrow', this.locale);
        return `${field.text} (${currencySymbol}${field.unit ?? ''})`;
    }
    setFormErrors(control, field, fieldname) {
        if (!control)
            return null;
        this.formErrors[fieldname] = '';
        //--alte version controlHasErrors
        //let editItemHasValue = data[fieldname] != null && data[fieldname] != "";
        //let controlHasErrors = control && (control.dirty || editItemHasValue) && !control.valid;
        //--neue version controlHasErrors
        const controlHasErrors = control.errors != null && control.touched;
        if (!controlHasErrors)
            return false;
        // eslint-disable-next-line guard-for-in
        for (const key in control.errors)
            this.formErrors[fieldname] += this.getErrorMessage(key, field);
        return this.formErrors[fieldname] && this.formErrors[fieldname] != '';
    }
    getErrorMessage(key, field) {
        switch (key) {
            case 'maxInvalid': return `Wert ist größer als das Maximum ${field.max} `;
            case 'minInvalid': return `Wert ist kleiner als das Minimum ${field.min} `;
            case 'required': return 'Eingabe ist erforderlich' + ' ';
            case 'dateInvalid': return 'Kein gültiges Datum' + ' ';
            case 'dateIntervalInvalid': return 'Kein gültiges Datumsinterval' + ' ';
            case 'mask': return 'Die Eingabe entspricht nicht dem gewünschten Format' + ' ';
            default: return key + ' ';
        }
    }
    containsFormButtons(field) {
        const existingBtn = field.buttons && field.buttons.find(btn => !btn.position || btn.position == 'form');
        return existingBtn ? true : false;
    }
    formButtons(field) {
        return field.buttons ? field.buttons.filter(btn => !btn.position || btn.position == 'form') : [];
    }
    onButtonClicked(btn, editItem) {
        this.master.onButtonClicked(btn, editItem);
    }
    doOnDropdownGridShown(fieldname) {
        this.onDropdownGridShown.emit(fieldname);
    }
    clickSpinnerUp(eventData, field) {
        if (this.editItem[field.fieldname] >= field.max)
            return;
        this.editItem[field.fieldname]++;
    }
    clickSpinnerDown(eventData, field) {
        if (this.editItem[field.fieldname] <= field.min)
            return;
        this.editItem[field.fieldname]--;
    }
    getHasDatePicker() {
        const input = document.createElement('input');
        input.setAttribute('type', 'date');
        input.value = '2038-01-20';
        return !!input.valueAsDate;
    }
    useBrowserDateInput(field) {
        return this.hasDatePicker() && !field.calendarWeekVisible;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogFormComponent, deps: [{ token: i1$2.LoggerService }, { token: i0.ChangeDetectorRef }, { token: LOCALE_ID }, { token: DEFAULT_CURRENCY_CODE }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: GenericEditDialogFormComponent, isStandalone: false, selector: "swt-generic-edit-dialog-form", inputs: { master: "master", cat: "cat", editItem: "editItem", dynamicLookups: "dynamicLookups", inputClass: "inputClass", swtDropdownContainerContainer: "swtDropdownContainerContainer" }, outputs: { onDropdownGridShown: "onDropdownGridShown", formValueChanged: "formValueChanged" }, viewQueries: [{ propertyName: "template", predicate: ["template"], descendants: true }], ngImport: i0, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <swt-generic-edit-dialog-form-inspinia [component]=\"this\" #template></swt-generic-edit-dialog-form-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <swt-generic-edit-dialog-form-sneat [component]=\"this\" #template></swt-generic-edit-dialog-form-sneat>\r\n</ng-template>\r\n", styles: [".position-relative{position:relative}ng-select.ng-select{display:contents!important}ng-select.ng-select .ng-select-container{min-height:22px;padding:inherit!important;border:inherit!important;border-radius:inherit!important;font-size:14px}ng-select.ng-select .ng-value-container{padding:0!important}ng-select.ng-select .ng-value-container .ng-input{padding:0!important}ng-select.ng-select .ng-value-container .ng-placeholder{top:initial!important;padding:0!important}ng-select.ng-select .ng-value-container .ng-value{margin-bottom:0!important}ng-select.ng-select .ng-arrow-wrapper{font-family:\"Font Awesome 5 Pro\";font-weight:900;width:initial;padding-right:0}ng-select.ng-select .ng-arrow-wrapper .ng-arrow{display:none!important}ng-select.ng-select .ng-arrow-wrapper:after{content:\"\\f078\"}ng-select.ng-select.ng-select-opened .ng-arrow-wrapper:after{content:\"\\f077\"}.drop-down-grid{background-color:#fff;border:1px solid #ccc;box-sizing:border-box;resize:both;overflow:auto}ng-select ng-dropdown-panel{border-radius:0!important}ng-select>.ng-select-container{border-radius:0!important}.ng-select.ng-select-focused:not(.ng-select-opened)>.ng-select-container{border-color:#ccc!important;box-shadow:none!important}.no-uppercase{text-transform:none!important}.break-text{word-break:break-word;overflow-wrap:break-word;white-space:pre-wrap}\n"], dependencies: [{ kind: "component", type: i3$3.SwitchTemplateComponent, selector: "switch-template", inputs: ["sneat", "inspinia", "default"] }, { kind: "component", type: SwtGenericEditDialogFormInspiniaComponent, selector: "swt-generic-edit-dialog-form-inspinia" }, { kind: "component", type: SwtGenericEditDialogFormSneatComponent, selector: "swt-generic-edit-dialog-form-sneat" }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-generic-edit-dialog-form', encapsulation: ViewEncapsulation.None, standalone: false, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <swt-generic-edit-dialog-form-inspinia [component]=\"this\" #template></swt-generic-edit-dialog-form-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <swt-generic-edit-dialog-form-sneat [component]=\"this\" #template></swt-generic-edit-dialog-form-sneat>\r\n</ng-template>\r\n", styles: [".position-relative{position:relative}ng-select.ng-select{display:contents!important}ng-select.ng-select .ng-select-container{min-height:22px;padding:inherit!important;border:inherit!important;border-radius:inherit!important;font-size:14px}ng-select.ng-select .ng-value-container{padding:0!important}ng-select.ng-select .ng-value-container .ng-input{padding:0!important}ng-select.ng-select .ng-value-container .ng-placeholder{top:initial!important;padding:0!important}ng-select.ng-select .ng-value-container .ng-value{margin-bottom:0!important}ng-select.ng-select .ng-arrow-wrapper{font-family:\"Font Awesome 5 Pro\";font-weight:900;width:initial;padding-right:0}ng-select.ng-select .ng-arrow-wrapper .ng-arrow{display:none!important}ng-select.ng-select .ng-arrow-wrapper:after{content:\"\\f078\"}ng-select.ng-select.ng-select-opened .ng-arrow-wrapper:after{content:\"\\f077\"}.drop-down-grid{background-color:#fff;border:1px solid #ccc;box-sizing:border-box;resize:both;overflow:auto}ng-select ng-dropdown-panel{border-radius:0!important}ng-select>.ng-select-container{border-radius:0!important}.ng-select.ng-select-focused:not(.ng-select-opened)>.ng-select-container{border-color:#ccc!important;box-shadow:none!important}.no-uppercase{text-transform:none!important}.break-text{word-break:break-word;overflow-wrap:break-word;white-space:pre-wrap}\n"] }]
        }], ctorParameters: () => [{ type: i1$2.LoggerService }, { type: i0.ChangeDetectorRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [LOCALE_ID]
                }] }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [DEFAULT_CURRENCY_CODE]
                }] }], propDecorators: { master: [{
                type: Input
            }], cat: [{
                type: Input
            }], editItem: [{
                type: Input
            }], dynamicLookups: [{
                type: Input
            }], inputClass: [{
                type: Input
            }], template: [{
                type: ViewChildren,
                args: ['template']
            }], swtDropdownContainerContainer: [{
                type: Input
            }], onDropdownGridShown: [{
                type: Output
            }], formValueChanged: [{
                type: Output
            }] } });

// eslint-disable-next-line @typescript-eslint/no-explicit-any
class SwtGenericEditDialogComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogComponentBase, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.13", type: SwtGenericEditDialogComponentBase, isStandalone: true, inputs: { component: "component" }, viewQueries: [{ propertyName: "dialog", first: true, predicate: ["dialog"], descendants: true, static: true }, { propertyName: "dialogInitDirective", first: true, predicate: DialogInitDirective, descendants: true, static: true }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogComponentBase, decorators: [{
            type: Directive
        }], propDecorators: { component: [{
                type: Input
            }], dialog: [{
                type: ViewChild,
                args: ['dialog', { static: true }]
            }], dialogInitDirective: [{
                type: ViewChild,
                args: [DialogInitDirective, { static: true }]
            }] } });
class SwtGenericEditDialogInspiniaComponent extends SwtGenericEditDialogComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogInspiniaComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtGenericEditDialogInspiniaComponent, isStandalone: false, selector: "swt-generic-edit-dialog-inspinia", usesInheritance: true, ngImport: i0, template: "<div bsModal #dialog=\"bs-modal\" class=\"modal\" [ngClass]=\"component.disableAnimation ? '' : 'fade'\" tabindex=\"-1\"\r\n     role=\"dialog\" [dialog-init]=\"dialog\">\r\n    <div class=\"modal-dialog\" style=\"max-height: calc(100vh-83px)\" [ngClass]=\"component.sizeClass\">\r\n        <div class=\"modal-content\">\r\n            <div class=\"modal-header\">\r\n                <button type=\"button\" class=\"close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n                    <span aria-hidden=\"true\">&times;</span>\r\n                </button>\r\n                <h4 class=\"modal-title\">{{component.modalTitle}}</h4>\r\n            </div>\r\n            <div class=\"modal-body\">\r\n                <div class=\"panel blank-panel\" *ngIf=\"component.categoriesAsTabs\">\r\n                    <div class=\"panel-heading\">\r\n                        <div class=\"panel-options\">\r\n                            <ul class=\"nav nav-tabs\">\r\n                                <li *ngFor=\"let cat of component.visibleCategories\" [ngClass]=\"cat.active?'active':''\"\r\n                                    (click)=\"component.setCatActive(cat)\">\r\n                                    <a>{{cat.name}}</a>\r\n                                </li>\r\n                            </ul>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"panel-body\">\r\n                        <div class=\"tab-content\">\r\n                            <div class=\"tab-pane\" [ngClass]=\"cat.active?'active':''\"\r\n                                *ngFor=\"let cat of component.visibleCategories\">\r\n                                <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                                    [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                                    [inputClass]=\"component.inputSizeClass\" [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                                    (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                                </swt-generic-edit-dialog-form>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div *ngIf=\"!component.categoriesAsTabs\">\r\n                    <div *ngFor=\"let cat of component.visibleCategories;let firstCat=first\">\r\n                        <div *ngIf=\"cat.name && !firstCat\" class=\"hr-line-dashed\"></div>\r\n                        <h4 *ngIf=\"cat.name\" class=\"m-t-none m-b\">{{cat.name}}</h4>\r\n                        <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                            [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                            [inputClass]=\"component.inputSizeClass\"\r\n                            [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                            (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                        </swt-generic-edit-dialog-form>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div *ngIf=\"component.errorText\" class=\"hr-line-solid m-xs\"></div>\r\n            <div *ngIf=\"component.errorText\" class=\"alert alert-danger m-xs\">\r\n                <p>{{component.errorText}}</p>\r\n            </div>\r\n            <div class=\"modal-footer\">\r\n                <button *ngFor=\"let btn of component.customFormButtonsBefore\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn, component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n                <button *ngIf=\"!component.hideCancelButton\" id=\"btn-cancel\" type=\"button\" class=\"btn btn-default\"\r\n                    (click)=\"component.cancelDialog()\" i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n                <button *ngIf=\"!component.hideOkButton\" id=\"btn-ok\" type=\"button\" class=\"btn btn-primary\"\r\n                    (click)=\"component.submitDialog()\" [disabled]=\"component.isSubmitDisabled\"\r\n                    i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                <button *ngFor=\"let btn of component.customFormButtonsAfter\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i2$3.DialogInitDirective, selector: "[dialog-init]", inputs: ["dialog-init"] }, { kind: "directive", type: i3$2.ModalDirective, selector: "[bsModal]", inputs: ["config", "closeInterceptor"], outputs: ["onShow", "onShown", "onHide", "onHidden"], exportAs: ["bs-modal"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }, { kind: "component", type: GenericEditDialogFormComponent, selector: "swt-generic-edit-dialog-form", inputs: ["master", "cat", "editItem", "dynamicLookups", "inputClass", "swtDropdownContainerContainer"], outputs: ["onDropdownGridShown", "formValueChanged"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogInspiniaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-generic-edit-dialog-inspinia', standalone: false, template: "<div bsModal #dialog=\"bs-modal\" class=\"modal\" [ngClass]=\"component.disableAnimation ? '' : 'fade'\" tabindex=\"-1\"\r\n     role=\"dialog\" [dialog-init]=\"dialog\">\r\n    <div class=\"modal-dialog\" style=\"max-height: calc(100vh-83px)\" [ngClass]=\"component.sizeClass\">\r\n        <div class=\"modal-content\">\r\n            <div class=\"modal-header\">\r\n                <button type=\"button\" class=\"close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n                    <span aria-hidden=\"true\">&times;</span>\r\n                </button>\r\n                <h4 class=\"modal-title\">{{component.modalTitle}}</h4>\r\n            </div>\r\n            <div class=\"modal-body\">\r\n                <div class=\"panel blank-panel\" *ngIf=\"component.categoriesAsTabs\">\r\n                    <div class=\"panel-heading\">\r\n                        <div class=\"panel-options\">\r\n                            <ul class=\"nav nav-tabs\">\r\n                                <li *ngFor=\"let cat of component.visibleCategories\" [ngClass]=\"cat.active?'active':''\"\r\n                                    (click)=\"component.setCatActive(cat)\">\r\n                                    <a>{{cat.name}}</a>\r\n                                </li>\r\n                            </ul>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"panel-body\">\r\n                        <div class=\"tab-content\">\r\n                            <div class=\"tab-pane\" [ngClass]=\"cat.active?'active':''\"\r\n                                *ngFor=\"let cat of component.visibleCategories\">\r\n                                <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                                    [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                                    [inputClass]=\"component.inputSizeClass\" [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                                    (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                                </swt-generic-edit-dialog-form>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div *ngIf=\"!component.categoriesAsTabs\">\r\n                    <div *ngFor=\"let cat of component.visibleCategories;let firstCat=first\">\r\n                        <div *ngIf=\"cat.name && !firstCat\" class=\"hr-line-dashed\"></div>\r\n                        <h4 *ngIf=\"cat.name\" class=\"m-t-none m-b\">{{cat.name}}</h4>\r\n                        <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                            [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                            [inputClass]=\"component.inputSizeClass\"\r\n                            [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                            (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                        </swt-generic-edit-dialog-form>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div *ngIf=\"component.errorText\" class=\"hr-line-solid m-xs\"></div>\r\n            <div *ngIf=\"component.errorText\" class=\"alert alert-danger m-xs\">\r\n                <p>{{component.errorText}}</p>\r\n            </div>\r\n            <div class=\"modal-footer\">\r\n                <button *ngFor=\"let btn of component.customFormButtonsBefore\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn, component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n                <button *ngIf=\"!component.hideCancelButton\" id=\"btn-cancel\" type=\"button\" class=\"btn btn-default\"\r\n                    (click)=\"component.cancelDialog()\" i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n                <button *ngIf=\"!component.hideOkButton\" id=\"btn-ok\" type=\"button\" class=\"btn btn-primary\"\r\n                    (click)=\"component.submitDialog()\" [disabled]=\"component.isSubmitDisabled\"\r\n                    i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                <button *ngFor=\"let btn of component.customFormButtonsAfter\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n" }]
        }] });
class SwtGenericEditDialogSneatComponent extends SwtGenericEditDialogComponentBase {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogSneatComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: SwtGenericEditDialogSneatComponent, isStandalone: false, selector: "swt-generic-edit-dialog-sneat", usesInheritance: true, ngImport: i0, template: "<div bsModal #dialog=\"bs-modal\" class=\"modal\" [ngClass]=\"component.disableAnimation ? '' : 'fade'\" tabindex=\"-1\"\r\n    role=\"dialog\" [dialog-init]=\"dialog\">\r\n    <div class=\"modal-dialog\" style=\"max-height: calc(100vh-83px)\" [ngClass]=\"component.sizeClass\">\r\n        <div class=\"modal-content\">\r\n            <div class=\"modal-header\">\r\n                <h4 class=\"modal-title\">{{component.modalTitle}}</h4>\r\n                <button type=\"button\" class=\"btn-close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n                </button>\r\n            </div>\r\n            <div class=\"modal-body\">\r\n                <div class=\"panel blank-panel\" *ngIf=\"component.categoriesAsTabs\">\r\n                    <div class=\"panel-heading\">\r\n                        <div class=\"panel-options\">\r\n                            <ul class=\"nav nav-tabs\">\r\n                                <li *ngFor=\"let cat of component.visibleCategories\" [ngClass]=\"cat.active?'active':''\"\r\n                                    (click)=\"component.setCatActive(cat)\">\r\n                                    <a>{{cat.name}}</a>\r\n                                </li>\r\n                            </ul>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"panel-body\">\r\n                        <div class=\"tab-content\">\r\n                            <div class=\"tab-pane\" [ngClass]=\"cat.active?'active':''\"\r\n                                *ngFor=\"let cat of component.visibleCategories\">\r\n                                <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                                    [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                                    [inputClass]=\"component.inputSizeClass\"\r\n                                    [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                                    (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                                </swt-generic-edit-dialog-form>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div *ngIf=\"!component.categoriesAsTabs\">\r\n                    <div *ngFor=\"let cat of component.visibleCategories;let firstCat=first\">\r\n                        <div *ngIf=\"cat.name && !firstCat\" class=\"hr-line-dashed\"></div>\r\n                        <h4 *ngIf=\"cat.name\" class=\"m-t-none m-b\">{{cat.name}}</h4>\r\n                        <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                            [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                            [inputClass]=\"component.inputSizeClass\" [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                            (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                        </swt-generic-edit-dialog-form>\r\n                    </div>\r\n                </div>\r\n                <div *ngIf=\"component.errorText\" class=\"alert alert-danger break-text m-xs mt-4\">\r\n                    {{component.errorText}}\r\n                </div>\r\n            </div>\r\n            <div class=\"modal-footer\">\r\n                <button *ngFor=\"let btn of component.customFormButtonsBefore\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn, component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n                <button *ngIf=\"!component.hideCancelButton\" id=\"btn-cancel\" type=\"button\" class=\"btn btn-secondary\"\r\n                    (click)=\"component.cancelDialog()\" i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n                <button *ngIf=\"!component.hideOkButton\" id=\"btn-ok\" type=\"button\" class=\"btn btn-primary\"\r\n                    (click)=\"component.submitDialog()\" [disabled]=\"component.isSubmitDisabled\"\r\n                    i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                <button *ngFor=\"let btn of component.customFormButtonsAfter\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }, { kind: "directive", type: i2$3.DialogInitDirective, selector: "[dialog-init]", inputs: ["dialog-init"] }, { kind: "directive", type: i3$2.ModalDirective, selector: "[bsModal]", inputs: ["config", "closeInterceptor"], outputs: ["onShow", "onShown", "onHide", "onHidden"], exportAs: ["bs-modal"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }, { kind: "component", type: GenericEditDialogFormComponent, selector: "swt-generic-edit-dialog-form", inputs: ["master", "cat", "editItem", "dynamicLookups", "inputClass", "swtDropdownContainerContainer"], outputs: ["onDropdownGridShown", "formValueChanged"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericEditDialogSneatComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-generic-edit-dialog-sneat', standalone: false, template: "<div bsModal #dialog=\"bs-modal\" class=\"modal\" [ngClass]=\"component.disableAnimation ? '' : 'fade'\" tabindex=\"-1\"\r\n    role=\"dialog\" [dialog-init]=\"dialog\">\r\n    <div class=\"modal-dialog\" style=\"max-height: calc(100vh-83px)\" [ngClass]=\"component.sizeClass\">\r\n        <div class=\"modal-content\">\r\n            <div class=\"modal-header\">\r\n                <h4 class=\"modal-title\">{{component.modalTitle}}</h4>\r\n                <button type=\"button\" class=\"btn-close\" (click)=\"component.cancelDialog()\" aria-label=\"Close\">\r\n                </button>\r\n            </div>\r\n            <div class=\"modal-body\">\r\n                <div class=\"panel blank-panel\" *ngIf=\"component.categoriesAsTabs\">\r\n                    <div class=\"panel-heading\">\r\n                        <div class=\"panel-options\">\r\n                            <ul class=\"nav nav-tabs\">\r\n                                <li *ngFor=\"let cat of component.visibleCategories\" [ngClass]=\"cat.active?'active':''\"\r\n                                    (click)=\"component.setCatActive(cat)\">\r\n                                    <a>{{cat.name}}</a>\r\n                                </li>\r\n                            </ul>\r\n                        </div>\r\n                    </div>\r\n                    <div class=\"panel-body\">\r\n                        <div class=\"tab-content\">\r\n                            <div class=\"tab-pane\" [ngClass]=\"cat.active?'active':''\"\r\n                                *ngFor=\"let cat of component.visibleCategories\">\r\n                                <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                                    [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                                    [inputClass]=\"component.inputSizeClass\"\r\n                                    [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                                    (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                                </swt-generic-edit-dialog-form>\r\n                            </div>\r\n                        </div>\r\n                    </div>\r\n                </div>\r\n                <div *ngIf=\"!component.categoriesAsTabs\">\r\n                    <div *ngFor=\"let cat of component.visibleCategories;let firstCat=first\">\r\n                        <div *ngIf=\"cat.name && !firstCat\" class=\"hr-line-dashed\"></div>\r\n                        <h4 *ngIf=\"cat.name\" class=\"m-t-none m-b\">{{cat.name}}</h4>\r\n                        <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"component.editItem\"\r\n                            [dynamicLookups]=\"component.dynamicLists\" [master]=\"component\"\r\n                            [inputClass]=\"component.inputSizeClass\" [swtDropdownContainerContainer]=\"component.swtDropdownContainerContainer\"\r\n                            (onDropdownGridShown)=\"component.doOnDropdownGridShown($event)\">\r\n                        </swt-generic-edit-dialog-form>\r\n                    </div>\r\n                </div>\r\n                <div *ngIf=\"component.errorText\" class=\"alert alert-danger break-text m-xs mt-4\">\r\n                    {{component.errorText}}\r\n                </div>\r\n            </div>\r\n            <div class=\"modal-footer\">\r\n                <button *ngFor=\"let btn of component.customFormButtonsBefore\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn, component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n                <button *ngIf=\"!component.hideCancelButton\" id=\"btn-cancel\" type=\"button\" class=\"btn btn-secondary\"\r\n                    (click)=\"component.cancelDialog()\" i18n=\"@@Button.Cancel.act.Label\">Abbrechen</button>\r\n                <button *ngIf=\"!component.hideOkButton\" id=\"btn-ok\" type=\"button\" class=\"btn btn-primary\"\r\n                    (click)=\"component.submitDialog()\" [disabled]=\"component.isSubmitDisabled\"\r\n                    i18n=\"@@Button.Ok.act.Label\">OK</button>\r\n                <button *ngFor=\"let btn of component.customFormButtonsAfter\" type=\"button\" class=\"btn\"\r\n                    [disabled]=\"btn.submitDialog ? component.isSubmitDisabled : null\" [ngClass]=\"btn.buttonClass\"\r\n                    [title]=\"btn.tooltip\" (click)=\"component.onButtonClicked(btn,component.editItem)\"\r\n                    [ngStyle]=\"{ 'width': btn.width ?? 'auto' }\">\r\n                    <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n                    {{btn.text}}\r\n                </button>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>\r\n" }]
        }] });

class GenericEditDialogComponent extends GenericEditDialogBaseComponent {
    constructor(logger, genericEditDialogService, differs, sharedConfig) {
        super(logger, differs);
        this.genericEditDialogService = genericEditDialogService;
        this.modalTitle = '';
        this.titleSingular = '';
        this.dialogId = '';
        this.hideOkButton = false;
        this.hideCancelButton = false;
        this.swtDropdownContainerContainer = 'swt-generic-edit-dialog div.modal-dialog';
        this.sizeClass = 'modal-md';
        this.disableAnimation = sharedConfig.disableModalAnimation;
    }
    get dialog() {
        return this.template.first.dialog;
    }
    get dialogInitDirective() {
        return this.template.first.dialogInitDirective;
    }
    /** set this true, if this dialog component should be used as the "global generic dialog" */
    set serviceDialog(value) {
        if (value)
            this.genericEditDialogService.setDialogComponent(this);
    }
    /** used internal */
    isShown() {
        //overwrite in inherited
        return this.dialog.isShown;
    }
    ngOnInit() {
        super.onInit();
    }
    ngAfterViewInit() {
        this.subscriptions.push(this.dialog.onHidden.subscribe(() => {
            this.closeModalFix();
            this.onHidden.emit();
        }));
    }
    /** fix weil modal-open nicht herausgenommen wird wenn ein 2ter Dialog geoeffnet wird */
    closeModalFix() {
        document.body.classList.remove('modal-open');
        document.body.style.paddingRight = '0px';
        document.body.style.overflowY = '';
    }
    ngDoCheck() {
        super.doCheck();
    }
    ngOnDestroy() {
        super.onDestroy();
    }
    /**
     * Fill Data and Show Dialog
     *
     * @param dto
     * @param mode user-defined 'mode' without any logic in dialog. can e.g. be used to store meta-info like "INSERT|EDIT|DUPLICATE" in multi-role dialogs
     * @param dynamicLists dynamic lookups (in contrary to static) which are loaded before dialog.show. they are refernced by a lookupKey in the configuration (lookups of type string)
     */
    show(dto, mode, dynamicLists) {
        super.initData(dto, mode, dynamicLists);
        this.modalTitle = this.titleSingular;
        this.dialog.show();
    }
    /**
     * Re-Open the Dialog with errors shown
     *
     * @param errors
     */
    showErrors(errors) {
        super.showErrors(errors);
        this.dialog.show();
    }
    submitDialog(submitResult = 'OK') {
        super.submitDialog(submitResult);
    }
    hide() {
        super.hide();
        this.dialog.hide();
    }
    cancelDialog() {
        super.cancelDialog();
        this.dialog.hide();
    }
    //------ region Custom Buttons -------------------------
    get customFormButtonsBefore() {
        return this.getCustomButtons('footer-before');
    }
    get customFormButtonsAfter() {
        return this.getCustomButtons('footer-after');
    }
    getCustomButtons(btnPosition) {
        const resultBtns = new Array();
        const dialogFieldsWithButtons = this.getAllDialogFields.filter(df => df.type == 'buttons');
        for (const df of dialogFieldsWithButtons) {
            for (const btn of df.buttons) {
                if (btn.position == btnPosition)
                    resultBtns.push(btn);
            }
        }
        return resultBtns;
    }
    get size() {
        return this._size;
    }
    set size(newSize) {
        this.sizeClass = this.getSizeClass(newSize);
        this._size = newSize;
    }
    getSizeClass(size) {
        switch (size) {
            case 'small': return 'modal-sm';
            case 'medium': return 'modal-md';
            case 'large': return 'modal-lg';
            default: return 'modal-md';
        }
    }
    //------ end region Dialog Size -------------------------
    focus(fieldname) {
        this.dialogInitDirective.focus(fieldname);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogComponent, deps: [{ token: i1$2.LoggerService }, { token: GenericEditDialogService }, { token: i0.KeyValueDiffers }, { token: i3$1.SharedConfigService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: GenericEditDialogComponent, isStandalone: false, selector: "swt-generic-edit-dialog", inputs: { titleSingular: "titleSingular", dialogId: ["id", "dialogId"], serviceDialog: "serviceDialog" }, viewQueries: [{ propertyName: "template", predicate: ["template"], descendants: true }], usesInheritance: true, ngImport: i0, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <swt-generic-edit-dialog-inspinia [component]=\"this\" #template></swt-generic-edit-dialog-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <swt-generic-edit-dialog-sneat [component]=\"this\" #template></swt-generic-edit-dialog-sneat>\r\n</ng-template>\r\n", styles: [".modal-footer button{margin-left:3px}\n"], dependencies: [{ kind: "component", type: i3$3.SwitchTemplateComponent, selector: "switch-template", inputs: ["sneat", "inspinia", "default"] }, { kind: "component", type: SwtGenericEditDialogInspiniaComponent, selector: "swt-generic-edit-dialog-inspinia" }, { kind: "component", type: SwtGenericEditDialogSneatComponent, selector: "swt-generic-edit-dialog-sneat" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-generic-edit-dialog', standalone: false, template: "<switch-template [inspinia]=\"inspiniaTemplate\" [sneat]=\"sneatTemplate\"></switch-template>\r\n\r\n<ng-template #inspiniaTemplate>\r\n    <swt-generic-edit-dialog-inspinia [component]=\"this\" #template></swt-generic-edit-dialog-inspinia>\r\n</ng-template>\r\n\r\n<ng-template #sneatTemplate>\r\n    <swt-generic-edit-dialog-sneat [component]=\"this\" #template></swt-generic-edit-dialog-sneat>\r\n</ng-template>\r\n", styles: [".modal-footer button{margin-left:3px}\n"] }]
        }], ctorParameters: () => [{ type: i1$2.LoggerService }, { type: GenericEditDialogService }, { type: i0.KeyValueDiffers }, { type: i3$1.SharedConfigService }], propDecorators: { template: [{
                type: ViewChildren,
                args: ['template']
            }], titleSingular: [{
                type: Input
            }], dialogId: [{
                type: Input,
                args: ['id']
            }], serviceDialog: [{
                type: Input
            }] } });

/** Verwendung :
 * - in Template ientragen
 * - Aufruf von configureDialogFields() zum Rendern der Struktur
 * - Aufruf initData() zum Füllen mit Daten
 */
class GenericEditDialogInlineComponent extends GenericEditDialogBaseComponent {
    constructor(logger, differs) {
        super(logger, differs);
        /**
        Bestimmt in welchem container der bs-dropdown-container gerendert wird. Default ist 'body'.
     */
        this.swtDropdownContainerContainer = 'body';
    }
    ngOnInit() {
        super.onInit();
    }
    ngOnDestroy() {
        super.onDestroy();
    }
    ngDoCheck() {
        super.doCheck();
    }
    /**
     * Konfiguriert den Aufbau des Formulars
     *
     * @param fieldsOrCategoriesOfFields
     */
    configureDialogFields(fieldsOrCategoriesOfFields) {
        super.configureDialogFields(fieldsOrCategoriesOfFields);
    }
    /**
     * Übergibt die Bearbeitungsdaten
     * Wenn nicht aufgerufen, dann funktioniert die Change-Detection nicht!
     *
     * @param dto
     * @param dynamicLists
     */
    initData(dto, dynamicLists) {
        super.initData(dto, null, dynamicLists);
    }
    /**
     * Abschluss der Bearbeitung.
     * Kopiert die Form-Eingabewerte in das Datenobjekt zurück und liefert dieses als Ergebnis.
     */
    submitEdit() {
        if (this.isSubmitDisabled)
            this.logger.warn('GenericEditDialogInlineComponent.submitEdit - Dialog kann nicht submittet werden, wenn `isSubmitDisabled` false ist. Es wird das alte DTO zurückgegeben.');
        super.submitDialog('OK');
        return this.dtoItem;
    }
    cancelEdit() {
        //super.cancelDialog();
        super.resetData();
    }
    //hide() {
    //    super.hide();
    //}
    /**
     * wird intern benutzt
     * */
    isShown() {
        return true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogInlineComponent, deps: [{ token: i1$2.LoggerService }, { token: i0.KeyValueDiffers }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: GenericEditDialogInlineComponent, isStandalone: false, selector: "swt-generic-edit-dialog-inline", inputs: { swtDropdownContainerContainer: "swtDropdownContainerContainer" }, usesInheritance: true, ngImport: i0, template: "<ng-container *ngIf=\"categoriesAsTabs\">\r\n    <ul-nav-tabs #tabs>\r\n        <li *ngFor=\"let cat of visibleCategories; let i = index\" [id]=\"cat.name\" [ngClass]=\"cat.active?'active':''\">\r\n            <a>{{cat.name}}</a>\r\n        </li>\r\n    </ul-nav-tabs>\r\n\r\n    <ng-container *ngFor=\"let cat of visibleCategories\">\r\n        <div class=\"tab-pane panel-body\" *ngIf=\"tabs.isActive(cat.name)\">\r\n            <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"editItem\"\r\n                                          [dynamicLookups]=\"dynamicLists\" [master]=\"this\"\r\n                                          [inputClass]=\"inputSizeClass\"\r\n                                          (onDropdownGridShown)=\"doOnDropdownGridShown($event)\"\r\n                                          [swtDropdownContainerContainer]=\"swtDropdownContainerContainer\"\r\n                                          >\r\n            </swt-generic-edit-dialog-form>\r\n        </div>\r\n    </ng-container>\r\n</ng-container>\r\n\r\n<div *ngIf=\"!categoriesAsTabs\">\r\n    <div *ngFor=\"let cat of visibleCategories;let firstCat=first\">\r\n        <div *ngIf=\"cat.name && !firstCat\" class=\"hr-line-dashed\"></div>\r\n        <h4 *ngIf=\"cat.name\" class=\"m-t-none m-b\">{{cat.name}}</h4>\r\n        <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"editItem\"\r\n                                      [dynamicLookups]=\"dynamicLists\" [master]=\"this\" \r\n                                      [inputClass]=\"inputSizeClass\"\r\n                                      (onDropdownGridShown)=\"doOnDropdownGridShown($event)\"\r\n                                      [swtDropdownContainerContainer]=\"swtDropdownContainerContainer\"\r\n                                      >\r\n        </swt-generic-edit-dialog-form>\r\n    </div>\r\n</div>\r\n<div *ngIf=\"errorText\" class=\"hr-line-solid m-xs\"></div>\r\n<div *ngIf=\"errorText\" class=\"alert alert-danger m-xs\">\r\n    <p>{{errorText}}</p>\r\n</div>\r\n\r\n<!--<div>\r\n    <button *ngFor=\"let btn of customFormButtonsBefore\" type=\"button\" class=\"btn\"\r\n            [disabled]=\"btn.submitDialog?isSubmitDisabled:null\" [ngClass]=\"btn.buttonClass\"\r\n            [title]=\"btn.tooltip\" (click)=\"onButtonClicked(btn,editItem)\">\r\n        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n        {{btn.text}}\r\n    </button>\r\n    <button id=\"btn-cancel\" type=\"button\" class=\"btn btn-default\"\r\n            (click)=\"cancelDialog()\">\r\n        Abbrechen\r\n    </button>\r\n    <button id=\"btn-ok\" type=\"button\" class=\"btn btn-primary\" (click)=\"submitDialog()\"\r\n            [disabled]=\"isSubmitDisabled\">\r\n        OK\r\n    </button>\r\n    <button *ngFor=\"let btn of customFormButtonsAfter\" type=\"button\" class=\"btn\"\r\n            [disabled]=\"btn.submitDialog?isSubmitDisabled:null\" [ngClass]=\"btn.buttonClass\"\r\n            [title]=\"btn.tooltip\" (click)=\"onButtonClicked(btn,editItem)\">\r\n        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n        {{btn.text}}\r\n    </button>\r\n</div>-->\r\n", dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i4.UlNavTabs, selector: "ul-nav-tabs", inputs: ["class", "pills", "stacked", "justified"], outputs: ["changed"] }, { kind: "component", type: GenericEditDialogFormComponent, selector: "swt-generic-edit-dialog-form", inputs: ["master", "cat", "editItem", "dynamicLookups", "inputClass", "swtDropdownContainerContainer"], outputs: ["onDropdownGridShown", "formValueChanged"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: GenericEditDialogInlineComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-generic-edit-dialog-inline', standalone: false, template: "<ng-container *ngIf=\"categoriesAsTabs\">\r\n    <ul-nav-tabs #tabs>\r\n        <li *ngFor=\"let cat of visibleCategories; let i = index\" [id]=\"cat.name\" [ngClass]=\"cat.active?'active':''\">\r\n            <a>{{cat.name}}</a>\r\n        </li>\r\n    </ul-nav-tabs>\r\n\r\n    <ng-container *ngFor=\"let cat of visibleCategories\">\r\n        <div class=\"tab-pane panel-body\" *ngIf=\"tabs.isActive(cat.name)\">\r\n            <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"editItem\"\r\n                                          [dynamicLookups]=\"dynamicLists\" [master]=\"this\"\r\n                                          [inputClass]=\"inputSizeClass\"\r\n                                          (onDropdownGridShown)=\"doOnDropdownGridShown($event)\"\r\n                                          [swtDropdownContainerContainer]=\"swtDropdownContainerContainer\"\r\n                                          >\r\n            </swt-generic-edit-dialog-form>\r\n        </div>\r\n    </ng-container>\r\n</ng-container>\r\n\r\n<div *ngIf=\"!categoriesAsTabs\">\r\n    <div *ngFor=\"let cat of visibleCategories;let firstCat=first\">\r\n        <div *ngIf=\"cat.name && !firstCat\" class=\"hr-line-dashed\"></div>\r\n        <h4 *ngIf=\"cat.name\" class=\"m-t-none m-b\">{{cat.name}}</h4>\r\n        <swt-generic-edit-dialog-form [cat]=\"cat\" [editItem]=\"editItem\"\r\n                                      [dynamicLookups]=\"dynamicLists\" [master]=\"this\" \r\n                                      [inputClass]=\"inputSizeClass\"\r\n                                      (onDropdownGridShown)=\"doOnDropdownGridShown($event)\"\r\n                                      [swtDropdownContainerContainer]=\"swtDropdownContainerContainer\"\r\n                                      >\r\n        </swt-generic-edit-dialog-form>\r\n    </div>\r\n</div>\r\n<div *ngIf=\"errorText\" class=\"hr-line-solid m-xs\"></div>\r\n<div *ngIf=\"errorText\" class=\"alert alert-danger m-xs\">\r\n    <p>{{errorText}}</p>\r\n</div>\r\n\r\n<!--<div>\r\n    <button *ngFor=\"let btn of customFormButtonsBefore\" type=\"button\" class=\"btn\"\r\n            [disabled]=\"btn.submitDialog?isSubmitDisabled:null\" [ngClass]=\"btn.buttonClass\"\r\n            [title]=\"btn.tooltip\" (click)=\"onButtonClicked(btn,editItem)\">\r\n        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n        {{btn.text}}\r\n    </button>\r\n    <button id=\"btn-cancel\" type=\"button\" class=\"btn btn-default\"\r\n            (click)=\"cancelDialog()\">\r\n        Abbrechen\r\n    </button>\r\n    <button id=\"btn-ok\" type=\"button\" class=\"btn btn-primary\" (click)=\"submitDialog()\"\r\n            [disabled]=\"isSubmitDisabled\">\r\n        OK\r\n    </button>\r\n    <button *ngFor=\"let btn of customFormButtonsAfter\" type=\"button\" class=\"btn\"\r\n            [disabled]=\"btn.submitDialog?isSubmitDisabled:null\" [ngClass]=\"btn.buttonClass\"\r\n            [title]=\"btn.tooltip\" (click)=\"onButtonClicked(btn,editItem)\">\r\n        <i *ngIf=\"btn.iconClass\" class=\"fa {{btn.iconClass}}\"></i>\r\n        {{btn.text}}\r\n    </button>\r\n</div>-->\r\n" }]
        }], ctorParameters: () => [{ type: i1$2.LoggerService }, { type: i0.KeyValueDiffers }], propDecorators: { swtDropdownContainerContainer: [{
                type: Input
            }] } });

class SwtGridLoadingDirective {
    constructor() {
        this.grid = inject(GridComponent);
        /** Wenn `true`, wird der `loading-indicator` angezeigt */
        this.loading = input(false);
        effect(() => {
            const loadingIndicator = this.grid.loadingIndicator;
            if (this.loading())
                loadingIndicator.show();
            else
                loadingIndicator.hide();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGridLoadingDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "17.1.0", version: "19.2.13", type: SwtGridLoadingDirective, isStandalone: false, selector: "swt-grid[loading]", inputs: { loading: { classPropertyName: "loading", publicName: "loading", isSignal: true, isRequired: false, transformFunction: null } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGridLoadingDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'swt-grid[loading]',
                    standalone: false
                }]
        }], ctorParameters: () => [] });

class ListEditorComponent {
    constructor() {
        this.destroyRef = inject(DestroyRef);
        this.logger = inject(LoggerService);
        this.messageBoxService = inject(MessageBoxService);
        this.i18n = inject(I18nService);
        this.editDialog = inject(GenericEditDialogService);
        this.listItems = [];
        this.small = true;
        this.gridButtonColumn = {
            type: 'buttons', buttons: [
                { ident: 'DELETE', text: $localize `:@@ListEditor.Delete.act.Label:Löschen`, buttonClass: 'btn-danger pull-right', iconClass: 'fa fa-trash', tooltip: $localize `:@@ListEditor.Delete.act.Tooltip:Löschen` },
                { ident: 'EDIT', text: $localize `:@@ListEditor.Edit.act.Label:Bearbeiten`, buttonClass: 'btn-default pull-right', iconClass: 'fa fa-edit', tooltip: $localize `:@@ListEditor.Edit.act.Tooltip:Bearbeiten` }
            ]
        };
        this.onEdit = new EventEmitter();
    }
    set columns(allColumns) {
        this.setVisibleColumns(allColumns);
        this.setEditableColumns(allColumns);
        this.refresh();
    }
    set webApiService(value) {
        this._webApiService = value;
        this.refresh();
    }
    get storeKey() {
        return this.explicitStoreKey ?? `ListEditor-${this.titleSingular}`;
    }
    async refresh(focusId) {
        if (!this.dialogConfig || !this._webApiService)
            return;
        this.listGrid.loadingIndicator.show();
        try {
            this.listItems = await this._webApiService.getList();
            this.listGrid.loadingIndicator.hide();
            this.logger.log('ListEditorComponent.getList/success');
            if (focusId)
                this.listDatasource.focus(focusId);
        }
        catch (error) {
            this.listGrid.loadingIndicator.hide();
            this.logger.log('ListEditorComponent.getList/error');
            this.logger.error(error);
            this.messageBoxService.showDialog($localize `:@@ListEditor.Load.Error.msg.Text:Fehler Laden der Daten vom Server`, $localize `:@@ListEditor.Load.Error.msg.Title:Fehler`, MessageType.ERROR, MessageButtons.CLOSE);
        }
    }
    getListItemId(listItem) {
        return listItem[this.listDatasource.idfield];
    }
    add() {
        this.logger.log('ListEditorComponent.onSubmitEditDialog');
        this.editDialog.show(this.dialogConfig)
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe((result) => {
            this.insertItem(result.dto);
        });
    }
    gridButtonClicked(event) {
        switch (event.buttonIdent) {
            case 'DELETE':
                this.delete(event.itemId);
                break;
            case 'EDIT':
                this.edit(event.itemId);
                break;
            default:
                throw new Error('Method not implemented.');
        }
    }
    delete(id) {
        this.logger.log('ListEditorComponent.delete');
        const confirmationText = this.i18n.replace($localize `:@@ListEditor.Delete.Confirm.msg.Text:Ausgewählten Datensatz $0 löschen?`, [id]);
        this.messageBoxService.showDialog(confirmationText, $localize `:@@ListEditor.Delete.Confirm.msg.Title:Löschen`)
            .then((dlgResult) => {
            if (dlgResult === DialogResult.OK)
                this.deleteItem(id);
        });
    }
    async deleteItem(id) {
        this.listGrid.loadingIndicator.show();
        try {
            await this._webApiService.delete(id);
            this.logger.log('ListEditorComponent.delete/success');
            this.refresh();
        }
        catch (error) {
            this.listGrid.loadingIndicator.hide();
            this.logger.log('ListEditorComponent.delete/error');
            this.logger.error(error);
            this.messageBoxService.errorDialog($localize `:@@ListEditor.Delete.Error.msg.Text:Fehler beim Löschen`, $localize `:@@ListEditor.Delete.Error.msg.Title:Fehler`);
        }
    }
    edit(id) {
        this.logger.log('ListEditorComponent.edit');
        const item = this.listDatasource.getDataItem(id);
        this.onEdit.emit(item);
        this.editDialog.show(this.dialogConfig, item)
            .pipe(takeUntilDestroyed(this.destroyRef))
            .subscribe((result) => {
            this.updateItem(result.dto);
        });
    }
    async updateItem(editItem) {
        this.logger.log('ListEditorComponent.updateItem');
        try {
            await this._webApiService.update(editItem);
            this.logger.log('ListEditorComponent.updateItem / success');
            this.refresh(this.getListItemId(editItem));
        }
        catch (error) {
            this.logger.log('ListEditorComponent.updateItem / error');
            this.logger.error(error);
            this.messageBoxService.errorDialog($localize `:@@ListEditor.Edit.Error.msg.Text:Fehler beim Speichern der Daten`, $localize `:@@ListEditor.Edit.Error.msg.Title:Fehler`);
        }
    }
    async insertItem(editItem) {
        this.logger.log('ListEditorComponent.insertItem');
        try {
            const newItemId = await this._webApiService.insert(editItem);
            this.logger.log('ListEditorComponent.insertItem / success');
            this.refresh(newItemId);
        }
        catch (error) {
            this.logger.log('ListEditorComponent.insertItem / error');
            this.logger.error(error);
            this.messageBoxService.showDialog($localize `:@@ListEditor.Add.Error.msg.Text:Fehler beim Anlegen des Datensatzes`, $localize `:@@ListEditor.Add.Error.msg.Title:Fehler`, MessageType.ERROR, MessageButtons.CLOSE);
        }
    }
    focus(listItem) {
        const id = this.getListItemId(listItem);
        this.listDatasource.focus(id);
    }
    isSelected(listItem) {
        const id = this.getListItemId(listItem);
        return this.listDatasource.isSelected(id);
    }
    setEditableColumns(columns) {
        const editableColumns = columns.filter((col) => col.fieldname !== this.idFieldname && !col.hiddenInDialog);
        this.dialogConfig = {
            title: this.titleSingular,
            fieldsOrCategoriesOfFields: editableColumns
        };
    }
    setVisibleColumns(columns) {
        const gridColumns = columns.filter((col) => !col.hiddenInList).map(c => this.listColumnToGridColumn(c));
        this.listGrid.columns = gridColumns.concat(this.gridButtonColumn);
    }
    listColumnToGridColumn(listColumn) {
        const hasLookups = listColumn.lookUps && listColumn.lookUps.length > 0 && listColumn.type !== 'lru';
        return {
            ...listColumn,
            type: hasLookups ? 'lookup' : this.fieldTypeToGridColumnType(listColumn.type),
            lookups: hasLookups ? this.isValidLookup(listColumn.lookUps) ? listColumn.lookUps : undefined : undefined
        };
    }
    /** Das Grid unsterstützt nicht die Implementation eines lookupsKey */
    isValidLookup(lookups) {
        return typeof lookups !== 'string';
    }
    fieldTypeToGridColumnType(fieldType) {
        switch (fieldType) {
            case undefined:
            case 'text':
            case 'number':
            case 'date':
            case 'boolean':
            case 'email':
            case 'tel':
            case 'money':
                return fieldType;
            case 'textarea':
            case 'password':
            case 'info-text':
            case 'lru':
                return 'text';
            case 'color-select':
            case 'dateInterval':
            case 'time':
            case 'password-with-confirm':
            case 'divider':
            case 'buttons':
            case 'hidden':
            default:
                throw new Error('Type not implemented: ' + fieldType);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ListEditorComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.13", type: ListEditorComponent, isStandalone: false, selector: "swt-list-editor", inputs: { idFieldname: "idFieldname", titleSingular: "titleSingular", titlePlural: "titlePlural", small: "small", gridButtonColumn: "gridButtonColumn", explicitStoreKey: ["store-key", "explicitStoreKey"] }, outputs: { onEdit: "onEdit" }, viewQueries: [{ propertyName: "listDatasource", first: true, predicate: ["listDatasource"], descendants: true, static: true }, { propertyName: "listGrid", first: true, predicate: ["listGrid"], descendants: true, static: true }], ngImport: i0, template: "<ibox [heading]=\"titlePlural\" [collapsable]=\"false\">\r\n    <div ibox-tools>\r\n        <button button-add (click)=\"add()\" btn-class=\"primary\" class=\"pull-right\" icon=\"plus\" title=\"Hinzuf\u00FCgen\"\r\n            i18n-title=\"@@ListEditor.Add.act.Tooltip\">\r\n            {{titleSingular}}\r\n        </button>\r\n        <ng-content select=\"[custom-buttons]\"></ng-content>\r\n    </div>\r\n    <ds-datasource #listDatasource [pageSize]=\"15\" [src]=\"listItems\" [idfield]=\"idFieldname\"></ds-datasource>\r\n    <swt-grid #listGrid [datasource]=\"listDatasource\" (onButtonClicked)=\"gridButtonClicked($event)\"\r\n        [idfield]=\"idFieldname\" [small]=\"small\" [store-key]=\"storeKey\">\r\n        <ng-content select=\"[grid-detail]\"></ng-content>\r\n    </swt-grid>\r\n</ibox>\r\n", dependencies: [{ kind: "component", type: i4.IBoxComponent, selector: "ibox", inputs: ["heading", "collapsable", "collapsed", "headingHidden", "label", "contentHeadingClass", "store-key", "saveState"], outputs: ["stateChange"] }, { kind: "component", type: i11.DatasourceComponent, selector: "ds-datasource", inputs: ["src", "models", "changeTracking", "pageSize", "store-key", "idfield", "sortBy", "autoSelect", "refreshType", "externalRefreshResult"], outputs: ["refreshTypeChange", "onAfterRefresh", "onBeforeRefresh", "onAfterInitDatasoure", "refreshResultRequested"] }, { kind: "directive", type: i4$1.NoDblClickButtonDirective, selector: "button:not([disable-no-double-click])" }, { kind: "directive", type: i5.NoEditButtonDirective, selector: "button:not(ignore-no-edit),                [no-edit-hidden]:not(ignore-no-edit)" }, { kind: "component", type: i5$2.ButtonAddComponent, selector: "button[button-add]" }, { kind: "component", type: GridComponent, selector: "swt-grid", inputs: ["idfield", "id", "datasource", "stickyHeader", "name", "small", "allowKeyboardShortCuts", "minHeight", "maxHeightTable", "maxHeight", "rowHeight", "filterRowHeight", "headerRowHeight", "headerTitleGroups", "store-key", "hideColSelectBtn", "gridClass", "allowCSVDownload", "csvFileName", "csvConfig", "allowFilter", "allowSort", "allowPaging", "showSelectedIdsNotFoundWarning", "showRowDetail", "showDetailMethod", "paginationInfoVariant", "allowPrintDownload", "printTitle", "rowClassFieldName", "rowDetailClassFieldName", "allowSelectPageSize", "pageSizes", "allowMultiSelect", "disableSelectFieldName", "showEmptyGrid", "emptyGridText", "filterFieldsVisible", "sortItemAlign", "html5Draggable", "dragulaBag", "dragulaShowIcon", "dragulaOnlyIconDrag", "showSelectCheckBoxes", "table-hover", "config"], outputs: ["onHtml5DragStart", "onButtonClicked", "onRowClicked", "onDrop", "onDragulaRemove", "detailOpened", "scrolledToPosition"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: ListEditorComponent, decorators: [{
            type: Component,
            args: [{ selector: 'swt-list-editor', standalone: false, template: "<ibox [heading]=\"titlePlural\" [collapsable]=\"false\">\r\n    <div ibox-tools>\r\n        <button button-add (click)=\"add()\" btn-class=\"primary\" class=\"pull-right\" icon=\"plus\" title=\"Hinzuf\u00FCgen\"\r\n            i18n-title=\"@@ListEditor.Add.act.Tooltip\">\r\n            {{titleSingular}}\r\n        </button>\r\n        <ng-content select=\"[custom-buttons]\"></ng-content>\r\n    </div>\r\n    <ds-datasource #listDatasource [pageSize]=\"15\" [src]=\"listItems\" [idfield]=\"idFieldname\"></ds-datasource>\r\n    <swt-grid #listGrid [datasource]=\"listDatasource\" (onButtonClicked)=\"gridButtonClicked($event)\"\r\n        [idfield]=\"idFieldname\" [small]=\"small\" [store-key]=\"storeKey\">\r\n        <ng-content select=\"[grid-detail]\"></ng-content>\r\n    </swt-grid>\r\n</ibox>\r\n" }]
        }], propDecorators: { idFieldname: [{
                type: Input
            }], titleSingular: [{
                type: Input
            }], titlePlural: [{
                type: Input
            }], small: [{
                type: Input
            }], gridButtonColumn: [{
                type: Input
            }], explicitStoreKey: [{
                type: Input,
                args: ['store-key']
            }], onEdit: [{
                type: Output
            }], listDatasource: [{
                type: ViewChild,
                args: ['listDatasource', { static: true }]
            }], listGrid: [{
                type: ViewChild,
                args: ['listGrid', { static: true }]
            }] } });
class ListColumnCustomFields {
}

const BsDropdownModuleForRoot = BsDropdownModule.forRoot();
const TypeaheadModuleForRoot = TypeaheadModule.forRoot();
const PopoverModuleForRoot = PopoverModule.forRoot();
const TimepickerModuleForRoot = TimepickerModule.forRoot();
const DragulaModuleForRoot = DragulaModule.forRoot();
const KeyboardShortcutsModuleForRoot = KeyboardShortcutsModule.forRoot();
class SwtGenericModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericModule, declarations: [GridComponent,
            GridCellSpanComponent,
            GridCellSpanRouterLinkComponent,
            ListEditorComponent,
            MultiSelectFilterComponent,
            SwtGridLoadingDirective,
            DisableClickDirective,
            ColHideDirective,
            ColSelectDialogComponent,
            ColSelectDialogInspiniaComponent,
            ColSelectDialogSneatComponent,
            GenericEditDialogComponent,
            GenericEditDialogFormComponent,
            GenericEditDialogInlineComponent,
            SwtGenericEditDialogInspiniaComponent,
            SwtGenericEditDialogFormInspiniaComponent,
            SwtGenericEditDialogSneatComponent,
            SwtGenericEditDialogFormSneatComponent], imports: [CommonModule,
            NgSelectModule,
            FormsModule,
            RouterModule,
            DialogsModule, i9.BsDropdownModule, i2$4.TypeaheadModule, i3$4.PopoverModule, i4$2.TimepickerModule, TimepickerModule,
            SwtControlsModule,
            DatasourceModule, i2$2.DragulaModule, NgxMaskDirective,
            NgxMaskPipe,
            NoDblClickModule, i6.KeyboardShortcutsModule, NoEditButtonModule,
            NgScrollbarModule,
            SwitchTemplateModule,
            ButtonsModule,
            TypedTemplateDirective], exports: [GridComponent,
            MultiSelectFilterComponent,
            ListEditorComponent,
            ColHideDirective,
            ColSelectDialogComponent,
            TimepickerModule,
            GenericEditDialogComponent,
            GenericEditDialogInlineComponent,
            SwtGridLoadingDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericModule, providers: [
            ColVisibilityService,
            CurrencyPipe,
            provideNgxMask()
        ], imports: [CommonModule,
            NgSelectModule,
            FormsModule,
            RouterModule,
            DialogsModule,
            BsDropdownModuleForRoot,
            TypeaheadModuleForRoot,
            PopoverModuleForRoot,
            TimepickerModuleForRoot,
            TimepickerModule,
            SwtControlsModule,
            DatasourceModule,
            DragulaModuleForRoot,
            NoDblClickModule,
            KeyboardShortcutsModuleForRoot,
            NoEditButtonModule,
            NgScrollbarModule,
            SwitchTemplateModule,
            ButtonsModule, TimepickerModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.13", ngImport: i0, type: SwtGenericModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        NgSelectModule,
                        FormsModule,
                        RouterModule,
                        DialogsModule,
                        BsDropdownModuleForRoot,
                        TypeaheadModuleForRoot,
                        PopoverModuleForRoot,
                        TimepickerModuleForRoot,
                        TimepickerModule,
                        SwtControlsModule,
                        DatasourceModule,
                        DragulaModuleForRoot,
                        NgxMaskDirective,
                        NgxMaskPipe,
                        NoDblClickModule,
                        KeyboardShortcutsModuleForRoot,
                        NoEditButtonModule,
                        NgScrollbarModule,
                        SwitchTemplateModule,
                        ButtonsModule,
                        TypedTemplateDirective
                    ],
                    declarations: [
                        GridComponent,
                        GridCellSpanComponent,
                        GridCellSpanRouterLinkComponent,
                        ListEditorComponent,
                        MultiSelectFilterComponent,
                        SwtGridLoadingDirective,
                        DisableClickDirective,
                        ColHideDirective,
                        ColSelectDialogComponent,
                        ColSelectDialogInspiniaComponent,
                        ColSelectDialogSneatComponent,
                        GenericEditDialogComponent,
                        GenericEditDialogFormComponent,
                        GenericEditDialogInlineComponent,
                        SwtGenericEditDialogInspiniaComponent,
                        SwtGenericEditDialogFormInspiniaComponent,
                        SwtGenericEditDialogSneatComponent,
                        SwtGenericEditDialogFormSneatComponent,
                    ],
                    exports: [
                        GridComponent,
                        MultiSelectFilterComponent,
                        ListEditorComponent,
                        ColHideDirective,
                        ColSelectDialogComponent,
                        TimepickerModule,
                        GenericEditDialogComponent,
                        GenericEditDialogInlineComponent,
                        SwtGridLoadingDirective,
                    ],
                    providers: [
                        ColVisibilityService,
                        CurrencyPipe,
                        provideNgxMask()
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ColHideDirective, ColSelectDialogComponent, DIALOG_FIELD_NULLVALUE, DialogDynamicList, DialogField, DialogFieldButton, DialogFieldCategory, DialogGridConfiguration, GenericEditDialogComponent, GenericEditDialogFormComponent, GenericEditDialogInlineComponent, GenericEditDialogResult, GenericEditDialogService, GridCellSpanComponent, GridCellSpanRouterLinkComponent, GridColumn, GridColumnButton, GridColumnButtonEvent, GridColumnSpan, GridComponent, GridConfiguration, GridDropEvent, GridDropRemoveEvent, GridTitleSpan, Html5DragDropEvent, ListEditorComponent, MultiSelectFilterComponent, RichTextConfiguration, RowClickEvent, SpanClickEvent, SwtGenericModule, SwtGridLoadingDirective, TextMaskConfig };
//# sourceMappingURL=sowatech-shared-swt-generic.mjs.map
